Renko

The Renko chart uses bricks of uniform size to chart the price movement. When a price moves to a greater or lesser value than the preset boxSize option required to draw a new brick, a new brick is drawn in the succeeding column. The change in box color and direction signifies a trend reversal.

import 'bootstrap.css'; import '@mescius/wijmo.styles/wijmo.css'; import './styles.css'; import * as core from '@mescius/wijmo'; import * as input from '@mescius/wijmo.input'; import * as finance from '@mescius/wijmo.chart.finance'; import { getData } from './data'; // document.readyState === 'complete' ? init() : window.onload = init; // function init() { // create the chart let data = getData(); let theChart = new finance.FinancialChart('#theChart', { itemsSource: data, bindingX: 'date', chartType: 'Renko', series: [ { binding: 'high,low,open,close', style: { stroke: 'rgb(136, 189, 230)', fill: 'rgba(136, 189, 230, 0.701961)' }, altStyle: { stroke: 'rgb(136, 189, 230)', fill: 'transparent' }, name: 'Facebook' } ], options: { renko: { boxSize: 2, rangeMode: 'Fixed', fields: 'Close' } }, legend: { position: 'None' }, tooltip: { content: function (ht) { var date = ht.item && ht.item.date ? ht.item.date : null, content = ''; if (core.isDate(date)) { date = core.Globalize.formatDate(date, 'MM/dd/yy'); } if (ht && ht.item) { content = '<b>' + ht.name + '</b><br/>' + 'Date: ' + date + '<br/>' + 'Open: ' + core.Globalize.format(ht.item.open, 'n2') + '<br/>' + 'High: ' + core.Globalize.format(ht.item.high, 'n2') + '<br/>' + 'Low: ' + core.Globalize.format(ht.item.low, 'n2') + '<br/>' + 'Close: ' + core.Globalize.format(ht.item.close, 'n2') + '<br/>' + 'Volume: ' + core.Globalize.format(ht.item.volume, 'n0'); } return content; } } }); // let boxSize = new input.InputNumber('#inputBoxSize', { step: 1, min: 0, value: 2, format: 'n0', valueChanged: function (sender) { if (sender == null || sender.value < sender.min) { return; } theChart.options.renko.boxSize = sender.value; theChart.invalidate(); } }); // let rangeMode = new input.Menu('#selRangeMode', { selectedValue: 'Fixed', itemClicked: function (sender) { theChart.options.renko.rangeMode = sender.selectedValue; if (sender.selectedValue === 'ATR') { boxSize.min = 2; boxSize.max = data.length - 2; let size = core.clamp(boxSize.value, 14, data.length - 2); boxSize.value = size; theChart.options.renko.boxSize = size; } else { boxSize.min = 1; boxSize.max = null; } updateMenuHeader(rangeMode, 'Range Mode'); theChart.invalidate(); } }); updateMenuHeader(rangeMode, 'Range Mode'); let dataFields = new input.Menu('#selDataFields', { selectedValue: 'Close', itemClicked: function (sender) { theChart.options.renko.fields = sender.selectedValue; updateMenuHeader(dataFields, 'Data Fields'); theChart.invalidate(); } }); updateMenuHeader(dataFields, 'Data Fields'); // let series = theChart.series[0]; let stroke = new input.InputColor('#inputStroke', { value: 'rgb(136, 189, 230)', valueChanged: function (sender) { let color = sender.value; series.style.stroke = color; theChart.invalidate(); } }); let fill = new input.InputColor('#inputFill', { value: 'rgba(136, 189, 230, 0.701961)', valueChanged: function (sender) { let color = sender.value; series.style.fill = color; theChart.invalidate(); } }); let altStroke = new input.InputColor('#inputAltStroke', { value: 'rgb(136, 189, 230)', valueChanged: function (sender) { let color = sender.value; series.altStyle.stroke = color; theChart.invalidate(); } }); let altFill = new input.InputColor('#inputAltFill', { value: 'transparent', valueChanged: function (sender) { let color = sender.value; series.altStyle.fill = color; theChart.invalidate(); } }); } // show menu header and current value function updateMenuHeader(menu, header) { menu.header = header ? header + ': <b>' + menu.text + '</b>' : menu.text; }
<!DOCTYPE html> <html lang="en"> <head> <meta charset="utf-8"> <meta http-equiv="X-UA-Compatible" content="IE=edge"> <title>MESCIUS Wijmo FlexChart Renko</title> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <!-- SystemJS --> <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script> <script src="systemjs.config.js"></script> <script> System.import('./src/app'); </script> </head> <body> <div class="container-fluid"> <div id="theChart"></div> <!-- Settings --> <div class="panel-group" id="settings"> <div class="panel panel-default"> <div class="panel-collapse collapse in"> <div class="panel-body"> <ul class="list-inline"> <li> <label>Box Size</label> <input id="inputBoxSize" /> </li> <li> <select id="selRangeMode"> <option value="Fixed">Fixed</option> <option value="ATR">Average True Range</option> </select> </li> <li> <select id="selDataFields"> <option value="High">High</option> <option value="Low">Low</option> <option value="Open">Open</option> <option value="Close">Close</option> <option value="HL2">HL Avg.</option> <option value="HLC3">HLC Avg.</option> <option value="HLOC4">HLOC Avg.</option> </select> </li> </ul> <ul class="list-inline"> <li> <label>Stroke</label> <input id="inputStroke" /> </li> <li> <label>Alt. Stroke</label> <input id="inputAltStroke" /> </li> </ul> <ul class="list-inline"> <li> <label>Fill</label> <input id="inputFill" /> </li> <li> <label>Alt. Fill</label> <input id="inputAltFill" /> </li> </ul> </div> </div> </div> </div> </div> </body> </html>
// some stock data from Google Finance export function getData() { return [ { "date": "05/18/12", "open": 42.05, "high": 45, "low": 38, "close": 38.23, "volume": 580587742 }, { "date": "05/21/12", "open": 36.53, "high": 36.66, "low": 33, "close": 34.03, "volume": 168309831 }, { "date": "05/22/12", "open": 32.61, "high": 33.59, "low": 30.94, "close": 31, "volume": 102053826 }, { "date": "05/23/12", "open": 31.37, "high": 32.5, "low": 31.36, "close": 32, "volume": 73721135 }, { "date": "05/24/12", "open": 32.95, "high": 33.21, "low": 31.77, "close": 33.03, "volume": 50275879 }, { "date": "05/25/12", "open": 32.9, "high": 32.95, "low": 31.11, "close": 31.91, "volume": 37189630 }, { "date": "05/29/12", "open": 31.48, "high": 31.69, "low": 28.65, "close": 28.84, "volume": 78060799 }, { "date": "05/30/12", "open": 28.7, "high": 29.55, "low": 27.86, "close": 28.19, "volume": 57267867 }, { "date": "05/31/12", "open": 28.54, "high": 29.67, "low": 26.83, "close": 29.6, "volume": 111639200 }, { "date": "06/01/12", "open": 28.89, "high": 29.15, "low": 27.39, "close": 27.72, "volume": 41855500 }, { "date": "06/04/12", "open": 27.2, "high": 27.65, "low": 26.44, "close": 26.9, "volume": 35230290 }, { "date": "06/05/12", "open": 26.7, "high": 27.76, "low": 25.75, "close": 25.87, "volume": 42473262 }, { "date": "06/06/12", "open": 26.07, "high": 27.17, "low": 25.52, "close": 26.81, "volume": 61487019 }, { "date": "06/07/12", "open": 27, "high": 27.35, "low": 26.15, "close": 26.31, "volume": 26167757 }, { "date": "06/08/12", "open": 26.55, "high": 27.76, "low": 26.44, "close": 27.1, "volume": 38033420 }, { "date": "06/11/12", "open": 27.18, "high": 28.07, "low": 26.84, "close": 27, "volume": 28225887 }, { "date": "06/12/12", "open": 27.48, "high": 27.77, "low": 26.96, "close": 27.4, "volume": 15822414 }, { "date": "06/13/12", "open": 27.66, "high": 28.1, "low": 27.1, "close": 27.27, "volume": 17118672 }, { "date": "06/14/12", "open": 27.65, "high": 28.32, "low": 27.38, "close": 28.29, "volume": 16854124 }, { "date": "06/15/12", "open": 28.5, "high": 30.1, "low": 28.35, "close": 30.01, "volume": 43563739 }, { "date": "06/18/12", "open": 29.96, "high": 32.08, "low": 29.41, "close": 31.41, "volume": 42978209 }, { "date": "06/19/12", "open": 31.54, "high": 32.18, "low": 30.7, "close": 31.91, "volume": 30848913 }, { "date": "06/20/12", "open": 31.92, "high": 31.93, "low": 31.15, "close": 31.6, "volume": 15558921 }, { "date": "06/21/12", "open": 31.67, "high": 32.5, "low": 31.51, "close": 31.84, "volume": 21875228 }, { "date": "06/22/12", "open": 32.41, "high": 33.45, "low": 32.06, "close": 33.05, "volume": 74833976 }, { "date": "06/25/12", "open": 32.86, "high": 33.02, "low": 31.55, "close": 32.06, "volume": 24352818 }, { "date": "06/26/12", "open": 32.69, "high": 33.44, "low": 32.5, "close": 33.1, "volume": 24858611 }, { "date": "06/27/12", "open": 32.46, "high": 32.9, "low": 31.9, "close": 32.23, "volume": 28599506 }, { "date": "06/28/12", "open": 31.96, "high": 32.19, "low": 30.9, "close": 31.36, "volume": 17713292 }, { "date": "06/29/12", "open": 31.92, "high": 31.99, "low": 30.76, "close": 31.1, "volume": 19526823 }, { "date": "07/02/12", "open": 31.25, "high": 31.73, "low": 30.55, "close": 30.77, "volume": 14131476 }, { "date": "07/03/12", "open": 30.91, "high": 31.44, "low": 30.8, "close": 31.2, "volume": 8765498 }, { "date": "07/05/12", "open": 31.32, "high": 31.62, "low": 31.02, "close": 31.47, "volume": 10036688 }, { "date": "07/06/12", "open": 31.44, "high": 31.9, "low": 31.26, "close": 31.73, "volume": 10949006 }, { "date": "07/09/12", "open": 32.1, "high": 32.88, "low": 31.99, "close": 32.17, "volume": 17785180 }, { "date": "07/10/12", "open": 32.43, "high": 32.48, "low": 31.16, "close": 31.47, "volume": 14276996 }, { "date": "07/11/12", "open": 31.48, "high": 31.56, "low": 30.55, "close": 30.97, "volume": 13027752 }, { "date": "07/12/12", "open": 30.7, "high": 31.4, "low": 30.6, "close": 30.81, "volume": 11306636 }, { "date": "07/13/12", "open": 31.04, "high": 31.07, "low": 30.56, "close": 30.72, "volume": 8117346 }, { "date": "07/16/12", "open": 30.5, "high": 30.5, "low": 28.21, "close": 28.24, "volume": 24672074 }, { "date": "07/17/12", "open": 28.48, "high": 28.59, "low": 27.15, "close": 28.09, "volume": 30438551 }, { "date": "07/18/12", "open": 28.31, "high": 29.29, "low": 28.15, "close": 29.11, "volume": 16841779 }, { "date": "07/19/12", "open": 29.41, "high": 29.5, "low": 28.63, "close": 29, "volume": 13685031 }, { "date": "07/20/12", "open": 29, "high": 29.47, "low": 28.72, "close": 28.76, "volume": 11869046 }, { "date": "07/23/12", "open": 28.12, "high": 29, "low": 28.01, "close": 28.75, "volume": 12393864 }, { "date": "07/24/12", "open": 28.82, "high": 29.45, "low": 28.1, "close": 28.45, "volume": 11539799 }, { "date": "07/25/12", "open": 28.39, "high": 29.49, "low": 28.08, "close": 29.34, "volume": 17230154 }, { "date": "07/26/12", "open": 27.75, "high": 28.23, "low": 26.73, "close": 26.84, "volume": 64597378 }, { "date": "07/27/12", "open": 23.19, "high": 24.54, "low": 22.28, "close": 23.7, "volume": 123098340 }, { "date": "07/30/12", "open": 24, "high": 24.04, "low": 23.03, "close": 23.15, "volume": 29285895 }, { "date": "07/31/12", "open": 23.37, "high": 23.37, "low": 21.61, "close": 21.71, "volume": 56179322 }, { "date": "08/01/12", "open": 21.5, "high": 21.58, "low": 20.84, "close": 20.88, "volume": 44604365 }, { "date": "08/02/12", "open": 20.77, "high": 20.84, "low": 19.82, "close": 20.04, "volume": 56374436 }, { "date": "08/03/12", "open": 20.36, "high": 22.16, "low": 19.9, "close": 21.09, "volume": 80646975 }, { "date": "08/06/12", "open": 21.39, "high": 22.15, "low": 21.3, "close": 21.92, "volume": 27778038 }, { "date": "08/07/12", "open": 22.2, "high": 22.45, "low": 20.5, "close": 20.72, "volume": 36782827 }, { "date": "08/08/12", "open": 20.71, "high": 21.15, "low": 20.22, "close": 20.72, "volume": 29537376 }, { "date": "08/09/12", "open": 20.75, "high": 21.17, "low": 20.61, "close": 21.01, "volume": 15618515 }, { "date": "08/10/12", "open": 21.41, "high": 21.82, "low": 21.13, "close": 21.81, "volume": 25794673 }, { "date": "08/13/12", "open": 22.15, "high": 22.45, "low": 21.4, "close": 21.6, "volume": 24972973 }, { "date": "08/14/12", "open": 21.41, "high": 21.6, "low": 20.25, "close": 20.38, "volume": 39308634 }, { "date": "08/15/12", "open": 20.64, "high": 21.41, "low": 20.4, "close": 21.2, "volume": 47860767 }, { "date": "08/16/12", "open": 20.44, "high": 20.48, "low": 19.69, "close": 19.87, "volume": 157554938 }, { "date": "08/17/12", "open": 20, "high": 20.08, "low": 19, "close": 19.05, "volume": 129293342 }, { "date": "08/20/12", "open": 19.05, "high": 20.13, "low": 18.75, "close": 20.01, "volume": 101186524 }, { "date": "08/21/12", "open": 19.58, "high": 19.98, "low": 19.09, "close": 19.16, "volume": 70640462 }, { "date": "08/22/12", "open": 19.36, "high": 19.53, "low": 18.96, "close": 19.44, "volume": 49892130 }, { "date": "08/23/12", "open": 19.5, "high": 19.73, "low": 19.36, "close": 19.44, "volume": 32813310 }, { "date": "08/24/12", "open": 19.52, "high": 19.68, "low": 19.25, "close": 19.41, "volume": 29622155 }, { "date": "08/27/12", "open": 19.49, "high": 19.53, "low": 19.1, "close": 19.15, "volume": 20703907 }, { "date": "08/28/12", "open": 19.1, "high": 19.38, "low": 18.95, "close": 19.34, "volume": 25425786 }, { "date": "08/29/12", "open": 19.32, "high": 19.38, "low": 19.07, "close": 19.1, "volume": 16124625 }, { "date": "08/30/12", "open": 19.27, "high": 19.45, "low": 19.06, "close": 19.09, "volume": 30647472 }, { "date": "08/31/12", "open": 18.68, "high": 18.7, "low": 18.03, "close": 18.06, "volume": 58764170 }, { "date": "09/04/12", "open": 18.08, "high": 18.27, "low": 17.55, "close": 17.73, "volume": 46622354 }, { "date": "09/05/12", "open": 18.27, "high": 18.75, "low": 18.18, "close": 18.58, "volume": 60781719 }, { "date": "09/06/12", "open": 18.74, "high": 19.26, "low": 18.72, "close": 18.96, "volume": 46066347 }, { "date": "09/07/12", "open": 19.1, "high": 19.42, "low": 18.78, "close": 18.98, "volume": 36371696 }, { "date": "09/10/12", "open": 19.06, "high": 19.2, "low": 18.55, "close": 18.81, "volume": 24797642 }, { "date": "09/11/12", "open": 18.92, "high": 19.58, "low": 18.85, "close": 19.43, "volume": 50508126 }, { "date": "09/12/12", "open": 20.76, "high": 21.16, "low": 20.28, "close": 20.93, "volume": 121583996 }, { "date": "09/13/12", "open": 20.96, "high": 21.48, "low": 20.61, "close": 20.71, "volume": 65041524 }, { "date": "09/14/12", "open": 21.13, "high": 22.08, "low": 20.9, "close": 22, "volume": 72819643 }, { "date": "09/17/12", "open": 22.67, "high": 22.75, "low": 21.5, "close": 21.52, "volume": 50666447 }, { "date": "09/18/12", "open": 21.6, "high": 21.98, "low": 21.37, "close": 21.87, "volume": 36760449 }, { "date": "09/19/12", "open": 21.99, "high": 23.37, "low": 21.77, "close": 23.29, "volume": 78782783 }, { "date": "09/20/12", "open": 23.02, "high": 23.24, "low": 22.54, "close": 22.59, "volume": 57248663 }, { "date": "09/21/12", "open": 22.97, "high": 23.24, "low": 22.6, "close": 22.86, "volume": 51218097 }, { "date": "09/24/12", "open": 21.77, "high": 21.98, "low": 20.36, "close": 20.79, "volume": 79105121 }, { "date": "09/25/12", "open": 21.2, "high": 21.21, "low": 20.22, "close": 20.28, "volume": 46291655 }, { "date": "09/26/12", "open": 20.14, "high": 20.78, "low": 19.8, "close": 20.62, "volume": 38271878 }, { "date": "09/27/12", "open": 20.99, "high": 21, "low": 20.16, "close": 20.32, "volume": 30215821 }, { "date": "09/28/12", "open": 20.57, "high": 21.95, "low": 20.5, "close": 21.66, "volume": 65485921 }, { "date": "10/01/12", "open": 22.08, "high": 22.59, "low": 21.73, "close": 21.99, "volume": 51262680 }, { "date": "10/02/12", "open": 22.08, "high": 22.49, "low": 21.82, "close": 22.27, "volume": 29341393 }, { "date": "10/03/12", "open": 22.3, "high": 22.49, "low": 21.8, "close": 21.83, "volume": 32000079 }, { "date": "10/04/12", "open": 22.32, "high": 22.4, "low": 21.41, "close": 21.95, "volume": 46894595 }, { "date": "10/05/12", "open": 21.49, "high": 21.63, "low": 20.88, "close": 20.91, "volume": 40529223 }, { "date": "10/08/12", "open": 20.62, "high": 20.75, "low": 20.16, "close": 20.4, "volume": 32236628 }, { "date": "10/09/12", "open": 20.39, "high": 20.55, "low": 19.97, "close": 20.23, "volume": 27161736 }, { "date": "10/10/12", "open": 19.93, "high": 19.94, "low": 19.45, "close": 19.64, "volume": 39321758 }, { "date": "10/11/12", "open": 19.88, "high": 19.96, "low": 19.61, "close": 19.75, "volume": 21817227 }, { "date": "10/12/12", "open": 19.75, "high": 19.8, "low": 19.48, "close": 19.52, "volume": 18809397 }, { "date": "10/15/12", "open": 19.68, "high": 19.88, "low": 19.49, "close": 19.52, "volume": 20189668 }, { "date": "10/16/12", "open": 19.68, "high": 19.69, "low": 19.3, "close": 19.48, "volume": 21834687 }, { "date": "10/17/12", "open": 19.5, "high": 20.48, "low": 19.37, "close": 19.88, "volume": 44074433 }, { "date": "10/18/12", "open": 19.7, "high": 19.79, "low": 18.89, "close": 18.98, "volume": 52157366 }, { "date": "10/19/12", "open": 19, "high": 19.06, "low": 18.8, "close": 19, "volume": 34834947 }, { "date": "10/22/12", "open": 19.2, "high": 19.43, "low": 19.05, "close": 19.32, "volume": 32447005 }, { "date": "10/23/12", "open": 19.25, "high": 19.8, "low": 19.1, "close": 19.5, "volume": 78381102 }, { "date": "10/24/12", "open": 24.13, "high": 24.25, "low": 22.85, "close": 23.23, "volume": 228949142 }, { "date": "10/25/12", "open": 23.29, "high": 23.31, "low": 22.47, "close": 22.56, "volume": 76141922 }, { "date": "10/26/12", "open": 22.4, "high": 22.88, "low": 21.88, "close": 21.94, "volume": 73259521 }, { "date": "10/31/12", "open": 20.82, "high": 21.5, "low": 20.73, "close": 21.11, "volume": 99378184 }, { "date": "11/01/12", "open": 21.08, "high": 21.44, "low": 21.01, "close": 21.21, "volume": 37713887 }, { "date": "11/02/12", "open": 21.26, "high": 21.69, "low": 21.07, "close": 21.18, "volume": 38344332 }, { "date": "11/05/12", "open": 21.1, "high": 21.48, "low": 20.92, "close": 21.25, "volume": 31806692 }, { "date": "11/06/12", "open": 21.24, "high": 21.37, "low": 20.99, "close": 21.17, "volume": 29062642 }, { "date": "11/07/12", "open": 20.85, "high": 20.95, "low": 20.37, "close": 20.47, "volume": 33396731 }, { "date": "11/08/12", "open": 20.52, "high": 20.73, "low": 19.98, "close": 19.99, "volume": 34254535 }, { "date": "11/09/12", "open": 19.96, "high": 20, "low": 19.13, "close": 19.21, "volume": 42295434 }, { "date": "11/12/12", "open": 19.15, "high": 20.17, "low": 18.87, "close": 20.07, "volume": 67349109 }, { "date": "11/13/12", "open": 19.6, "high": 20.11, "low": 19.56, "close": 19.86, "volume": 71775069 }, { "date": "11/14/12", "open": 20.1, "high": 22.5, "low": 19.93, "close": 22.36, "volume": 229750911 }, { "date": "11/15/12", "open": 22.34, "high": 22.5, "low": 21.65, "close": 22.17, "volume": 78857405 }, { "date": "11/16/12", "open": 22.25, "high": 23.93, "low": 22.18, "close": 23.56, "volume": 107182168 }, { "date": "11/19/12", "open": 23.96, "high": 24.12, "low": 22.82, "close": 22.92, "volume": 85021259 }, { "date": "11/20/12", "open": 22.73, "high": 23.9, "low": 22.7, "close": 23.1, "volume": 46655291 }, { "date": "11/21/12", "open": 23.22, "high": 24.53, "low": 23.05, "close": 24.32, "volume": 89862342 }, { "date": "11/23/12", "open": 24.58, "high": 24.68, "low": 23.88, "close": 24, "volume": 29520311 }, { "date": "11/26/12", "open": 24.94, "high": 26.09, "low": 24.81, "close": 25.94, "volume": 123862051 }, { "date": "11/27/12", "open": 26.04, "high": 26.5, "low": 25.46, "close": 26.15, "volume": 85760074 }, { "date": "11/28/12", "open": 25.94, "high": 26.49, "low": 25.75, "close": 26.36, "volume": 49205508 }, { "date": "11/29/12", "open": 26.5, "high": 27.52, "low": 26.16, "close": 27.32, "volume": 88759067 }, { "date": "11/30/12", "open": 27.26, "high": 28, "low": 26.76, "close": 28, "volume": 127049545 }, { "date": "12/03/12", "open": 28, "high": 28.88, "low": 26.98, "close": 27.04, "volume": 123525093 }, { "date": "12/04/12", "open": 27.06, "high": 27.76, "low": 26.68, "close": 27.46, "volume": 72912724 }, { "date": "12/05/12", "open": 27.75, "high": 27.9, "low": 27.26, "close": 27.71, "volume": 58974841 }, { "date": "12/06/12", "open": 27.68, "high": 27.75, "low": 26.82, "close": 26.97, "volume": 46001493 }, { "date": "12/07/12", "open": 27.07, "high": 27.78, "low": 26.84, "close": 27.48, "volume": 51751806 }, { "date": "12/10/12", "open": 27.17, "high": 28.17, "low": 27.1, "close": 27.84, "volume": 50608466 }, { "date": "12/11/12", "open": 28.07, "high": 28.24, "low": 27.66, "close": 27.98, "volume": 77099033 }, { "date": "12/12/12", "open": 28, "high": 28.14, "low": 27.37, "close": 27.58, "volume": 46704201 }, { "date": "12/13/12", "open": 27.59, "high": 28.75, "low": 27.43, "close": 28.24, "volume": 81051549 }, { "date": "12/14/12", "open": 28.18, "high": 28.33, "low": 26.76, "close": 26.81, "volume": 91631545 }, { "date": "12/17/12", "open": 26.77, "high": 27, "low": 26.32, "close": 26.75, "volume": 57742403 }, { "date": "12/18/12", "open": 26.96, "high": 27.91, "low": 26.9, "close": 27.71, "volume": 60512872 }, { "date": "12/19/12", "open": 27.83, "high": 28.22, "low": 26.95, "close": 27.41, "volume": 61390122 }, { "date": "12/20/12", "open": 27.49, "high": 27.6, "low": 27.13, "close": 27.36, "volume": 35574784 }, { "date": "12/21/12", "open": 26.66, "high": 27.01, "low": 26.12, "close": 26.26, "volume": 54555183 }, { "date": "12/24/12", "open": 26.5, "high": 26.96, "low": 26.2, "close": 26.93, "volume": 28230035 }, { "date": "12/26/12", "open": 27.03, "high": 27.18, "low": 26.38, "close": 26.51, "volume": 33175320 }, { "date": "12/27/12", "open": 26.55, "high": 26.8, "low": 25.52, "close": 26.05, "volume": 43481682 }, { "date": "12/28/12", "open": 25.48, "high": 26.11, "low": 25.15, "close": 25.91, "volume": 56574797 }, { "date": "12/31/12", "open": 26.2, "high": 26.99, "low": 26.11, "close": 26.62, "volume": 60374424 }, { "date": "01/02/13", "open": 27.44, "high": 28.18, "low": 27.42, "close": 28, "volume": 69844980 }, { "date": "01/03/13", "open": 27.88, "high": 28.47, "low": 27.59, "close": 27.77, "volume": 63140530 }, { "date": "01/04/13", "open": 28.01, "high": 28.93, "low": 27.83, "close": 28.76, "volume": 72715349 }, { "date": "01/07/13", "open": 28.69, "high": 29.79, "low": 28.65, "close": 29.42, "volume": 83781725 }, { "date": "01/08/13", "open": 29.51, "high": 29.6, "low": 28.86, "close": 29.06, "volume": 45870933 }, { "date": "01/09/13", "open": 29.67, "high": 30.6, "low": 29.49, "close": 30.59, "volume": 104787653 }, { "date": "01/10/13", "open": 30.6, "high": 31.45, "low": 30.28, "close": 31.3, "volume": 95316372 }, { "date": "01/11/13", "open": 31.28, "high": 31.96, "low": 31.1, "close": 31.72, "volume": 89597985 }, { "date": "01/14/13", "open": 32.08, "high": 32.21, "low": 30.62, "close": 30.95, "volume": 98886858 }, { "date": "01/15/13", "open": 30.64, "high": 31.71, "low": 29.88, "close": 30.1, "volume": 173242356 }, { "date": "01/16/13", "open": 30.21, "high": 30.35, "low": 29.53, "close": 29.85, "volume": 75332648 }, { "date": "01/17/13", "open": 30.08, "high": 30.42, "low": 30.03, "close": 30.14, "volume": 40256606 }, { "date": "01/18/13", "open": 30.31, "high": 30.44, "low": 29.27, "close": 29.66, "volume": 49631496 }, { "date": "01/22/13", "open": 29.75, "high": 30.89, "low": 29.74, "close": 30.73, "volume": 55243212 }, { "date": "01/23/13", "open": 31.1, "high": 31.5, "low": 30.8, "close": 30.82, "volume": 48899741 }, { "date": "01/24/13", "open": 31.27, "high": 31.49, "low": 30.81, "close": 31.08, "volume": 43845049 }, { "date": "01/25/13", "open": 31.41, "high": 31.93, "low": 31.13, "close": 31.54, "volume": 54363551 }, { "date": "01/28/13", "open": 31.88, "high": 32.51, "low": 31.81, "close": 32.47, "volume": 59681410 }, { "date": "01/29/13", "open": 32, "high": 32.07, "low": 30.71, "close": 30.79, "volume": 72976496 }, { "date": "01/30/13", "open": 30.98, "high": 31.49, "low": 30.88, "close": 31.24, "volume": 87682080 }, { "date": "01/31/13", "open": 29.15, "high": 31.47, "low": 28.74, "close": 30.98, "volume": 190743612 }, { "date": "02/01/13", "open": 31.01, "high": 31.02, "low": 29.63, "close": 29.73, "volume": 85856666 }, { "date": "02/04/13", "open": 29.06, "high": 29.2, "low": 28.01, "close": 28.11, "volume": 92362184 }, { "date": "02/05/13", "open": 28.26, "high": 28.96, "low": 28.04, "close": 28.64, "volume": 47948191 }, { "date": "02/06/13", "open": 28.74, "high": 29.29, "low": 28.66, "close": 29.05, "volume": 38375742 }, { "date": "02/07/13", "open": 29.11, "high": 29.15, "low": 28.27, "close": 28.65, "volume": 34540014 }, { "date": "02/08/13", "open": 28.89, "high": 29.17, "low": 28.51, "close": 28.54, "volume": 37708729 }, { "date": "02/11/13", "open": 28.61, "high": 28.68, "low": 28.04, "close": 28.26, "volume": 37361742 }, { "date": "02/12/13", "open": 27.67, "high": 28.16, "low": 27.1, "close": 27.37, "volume": 93495635 }, { "date": "02/13/13", "open": 27.36, "high": 28.32, "low": 27.31, "close": 27.91, "volume": 50163959 }, { "date": "02/14/13", "open": 28.02, "high": 28.63, "low": 28.01, "close": 28.5, "volume": 35618411 }, { "date": "02/15/13", "open": 28.52, "high": 28.75, "low": 28.09, "close": 28.32, "volume": 33109105 }, { "date": "02/19/13", "open": 28.23, "high": 29.08, "low": 28.12, "close": 28.93, "volume": 49411547 }, { "date": "02/20/13", "open": 28.92, "high": 29.05, "low": 28.33, "close": 28.46, "volume": 42098118 }, { "date": "02/21/13", "open": 28.28, "high": 28.55, "low": 27.15, "close": 27.28, "volume": 49647671 }, { "date": "02/22/13", "open": 27.62, "high": 27.63, "low": 26.82, "close": 27.13, "volume": 36350149 }, { "date": "02/25/13", "open": 27.16, "high": 27.64, "low": 27.15, "close": 27.27, "volume": 34651983 }, { "date": "02/26/13", "open": 27.36, "high": 27.46, "low": 26.7, "close": 27.39, "volume": 31611642 }, { "date": "02/27/13", "open": 27.34, "high": 27.34, "low": 26.63, "close": 26.87, "volume": 44319628 }, { "date": "02/28/13", "open": 26.84, "high": 27.3, "low": 26.34, "close": 27.25, "volume": 83027721 }, { "date": "03/01/13", "open": 27.05, "high": 28.12, "low": 26.81, "close": 27.78, "volume": 54064731 }, { "date": "03/04/13", "open": 27.76, "high": 28.06, "low": 27.44, "close": 27.72, "volume": 32400645 }, { "date": "03/05/13", "open": 27.88, "high": 28.18, "low": 27.21, "close": 27.52, "volume": 40622189 }, { "date": "03/06/13", "open": 28.1, "high": 28.13, "low": 27.35, "close": 27.45, "volume": 33532526 }, { "date": "03/07/13", "open": 27.57, "high": 28.68, "low": 27.47, "close": 28.58, "volume": 74540116 }, { "date": "03/08/13", "open": 28.42, "high": 28.47, "low": 27.73, "close": 27.96, "volume": 44198838 }, { "date": "03/11/13", "open": 28.01, "high": 28.64, "low": 27.83, "close": 28.14, "volume": 35642057 }, { "date": "03/12/13", "open": 28.1, "high": 28.32, "low": 27.6, "close": 27.83, "volume": 27569590 }, { "date": "03/13/13", "open": 27.62, "high": 27.65, "low": 26.92, "close": 27.08, "volume": 39619443 }, { "date": "03/14/13", "open": 27.1, "high": 27.43, "low": 26.83, "close": 27.04, "volume": 27646381 }, { "date": "03/15/13", "open": 27.03, "high": 27.06, "low": 26.56, "close": 26.64, "volume": 31597364 }, { "date": "03/18/13", "open": 26.37, "high": 26.79, "low": 25.78, "close": 26.49, "volume": 26653641 }, { "date": "03/19/13", "open": 26.53, "high": 26.9, "low": 26.21, "close": 26.55, "volume": 25254152 }, { "date": "03/20/13", "open": 26.68, "high": 26.69, "low": 25.78, "close": 25.86, "volume": 44006434 }, { "date": "03/21/13", "open": 25.66, "high": 26.11, "low": 25.56, "close": 25.74, "volume": 24336012 }, { "date": "03/22/13", "open": 25.8, "high": 26.01, "low": 25.63, "close": 25.73, "volume": 18456268 }, { "date": "03/25/13", "open": 25.75, "high": 25.8, "low": 25.08, "close": 25.13, "volume": 39198947 }, { "date": "03/26/13", "open": 25.08, "high": 25.48, "low": 25.03, "close": 25.2, "volume": 26957135 }, { "date": "03/27/13", "open": 25, "high": 26.28, "low": 24.72, "close": 26.09, "volume": 52297328 }, { "date": "03/28/13", "open": 26.09, "high": 26.17, "low": 25.52, "close": 25.58, "volume": 28585612 }, { "date": "04/01/13", "open": 25.63, "high": 25.89, "low": 25.28, "close": 25.53, "volume": 22249212 }, { "date": "04/02/13", "open": 25.77, "high": 26.12, "low": 25.3, "close": 25.42, "volume": 35153292 }, { "date": "04/03/13", "open": 25.83, "high": 26.39, "low": 25.7, "close": 26.25, "volume": 48195118 }, { "date": "04/04/13", "open": 26.62, "high": 27.23, "low": 26.11, "close": 27.07, "volume": 82016745 }, { "date": "04/05/13", "open": 26.86, "high": 27.8, "low": 26.61, "close": 27.39, "volume": 64566510 }, { "date": "04/08/13", "open": 27.19, "high": 27.2, "low": 26.63, "close": 26.85, "volume": 27255982 }, { "date": "04/09/13", "open": 26.58, "high": 26.89, "low": 26.42, "close": 26.59, "volume": 21311013 }, { "date": "04/10/13", "open": 27.01, "high": 27.84, "low": 26.9, "close": 27.57, "volume": 45949361 }, { "date": "04/11/13", "open": 27.48, "high": 28.1, "low": 27.25, "close": 28.02, "volume": 33368462 }, { "date": "04/12/13", "open": 28, "high": 28, "low": 27.24, "close": 27.4, "volume": 28697400 }, { "date": "04/15/13", "open": 27.16, "high": 27.48, "low": 26.36, "close": 26.52, "volume": 30275356 }, { "date": "04/16/13", "open": 26.81, "high": 27.11, "low": 26.4, "close": 26.92, "volume": 27396392 }, { "date": "04/17/13", "open": 26.65, "high": 27.2, "low": 26.39, "close": 26.62, "volume": 26440537 }, { "date": "04/18/13", "open": 26.82, "high": 26.82, "low": 25.15, "close": 25.69, "volume": 39058905 }, { "date": "04/19/13", "open": 25.62, "high": 25.96, "low": 25.33, "close": 25.73, "volume": 20380862 }, { "date": "04/22/13", "open": 25.81, "high": 26.36, "low": 25.7, "close": 25.97, "volume": 25687549 }, { "date": "04/23/13", "open": 26.22, "high": 26.33, "low": 25.77, "close": 25.98, "volume": 25191467 }, { "date": "04/24/13", "open": 25.93, "high": 26.4, "low": 25.8, "close": 26.11, "volume": 19729809 }, { "date": "04/25/13", "open": 26.07, "high": 26.4, "low": 26, "close": 26.14, "volume": 17149965 }, { "date": "04/26/13", "open": 26.6, "high": 27.62, "low": 26.6, "close": 26.85, "volume": 33017958 }, { "date": "04/29/13", "open": 27.16, "high": 27.41, "low": 26.86, "close": 26.98, "volume": 29201070 }, { "date": "04/30/13", "open": 27.13, "high": 27.85, "low": 27, "close": 27.77, "volume": 36245633 }, { "date": "05/01/13", "open": 27.85, "high": 27.92, "low": 27.31, "close": 27.43, "volume": 64567590 }, { "date": "05/02/13", "open": 28.01, "high": 29.02, "low": 27.98, "close": 28.97, "volume": 104256921 }, { "date": "05/03/13", "open": 29.04, "high": 29.07, "low": 28.15, "close": 28.31, "volume": 58506376 }, { "date": "05/06/13", "open": 28.33, "high": 28.46, "low": 27.48, "close": 27.57, "volume": 43939307 }, { "date": "05/07/13", "open": 27.55, "high": 27.85, "low": 26.85, "close": 26.89, "volume": 41259083 }, { "date": "05/08/13", "open": 26.88, "high": 27.3, "low": 26.65, "close": 27.12, "volume": 34654851 }, { "date": "05/09/13", "open": 27.08, "high": 27.55, "low": 26.85, "close": 27.04, "volume": 33457150 }, { "date": "05/10/13", "open": 27.14, "high": 27.3, "low": 26.57, "close": 26.68, "volume": 30847022 }, { "date": "05/13/13", "open": 26.6, "high": 27.32, "low": 26.53, "close": 26.82, "volume": 29068764 }, { "date": "05/14/13", "open": 26.89, "high": 27.28, "low": 26.82, "close": 27.07, "volume": 24930207 }, { "date": "05/15/13", "open": 26.92, "high": 26.99, "low": 26.4, "close": 26.6, "volume": 30299761 }, { "date": "05/16/13", "open": 26.48, "high": 26.55, "low": 25.9, "close": 26.13, "volume": 35506976 }, { "date": "05/17/13", "open": 26.4, "high": 26.6, "low": 26.2, "close": 26.25, "volume": 29462605 }, { "date": "05/20/13", "open": 26.18, "high": 26.19, "low": 25.69, "close": 25.76, "volume": 42402874 }, { "date": "05/21/13", "open": 25.87, "high": 26.08, "low": 25.59, "close": 25.66, "volume": 26261210 }, { "date": "05/22/13", "open": 25.65, "high": 25.85, "low": 24.92, "close": 25.16, "volume": 45314475 }, { "date": "05/23/13", "open": 24.8, "high": 25.53, "low": 24.77, "close": 25.06, "volume": 37697202 }, { "date": "05/24/13", "open": 24.97, "high": 24.97, "low": 24.08, "close": 24.31, "volume": 58727882 }, { "date": "05/28/13", "open": 24.54, "high": 24.54, "low": 23.92, "close": 24.1, "volume": 50079642 }, { "date": "05/29/13", "open": 23.79, "high": 23.81, "low": 23.26, "close": 23.32, "volume": 64237702 }, { "date": "05/30/13", "open": 24.13, "high": 24.78, "low": 23.93, "close": 24.55, "volume": 60733122 }, { "date": "05/31/13", "open": 24.63, "high": 24.95, "low": 24.27, "close": 24.35, "volume": 35924917 }, { "date": "06/03/13", "open": 24.26, "high": 24.32, "low": 23.71, "close": 23.85, "volume": 35733795 }, { "date": "06/04/13", "open": 23.89, "high": 23.93, "low": 23.32, "close": 23.52, "volume": 34808997 }, { "date": "06/05/13", "open": 23.35, "high": 23.7, "low": 22.79, "close": 22.9, "volume": 53819645 }, { "date": "06/06/13", "open": 22.99, "high": 23.09, "low": 22.67, "close": 22.97, "volume": 31260660 }, { "date": "06/07/13", "open": 23.03, "high": 23.4, "low": 22.86, "close": 23.29, "volume": 38699124 }, { "date": "06/10/13", "open": 24.06, "high": 24.6, "low": 23.99, "close": 24.33, "volume": 58392986 }, { "date": "06/11/13", "open": 24.03, "high": 24.35, "low": 24, "close": 24.03, "volume": 29676383 }, { "date": "06/12/13", "open": 24.16, "high": 24.26, "low": 23.58, "close": 23.77, "volume": 26445790 }, { "date": "06/13/13", "open": 23.72, "high": 23.83, "low": 23.26, "close": 23.73, "volume": 31189247 }, { "date": "06/14/13", "open": 23.56, "high": 23.89, "low": 23.26, "close": 23.63, "volume": 30561387 }, { "date": "06/17/13", "open": 23.91, "high": 24.25, "low": 23.75, "close": 24.02, "volume": 33664419 }, { "date": "06/18/13", "open": 24.09, "high": 24.69, "low": 24.08, "close": 24.21, "volume": 36709004 }, { "date": "06/19/13", "open": 24.2, "high": 25.19, "low": 24.1, "close": 24.31, "volume": 31790525 }, { "date": "06/20/13", "open": 24.28, "high": 24.74, "low": 23.65, "close": 23.9, "volume": 42765586 }, { "date": "06/21/13", "open": 24.59, "high": 24.7, "low": 24.05, "close": 24.53, "volume": 45826173 }, { "date": "06/24/13", "open": 23.95, "high": 24.11, "low": 23.38, "close": 23.94, "volume": 40625948 }, { "date": "06/25/13", "open": 24.14, "high": 24.43, "low": 24.04, "close": 24.25, "volume": 24719988 }, { "date": "06/26/13", "open": 24.51, "high": 24.65, "low": 23.99, "close": 24.16, "volume": 29890205 }, { "date": "06/27/13", "open": 24.24, "high": 24.84, "low": 24.21, "close": 24.66, "volume": 34694013 }, { "date": "06/28/13", "open": 24.68, "high": 24.98, "low": 24.42, "close": 24.88, "volume": 96778879 }, { "date": "07/01/13", "open": 24.97, "high": 25.06, "low": 24.62, "close": 24.81, "volume": 20582195 }, { "date": "07/02/13", "open": 24.7, "high": 24.77, "low": 24.3, "close": 24.41, "volume": 18394008 }, { "date": "07/03/13", "open": 24.22, "high": 24.71, "low": 24.15, "close": 24.52, "volume": 10404332 }, { "date": "07/05/13", "open": 24.65, "high": 24.66, "low": 24.2, "close": 24.37, "volume": 20229451 }, { "date": "07/08/13", "open": 24.47, "high": 25.04, "low": 24.42, "close": 24.71, "volume": 27073983 }, { "date": "07/09/13", "open": 25.07, "high": 25.49, "low": 25.03, "close": 25.48, "volume": 30387889 }, { "date": "07/10/13", "open": 25.58, "high": 25.83, "low": 25.47, "close": 25.8, "volume": 26721794 }, { "date": "07/11/13", "open": 25.96, "high": 26, "low": 25.45, "close": 25.81, "volume": 26777354 }, { "date": "07/12/13", "open": 25.74, "high": 25.93, "low": 25.55, "close": 25.91, "volume": 16537840 }, { "date": "07/15/13", "open": 25.93, "high": 26.43, "low": 25.65, "close": 26.28, "volume": 24233957 }, { "date": "07/16/13", "open": 26.39, "high": 26.75, "low": 26.01, "close": 26.32, "volume": 30817554 }, { "date": "07/17/13", "open": 26.37, "high": 26.78, "low": 26.3, "close": 26.65, "volume": 21518463 }, { "date": "07/18/13", "open": 26.75, "high": 26.77, "low": 26.12, "close": 26.18, "volume": 24806825 }, { "date": "07/19/13", "open": 25.82, "high": 26.11, "low": 25.6, "close": 25.88, "volume": 46544938 }, { "date": "07/22/13", "open": 25.99, "high": 26.13, "low": 25.72, "close": 26.04, "volume": 27526213 }, { "date": "07/23/13", "open": 26.1, "high": 26.3, "low": 25.97, "close": 26.13, "volume": 28221534 }, { "date": "07/24/13", "open": 26.32, "high": 26.53, "low": 26.05, "close": 26.51, "volume": 82635587 }, { "date": "07/25/13", "open": 33.54, "high": 34.88, "low": 32.75, "close": 34.36, "volume": 365935212 }, { "date": "07/26/13", "open": 33.77, "high": 34.73, "low": 33.56, "close": 34.01, "volume": 136028897 }, { "date": "07/29/13", "open": 34.07, "high": 35.63, "low": 34.01, "close": 35.43, "volume": 124884870 }, { "date": "07/30/13", "open": 35.65, "high": 37.96, "low": 35.32, "close": 37.63, "volume": 173582710 }, { "date": "07/31/13", "open": 37.96, "high": 38.31, "low": 36.33, "close": 36.8, "volume": 154828679 }, { "date": "08/01/13", "open": 37.3, "high": 38.29, "low": 36.92, "close": 37.49, "volume": 106066472 }, { "date": "08/02/13", "open": 37.66, "high": 38.49, "low": 37.5, "close": 38.05, "volume": 73058424 }, { "date": "08/05/13", "open": 38.43, "high": 39.32, "low": 38.25, "close": 39.19, "volume": 79994774 }, { "date": "08/06/13", "open": 39.11, "high": 39.25, "low": 37.94, "close": 38.55, "volume": 63950791 }, { "date": "08/07/13", "open": 38.61, "high": 38.94, "low": 37.7, "close": 38.87, "volume": 68854764 }, { "date": "08/08/13", "open": 39.13, "high": 39.19, "low": 38.43, "close": 38.54, "volume": 41300906 }, { "date": "08/09/13", "open": 38.59, "high": 38.74, "low": 38.01, "close": 38.5, "volume": 43620024 }, { "date": "08/12/13", "open": 38.2, "high": 38.5, "low": 38.1, "close": 38.22, "volume": 31160951 }, { "date": "08/13/13", "open": 38.24, "high": 38.32, "low": 36.77, "close": 37.02, "volume": 65379198 }, { "date": "08/14/13", "open": 36.83, "high": 37.55, "low": 36.62, "close": 36.65, "volume": 48423890 }, { "date": "08/15/13", "open": 36.36, "high": 37.07, "low": 36.02, "close": 36.56, "volume": 56521095 }, { "date": "08/16/13", "open": 36.97, "high": 37.49, "low": 36.9, "close": 37.08, "volume": 45840714 }, { "date": "08/19/13", "open": 37.43, "high": 38.28, "low": 37.14, "close": 37.81, "volume": 57609591 }, { "date": "08/20/13", "open": 38.35, "high": 38.58, "low": 37.69, "close": 38.41, "volume": 57995140 }, { "date": "08/21/13", "open": 38.38, "high": 38.85, "low": 38.14, "close": 38.32, "volume": 46116868 }, { "date": "08/22/13", "open": 38.37, "high": 38.75, "low": 38.34, "close": 38.55, "volume": 21931163 }, { "date": "08/23/13", "open": 39, "high": 40.63, "low": 38.93, "close": 40.55, "volume": 86442283 }, { "date": "08/26/13", "open": 40.9, "high": 41.94, "low": 40.62, "close": 41.34, "volume": 94162358 }, { "date": "08/27/13", "open": 40.68, "high": 41.2, "low": 39.42, "close": 39.64, "volume": 72695050 }, { "date": "08/28/13", "open": 39.96, "high": 40.85, "low": 39.88, "close": 40.55, "volume": 57918194 }, { "date": "08/29/13", "open": 40.89, "high": 41.78, "low": 40.8, "close": 41.28, "volume": 58303395 }, { "date": "08/30/13", "open": 42.02, "high": 42.26, "low": 41.06, "close": 41.29, "volume": 67735053 }, { "date": "09/03/13", "open": 41.84, "high": 42.16, "low": 41.51, "close": 41.87, "volume": 48774896 }, { "date": "09/04/13", "open": 42.01, "high": 42.17, "low": 41.44, "close": 41.78, "volume": 42581854 }, { "date": "09/05/13", "open": 41.79, "high": 42.76, "low": 41.77, "close": 42.66, "volume": 50035380 }, { "date": "09/06/13", "open": 43.09, "high": 44.61, "low": 42.4, "close": 43.95, "volume": 117535626 }, { "date": "09/09/13", "open": 44.36, "high": 44.79, "low": 43.7, "close": 44.04, "volume": 75794696 }, { "date": "09/10/13", "open": 44.24, "high": 44.26, "low": 43.23, "close": 43.6, "volume": 54540282 }, { "date": "09/11/13", "open": 43.39, "high": 45.09, "low": 43.11, "close": 45.04, "volume": 71676653 }, { "date": "09/12/13", "open": 45.53, "high": 45.62, "low": 44.65, "close": 44.75, "volume": 68072239 }, { "date": "09/13/13", "open": 45.04, "high": 45.08, "low": 43.93, "close": 44.31, "volume": 52765299 }, { "date": "09/16/13", "open": 44.85, "high": 44.94, "low": 42.43, "close": 42.51, "volume": 70807761 }, { "date": "09/17/13", "open": 42.5, "high": 45.44, "low": 42.43, "close": 45.07, "volume": 91934557 }, { "date": "09/18/13", "open": 44.84, "high": 45.47, "low": 44.4, "close": 45.23, "volume": 79316945 }, { "date": "09/19/13", "open": 45.51, "high": 46.05, "low": 45.23, "close": 45.98, "volume": 63972369 }, { "date": "09/20/13", "open": 46.32, "high": 47.6, "low": 45.74, "close": 47.49, "volume": 115508400 }, { "date": "09/23/13", "open": 47.28, "high": 47.55, "low": 46.29, "close": 47.19, "volume": 75319202 }, { "date": "09/24/13", "open": 48.5, "high": 49.66, "low": 48.16, "close": 48.45, "volume": 136716101 }, { "date": "09/25/13", "open": 49.23, "high": 49.54, "low": 48.46, "close": 49.46, "volume": 87879619 }, { "date": "09/26/13", "open": 50.01, "high": 50.6, "low": 49.5, "close": 50.39, "volume": 98220046 }, { "date": "09/27/13", "open": 50.29, "high": 51.28, "low": 49.86, "close": 51.24, "volume": 81410460 }, { "date": "09/30/13", "open": 50.14, "high": 51.6, "low": 49.8, "close": 50.23, "volume": 100095417 }, { "date": "10/01/13", "open": 49.97, "high": 51.03, "low": 49.45, "close": 50.42, "volume": 98113699 }, { "date": "10/02/13", "open": 50.13, "high": 51.1, "low": 49.95, "close": 50.28, "volume": 62834429 }, { "date": "10/03/13", "open": 50.47, "high": 50.72, "low": 49.06, "close": 49.18, "volume": 82045323 }, { "date": "10/04/13", "open": 49.77, "high": 51.16, "low": 49.57, "close": 51.04, "volume": 74446947 }, { "date": "10/07/13", "open": 50.73, "high": 51.29, "low": 50.4, "close": 50.52, "volume": 57203957 }, { "date": "10/08/13", "open": 50.6, "high": 50.6, "low": 47.08, "close": 47.14, "volume": 136081330 }, { "date": "10/09/13", "open": 47.38, "high": 47.84, "low": 45.26, "close": 46.77, "volume": 147296862 }, { "date": "10/10/13", "open": 47.86, "high": 49.68, "low": 47.83, "close": 49.05, "volume": 99773784 }, { "date": "10/11/13", "open": 49.18, "high": 49.87, "low": 48.79, "close": 49.11, "volume": 58428451 }, { "date": "10/14/13", "open": 48.31, "high": 49.63, "low": 47.91, "close": 49.51, "volume": 68780552 }, { "date": "10/15/13", "open": 49.99, "high": 51, "low": 49.18, "close": 49.5, "volume": 81166571 }, { "date": "10/16/13", "open": 50.04, "high": 51.24, "low": 49.9, "close": 51.14, "volume": 64678247 }, { "date": "10/17/13", "open": 51.12, "high": 52.22, "low": 50.95, "close": 52.21, "volume": 71521899 }, { "date": "10/18/13", "open": 54.18, "high": 54.82, "low": 53.6, "close": 54.22, "volume": 88260093 }, { "date": "10/21/13", "open": 54.68, "high": 54.81, "low": 53.51, "close": 53.85, "volume": 58235283 }, { "date": "10/22/13", "open": 54.33, "high": 54.76, "low": 52.2, "close": 52.68, "volume": 83203892 }, { "date": "10/23/13", "open": 51.75, "high": 52.25, "low": 51.13, "close": 51.9, "volume": 57207154 }, { "date": "10/24/13", "open": 52.38, "high": 52.84, "low": 51.59, "close": 52.44, "volume": 46775185 }, { "date": "10/25/13", "open": 53.18, "high": 53.24, "low": 51.88, "close": 51.95, "volume": 45085348 }, { "date": "10/28/13", "open": 51.54, "high": 51.7, "low": 49.61, "close": 50.23, "volume": 73472347 }, { "date": "10/29/13", "open": 50.73, "high": 50.79, "low": 49.25, "close": 49.4, "volume": 102143469 }, { "date": "10/30/13", "open": 50, "high": 50.21, "low": 48.75, "close": 49.01, "volume": 127072652 }, { "date": "10/31/13", "open": 47.16, "high": 52, "low": 46.5, "close": 50.2, "volume": 248809006 }, { "date": "11/01/13", "open": 50.85, "high": 52.09, "low": 49.72, "close": 49.75, "volume": 95032876 }, { "date": "11/04/13", "open": 49.36, "high": 49.75, "low": 48.02, "close": 48.22, "volume": 80371218 }, { "date": "11/05/13", "open": 47.79, "high": 50.18, "low": 47.51, "close": 50.1, "volume": 76835006 }, { "date": "11/06/13", "open": 50.26, "high": 50.45, "low": 48.71, "close": 49.12, "volume": 67889337 }, { "date": "11/07/13", "open": 49.24, "high": 49.87, "low": 47.3, "close": 47.56, "volume": 97127618 }, { "date": "11/08/13", "open": 47.81, "high": 48.65, "low": 47.25, "close": 47.53, "volume": 70731178 }, { "date": "11/11/13", "open": 47.04, "high": 47.53, "low": 45.73, "close": 46.2, "volume": 80909626 }, { "date": "11/12/13", "open": 46, "high": 47.37, "low": 45.83, "close": 46.6, "volume": 68195832 }, { "date": "11/13/13", "open": 46.23, "high": 48.74, "low": 46.06, "close": 48.71, "volume": 79245346 }, { "date": "11/14/13", "open": 48.7, "high": 49.57, "low": 48.03, "close": 48.99, "volume": 75117049 }, { "date": "11/15/13", "open": 49.11, "high": 49.48, "low": 48.71, "close": 49.01, "volume": 42452937 }, { "date": "11/18/13", "open": 48.47, "high": 48.84, "low": 45.8, "close": 45.83, "volume": 85909884 }, { "date": "11/19/13", "open": 46.26, "high": 47, "low": 45.72, "close": 46.36, "volume": 75602413 }, { "date": "11/20/13", "open": 46.61, "high": 47.55, "low": 46.31, "close": 46.43, "volume": 53932698 }, { "date": "11/21/13", "open": 46.99, "high": 47.46, "low": 46.68, "close": 46.7, "volume": 34886170 }, { "date": "11/22/13", "open": 47.04, "high": 47.27, "low": 45.96, "close": 46.23, "volume": 40545375 }, { "date": "11/25/13", "open": 46.36, "high": 46.65, "low": 44.04, "close": 44.82, "volume": 82565324 }, { "date": "11/26/13", "open": 44.66, "high": 46.17, "low": 43.55, "close": 45.89, "volume": 82016490 }, { "date": "11/27/13", "open": 45.97, "high": 46.67, "low": 45.53, "close": 46.49, "volume": 44993195 }, { "date": "11/29/13", "open": 46.75, "high": 47.21, "low": 46.5, "close": 47.01, "volume": 22953916 }, { "date": "12/02/13", "open": 46.9, "high": 47.54, "low": 46.26, "close": 47.06, "volume": 50773647 }, { "date": "12/03/13", "open": 46.75, "high": 47.2, "low": 46.29, "close": 46.73, "volume": 32085905 }, { "date": "12/04/13", "open": 46.46, "high": 48.77, "low": 46.26, "close": 48.62, "volume": 60890176 }, { "date": "12/05/13", "open": 48.15, "high": 48.7, "low": 47.87, "close": 48.34, "volume": 43855036 }, { "date": "12/06/13", "open": 48.98, "high": 49.39, "low": 47.71, "close": 47.94, "volume": 42937659 }, { "date": "12/09/13", "open": 48.06, "high": 48.97, "low": 47.74, "close": 48.84, "volume": 36055891 }, { "date": "12/10/13", "open": 48.62, "high": 50.77, "low": 48.54, "close": 50.24, "volume": 68478561 }, { "date": "12/11/13", "open": 50.56, "high": 50.77, "low": 49.01, "close": 49.38, "volume": 65776366 }, { "date": "12/12/13", "open": 51.03, "high": 52.07, "low": 50.66, "close": 51.83, "volume": 92723034 }, { "date": "12/13/13", "open": 51.61, "high": 53.5, "low": 51.34, "close": 53.32, "volume": 82640992 }, { "date": "12/16/13", "open": 53.27, "high": 54.5, "low": 52.91, "close": 53.81, "volume": 85118518 }, { "date": "12/17/13", "open": 54.75, "high": 55.18, "low": 54.24, "close": 54.86, "volume": 78751463 }, { "date": "12/18/13", "open": 55.57, "high": 55.89, "low": 53.75, "close": 55.57, "volume": 76003479 }, { "date": "12/19/13", "open": 54.34, "high": 55.19, "low": 53.95, "close": 55.05, "volume": 89825393 }, { "date": "12/20/13", "open": 54.91, "high": 55.15, "low": 54.23, "close": 55.12, "volume": 239823912 }, { "date": "12/23/13", "open": 55.5, "high": 58.32, "low": 55.45, "close": 57.77, "volume": 98296983 }, { "date": "12/24/13", "open": 58.27, "high": 58.58, "low": 56.91, "close": 57.96, "volume": 46617754 }, { "date": "12/26/13", "open": 58.32, "high": 58.38, "low": 57.37, "close": 57.73, "volume": 55101367 }, { "date": "12/27/13", "open": 57.48, "high": 57.68, "low": 55.25, "close": 55.44, "volume": 60465751 }, { "date": "12/30/13", "open": 54.93, "high": 55.18, "low": 53.43, "close": 53.71, "volume": 68307317 }, { "date": "12/31/13", "open": 54.12, "high": 54.86, "low": 53.91, "close": 54.65, "volume": 43152127 }, { "date": "01/02/14", "open": 54.83, "high": 55.22, "low": 54.19, "close": 54.71, "volume": 43257622 }, { "date": "01/03/14", "open": 55.02, "high": 55.65, "low": 54.53, "close": 54.56, "volume": 38287706 }, { "date": "01/06/14", "open": 54.42, "high": 57.26, "low": 54.05, "close": 57.2, "volume": 68974359 }, { "date": "01/07/14", "open": 57.7, "high": 58.55, "low": 57.22, "close": 57.92, "volume": 77329009 }, { "date": "01/08/14", "open": 57.6, "high": 58.41, "low": 57.23, "close": 58.23, "volume": 56800776 }, { "date": "01/09/14", "open": 58.65, "high": 58.96, "low": 56.65, "close": 57.22, "volume": 92349222 }, { "date": "01/10/14", "open": 57.13, "high": 58.3, "low": 57.06, "close": 57.94, "volume": 42529258 }, { "date": "01/13/14", "open": 57.91, "high": 58.25, "low": 55.38, "close": 55.91, "volume": 63106519 }, { "date": "01/14/14", "open": 56.46, "high": 57.78, "low": 56.1, "close": 57.74, "volume": 37590987 }, { "date": "01/15/14", "open": 57.98, "high": 58.57, "low": 57.27, "close": 57.6, "volume": 33730619 }, { "date": "01/16/14", "open": 57.26, "high": 58.02, "low": 56.83, "close": 57.19, "volume": 34599775 }, { "date": "01/17/14", "open": 57.3, "high": 57.82, "low": 56.07, "close": 56.3, "volume": 40883205 }, { "date": "01/21/14", "open": 56.6, "high": 58.58, "low": 56.5, "close": 58.51, "volume": 48734147 }, { "date": "01/22/14", "open": 58.85, "high": 59.31, "low": 57.1, "close": 57.51, "volume": 61495880 }, { "date": "01/23/14", "open": 56.37, "high": 56.68, "low": 55.69, "close": 56.63, "volume": 47996403 }, { "date": "01/24/14", "open": 56.15, "high": 56.42, "low": 54.4, "close": 54.45, "volume": 55545338 }, { "date": "01/27/14", "open": 54.73, "high": 54.94, "low": 51.85, "close": 53.55, "volume": 74142331 }, { "date": "01/28/14", "open": 54.02, "high": 55.28, "low": 54, "close": 55.14, "volume": 48364998 }, { "date": "01/29/14", "open": 54.61, "high": 54.95, "low": 53.19, "close": 53.53, "volume": 98089932 }, { "date": "01/30/14", "open": 62.12, "high": 62.5, "low": 60.46, "close": 61.08, "volume": 150438699 }, { "date": "01/31/14", "open": 60.47, "high": 63.37, "low": 60.17, "close": 62.57, "volume": 87930298 }, { "date": "02/03/14", "open": 63.03, "high": 63.77, "low": 60.7, "close": 61.48, "volume": 75105994 }, { "date": "02/04/14", "open": 62.05, "high": 63.14, "low": 61.82, "close": 62.75, "volume": 46064897 }, { "date": "02/05/14", "open": 62.74, "high": 63.16, "low": 61.27, "close": 62.19, "volume": 53032420 }, { "date": "02/06/14", "open": 61.46, "high": 62.78, "low": 61.46, "close": 62.16, "volume": 42153754 }, { "date": "02/07/14", "open": 62.27, "high": 64.57, "low": 62.22, "close": 64.32, "volume": 60835746 }, { "date": "02/10/14", "open": 64.3, "high": 64.49, "low": 63.47, "close": 63.55, "volume": 43736562 }, { "date": "02/11/14", "open": 63.75, "high": 65, "low": 63.35, "close": 64.85, "volume": 45746832 }, { "date": "02/12/14", "open": 64.92, "high": 65.06, "low": 64.05, "close": 64.45, "volume": 47409857 }, { "date": "02/13/14", "open": 64.18, "high": 67.33, "low": 64.05, "close": 67.33, "volume": 62013396 }, { "date": "02/14/14", "open": 67.5, "high": 67.58, "low": 66.72, "close": 67.09, "volume": 36786427 }, { "date": "02/18/14", "open": 66.94, "high": 67.54, "low": 66.07, "close": 67.3, "volume": 43862297 }, { "date": "02/19/14", "open": 67.05, "high": 69.08, "low": 67, "close": 68.06, "volume": 64258631 }, { "date": "02/20/14", "open": 67.73, "high": 70.11, "low": 65.73, "close": 69.63, "volume": 131043748 }, { "date": "02/21/14", "open": 69.69, "high": 69.96, "low": 68.45, "close": 68.59, "volume": 70991892 }, { "date": "02/24/14", "open": 68.74, "high": 71.44, "low": 68.54, "close": 70.78, "volume": 76951946 }, { "date": "02/25/14", "open": 70.95, "high": 71, "low": 69.45, "close": 69.85, "volume": 52189031 }, { "date": "02/26/14", "open": 70.19, "high": 71.22, "low": 68.85, "close": 69.26, "volume": 55400399 }, { "date": "02/27/14", "open": 69.34, "high": 70.01, "low": 68.87, "close": 68.94, "volume": 41695855 }, { "date": "02/28/14", "open": 69.47, "high": 69.88, "low": 67.38, "close": 68.46, "volume": 66900863 }, { "date": "03/03/14", "open": 66.96, "high": 68.05, "low": 66.51, "close": 67.41, "volume": 56900444 }, { "date": "03/04/14", "open": 68.66, "high": 68.9, "low": 67.62, "close": 68.8, "volume": 42164222 }, { "date": "03/05/14", "open": 69.69, "high": 71.97, "low": 69.62, "close": 71.57, "volume": 74649486 }, { "date": "03/06/14", "open": 71.88, "high": 71.89, "low": 70.25, "close": 70.84, "volume": 46126260 }, { "date": "03/07/14", "open": 71.08, "high": 71.18, "low": 69.47, "close": 69.8, "volume": 38985763 }, { "date": "03/10/14", "open": 70.77, "high": 72.15, "low": 70.51, "close": 72.03, "volume": 59949746 }, { "date": "03/11/14", "open": 72.5, "high": 72.59, "low": 69.96, "close": 70.1, "volume": 59615238 }, { "date": "03/12/14", "open": 69.86, "high": 71.35, "low": 69, "close": 70.88, "volume": 46400431 }, { "date": "03/13/14", "open": 71.29, "high": 71.35, "low": 68.15, "close": 68.83, "volume": 57091157 }, { "date": "03/14/14", "open": 68.49, "high": 69.43, "low": 67.46, "close": 67.72, "volume": 48226824 }, { "date": "03/17/14", "open": 68.18, "high": 68.95, "low": 66.62, "close": 68.74, "volume": 52196699 }, { "date": "03/18/14", "open": 68.76, "high": 69.6, "low": 68.3, "close": 69.19, "volume": 40827226 }, { "date": "03/19/14", "open": 69.17, "high": 69.29, "low": 67.46, "close": 68.24, "volume": 43980558 }, { "date": "03/20/14", "open": 68.01, "high": 68.23, "low": 66.82, "close": 66.97, "volume": 44438500 }, { "date": "03/21/14", "open": 67.53, "high": 67.92, "low": 66.18, "close": 67.24, "volume": 60041228 }, { "date": "03/24/14", "open": 67.19, "high": 67.36, "low": 63.36, "close": 64.1, "volume": 85695872 }, { "date": "03/25/14", "open": 64.89, "high": 66.19, "low": 63.78, "close": 64.89, "volume": 68785500 }, { "date": "03/26/14", "open": 64.74, "high": 64.95, "low": 60.37, "close": 60.38, "volume": 97689774 }, { "date": "03/27/14", "open": 60.51, "high": 61.9, "low": 57.98, "close": 60.97, "volume": 112649694 }, { "date": "03/28/14", "open": 61.34, "high": 61.95, "low": 59.34, "close": 60.01, "volume": 67051528 }, { "date": "03/31/14", "open": 60.78, "high": 61.52, "low": 59.87, "close": 60.24, "volume": 53011205 }, { "date": "04/01/14", "open": 60.46, "high": 62.66, "low": 60.24, "close": 62.62, "volume": 59291210 }, { "date": "04/02/14", "open": 63.21, "high": 63.91, "low": 62.21, "close": 62.72, "volume": 66276613 }, { "date": "04/03/14", "open": 62.55, "high": 63.17, "low": 59.13, "close": 59.49, "volume": 83859330 }, { "date": "04/04/14", "open": 59.94, "high": 60.2, "low": 56.32, "close": 56.75, "volume": 125465774 }, { "date": "04/07/14", "open": 55.9, "high": 58, "low": 55.44, "close": 56.95, "volume": 108487569 }, { "date": "04/08/14", "open": 57.68, "high": 58.71, "low": 57.17, "close": 58.19, "volume": 78835935 }, { "date": "04/09/14", "open": 59.63, "high": 62.46, "low": 59.19, "close": 62.41, "volume": 100215307 }, { "date": "04/10/14", "open": 63.08, "high": 63.18, "low": 58.68, "close": 59.16, "volume": 114987616 }, { "date": "04/11/14", "open": 57.6, "high": 60.31, "low": 57.31, "close": 58.53, "volume": 91451960 }, { "date": "04/14/14", "open": 60.09, "high": 60.45, "low": 57.78, "close": 58.89, "volume": 72324603 }, { "date": "04/15/14", "open": 59.29, "high": 59.68, "low": 55.88, "close": 59.09, "volume": 108622706 }, { "date": "04/16/14", "open": 59.79, "high": 60.19, "low": 57.74, "close": 59.72, "volume": 78773521 }, { "date": "04/17/14", "open": 59.3, "high": 60.58, "low": 58.72, "close": 58.94, "volume": 88040346 }, { "date": "04/21/14", "open": 59.46, "high": 61.24, "low": 59.15, "close": 61.24, "volume": 60363619 }, { "date": "04/22/14", "open": 62.65, "high": 63.44, "low": 62.22, "close": 63.03, "volume": 60631312 }, { "date": "04/23/14", "open": 63.45, "high": 63.48, "low": 61.26, "close": 61.36, "volume": 96564750 }, { "date": "04/24/14", "open": 63.6, "high": 63.65, "low": 59.77, "close": 60.87, "volume": 138769345 }, { "date": "04/25/14", "open": 59.97, "high": 60.01, "low": 57.57, "close": 57.71, "volume": 92501529 }, { "date": "04/28/14", "open": 58.05, "high": 58.31, "low": 54.66, "close": 56.14, "volume": 107757756 }, { "date": "04/29/14", "open": 56.09, "high": 58.28, "low": 55.84, "close": 58.15, "volume": 75557202 }, { "date": "04/30/14", "open": 57.58, "high": 59.85, "low": 57.16, "close": 59.78, "volume": 76093004 }, { "date": "05/01/14", "open": 60.43, "high": 62.28, "low": 60.21, "close": 61.15, "volume": 82428606 }, { "date": "05/02/14", "open": 61.3, "high": 61.89, "low": 60.18, "close": 60.46, "volume": 54189197 }, { "date": "05/05/14", "open": 59.67, "high": 61.35, "low": 59.18, "close": 61.22, "volume": 46057411 }, { "date": "05/06/14", "open": 60.98, "high": 61.15, "low": 58.49, "close": 58.53, "volume": 55900809 }, { "date": "05/07/14", "open": 58.77, "high": 59.3, "low": 56.26, "close": 57.39, "volume": 78587247 }, { "date": "05/08/14", "open": 57.23, "high": 58.82, "low": 56.5, "close": 56.76, "volume": 61251053 }, { "date": "05/09/14", "open": 56.85, "high": 57.65, "low": 56.38, "close": 57.24, "volume": 52583858 }, { "date": "05/12/14", "open": 57.98, "high": 59.9, "low": 57.98, "close": 59.83, "volume": 48575487 }, { "date": "05/13/14", "open": 59.66, "high": 60.89, "low": 59.51, "close": 59.83, "volume": 48525476 }, { "date": "05/14/14", "open": 59.53, "high": 60.45, "low": 58.95, "close": 59.23, "volume": 47428583 }, { "date": "05/15/14", "open": 59.26, "high": 59.38, "low": 57.52, "close": 57.92, "volume": 56813940 }, { "date": "05/16/14", "open": 58.31, "high": 58.45, "low": 57.31, "close": 58.02, "volume": 47933075 }, { "date": "05/19/14", "open": 57.89, "high": 59.56, "low": 57.57, "close": 59.21, "volume": 43033925 }, { "date": "05/20/14", "open": 59.5, "high": 60.19, "low": 58.18, "close": 58.56, "volume": 53931469 }, { "date": "05/21/14", "open": 58.56, "high": 60.5, "low": 58.25, "close": 60.49, "volume": 58991505 }, { "date": "05/22/14", "open": 60.94, "high": 61.48, "low": 60.4, "close": 60.52, "volume": 54200116 }, { "date": "05/23/14", "open": 60.41, "high": 61.45, "low": 60.15, "close": 61.35, "volume": 38293993 }, { "date": "05/27/14", "open": 61.62, "high": 63.51, "low": 61.57, "close": 63.48, "volume": 55681663 }, { "date": "05/28/14", "open": 63.39, "high": 64.14, "low": 62.62, "close": 63.51, "volume": 47795088 }, { "date": "05/29/14", "open": 63.84, "high": 64.3, "low": 63.51, "close": 63.83, "volume": 42699670 }, { "date": "05/30/14", "open": 63.95, "high": 64.17, "low": 62.56, "close": 63.3, "volume": 45283577 }, { "date": "06/02/14", "open": 63.23, "high": 63.59, "low": 62.05, "close": 63.08, "volume": 35995537 }, { "date": "06/03/14", "open": 62.62, "high": 63.42, "low": 62.32, "close": 62.87, "volume": 32216707 }, { "date": "06/04/14", "open": 62.45, "high": 63.59, "low": 62.07, "close": 63.34, "volume": 36513991 }, { "date": "06/05/14", "open": 63.66, "high": 64.36, "low": 62.82, "close": 63.19, "volume": 47352368 }, { "date": "06/06/14", "open": 63.37, "high": 63.48, "low": 62.15, "close": 62.5, "volume": 42442096 }, { "date": "06/09/14", "open": 62.4, "high": 63.34, "low": 61.79, "close": 62.88, "volume": 37617413 }, { "date": "06/10/14", "open": 63.53, "high": 65.82, "low": 63.5, "close": 65.77, "volume": 69338140 }, { "date": "06/11/14", "open": 65.32, "high": 65.8, "low": 64.9, "close": 65.78, "volume": 44241926 }, { "date": "06/12/14", "open": 65.85, "high": 66.47, "low": 64.06, "close": 64.29, "volume": 55729828 }, { "date": "06/13/14", "open": 64.7, "high": 64.97, "low": 63.83, "close": 64.5, "volume": 29418910 }, { "date": "06/16/14", "open": 64.16, "high": 64.88, "low": 63.75, "close": 64.19, "volume": 31045811 }, { "date": "06/17/14", "open": 64.1, "high": 64.88, "low": 63.93, "close": 64.4, "volume": 27714816 }, { "date": "06/18/14", "open": 64.49, "high": 65.75, "low": 64.05, "close": 65.6, "volume": 35570154 }, { "date": "06/19/14", "open": 65.46, "high": 65.58, "low": 64.21, "close": 64.34, "volume": 34245182 }, { "date": "06/20/14", "open": 64.46, "high": 64.81, "low": 63.35, "close": 64.5, "volume": 46466073 }, { "date": "06/23/14", "open": 64.32, "high": 65.66, "low": 64.22, "close": 65.37, "volume": 34560121 }, { "date": "06/24/14", "open": 65.36, "high": 67.17, "low": 65.27, "close": 65.72, "volume": 57334867 }, { "date": "06/25/14", "open": 65.58, "high": 67.48, "low": 65.57, "close": 67.44, "volume": 44308249 }, { "date": "06/26/14", "open": 68, "high": 68, "low": 66.9, "close": 67.13, "volume": 47713944 }, { "date": "06/27/14", "open": 67.31, "high": 67.7, "low": 66.84, "close": 67.6, "volume": 46460627 }, { "date": "06/30/14", "open": 67.46, "high": 67.92, "low": 67.13, "close": 67.29, "volume": 27201749 }, { "date": "07/01/14", "open": 67.58, "high": 68.44, "low": 67.39, "close": 68.06, "volume": 33243166 }, { "date": "07/02/14", "open": 68.04, "high": 68.3, "low": 65.79, "close": 66.45, "volume": 41895220 }, { "date": "07/03/14", "open": 66.86, "high": 67, "low": 65.76, "close": 66.29, "volume": 25203215 }, { "date": "07/07/14", "open": 66.3, "high": 66.57, "low": 65.12, "close": 65.29, "volume": 28745099 }, { "date": "07/08/14", "open": 65.06, "high": 65.56, "low": 62.21, "close": 62.76, "volume": 68926036 }, { "date": "07/09/14", "open": 63.41, "high": 65.12, "low": 63.15, "close": 64.97, "volume": 51431582 }, { "date": "07/10/14", "open": 63.31, "high": 65.34, "low": 63.05, "close": 64.87, "volume": 44421915 }, { "date": "07/11/14", "open": 65.28, "high": 66.59, "low": 64.79, "close": 66.34, "volume": 39212022 }, { "date": "07/14/14", "open": 67.13, "high": 68.17, "low": 66.9, "close": 67.9, "volume": 38536924 }, { "date": "07/15/14", "open": 67.96, "high": 68.09, "low": 66.26, "close": 67.16, "volume": 44292944 }, { "date": "07/16/14", "open": 67.54, "high": 67.94, "low": 67.07, "close": 67.66, "volume": 29593589 }, { "date": "07/17/14", "open": 67.03, "high": 67.85, "low": 66.04, "close": 66.41, "volume": 38188432 }, { "date": "07/18/14", "open": 66.8, "high": 68.46, "low": 66.16, "close": 68.42, "volume": 42455649 }, { "date": "07/21/14", "open": 68.81, "high": 69.96, "low": 68.5, "close": 69.4, "volume": 49539121 }, { "date": "07/22/14", "open": 69.76, "high": 69.77, "low": 68.61, "close": 69.27, "volume": 40397693 }, { "date": "07/23/14", "open": 69.74, "high": 71.33, "low": 69.61, "close": 71.29, "volume": 78434716 }, { "date": "07/24/14", "open": 75.96, "high": 76.74, "low": 74.51, "close": 74.98, "volume": 124167936 }, { "date": "07/25/14", "open": 74.99, "high": 75.67, "low": 74.66, "close": 75.19, "volume": 45917435 }, { "date": "07/28/14", "open": 75.17, "high": 75.5, "low": 73.85, "close": 74.92, "volume": 41725249 }, { "date": "07/29/14", "open": 74.72, "high": 74.92, "low": 73.42, "close": 73.71, "volume": 41324470 }, { "date": "07/30/14", "open": 74.21, "high": 75.19, "low": 74.13, "close": 74.68, "volume": 36853018 }, { "date": "07/31/14", "open": 74, "high": 74.16, "low": 72.44, "close": 72.65, "volume": 43991772 }, { "date": "08/01/14", "open": 72.22, "high": 73.22, "low": 71.55, "close": 72.36, "volume": 43535314 }, { "date": "08/04/14", "open": 72.36, "high": 73.88, "low": 72.36, "close": 73.51, "volume": 30776819 }, { "date": "08/05/14", "open": 73.51, "high": 73.59, "low": 72.18, "close": 72.69, "volume": 34986147 }, { "date": "08/06/14", "open": 72.02, "high": 73.72, "low": 71.79, "close": 72.47, "volume": 30985533 }, { "date": "08/07/14", "open": 73, "high": 74, "low": 72.7, "close": 73.17, "volume": 38140550 }, { "date": "08/08/14", "open": 73.4, "high": 73.43, "low": 72.56, "close": 73.06, "volume": 27202325 }, { "date": "08/11/14", "open": 73.46, "high": 73.91, "low": 73.06, "close": 73.44, "volume": 24591177 }, { "date": "08/12/14", "open": 73.09, "high": 73.33, "low": 72.22, "close": 72.83, "volume": 27418983 }, { "date": "08/13/14", "open": 73.12, "high": 74.25, "low": 73.05, "close": 73.77, "volume": 29265662 }, { "date": "08/14/14", "open": 73.97, "high": 74.38, "low": 73.69, "close": 74.3, "volume": 22207019 }, { "date": "08/15/14", "open": 74.32, "high": 74.65, "low": 73, "close": 73.63, "volume": 38909161 }, { "date": "08/18/14", "open": 74, "high": 74.72, "low": 73.96, "close": 74.59, "volume": 23973658 }, { "date": "08/19/14", "open": 74.81, "high": 75.58, "low": 74.77, "close": 75.29, "volume": 26678640 }, { "date": "08/20/14", "open": 74.97, "high": 75.18, "low": 74.62, "close": 74.81, "volume": 22916678 }, { "date": "08/21/14", "open": 74.92, "high": 75.19, "low": 74.41, "close": 74.57, "volume": 20101979 }, { "date": "08/22/14", "open": 74.34, "high": 74.73, "low": 73.57, "close": 74.57, "volume": 20897393 }, { "date": "08/25/14", "open": 74.94, "high": 75.28, "low": 74.79, "close": 75.02, "volume": 19734103 }, { "date": "08/26/14", "open": 75, "high": 75.99, "low": 74.73, "close": 75.96, "volume": 23992668 }, { "date": "08/27/14", "open": 75.27, "high": 75.49, "low": 74.46, "close": 74.63, "volume": 36323060 }, { "date": "08/28/14", "open": 74, "high": 74.43, "low": 73.73, "close": 73.86, "volume": 21946738 }, { "date": "08/29/14", "open": 74.3, "high": 74.82, "low": 74.01, "close": 74.82, "volume": 26241162 }, { "date": "09/02/14", "open": 75.01, "high": 76.7, "low": 74.82, "close": 76.68, "volume": 34979438 }, { "date": "09/03/14", "open": 77.14, "high": 77.48, "low": 75.6, "close": 75.83, "volume": 32389102 }, { "date": "09/04/14", "open": 75.89, "high": 76.93, "low": 75.53, "close": 75.95, "volume": 26676444 }, { "date": "09/05/14", "open": 76.1, "high": 77.38, "low": 75.6, "close": 77.26, "volume": 29475854 }, { "date": "09/08/14", "open": 77.26, "high": 78.17, "low": 77.01, "close": 77.89, "volume": 28183156 }, { "date": "09/09/14", "open": 77.59, "high": 78.17, "low": 76.2, "close": 76.67, "volume": 28881803 }, { "date": "09/10/14", "open": 76.52, "high": 77.95, "low": 76.51, "close": 77.43, "volume": 29908606 }, { "date": "09/11/14", "open": 77.13, "high": 78.36, "low": 77.05, "close": 77.92, "volume": 32247724 }, { "date": "09/12/14", "open": 78.02, "high": 78.3, "low": 77.1, "close": 77.48, "volume": 26744356 }, { "date": "09/15/14", "open": 77.15, "high": 77.25, "low": 73.43, "close": 74.58, "volume": 49679130 }, { "date": "09/16/14", "open": 73.52, "high": 76.23, "low": 73.07, "close": 76.08, "volume": 37742482 }, { "date": "09/17/14", "open": 75.96, "high": 77.25, "low": 75.57, "close": 76.43, "volume": 28693348 }, { "date": "09/18/14", "open": 76.77, "high": 77.33, "low": 76.52, "close": 77, "volume": 23030936 }, { "date": "09/19/14", "open": 77.4, "high": 78.3, "low": 76.44, "close": 77.91, "volume": 76671330 }, { "date": "09/22/14", "open": 77, "high": 77.53, "low": 75.95, "close": 76.8, "volume": 31961015 }, { "date": "09/23/14", "open": 76.33, "high": 78.63, "low": 76.04, "close": 78.29, "volume": 36814111 }, { "date": "09/24/14", "open": 78.1, "high": 78.62, "low": 77.51, "close": 78.54, "volume": 30679642 }, { "date": "09/25/14", "open": 78.6, "high": 78.94, "low": 77.13, "close": 77.22, "volume": 37532580 }, { "date": "09/26/14", "open": 77.59, "high": 78.84, "low": 77.33, "close": 78.79, "volume": 28872012 }, { "date": "09/29/14", "open": 78.12, "high": 79.2, "low": 77.91, "close": 79, "volume": 34030635 }, { "date": "09/30/14", "open": 79.35, "high": 79.71, "low": 78.6, "close": 79.04, "volume": 35899444 }, { "date": "10/01/14", "open": 78.78, "high": 78.82, "low": 75.9, "close": 76.55, "volume": 55090157 }, { "date": "10/02/14", "open": 76.57, "high": 77.48, "low": 75.64, "close": 77.08, "volume": 36487612 }, { "date": "10/03/14", "open": 77.76, "high": 78.06, "low": 77.26, "close": 77.44, "volume": 23340173 }, { "date": "10/06/14", "open": 77.19, "high": 77.89, "low": 76.85, "close": 77.56, "volume": 25729191 }, { "date": "10/07/14", "open": 77.05, "high": 77.95, "low": 76.24, "close": 76.29, "volume": 25317488 }, { "date": "10/08/14", "open": 76.18, "high": 77.71, "low": 75.1, "close": 77.52, "volume": 32975514 }, { "date": "10/09/14", "open": 77.28, "high": 77.76, "low": 75.85, "close": 75.91, "volume": 32487174 }, { "date": "10/10/14", "open": 75.59, "high": 76.5, "low": 72.76, "close": 72.91, "volume": 52146162 }, { "date": "10/13/14", "open": 73.23, "high": 74.78, "low": 72.52, "close": 72.99, "volume": 43937638 }, { "date": "10/14/14", "open": 74, "high": 74.18, "low": 72.05, "close": 73.59, "volume": 50299288 }, { "date": "10/15/14", "open": 71.69, "high": 73.8, "low": 70.32, "close": 73.21, "volume": 61528317 }, { "date": "10/16/14", "open": 70.79, "high": 73.35, "low": 70.58, "close": 72.63, "volume": 53529459 }, { "date": "10/17/14", "open": 74.23, "high": 76, "low": 73.75, "close": 75.95, "volume": 76341638 }, { "date": "10/20/14", "open": 75.6, "high": 77.09, "low": 75.38, "close": 76.95, "volume": 34701260 }, { "date": "10/21/14", "open": 77.56, "high": 78.74, "low": 77.15, "close": 78.69, "volume": 32252403 }, { "date": "10/22/14", "open": 78.82, "high": 79.85, "low": 78.01, "close": 78.37, "volume": 41862393 }, { "date": "10/23/14", "open": 79.38, "high": 80.63, "low": 79.01, "close": 80.04, "volume": 35055800 }, { "date": "10/24/14", "open": 80.2, "high": 80.82, "low": 79.32, "close": 80.67, "volume": 32247520 }, { "date": "10/27/14", "open": 80.74, "high": 80.8, "low": 79.76, "close": 80.28, "volume": 30168921 }, { "date": "10/28/14", "open": 80.18, "high": 81.16, "low": 79.57, "close": 80.77, "volume": 74211768 }, { "date": "10/29/14", "open": 75.45, "high": 76.88, "low": 74.78, "close": 75.86, "volume": 106119520 }, { "date": "10/30/14", "open": 75.05, "high": 75.35, "low": 72.9, "close": 74.11, "volume": 83269554 }, { "date": "10/31/14", "open": 74.93, "high": 75.7, "low": 74.45, "close": 74.99, "volume": 44544325 }, { "date": "11/03/14", "open": 75.47, "high": 75.52, "low": 73.7, "close": 73.88, "volume": 40727330 }, { "date": "11/04/14", "open": 74.23, "high": 75.77, "low": 73.65, "close": 75.76, "volume": 39326471 }, { "date": "11/05/14", "open": 76.51, "high": 76.8, "low": 74.42, "close": 74.83, "volume": 35912588 }, { "date": "11/06/14", "open": 74.89, "high": 75.6, "low": 74.31, "close": 75.26, "volume": 21383194 }, { "date": "11/07/14", "open": 75.39, "high": 75.86, "low": 75.02, "close": 75.6, "volume": 20774381 }, { "date": "11/10/14", "open": 75.36, "high": 75.48, "low": 74.61, "close": 75, "volume": 21575126 }, { "date": "11/11/14", "open": 74.95, "high": 74.98, "low": 74.03, "close": 74.61, "volume": 18735123 }, { "date": "11/12/14", "open": 74.28, "high": 75.14, "low": 73.54, "close": 74.72, "volume": 26536609 }, { "date": "11/13/14", "open": 74.74, "high": 75.24, "low": 73.64, "close": 74.25, "volume": 26448451 }, { "date": "11/14/14", "open": 74.27, "high": 74.93, "low": 74.04, "close": 74.88, "volume": 19476878 }, { "date": "11/17/14", "open": 74.88, "high": 75.66, "low": 73.88, "close": 74.24, "volume": 28701191 }, { "date": "11/18/14", "open": 74.45, "high": 74.8, "low": 73.9, "close": 74.34, "volume": 20696643 }, { "date": "11/19/14", "open": 74.01, "high": 74.54, "low": 73.11, "close": 73.33, "volume": 25441163 }, { "date": "11/20/14", "open": 72.8, "high": 73.99, "low": 72.51, "close": 73.6, "volume": 19154862 }, { "date": "11/21/14", "open": 74.5, "high": 74.5, "low": 73.5, "close": 73.75, "volume": 23060382 }, { "date": "11/24/14", "open": 73.54, "high": 74.35, "low": 73.35, "close": 74.01, "volume": 22103831 }, { "date": "11/25/14", "open": 74.21, "high": 75.74, "low": 74.13, "close": 75.63, "volume": 32250205 }, { "date": "11/26/14", "open": 75.53, "high": 77.78, "low": 75.51, "close": 77.62, "volume": 32721585 }, { "date": "11/28/14", "open": 77.67, "high": 78.27, "low": 77.23, "close": 77.7, "volume": 15992035 }, { "date": "12/01/14", "open": 77.26, "high": 77.31, "low": 74.8, "close": 75.1, "volume": 31789866 }, { "date": "12/02/14", "open": 75.33, "high": 75.91, "low": 75.04, "close": 75.46, "volume": 16773884 }, { "date": "12/03/14", "open": 75.38, "high": 75.73, "low": 74.4, "close": 74.88, "volume": 16689857 }, { "date": "12/04/14", "open": 74.83, "high": 75.55, "low": 74.66, "close": 75.24, "volume": 14390520 }, { "date": "12/05/14", "open": 75.8, "high": 76.76, "low": 75.36, "close": 76.36, "volume": 24306446 }, { "date": "12/08/14", "open": 76.18, "high": 77.25, "low": 75.4, "close": 76.52, "volume": 25733853 }, { "date": "12/09/14", "open": 75.2, "high": 76.93, "low": 74.78, "close": 76.84, "volume": 25358584 }, { "date": "12/10/14", "open": 76.65, "high": 77.55, "low": 76.07, "close": 76.18, "volume": 32210532 }, { "date": "12/11/14", "open": 76.52, "high": 78.52, "low": 76.48, "close": 77.73, "volume": 33492661 }, { "date": "12/12/14", "open": 77.16, "high": 78.88, "low": 77.02, "close": 77.83, "volume": 28091617 }, { "date": "12/15/14", "open": 78.46, "high": 78.58, "low": 76.56, "close": 76.99, "volume": 29396532 }, { "date": "12/16/14", "open": 76.19, "high": 77.39, "low": 74.59, "close": 74.69, "volume": 31554593 }, { "date": "12/17/14", "open": 75.01, "high": 76.41, "low": 74.9, "close": 76.11, "volume": 29203904 }, { "date": "12/18/14", "open": 76.89, "high": 78.4, "low": 76.51, "close": 78.4, "volume": 34222081 }, { "date": "12/19/14", "open": 78.75, "high": 80, "low": 78.33, "close": 79.88, "volume": 43334992 }, { "date": "12/22/14", "open": 80.08, "high": 81.89, "low": 80, "close": 81.45, "volume": 31395770 }, { "date": "12/23/14", "open": 82.02, "high": 82.17, "low": 80.4, "close": 80.61, "volume": 19865820 }, { "date": "12/24/14", "open": 81.03, "high": 81.43, "low": 80.75, "close": 80.77, "volume": 7685481 }, { "date": "12/26/14", "open": 81.02, "high": 81.28, "low": 80.51, "close": 80.78, "volume": 10647388 }, { "date": "12/29/14", "open": 80.49, "high": 80.96, "low": 79.71, "close": 80.02, "volume": 14134666 }, { "date": "12/30/14", "open": 79.85, "high": 80.59, "low": 79.1, "close": 79.22, "volume": 14370763 }, { "date": "12/31/14", "open": 79.54, "high": 79.8, "low": 77.86, "close": 78.02, "volume": 20040439 }, { "date": "01/02/15", "open": 78.58, "high": 78.93, "low": 77.7, "close": 78.45, "volume": 18177475 }, { "date": "01/05/15", "open": 77.98, "high": 79.25, "low": 76.86, "close": 77.19, "volume": 26452191 }, { "date": "01/06/15", "open": 77.23, "high": 77.59, "low": 75.36, "close": 76.15, "volume": 27399288 }, { "date": "01/07/15", "open": 76.76, "high": 77.36, "low": 75.82, "close": 76.15, "volume": 22045333 }, { "date": "01/08/15", "open": 76.74, "high": 78.23, "low": 76.08, "close": 78.18, "volume": 23960953 }, { "date": "01/09/15", "open": 78.2, "high": 78.62, "low": 77.2, "close": 77.74, "volume": 21157007 }, { "date": "01/12/15", "open": 77.84, "high": 78, "low": 76.21, "close": 76.72, "volume": 19190194 }, { "date": "01/13/15", "open": 77.23, "high": 78.08, "low": 75.85, "close": 76.45, "volume": 25179561 }, { "date": "01/14/15", "open": 76.42, "high": 77.2, "low": 76.03, "close": 76.28, "volume": 25918564 }, { "date": "01/15/15", "open": 76.4, "high": 76.57, "low": 73.54, "close": 74.05, "volume": 34133974 }, { "date": "01/16/15", "open": 74.04, "high": 75.32, "low": 73.84, "close": 75.18, "volume": 21791529 }, { "date": "01/20/15", "open": 75.72, "high": 76.31, "low": 74.82, "close": 76.24, "volume": 22821614 }, { "date": "01/21/15", "open": 76.16, "high": 77.3, "low": 75.85, "close": 76.74, "volume": 25096737 }, { "date": "01/22/15", "open": 77.17, "high": 77.75, "low": 76.68, "close": 77.65, "volume": 19519458 }, { "date": "01/23/15", "open": 77.65, "high": 78.19, "low": 77.04, "close": 77.83, "volume": 16746503 }, { "date": "01/26/15", "open": 77.98, "high": 78.47, "low": 77.29, "close": 77.5, "volume": 19260820 }, { "date": "01/27/15", "open": 76.71, "high": 76.88, "low": 75.63, "close": 75.78, "volume": 20109977 }, { "date": "01/28/15", "open": 76.9, "high": 77.64, "low": 76, "close": 76.24, "volume": 53306422 }, { "date": "01/29/15", "open": 76.85, "high": 78.02, "low": 74.21, "close": 78, "volume": 61293468 }, { "date": "01/30/15", "open": 78, "high": 78.16, "low": 75.75, "close": 75.91, "volume": 42649491 }, { "date": "02/02/15", "open": 76.11, "high": 76.14, "low": 73.75, "close": 74.99, "volume": 41955258 }, { "date": "02/03/15", "open": 75.19, "high": 75.58, "low": 73.86, "close": 75.4, "volume": 26957714 }, { "date": "02/04/15", "open": 75.09, "high": 76.35, "low": 75.01, "close": 75.63, "volume": 20277368 }, { "date": "02/05/15", "open": 75.71, "high": 75.98, "low": 75.21, "close": 75.62, "volume": 15062573 }, { "date": "02/06/15", "open": 75.68, "high": 75.7, "low": 74.25, "close": 74.47, "volume": 21210994 }, { "date": "02/09/15", "open": 74.05, "high": 74.83, "low": 73.45, "close": 74.44, "volume": 16194322 }, { "date": "02/10/15", "open": 74.85, "high": 75.34, "low": 74.5, "close": 75.19, "volume": 15811344 }, { "date": "02/11/15", "open": 75.09, "high": 76.75, "low": 75.03, "close": 76.51, "volume": 20877427 }, { "date": "02/12/15", "open": 76.86, "high": 76.87, "low": 75.89, "close": 76.23, "volume": 17234976 }, { "date": "02/13/15", "open": 76.46, "high": 76.48, "low": 75.5, "close": 75.74, "volume": 18621860 }, { "date": "02/17/15", "open": 75.3, "high": 76.91, "low": 75.08, "close": 75.6, "volume": 25254400 }, { "date": "02/18/15", "open": 75.94, "high": 76.9, "low": 75.45, "close": 76.71, "volume": 22426421 }, { "date": "02/19/15", "open": 76.99, "high": 79.84, "low": 76.95, "close": 79.42, "volume": 45851177 }, { "date": "02/20/15", "open": 79.55, "high": 80.34, "low": 79.2, "close": 79.9, "volume": 36931698 }, { "date": "02/23/15", "open": 79.96, "high": 80.19, "low": 78.38, "close": 78.84, "volume": 24139056 }, { "date": "02/24/15", "open": 78.5, "high": 79.48, "low": 78.1, "close": 78.45, "volume": 18897133 }, { "date": "02/25/15", "open": 78.5, "high": 80.2, "low": 78.5, "close": 79.56, "volume": 25593800 }, { "date": "02/26/15", "open": 79.88, "high": 81.37, "low": 79.72, "close": 80.41, "volume": 31111891 }, { "date": "02/27/15", "open": 80.68, "high": 81.23, "low": 78.62, "close": 78.97, "volume": 30739197 }, { "date": "03/02/15", "open": 79, "high": 79.86, "low": 78.52, "close": 79.75, "volume": 21662537 }, { "date": "03/03/15", "open": 79.61, "high": 79.7, "low": 78.52, "close": 79.6, "volume": 18634973 }, { "date": "03/04/15", "open": 79.3, "high": 81.15, "low": 78.85, "close": 80.9, "volume": 28126686 }, { "date": "03/05/15", "open": 81.23, "high": 81.99, "low": 81.05, "close": 81.21, "volume": 27825733 }, { "date": "03/06/15", "open": 80.9, "high": 81.33, "low": 79.83, "close": 80, "volume": 24488581 }, { "date": "03/09/15", "open": 79.68, "high": 79.91, "low": 78.63, "close": 79.44, "volume": 18925097 }, { "date": "03/10/15", "open": 78.5, "high": 79.26, "low": 77.55, "close": 77.55, "volume": 23067057 }, { "date": "03/11/15", "open": 77.8, "high": 78.43, "low": 77.26, "close": 77.57, "volume": 20215704 }, { "date": "03/12/15", "open": 78.1, "high": 79.05, "low": 77.91, "close": 78.93, "volume": 16093319 }, { "date": "03/13/15", "open": 78.6, "high": 79.38, "low": 77.68, "close": 78.05, "volume": 18557296 }, { "date": "03/16/15", "open": 77.96, "high": 78.12, "low": 77.36, "close": 78.07, "volume": 19305406 }, { "date": "03/17/15", "open": 78.36, "high": 79.78, "low": 78.34, "close": 79.36, "volume": 22169969 }, { "date": "03/18/15", "open": 79.25, "high": 81.24, "low": 79.17, "close": 80.91, "volume": 36912446 }, { "date": "03/19/15", "open": 81.12, "high": 83, "low": 81, "close": 82.75, "volume": 42099523 }, { "date": "03/20/15", "open": 83.39, "high": 84.6, "low": 83.07, "close": 83.8, "volume": 44466323 }, { "date": "03/23/15", "open": 83.92, "high": 84.96, "low": 83.3, "close": 84.43, "volume": 27357333 }, { "date": "03/24/15", "open": 84.71, "high": 86.07, "low": 84.52, "close": 85.31, "volume": 32576522 }, { "date": "03/25/15", "open": 85.5, "high": 85.52, "low": 82.92, "close": 82.92, "volume": 37436147 }, { "date": "03/26/15", "open": 82.72, "high": 83.77, "low": 82.14, "close": 83.01, "volume": 32794800 }, { "date": "03/27/15", "open": 83.38, "high": 83.95, "low": 82.88, "close": 83.3, "volume": 18372582 }, { "date": "03/30/15", "open": 83.81, "high": 84.34, "low": 82.41, "close": 83.2, "volume": 24527686 }, { "date": "03/31/15", "open": 82.9, "high": 83.5, "low": 82.21, "close": 82.22, "volume": 19734277 }, { "date": "04/01/15", "open": 82.5, "high": 82.72, "low": 80.87, "close": 81.66, "volume": 22058167 }, { "date": "04/02/15", "open": 82.25, "high": 82.56, "low": 81.44, "close": 81.56, "volume": 19664053 }, { "date": "04/06/15", "open": 80.8, "high": 82.81, "low": 80.8, "close": 82.44, "volume": 19062934 }, { "date": "04/07/15", "open": 82.65, "high": 83.42, "low": 82.22, "close": 82.32, "volume": 17467042 }, { "date": "04/08/15", "open": 82.63, "high": 83.1, "low": 81.84, "close": 82.28, "volume": 18966732 }, { "date": "04/09/15", "open": 82.5, "high": 82.8, "low": 81.71, "close": 82.17, "volume": 15927281 }, { "date": "04/10/15", "open": 82.21, "high": 82.61, "low": 81.91, "close": 82.04, "volume": 12529738 } ]; }
.wj-flexchart { height: 300px; } body { margin-bottom: 24pt; }
(function (global) { System.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true }, meta: { '*.css': { loader: 'css' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { 'jszip': 'npm:jszip/dist/jszip.js', '@mescius/wijmo': 'npm:@mescius/wijmo/index.js', '@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js', '@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles', '@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures', '@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js', '@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js', '@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js', '@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js', '@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js', '@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js', '@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js', '@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js', '@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js', '@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js', '@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js', '@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js', '@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js', '@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js', '@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js', '@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js', '@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js', '@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js', '@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js', '@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js', '@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js', '@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js', '@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js', '@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js', '@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js', '@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js', '@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js', '@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js', '@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js', '@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js', '@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js', '@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js', '@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js', '@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js', '@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js', '@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js', '@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js', '@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js', '@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js', '@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js', '@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js', '@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js', 'jszip': 'npm:jszip/dist/jszip.js', 'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css', 'css': 'npm:systemjs-plugin-css/css.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js' }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'js' }, "node_modules": { defaultExtension: 'js' }, } }); })(this);

Renko (Vue)

The Renko chart uses bricks of uniform size to chart the price movement. When a price moves to a greater or lesser value than the preset boxSize option required to draw a new brick, a new brick is drawn in the succeeding column. The change in box color and direction signifies a trend reversal.

This example uses Vue.

<template> <div class="container-fluid"> <!-- Settings --> <div class="panel-group" id="settings"> <div class="panel panel-default"> <div id="settingsBody" class="panel-collapse collapse in"> <div class="panel-body"> <ul class="list-inline"> <li> <label>Box Size</label> <wj-input-number :initialized="initializeInput" :value="options.renko.boxSize" :min="0" :step="1" format="n0" :valueChanged="boxSizeChanged"> </wj-input-number> </li> <li> <wj-menu :header="'Range Mode'" :value="options.renko.rangeMode" :itemClicked="rangeModeChanged"> <wj-menu-item :value="'Fixed'">Fixed</wj-menu-item> <wj-menu-item :value="'ATR'">Average True Range</wj-menu-item> </wj-menu> </li> <li> <wj-menu :header="'Data Fields'" :value="options.renko.fields" :itemClicked="fieldsChanged"> <wj-menu-item :value="'High'">High</wj-menu-item> <wj-menu-item :value="'Low'">Low</wj-menu-item> <wj-menu-item :value="'Open'">Open</wj-menu-item> <wj-menu-item :value="'Close'">Close</wj-menu-item> <wj-menu-item :value="'HL2'">HL Avg.</wj-menu-item> <wj-menu-item :value="'HLC3'">HLC Avg.</wj-menu-item> <wj-menu-item :value="'HLOC4'">HLOC Avg.</wj-menu-item> </wj-menu> </li> </ul> <ul class="list-inline"> <li> <label>Stroke</label> <wj-input-color :value="style.stroke" :valueChanged="strokeChanged"> </wj-input-color> </li> <li> <label>Alt. Stroke</label> <wj-input-color :value="altStyle.stroke" :valueChanged="altStrokeChanged"> </wj-input-color> </li> </ul> <ul class="list-inline"> <li> <label>Fill</label> <wj-input-color :value="style.fill" :valueChanged="fillChanged"> </wj-input-color> </li> <li> <label>Alt. Fill</label> <wj-input-color :value="altStyle.fill" :valueChanged="altFillChanged"> </wj-input-color> </li> </ul> </div> </div> </div> </div> <!-- FinancialChart --> <wj-financial-chart :initialized="initializeChart" :itemsSource="data" bindingX="date" chartType="Renko" :options="options" :tooltipContent="tooltip"> <wj-financial-chart-series binding="high,low,open,close" name="Facebook" :style="style" :altStyle="altStyle"> </wj-financial-chart-series> <wj-flex-chart-legend position="None"></wj-flex-chart-legend> </wj-financial-chart> </div> </template> <script> import "@mescius/wijmo.styles/wijmo.css"; import 'bootstrap.css'; import Vue from 'vue'; import '@mescius/wijmo.vue2.core'; import '@mescius/wijmo.vue2.input'; import '@mescius/wijmo.vue2.chart'; import '@mescius/wijmo.vue2.chart.finance'; import { getData } from './data'; import * as core from '@mescius/wijmo'; let App = Vue.extend({ name: 'app', data: function () { return { data: getData(), options: { renko: { boxSize: 2, rangeMode: 'Fixed', fields: 'Close' } }, style: { stroke: 'rgb(136, 189, 230)', fill: 'rgba(136, 189, 230, 0.701961)' }, altStyle: { stroke: 'rgb(136, 189, 230)', fill: 'transparent' } } }, methods: { initializeChart: function(flex) { this.theChart = flex; this.ser = flex.series[0]; }, initializeInput: function(input) { this.inputNumber = input; }, tooltip: function(ht) { var date = ht.item && ht.item.date ? ht.item.date : null, content = ''; // if (core.isDate(date)) { date = core.Globalize.formatDate(date, 'MM/dd/yy'); } if (ht && ht.item) { content = '<b>' + ht.name + '</b><br/>' + 'Date: ' + date + '<br/>' + 'Open: ' + core.Globalize.format(ht.item.open, 'n2') + '<br/>' + 'High: ' + core.Globalize.format(ht.item.high, 'n2') + '<br/>' + 'Low: ' + core.Globalize.format(ht.item.low, 'n2') + '<br/>' + 'Close: ' + core.Globalize.format(ht.item.close, 'n2') + '<br/>' + 'Volume: ' + core.Globalize.format(ht.item.volume, 'n0'); } return content; }, strokeChanged: function(input) { this.style.stroke = input.value; this.ser.style.stroke = input.value; this.optionChanged(); }, altStrokeChanged: function(input) { this.altStyle.stroke = input.value; this.ser.altStyle.stroke = input.value; this.optionChanged(); }, fillChanged: function(input) { this.style.fill = input.value; this.ser.style.fill = input.value; this.optionChanged(); }, altFillChanged: function(input) { this.altStyle.fill = input.value; this.ser.altStyle.fill = input.value; this.optionChanged(); }, optionChanged: function() { if (this.theChart) { this.theChart.invalidate(); } }, boxSizeChanged: function(input) { if (input.value < input.min || (input.max && input.value > input.max)) { return; } this.options.renko.boxSize = input.value; if (this.theChart) { this.theChart.invalidate(); } }, rangeModeChanged: function(menu) { var input = this.inputNumber; let selectedValue = menu.selectedItem.value; this.options.renko.rangeMode = selectedValue; if (selectedValue === 'ATR') { input.format = 'n0'; input.min = 2; input.max = this.data.length - 2; input.value = core.clamp(input.value, 14, this.data.length - 2); input.step = 1; } else { input.format = 'n0'; input.min = 1; input.max = null; input.step = 1; } this.optionChanged(); }, fieldsChanged: function(menu) { let selectedValue = menu.selectedItem.value; this.options.renko.fields = selectedValue; this.optionChanged(); } } }) new Vue({ render: h => h(App) }).$mount('#app'); </script> <style> body { margin-bottom: 24px; } label { margin-right: 3px; } </style>
<!DOCTYPE html> <html lang="en"> <head> <meta charset="utf-8"> <meta http-equiv="X-UA-Compatible" content="IE=edge"> <title>MESCIUS Wijmo FlexChart Renko</title> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <!-- SystemJS --> <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script> <script src="systemjs.config.js"></script> <script> System.import('./src/app.vue'); </script> </head> <body> <div id="app"></div> </body> </html>
export function getData() { return [ { "date": "05/18/12", "open": 42.05, "high": 45, "low": 38, "close": 38.23, "volume": 580587742 }, { "date": "05/21/12", "open": 36.53, "high": 36.66, "low": 33, "close": 34.03, "volume": 168309831 }, { "date": "05/22/12", "open": 32.61, "high": 33.59, "low": 30.94, "close": 31, "volume": 102053826 }, { "date": "05/23/12", "open": 31.37, "high": 32.5, "low": 31.36, "close": 32, "volume": 73721135 }, { "date": "05/24/12", "open": 32.95, "high": 33.21, "low": 31.77, "close": 33.03, "volume": 50275879 }, { "date": "05/25/12", "open": 32.9, "high": 32.95, "low": 31.11, "close": 31.91, "volume": 37189630 }, { "date": "05/29/12", "open": 31.48, "high": 31.69, "low": 28.65, "close": 28.84, "volume": 78060799 }, { "date": "05/30/12", "open": 28.7, "high": 29.55, "low": 27.86, "close": 28.19, "volume": 57267867 }, { "date": "05/31/12", "open": 28.54, "high": 29.67, "low": 26.83, "close": 29.6, "volume": 111639200 }, { "date": "06/01/12", "open": 28.89, "high": 29.15, "low": 27.39, "close": 27.72, "volume": 41855500 }, { "date": "06/04/12", "open": 27.2, "high": 27.65, "low": 26.44, "close": 26.9, "volume": 35230290 }, { "date": "06/05/12", "open": 26.7, "high": 27.76, "low": 25.75, "close": 25.87, "volume": 42473262 }, { "date": "06/06/12", "open": 26.07, "high": 27.17, "low": 25.52, "close": 26.81, "volume": 61487019 }, { "date": "06/07/12", "open": 27, "high": 27.35, "low": 26.15, "close": 26.31, "volume": 26167757 }, { "date": "06/08/12", "open": 26.55, "high": 27.76, "low": 26.44, "close": 27.1, "volume": 38033420 }, { "date": "06/11/12", "open": 27.18, "high": 28.07, "low": 26.84, "close": 27, "volume": 28225887 }, { "date": "06/12/12", "open": 27.48, "high": 27.77, "low": 26.96, "close": 27.4, "volume": 15822414 }, { "date": "06/13/12", "open": 27.66, "high": 28.1, "low": 27.1, "close": 27.27, "volume": 17118672 }, { "date": "06/14/12", "open": 27.65, "high": 28.32, "low": 27.38, "close": 28.29, "volume": 16854124 }, { "date": "06/15/12", "open": 28.5, "high": 30.1, "low": 28.35, "close": 30.01, "volume": 43563739 }, { "date": "06/18/12", "open": 29.96, "high": 32.08, "low": 29.41, "close": 31.41, "volume": 42978209 }, { "date": "06/19/12", "open": 31.54, "high": 32.18, "low": 30.7, "close": 31.91, "volume": 30848913 }, { "date": "06/20/12", "open": 31.92, "high": 31.93, "low": 31.15, "close": 31.6, "volume": 15558921 }, { "date": "06/21/12", "open": 31.67, "high": 32.5, "low": 31.51, "close": 31.84, "volume": 21875228 }, { "date": "06/22/12", "open": 32.41, "high": 33.45, "low": 32.06, "close": 33.05, "volume": 74833976 }, { "date": "06/25/12", "open": 32.86, "high": 33.02, "low": 31.55, "close": 32.06, "volume": 24352818 }, { "date": "06/26/12", "open": 32.69, "high": 33.44, "low": 32.5, "close": 33.1, "volume": 24858611 }, { "date": "06/27/12", "open": 32.46, "high": 32.9, "low": 31.9, "close": 32.23, "volume": 28599506 }, { "date": "06/28/12", "open": 31.96, "high": 32.19, "low": 30.9, "close": 31.36, "volume": 17713292 }, { "date": "06/29/12", "open": 31.92, "high": 31.99, "low": 30.76, "close": 31.1, "volume": 19526823 }, { "date": "07/02/12", "open": 31.25, "high": 31.73, "low": 30.55, "close": 30.77, "volume": 14131476 }, { "date": "07/03/12", "open": 30.91, "high": 31.44, "low": 30.8, "close": 31.2, "volume": 8765498 }, { "date": "07/05/12", "open": 31.32, "high": 31.62, "low": 31.02, "close": 31.47, "volume": 10036688 }, { "date": "07/06/12", "open": 31.44, "high": 31.9, "low": 31.26, "close": 31.73, "volume": 10949006 }, { "date": "07/09/12", "open": 32.1, "high": 32.88, "low": 31.99, "close": 32.17, "volume": 17785180 }, { "date": "07/10/12", "open": 32.43, "high": 32.48, "low": 31.16, "close": 31.47, "volume": 14276996 }, { "date": "07/11/12", "open": 31.48, "high": 31.56, "low": 30.55, "close": 30.97, "volume": 13027752 }, { "date": "07/12/12", "open": 30.7, "high": 31.4, "low": 30.6, "close": 30.81, "volume": 11306636 }, { "date": "07/13/12", "open": 31.04, "high": 31.07, "low": 30.56, "close": 30.72, "volume": 8117346 }, { "date": "07/16/12", "open": 30.5, "high": 30.5, "low": 28.21, "close": 28.24, "volume": 24672074 }, { "date": "07/17/12", "open": 28.48, "high": 28.59, "low": 27.15, "close": 28.09, "volume": 30438551 }, { "date": "07/18/12", "open": 28.31, "high": 29.29, "low": 28.15, "close": 29.11, "volume": 16841779 }, { "date": "07/19/12", "open": 29.41, "high": 29.5, "low": 28.63, "close": 29, "volume": 13685031 }, { "date": "07/20/12", "open": 29, "high": 29.47, "low": 28.72, "close": 28.76, "volume": 11869046 }, { "date": "07/23/12", "open": 28.12, "high": 29, "low": 28.01, "close": 28.75, "volume": 12393864 }, { "date": "07/24/12", "open": 28.82, "high": 29.45, "low": 28.1, "close": 28.45, "volume": 11539799 }, { "date": "07/25/12", "open": 28.39, "high": 29.49, "low": 28.08, "close": 29.34, "volume": 17230154 }, { "date": "07/26/12", "open": 27.75, "high": 28.23, "low": 26.73, "close": 26.84, "volume": 64597378 }, { "date": "07/27/12", "open": 23.19, "high": 24.54, "low": 22.28, "close": 23.7, "volume": 123098340 }, { "date": "07/30/12", "open": 24, "high": 24.04, "low": 23.03, "close": 23.15, "volume": 29285895 }, { "date": "07/31/12", "open": 23.37, "high": 23.37, "low": 21.61, "close": 21.71, "volume": 56179322 }, { "date": "08/01/12", "open": 21.5, "high": 21.58, "low": 20.84, "close": 20.88, "volume": 44604365 }, { "date": "08/02/12", "open": 20.77, "high": 20.84, "low": 19.82, "close": 20.04, "volume": 56374436 }, { "date": "08/03/12", "open": 20.36, "high": 22.16, "low": 19.9, "close": 21.09, "volume": 80646975 }, { "date": "08/06/12", "open": 21.39, "high": 22.15, "low": 21.3, "close": 21.92, "volume": 27778038 }, { "date": "08/07/12", "open": 22.2, "high": 22.45, "low": 20.5, "close": 20.72, "volume": 36782827 }, { "date": "08/08/12", "open": 20.71, "high": 21.15, "low": 20.22, "close": 20.72, "volume": 29537376 }, { "date": "08/09/12", "open": 20.75, "high": 21.17, "low": 20.61, "close": 21.01, "volume": 15618515 }, { "date": "08/10/12", "open": 21.41, "high": 21.82, "low": 21.13, "close": 21.81, "volume": 25794673 }, { "date": "08/13/12", "open": 22.15, "high": 22.45, "low": 21.4, "close": 21.6, "volume": 24972973 }, { "date": "08/14/12", "open": 21.41, "high": 21.6, "low": 20.25, "close": 20.38, "volume": 39308634 }, { "date": "08/15/12", "open": 20.64, "high": 21.41, "low": 20.4, "close": 21.2, "volume": 47860767 }, { "date": "08/16/12", "open": 20.44, "high": 20.48, "low": 19.69, "close": 19.87, "volume": 157554938 }, { "date": "08/17/12", "open": 20, "high": 20.08, "low": 19, "close": 19.05, "volume": 129293342 }, { "date": "08/20/12", "open": 19.05, "high": 20.13, "low": 18.75, "close": 20.01, "volume": 101186524 }, { "date": "08/21/12", "open": 19.58, "high": 19.98, "low": 19.09, "close": 19.16, "volume": 70640462 }, { "date": "08/22/12", "open": 19.36, "high": 19.53, "low": 18.96, "close": 19.44, "volume": 49892130 }, { "date": "08/23/12", "open": 19.5, "high": 19.73, "low": 19.36, "close": 19.44, "volume": 32813310 }, { "date": "08/24/12", "open": 19.52, "high": 19.68, "low": 19.25, "close": 19.41, "volume": 29622155 }, { "date": "08/27/12", "open": 19.49, "high": 19.53, "low": 19.1, "close": 19.15, "volume": 20703907 }, { "date": "08/28/12", "open": 19.1, "high": 19.38, "low": 18.95, "close": 19.34, "volume": 25425786 }, { "date": "08/29/12", "open": 19.32, "high": 19.38, "low": 19.07, "close": 19.1, "volume": 16124625 }, { "date": "08/30/12", "open": 19.27, "high": 19.45, "low": 19.06, "close": 19.09, "volume": 30647472 }, { "date": "08/31/12", "open": 18.68, "high": 18.7, "low": 18.03, "close": 18.06, "volume": 58764170 }, { "date": "09/04/12", "open": 18.08, "high": 18.27, "low": 17.55, "close": 17.73, "volume": 46622354 }, { "date": "09/05/12", "open": 18.27, "high": 18.75, "low": 18.18, "close": 18.58, "volume": 60781719 }, { "date": "09/06/12", "open": 18.74, "high": 19.26, "low": 18.72, "close": 18.96, "volume": 46066347 }, { "date": "09/07/12", "open": 19.1, "high": 19.42, "low": 18.78, "close": 18.98, "volume": 36371696 }, { "date": "09/10/12", "open": 19.06, "high": 19.2, "low": 18.55, "close": 18.81, "volume": 24797642 }, { "date": "09/11/12", "open": 18.92, "high": 19.58, "low": 18.85, "close": 19.43, "volume": 50508126 }, { "date": "09/12/12", "open": 20.76, "high": 21.16, "low": 20.28, "close": 20.93, "volume": 121583996 }, { "date": "09/13/12", "open": 20.96, "high": 21.48, "low": 20.61, "close": 20.71, "volume": 65041524 }, { "date": "09/14/12", "open": 21.13, "high": 22.08, "low": 20.9, "close": 22, "volume": 72819643 }, { "date": "09/17/12", "open": 22.67, "high": 22.75, "low": 21.5, "close": 21.52, "volume": 50666447 }, { "date": "09/18/12", "open": 21.6, "high": 21.98, "low": 21.37, "close": 21.87, "volume": 36760449 }, { "date": "09/19/12", "open": 21.99, "high": 23.37, "low": 21.77, "close": 23.29, "volume": 78782783 }, { "date": "09/20/12", "open": 23.02, "high": 23.24, "low": 22.54, "close": 22.59, "volume": 57248663 }, { "date": "09/21/12", "open": 22.97, "high": 23.24, "low": 22.6, "close": 22.86, "volume": 51218097 }, { "date": "09/24/12", "open": 21.77, "high": 21.98, "low": 20.36, "close": 20.79, "volume": 79105121 }, { "date": "09/25/12", "open": 21.2, "high": 21.21, "low": 20.22, "close": 20.28, "volume": 46291655 }, { "date": "09/26/12", "open": 20.14, "high": 20.78, "low": 19.8, "close": 20.62, "volume": 38271878 }, { "date": "09/27/12", "open": 20.99, "high": 21, "low": 20.16, "close": 20.32, "volume": 30215821 }, { "date": "09/28/12", "open": 20.57, "high": 21.95, "low": 20.5, "close": 21.66, "volume": 65485921 }, { "date": "10/01/12", "open": 22.08, "high": 22.59, "low": 21.73, "close": 21.99, "volume": 51262680 }, { "date": "10/02/12", "open": 22.08, "high": 22.49, "low": 21.82, "close": 22.27, "volume": 29341393 }, { "date": "10/03/12", "open": 22.3, "high": 22.49, "low": 21.8, "close": 21.83, "volume": 32000079 }, { "date": "10/04/12", "open": 22.32, "high": 22.4, "low": 21.41, "close": 21.95, "volume": 46894595 }, { "date": "10/05/12", "open": 21.49, "high": 21.63, "low": 20.88, "close": 20.91, "volume": 40529223 }, { "date": "10/08/12", "open": 20.62, "high": 20.75, "low": 20.16, "close": 20.4, "volume": 32236628 }, { "date": "10/09/12", "open": 20.39, "high": 20.55, "low": 19.97, "close": 20.23, "volume": 27161736 }, { "date": "10/10/12", "open": 19.93, "high": 19.94, "low": 19.45, "close": 19.64, "volume": 39321758 }, { "date": "10/11/12", "open": 19.88, "high": 19.96, "low": 19.61, "close": 19.75, "volume": 21817227 }, { "date": "10/12/12", "open": 19.75, "high": 19.8, "low": 19.48, "close": 19.52, "volume": 18809397 }, { "date": "10/15/12", "open": 19.68, "high": 19.88, "low": 19.49, "close": 19.52, "volume": 20189668 }, { "date": "10/16/12", "open": 19.68, "high": 19.69, "low": 19.3, "close": 19.48, "volume": 21834687 }, { "date": "10/17/12", "open": 19.5, "high": 20.48, "low": 19.37, "close": 19.88, "volume": 44074433 }, { "date": "10/18/12", "open": 19.7, "high": 19.79, "low": 18.89, "close": 18.98, "volume": 52157366 }, { "date": "10/19/12", "open": 19, "high": 19.06, "low": 18.8, "close": 19, "volume": 34834947 }, { "date": "10/22/12", "open": 19.2, "high": 19.43, "low": 19.05, "close": 19.32, "volume": 32447005 }, { "date": "10/23/12", "open": 19.25, "high": 19.8, "low": 19.1, "close": 19.5, "volume": 78381102 }, { "date": "10/24/12", "open": 24.13, "high": 24.25, "low": 22.85, "close": 23.23, "volume": 228949142 }, { "date": "10/25/12", "open": 23.29, "high": 23.31, "low": 22.47, "close": 22.56, "volume": 76141922 }, { "date": "10/26/12", "open": 22.4, "high": 22.88, "low": 21.88, "close": 21.94, "volume": 73259521 }, { "date": "10/31/12", "open": 20.82, "high": 21.5, "low": 20.73, "close": 21.11, "volume": 99378184 }, { "date": "11/01/12", "open": 21.08, "high": 21.44, "low": 21.01, "close": 21.21, "volume": 37713887 }, { "date": "11/02/12", "open": 21.26, "high": 21.69, "low": 21.07, "close": 21.18, "volume": 38344332 }, { "date": "11/05/12", "open": 21.1, "high": 21.48, "low": 20.92, "close": 21.25, "volume": 31806692 }, { "date": "11/06/12", "open": 21.24, "high": 21.37, "low": 20.99, "close": 21.17, "volume": 29062642 }, { "date": "11/07/12", "open": 20.85, "high": 20.95, "low": 20.37, "close": 20.47, "volume": 33396731 }, { "date": "11/08/12", "open": 20.52, "high": 20.73, "low": 19.98, "close": 19.99, "volume": 34254535 }, { "date": "11/09/12", "open": 19.96, "high": 20, "low": 19.13, "close": 19.21, "volume": 42295434 }, { "date": "11/12/12", "open": 19.15, "high": 20.17, "low": 18.87, "close": 20.07, "volume": 67349109 }, { "date": "11/13/12", "open": 19.6, "high": 20.11, "low": 19.56, "close": 19.86, "volume": 71775069 }, { "date": "11/14/12", "open": 20.1, "high": 22.5, "low": 19.93, "close": 22.36, "volume": 229750911 }, { "date": "11/15/12", "open": 22.34, "high": 22.5, "low": 21.65, "close": 22.17, "volume": 78857405 }, { "date": "11/16/12", "open": 22.25, "high": 23.93, "low": 22.18, "close": 23.56, "volume": 107182168 }, { "date": "11/19/12", "open": 23.96, "high": 24.12, "low": 22.82, "close": 22.92, "volume": 85021259 }, { "date": "11/20/12", "open": 22.73, "high": 23.9, "low": 22.7, "close": 23.1, "volume": 46655291 }, { "date": "11/21/12", "open": 23.22, "high": 24.53, "low": 23.05, "close": 24.32, "volume": 89862342 }, { "date": "11/23/12", "open": 24.58, "high": 24.68, "low": 23.88, "close": 24, "volume": 29520311 }, { "date": "11/26/12", "open": 24.94, "high": 26.09, "low": 24.81, "close": 25.94, "volume": 123862051 }, { "date": "11/27/12", "open": 26.04, "high": 26.5, "low": 25.46, "close": 26.15, "volume": 85760074 }, { "date": "11/28/12", "open": 25.94, "high": 26.49, "low": 25.75, "close": 26.36, "volume": 49205508 }, { "date": "11/29/12", "open": 26.5, "high": 27.52, "low": 26.16, "close": 27.32, "volume": 88759067 }, { "date": "11/30/12", "open": 27.26, "high": 28, "low": 26.76, "close": 28, "volume": 127049545 }, { "date": "12/03/12", "open": 28, "high": 28.88, "low": 26.98, "close": 27.04, "volume": 123525093 }, { "date": "12/04/12", "open": 27.06, "high": 27.76, "low": 26.68, "close": 27.46, "volume": 72912724 }, { "date": "12/05/12", "open": 27.75, "high": 27.9, "low": 27.26, "close": 27.71, "volume": 58974841 }, { "date": "12/06/12", "open": 27.68, "high": 27.75, "low": 26.82, "close": 26.97, "volume": 46001493 }, { "date": "12/07/12", "open": 27.07, "high": 27.78, "low": 26.84, "close": 27.48, "volume": 51751806 }, { "date": "12/10/12", "open": 27.17, "high": 28.17, "low": 27.1, "close": 27.84, "volume": 50608466 }, { "date": "12/11/12", "open": 28.07, "high": 28.24, "low": 27.66, "close": 27.98, "volume": 77099033 }, { "date": "12/12/12", "open": 28, "high": 28.14, "low": 27.37, "close": 27.58, "volume": 46704201 }, { "date": "12/13/12", "open": 27.59, "high": 28.75, "low": 27.43, "close": 28.24, "volume": 81051549 }, { "date": "12/14/12", "open": 28.18, "high": 28.33, "low": 26.76, "close": 26.81, "volume": 91631545 }, { "date": "12/17/12", "open": 26.77, "high": 27, "low": 26.32, "close": 26.75, "volume": 57742403 }, { "date": "12/18/12", "open": 26.96, "high": 27.91, "low": 26.9, "close": 27.71, "volume": 60512872 }, { "date": "12/19/12", "open": 27.83, "high": 28.22, "low": 26.95, "close": 27.41, "volume": 61390122 }, { "date": "12/20/12", "open": 27.49, "high": 27.6, "low": 27.13, "close": 27.36, "volume": 35574784 }, { "date": "12/21/12", "open": 26.66, "high": 27.01, "low": 26.12, "close": 26.26, "volume": 54555183 }, { "date": "12/24/12", "open": 26.5, "high": 26.96, "low": 26.2, "close": 26.93, "volume": 28230035 }, { "date": "12/26/12", "open": 27.03, "high": 27.18, "low": 26.38, "close": 26.51, "volume": 33175320 }, { "date": "12/27/12", "open": 26.55, "high": 26.8, "low": 25.52, "close": 26.05, "volume": 43481682 }, { "date": "12/28/12", "open": 25.48, "high": 26.11, "low": 25.15, "close": 25.91, "volume": 56574797 }, { "date": "12/31/12", "open": 26.2, "high": 26.99, "low": 26.11, "close": 26.62, "volume": 60374424 }, { "date": "01/02/13", "open": 27.44, "high": 28.18, "low": 27.42, "close": 28, "volume": 69844980 }, { "date": "01/03/13", "open": 27.88, "high": 28.47, "low": 27.59, "close": 27.77, "volume": 63140530 }, { "date": "01/04/13", "open": 28.01, "high": 28.93, "low": 27.83, "close": 28.76, "volume": 72715349 }, { "date": "01/07/13", "open": 28.69, "high": 29.79, "low": 28.65, "close": 29.42, "volume": 83781725 }, { "date": "01/08/13", "open": 29.51, "high": 29.6, "low": 28.86, "close": 29.06, "volume": 45870933 }, { "date": "01/09/13", "open": 29.67, "high": 30.6, "low": 29.49, "close": 30.59, "volume": 104787653 }, { "date": "01/10/13", "open": 30.6, "high": 31.45, "low": 30.28, "close": 31.3, "volume": 95316372 }, { "date": "01/11/13", "open": 31.28, "high": 31.96, "low": 31.1, "close": 31.72, "volume": 89597985 }, { "date": "01/14/13", "open": 32.08, "high": 32.21, "low": 30.62, "close": 30.95, "volume": 98886858 }, { "date": "01/15/13", "open": 30.64, "high": 31.71, "low": 29.88, "close": 30.1, "volume": 173242356 }, { "date": "01/16/13", "open": 30.21, "high": 30.35, "low": 29.53, "close": 29.85, "volume": 75332648 }, { "date": "01/17/13", "open": 30.08, "high": 30.42, "low": 30.03, "close": 30.14, "volume": 40256606 }, { "date": "01/18/13", "open": 30.31, "high": 30.44, "low": 29.27, "close": 29.66, "volume": 49631496 }, { "date": "01/22/13", "open": 29.75, "high": 30.89, "low": 29.74, "close": 30.73, "volume": 55243212 }, { "date": "01/23/13", "open": 31.1, "high": 31.5, "low": 30.8, "close": 30.82, "volume": 48899741 }, { "date": "01/24/13", "open": 31.27, "high": 31.49, "low": 30.81, "close": 31.08, "volume": 43845049 }, { "date": "01/25/13", "open": 31.41, "high": 31.93, "low": 31.13, "close": 31.54, "volume": 54363551 }, { "date": "01/28/13", "open": 31.88, "high": 32.51, "low": 31.81, "close": 32.47, "volume": 59681410 }, { "date": "01/29/13", "open": 32, "high": 32.07, "low": 30.71, "close": 30.79, "volume": 72976496 }, { "date": "01/30/13", "open": 30.98, "high": 31.49, "low": 30.88, "close": 31.24, "volume": 87682080 }, { "date": "01/31/13", "open": 29.15, "high": 31.47, "low": 28.74, "close": 30.98, "volume": 190743612 }, { "date": "02/01/13", "open": 31.01, "high": 31.02, "low": 29.63, "close": 29.73, "volume": 85856666 }, { "date": "02/04/13", "open": 29.06, "high": 29.2, "low": 28.01, "close": 28.11, "volume": 92362184 }, { "date": "02/05/13", "open": 28.26, "high": 28.96, "low": 28.04, "close": 28.64, "volume": 47948191 }, { "date": "02/06/13", "open": 28.74, "high": 29.29, "low": 28.66, "close": 29.05, "volume": 38375742 }, { "date": "02/07/13", "open": 29.11, "high": 29.15, "low": 28.27, "close": 28.65, "volume": 34540014 }, { "date": "02/08/13", "open": 28.89, "high": 29.17, "low": 28.51, "close": 28.54, "volume": 37708729 }, { "date": "02/11/13", "open": 28.61, "high": 28.68, "low": 28.04, "close": 28.26, "volume": 37361742 }, { "date": "02/12/13", "open": 27.67, "high": 28.16, "low": 27.1, "close": 27.37, "volume": 93495635 }, { "date": "02/13/13", "open": 27.36, "high": 28.32, "low": 27.31, "close": 27.91, "volume": 50163959 }, { "date": "02/14/13", "open": 28.02, "high": 28.63, "low": 28.01, "close": 28.5, "volume": 35618411 }, { "date": "02/15/13", "open": 28.52, "high": 28.75, "low": 28.09, "close": 28.32, "volume": 33109105 }, { "date": "02/19/13", "open": 28.23, "high": 29.08, "low": 28.12, "close": 28.93, "volume": 49411547 }, { "date": "02/20/13", "open": 28.92, "high": 29.05, "low": 28.33, "close": 28.46, "volume": 42098118 }, { "date": "02/21/13", "open": 28.28, "high": 28.55, "low": 27.15, "close": 27.28, "volume": 49647671 }, { "date": "02/22/13", "open": 27.62, "high": 27.63, "low": 26.82, "close": 27.13, "volume": 36350149 }, { "date": "02/25/13", "open": 27.16, "high": 27.64, "low": 27.15, "close": 27.27, "volume": 34651983 }, { "date": "02/26/13", "open": 27.36, "high": 27.46, "low": 26.7, "close": 27.39, "volume": 31611642 }, { "date": "02/27/13", "open": 27.34, "high": 27.34, "low": 26.63, "close": 26.87, "volume": 44319628 }, { "date": "02/28/13", "open": 26.84, "high": 27.3, "low": 26.34, "close": 27.25, "volume": 83027721 }, { "date": "03/01/13", "open": 27.05, "high": 28.12, "low": 26.81, "close": 27.78, "volume": 54064731 }, { "date": "03/04/13", "open": 27.76, "high": 28.06, "low": 27.44, "close": 27.72, "volume": 32400645 }, { "date": "03/05/13", "open": 27.88, "high": 28.18, "low": 27.21, "close": 27.52, "volume": 40622189 }, { "date": "03/06/13", "open": 28.1, "high": 28.13, "low": 27.35, "close": 27.45, "volume": 33532526 }, { "date": "03/07/13", "open": 27.57, "high": 28.68, "low": 27.47, "close": 28.58, "volume": 74540116 }, { "date": "03/08/13", "open": 28.42, "high": 28.47, "low": 27.73, "close": 27.96, "volume": 44198838 }, { "date": "03/11/13", "open": 28.01, "high": 28.64, "low": 27.83, "close": 28.14, "volume": 35642057 }, { "date": "03/12/13", "open": 28.1, "high": 28.32, "low": 27.6, "close": 27.83, "volume": 27569590 }, { "date": "03/13/13", "open": 27.62, "high": 27.65, "low": 26.92, "close": 27.08, "volume": 39619443 }, { "date": "03/14/13", "open": 27.1, "high": 27.43, "low": 26.83, "close": 27.04, "volume": 27646381 }, { "date": "03/15/13", "open": 27.03, "high": 27.06, "low": 26.56, "close": 26.64, "volume": 31597364 }, { "date": "03/18/13", "open": 26.37, "high": 26.79, "low": 25.78, "close": 26.49, "volume": 26653641 }, { "date": "03/19/13", "open": 26.53, "high": 26.9, "low": 26.21, "close": 26.55, "volume": 25254152 }, { "date": "03/20/13", "open": 26.68, "high": 26.69, "low": 25.78, "close": 25.86, "volume": 44006434 }, { "date": "03/21/13", "open": 25.66, "high": 26.11, "low": 25.56, "close": 25.74, "volume": 24336012 }, { "date": "03/22/13", "open": 25.8, "high": 26.01, "low": 25.63, "close": 25.73, "volume": 18456268 }, { "date": "03/25/13", "open": 25.75, "high": 25.8, "low": 25.08, "close": 25.13, "volume": 39198947 }, { "date": "03/26/13", "open": 25.08, "high": 25.48, "low": 25.03, "close": 25.2, "volume": 26957135 }, { "date": "03/27/13", "open": 25, "high": 26.28, "low": 24.72, "close": 26.09, "volume": 52297328 }, { "date": "03/28/13", "open": 26.09, "high": 26.17, "low": 25.52, "close": 25.58, "volume": 28585612 }, { "date": "04/01/13", "open": 25.63, "high": 25.89, "low": 25.28, "close": 25.53, "volume": 22249212 }, { "date": "04/02/13", "open": 25.77, "high": 26.12, "low": 25.3, "close": 25.42, "volume": 35153292 }, { "date": "04/03/13", "open": 25.83, "high": 26.39, "low": 25.7, "close": 26.25, "volume": 48195118 }, { "date": "04/04/13", "open": 26.62, "high": 27.23, "low": 26.11, "close": 27.07, "volume": 82016745 }, { "date": "04/05/13", "open": 26.86, "high": 27.8, "low": 26.61, "close": 27.39, "volume": 64566510 }, { "date": "04/08/13", "open": 27.19, "high": 27.2, "low": 26.63, "close": 26.85, "volume": 27255982 }, { "date": "04/09/13", "open": 26.58, "high": 26.89, "low": 26.42, "close": 26.59, "volume": 21311013 }, { "date": "04/10/13", "open": 27.01, "high": 27.84, "low": 26.9, "close": 27.57, "volume": 45949361 }, { "date": "04/11/13", "open": 27.48, "high": 28.1, "low": 27.25, "close": 28.02, "volume": 33368462 }, { "date": "04/12/13", "open": 28, "high": 28, "low": 27.24, "close": 27.4, "volume": 28697400 }, { "date": "04/15/13", "open": 27.16, "high": 27.48, "low": 26.36, "close": 26.52, "volume": 30275356 }, { "date": "04/16/13", "open": 26.81, "high": 27.11, "low": 26.4, "close": 26.92, "volume": 27396392 }, { "date": "04/17/13", "open": 26.65, "high": 27.2, "low": 26.39, "close": 26.62, "volume": 26440537 }, { "date": "04/18/13", "open": 26.82, "high": 26.82, "low": 25.15, "close": 25.69, "volume": 39058905 }, { "date": "04/19/13", "open": 25.62, "high": 25.96, "low": 25.33, "close": 25.73, "volume": 20380862 }, { "date": "04/22/13", "open": 25.81, "high": 26.36, "low": 25.7, "close": 25.97, "volume": 25687549 }, { "date": "04/23/13", "open": 26.22, "high": 26.33, "low": 25.77, "close": 25.98, "volume": 25191467 }, { "date": "04/24/13", "open": 25.93, "high": 26.4, "low": 25.8, "close": 26.11, "volume": 19729809 }, { "date": "04/25/13", "open": 26.07, "high": 26.4, "low": 26, "close": 26.14, "volume": 17149965 }, { "date": "04/26/13", "open": 26.6, "high": 27.62, "low": 26.6, "close": 26.85, "volume": 33017958 }, { "date": "04/29/13", "open": 27.16, "high": 27.41, "low": 26.86, "close": 26.98, "volume": 29201070 }, { "date": "04/30/13", "open": 27.13, "high": 27.85, "low": 27, "close": 27.77, "volume": 36245633 }, { "date": "05/01/13", "open": 27.85, "high": 27.92, "low": 27.31, "close": 27.43, "volume": 64567590 }, { "date": "05/02/13", "open": 28.01, "high": 29.02, "low": 27.98, "close": 28.97, "volume": 104256921 }, { "date": "05/03/13", "open": 29.04, "high": 29.07, "low": 28.15, "close": 28.31, "volume": 58506376 }, { "date": "05/06/13", "open": 28.33, "high": 28.46, "low": 27.48, "close": 27.57, "volume": 43939307 }, { "date": "05/07/13", "open": 27.55, "high": 27.85, "low": 26.85, "close": 26.89, "volume": 41259083 }, { "date": "05/08/13", "open": 26.88, "high": 27.3, "low": 26.65, "close": 27.12, "volume": 34654851 }, { "date": "05/09/13", "open": 27.08, "high": 27.55, "low": 26.85, "close": 27.04, "volume": 33457150 }, { "date": "05/10/13", "open": 27.14, "high": 27.3, "low": 26.57, "close": 26.68, "volume": 30847022 }, { "date": "05/13/13", "open": 26.6, "high": 27.32, "low": 26.53, "close": 26.82, "volume": 29068764 }, { "date": "05/14/13", "open": 26.89, "high": 27.28, "low": 26.82, "close": 27.07, "volume": 24930207 }, { "date": "05/15/13", "open": 26.92, "high": 26.99, "low": 26.4, "close": 26.6, "volume": 30299761 }, { "date": "05/16/13", "open": 26.48, "high": 26.55, "low": 25.9, "close": 26.13, "volume": 35506976 }, { "date": "05/17/13", "open": 26.4, "high": 26.6, "low": 26.2, "close": 26.25, "volume": 29462605 }, { "date": "05/20/13", "open": 26.18, "high": 26.19, "low": 25.69, "close": 25.76, "volume": 42402874 }, { "date": "05/21/13", "open": 25.87, "high": 26.08, "low": 25.59, "close": 25.66, "volume": 26261210 }, { "date": "05/22/13", "open": 25.65, "high": 25.85, "low": 24.92, "close": 25.16, "volume": 45314475 }, { "date": "05/23/13", "open": 24.8, "high": 25.53, "low": 24.77, "close": 25.06, "volume": 37697202 }, { "date": "05/24/13", "open": 24.97, "high": 24.97, "low": 24.08, "close": 24.31, "volume": 58727882 }, { "date": "05/28/13", "open": 24.54, "high": 24.54, "low": 23.92, "close": 24.1, "volume": 50079642 }, { "date": "05/29/13", "open": 23.79, "high": 23.81, "low": 23.26, "close": 23.32, "volume": 64237702 }, { "date": "05/30/13", "open": 24.13, "high": 24.78, "low": 23.93, "close": 24.55, "volume": 60733122 }, { "date": "05/31/13", "open": 24.63, "high": 24.95, "low": 24.27, "close": 24.35, "volume": 35924917 }, { "date": "06/03/13", "open": 24.26, "high": 24.32, "low": 23.71, "close": 23.85, "volume": 35733795 }, { "date": "06/04/13", "open": 23.89, "high": 23.93, "low": 23.32, "close": 23.52, "volume": 34808997 }, { "date": "06/05/13", "open": 23.35, "high": 23.7, "low": 22.79, "close": 22.9, "volume": 53819645 }, { "date": "06/06/13", "open": 22.99, "high": 23.09, "low": 22.67, "close": 22.97, "volume": 31260660 }, { "date": "06/07/13", "open": 23.03, "high": 23.4, "low": 22.86, "close": 23.29, "volume": 38699124 }, { "date": "06/10/13", "open": 24.06, "high": 24.6, "low": 23.99, "close": 24.33, "volume": 58392986 }, { "date": "06/11/13", "open": 24.03, "high": 24.35, "low": 24, "close": 24.03, "volume": 29676383 }, { "date": "06/12/13", "open": 24.16, "high": 24.26, "low": 23.58, "close": 23.77, "volume": 26445790 }, { "date": "06/13/13", "open": 23.72, "high": 23.83, "low": 23.26, "close": 23.73, "volume": 31189247 }, { "date": "06/14/13", "open": 23.56, "high": 23.89, "low": 23.26, "close": 23.63, "volume": 30561387 }, { "date": "06/17/13", "open": 23.91, "high": 24.25, "low": 23.75, "close": 24.02, "volume": 33664419 }, { "date": "06/18/13", "open": 24.09, "high": 24.69, "low": 24.08, "close": 24.21, "volume": 36709004 }, { "date": "06/19/13", "open": 24.2, "high": 25.19, "low": 24.1, "close": 24.31, "volume": 31790525 }, { "date": "06/20/13", "open": 24.28, "high": 24.74, "low": 23.65, "close": 23.9, "volume": 42765586 }, { "date": "06/21/13", "open": 24.59, "high": 24.7, "low": 24.05, "close": 24.53, "volume": 45826173 }, { "date": "06/24/13", "open": 23.95, "high": 24.11, "low": 23.38, "close": 23.94, "volume": 40625948 }, { "date": "06/25/13", "open": 24.14, "high": 24.43, "low": 24.04, "close": 24.25, "volume": 24719988 }, { "date": "06/26/13", "open": 24.51, "high": 24.65, "low": 23.99, "close": 24.16, "volume": 29890205 }, { "date": "06/27/13", "open": 24.24, "high": 24.84, "low": 24.21, "close": 24.66, "volume": 34694013 }, { "date": "06/28/13", "open": 24.68, "high": 24.98, "low": 24.42, "close": 24.88, "volume": 96778879 }, { "date": "07/01/13", "open": 24.97, "high": 25.06, "low": 24.62, "close": 24.81, "volume": 20582195 }, { "date": "07/02/13", "open": 24.7, "high": 24.77, "low": 24.3, "close": 24.41, "volume": 18394008 }, { "date": "07/03/13", "open": 24.22, "high": 24.71, "low": 24.15, "close": 24.52, "volume": 10404332 }, { "date": "07/05/13", "open": 24.65, "high": 24.66, "low": 24.2, "close": 24.37, "volume": 20229451 }, { "date": "07/08/13", "open": 24.47, "high": 25.04, "low": 24.42, "close": 24.71, "volume": 27073983 }, { "date": "07/09/13", "open": 25.07, "high": 25.49, "low": 25.03, "close": 25.48, "volume": 30387889 }, { "date": "07/10/13", "open": 25.58, "high": 25.83, "low": 25.47, "close": 25.8, "volume": 26721794 }, { "date": "07/11/13", "open": 25.96, "high": 26, "low": 25.45, "close": 25.81, "volume": 26777354 }, { "date": "07/12/13", "open": 25.74, "high": 25.93, "low": 25.55, "close": 25.91, "volume": 16537840 }, { "date": "07/15/13", "open": 25.93, "high": 26.43, "low": 25.65, "close": 26.28, "volume": 24233957 }, { "date": "07/16/13", "open": 26.39, "high": 26.75, "low": 26.01, "close": 26.32, "volume": 30817554 }, { "date": "07/17/13", "open": 26.37, "high": 26.78, "low": 26.3, "close": 26.65, "volume": 21518463 }, { "date": "07/18/13", "open": 26.75, "high": 26.77, "low": 26.12, "close": 26.18, "volume": 24806825 }, { "date": "07/19/13", "open": 25.82, "high": 26.11, "low": 25.6, "close": 25.88, "volume": 46544938 }, { "date": "07/22/13", "open": 25.99, "high": 26.13, "low": 25.72, "close": 26.04, "volume": 27526213 }, { "date": "07/23/13", "open": 26.1, "high": 26.3, "low": 25.97, "close": 26.13, "volume": 28221534 }, { "date": "07/24/13", "open": 26.32, "high": 26.53, "low": 26.05, "close": 26.51, "volume": 82635587 }, { "date": "07/25/13", "open": 33.54, "high": 34.88, "low": 32.75, "close": 34.36, "volume": 365935212 }, { "date": "07/26/13", "open": 33.77, "high": 34.73, "low": 33.56, "close": 34.01, "volume": 136028897 }, { "date": "07/29/13", "open": 34.07, "high": 35.63, "low": 34.01, "close": 35.43, "volume": 124884870 }, { "date": "07/30/13", "open": 35.65, "high": 37.96, "low": 35.32, "close": 37.63, "volume": 173582710 }, { "date": "07/31/13", "open": 37.96, "high": 38.31, "low": 36.33, "close": 36.8, "volume": 154828679 }, { "date": "08/01/13", "open": 37.3, "high": 38.29, "low": 36.92, "close": 37.49, "volume": 106066472 }, { "date": "08/02/13", "open": 37.66, "high": 38.49, "low": 37.5, "close": 38.05, "volume": 73058424 }, { "date": "08/05/13", "open": 38.43, "high": 39.32, "low": 38.25, "close": 39.19, "volume": 79994774 }, { "date": "08/06/13", "open": 39.11, "high": 39.25, "low": 37.94, "close": 38.55, "volume": 63950791 }, { "date": "08/07/13", "open": 38.61, "high": 38.94, "low": 37.7, "close": 38.87, "volume": 68854764 }, { "date": "08/08/13", "open": 39.13, "high": 39.19, "low": 38.43, "close": 38.54, "volume": 41300906 }, { "date": "08/09/13", "open": 38.59, "high": 38.74, "low": 38.01, "close": 38.5, "volume": 43620024 }, { "date": "08/12/13", "open": 38.2, "high": 38.5, "low": 38.1, "close": 38.22, "volume": 31160951 }, { "date": "08/13/13", "open": 38.24, "high": 38.32, "low": 36.77, "close": 37.02, "volume": 65379198 }, { "date": "08/14/13", "open": 36.83, "high": 37.55, "low": 36.62, "close": 36.65, "volume": 48423890 }, { "date": "08/15/13", "open": 36.36, "high": 37.07, "low": 36.02, "close": 36.56, "volume": 56521095 }, { "date": "08/16/13", "open": 36.97, "high": 37.49, "low": 36.9, "close": 37.08, "volume": 45840714 }, { "date": "08/19/13", "open": 37.43, "high": 38.28, "low": 37.14, "close": 37.81, "volume": 57609591 }, { "date": "08/20/13", "open": 38.35, "high": 38.58, "low": 37.69, "close": 38.41, "volume": 57995140 }, { "date": "08/21/13", "open": 38.38, "high": 38.85, "low": 38.14, "close": 38.32, "volume": 46116868 }, { "date": "08/22/13", "open": 38.37, "high": 38.75, "low": 38.34, "close": 38.55, "volume": 21931163 }, { "date": "08/23/13", "open": 39, "high": 40.63, "low": 38.93, "close": 40.55, "volume": 86442283 }, { "date": "08/26/13", "open": 40.9, "high": 41.94, "low": 40.62, "close": 41.34, "volume": 94162358 }, { "date": "08/27/13", "open": 40.68, "high": 41.2, "low": 39.42, "close": 39.64, "volume": 72695050 }, { "date": "08/28/13", "open": 39.96, "high": 40.85, "low": 39.88, "close": 40.55, "volume": 57918194 }, { "date": "08/29/13", "open": 40.89, "high": 41.78, "low": 40.8, "close": 41.28, "volume": 58303395 }, { "date": "08/30/13", "open": 42.02, "high": 42.26, "low": 41.06, "close": 41.29, "volume": 67735053 }, { "date": "09/03/13", "open": 41.84, "high": 42.16, "low": 41.51, "close": 41.87, "volume": 48774896 }, { "date": "09/04/13", "open": 42.01, "high": 42.17, "low": 41.44, "close": 41.78, "volume": 42581854 }, { "date": "09/05/13", "open": 41.79, "high": 42.76, "low": 41.77, "close": 42.66, "volume": 50035380 }, { "date": "09/06/13", "open": 43.09, "high": 44.61, "low": 42.4, "close": 43.95, "volume": 117535626 }, { "date": "09/09/13", "open": 44.36, "high": 44.79, "low": 43.7, "close": 44.04, "volume": 75794696 }, { "date": "09/10/13", "open": 44.24, "high": 44.26, "low": 43.23, "close": 43.6, "volume": 54540282 }, { "date": "09/11/13", "open": 43.39, "high": 45.09, "low": 43.11, "close": 45.04, "volume": 71676653 }, { "date": "09/12/13", "open": 45.53, "high": 45.62, "low": 44.65, "close": 44.75, "volume": 68072239 }, { "date": "09/13/13", "open": 45.04, "high": 45.08, "low": 43.93, "close": 44.31, "volume": 52765299 }, { "date": "09/16/13", "open": 44.85, "high": 44.94, "low": 42.43, "close": 42.51, "volume": 70807761 }, { "date": "09/17/13", "open": 42.5, "high": 45.44, "low": 42.43, "close": 45.07, "volume": 91934557 }, { "date": "09/18/13", "open": 44.84, "high": 45.47, "low": 44.4, "close": 45.23, "volume": 79316945 }, { "date": "09/19/13", "open": 45.51, "high": 46.05, "low": 45.23, "close": 45.98, "volume": 63972369 }, { "date": "09/20/13", "open": 46.32, "high": 47.6, "low": 45.74, "close": 47.49, "volume": 115508400 }, { "date": "09/23/13", "open": 47.28, "high": 47.55, "low": 46.29, "close": 47.19, "volume": 75319202 }, { "date": "09/24/13", "open": 48.5, "high": 49.66, "low": 48.16, "close": 48.45, "volume": 136716101 }, { "date": "09/25/13", "open": 49.23, "high": 49.54, "low": 48.46, "close": 49.46, "volume": 87879619 }, { "date": "09/26/13", "open": 50.01, "high": 50.6, "low": 49.5, "close": 50.39, "volume": 98220046 }, { "date": "09/27/13", "open": 50.29, "high": 51.28, "low": 49.86, "close": 51.24, "volume": 81410460 }, { "date": "09/30/13", "open": 50.14, "high": 51.6, "low": 49.8, "close": 50.23, "volume": 100095417 }, { "date": "10/01/13", "open": 49.97, "high": 51.03, "low": 49.45, "close": 50.42, "volume": 98113699 }, { "date": "10/02/13", "open": 50.13, "high": 51.1, "low": 49.95, "close": 50.28, "volume": 62834429 }, { "date": "10/03/13", "open": 50.47, "high": 50.72, "low": 49.06, "close": 49.18, "volume": 82045323 }, { "date": "10/04/13", "open": 49.77, "high": 51.16, "low": 49.57, "close": 51.04, "volume": 74446947 }, { "date": "10/07/13", "open": 50.73, "high": 51.29, "low": 50.4, "close": 50.52, "volume": 57203957 }, { "date": "10/08/13", "open": 50.6, "high": 50.6, "low": 47.08, "close": 47.14, "volume": 136081330 }, { "date": "10/09/13", "open": 47.38, "high": 47.84, "low": 45.26, "close": 46.77, "volume": 147296862 }, { "date": "10/10/13", "open": 47.86, "high": 49.68, "low": 47.83, "close": 49.05, "volume": 99773784 }, { "date": "10/11/13", "open": 49.18, "high": 49.87, "low": 48.79, "close": 49.11, "volume": 58428451 }, { "date": "10/14/13", "open": 48.31, "high": 49.63, "low": 47.91, "close": 49.51, "volume": 68780552 }, { "date": "10/15/13", "open": 49.99, "high": 51, "low": 49.18, "close": 49.5, "volume": 81166571 }, { "date": "10/16/13", "open": 50.04, "high": 51.24, "low": 49.9, "close": 51.14, "volume": 64678247 }, { "date": "10/17/13", "open": 51.12, "high": 52.22, "low": 50.95, "close": 52.21, "volume": 71521899 }, { "date": "10/18/13", "open": 54.18, "high": 54.82, "low": 53.6, "close": 54.22, "volume": 88260093 }, { "date": "10/21/13", "open": 54.68, "high": 54.81, "low": 53.51, "close": 53.85, "volume": 58235283 }, { "date": "10/22/13", "open": 54.33, "high": 54.76, "low": 52.2, "close": 52.68, "volume": 83203892 }, { "date": "10/23/13", "open": 51.75, "high": 52.25, "low": 51.13, "close": 51.9, "volume": 57207154 }, { "date": "10/24/13", "open": 52.38, "high": 52.84, "low": 51.59, "close": 52.44, "volume": 46775185 }, { "date": "10/25/13", "open": 53.18, "high": 53.24, "low": 51.88, "close": 51.95, "volume": 45085348 }, { "date": "10/28/13", "open": 51.54, "high": 51.7, "low": 49.61, "close": 50.23, "volume": 73472347 }, { "date": "10/29/13", "open": 50.73, "high": 50.79, "low": 49.25, "close": 49.4, "volume": 102143469 }, { "date": "10/30/13", "open": 50, "high": 50.21, "low": 48.75, "close": 49.01, "volume": 127072652 }, { "date": "10/31/13", "open": 47.16, "high": 52, "low": 46.5, "close": 50.2, "volume": 248809006 }, { "date": "11/01/13", "open": 50.85, "high": 52.09, "low": 49.72, "close": 49.75, "volume": 95032876 }, { "date": "11/04/13", "open": 49.36, "high": 49.75, "low": 48.02, "close": 48.22, "volume": 80371218 }, { "date": "11/05/13", "open": 47.79, "high": 50.18, "low": 47.51, "close": 50.1, "volume": 76835006 }, { "date": "11/06/13", "open": 50.26, "high": 50.45, "low": 48.71, "close": 49.12, "volume": 67889337 }, { "date": "11/07/13", "open": 49.24, "high": 49.87, "low": 47.3, "close": 47.56, "volume": 97127618 }, { "date": "11/08/13", "open": 47.81, "high": 48.65, "low": 47.25, "close": 47.53, "volume": 70731178 }, { "date": "11/11/13", "open": 47.04, "high": 47.53, "low": 45.73, "close": 46.2, "volume": 80909626 }, { "date": "11/12/13", "open": 46, "high": 47.37, "low": 45.83, "close": 46.6, "volume": 68195832 }, { "date": "11/13/13", "open": 46.23, "high": 48.74, "low": 46.06, "close": 48.71, "volume": 79245346 }, { "date": "11/14/13", "open": 48.7, "high": 49.57, "low": 48.03, "close": 48.99, "volume": 75117049 }, { "date": "11/15/13", "open": 49.11, "high": 49.48, "low": 48.71, "close": 49.01, "volume": 42452937 }, { "date": "11/18/13", "open": 48.47, "high": 48.84, "low": 45.8, "close": 45.83, "volume": 85909884 }, { "date": "11/19/13", "open": 46.26, "high": 47, "low": 45.72, "close": 46.36, "volume": 75602413 }, { "date": "11/20/13", "open": 46.61, "high": 47.55, "low": 46.31, "close": 46.43, "volume": 53932698 }, { "date": "11/21/13", "open": 46.99, "high": 47.46, "low": 46.68, "close": 46.7, "volume": 34886170 }, { "date": "11/22/13", "open": 47.04, "high": 47.27, "low": 45.96, "close": 46.23, "volume": 40545375 }, { "date": "11/25/13", "open": 46.36, "high": 46.65, "low": 44.04, "close": 44.82, "volume": 82565324 }, { "date": "11/26/13", "open": 44.66, "high": 46.17, "low": 43.55, "close": 45.89, "volume": 82016490 }, { "date": "11/27/13", "open": 45.97, "high": 46.67, "low": 45.53, "close": 46.49, "volume": 44993195 }, { "date": "11/29/13", "open": 46.75, "high": 47.21, "low": 46.5, "close": 47.01, "volume": 22953916 }, { "date": "12/02/13", "open": 46.9, "high": 47.54, "low": 46.26, "close": 47.06, "volume": 50773647 }, { "date": "12/03/13", "open": 46.75, "high": 47.2, "low": 46.29, "close": 46.73, "volume": 32085905 }, { "date": "12/04/13", "open": 46.46, "high": 48.77, "low": 46.26, "close": 48.62, "volume": 60890176 }, { "date": "12/05/13", "open": 48.15, "high": 48.7, "low": 47.87, "close": 48.34, "volume": 43855036 }, { "date": "12/06/13", "open": 48.98, "high": 49.39, "low": 47.71, "close": 47.94, "volume": 42937659 }, { "date": "12/09/13", "open": 48.06, "high": 48.97, "low": 47.74, "close": 48.84, "volume": 36055891 }, { "date": "12/10/13", "open": 48.62, "high": 50.77, "low": 48.54, "close": 50.24, "volume": 68478561 }, { "date": "12/11/13", "open": 50.56, "high": 50.77, "low": 49.01, "close": 49.38, "volume": 65776366 }, { "date": "12/12/13", "open": 51.03, "high": 52.07, "low": 50.66, "close": 51.83, "volume": 92723034 }, { "date": "12/13/13", "open": 51.61, "high": 53.5, "low": 51.34, "close": 53.32, "volume": 82640992 }, { "date": "12/16/13", "open": 53.27, "high": 54.5, "low": 52.91, "close": 53.81, "volume": 85118518 }, { "date": "12/17/13", "open": 54.75, "high": 55.18, "low": 54.24, "close": 54.86, "volume": 78751463 }, { "date": "12/18/13", "open": 55.57, "high": 55.89, "low": 53.75, "close": 55.57, "volume": 76003479 }, { "date": "12/19/13", "open": 54.34, "high": 55.19, "low": 53.95, "close": 55.05, "volume": 89825393 }, { "date": "12/20/13", "open": 54.91, "high": 55.15, "low": 54.23, "close": 55.12, "volume": 239823912 }, { "date": "12/23/13", "open": 55.5, "high": 58.32, "low": 55.45, "close": 57.77, "volume": 98296983 }, { "date": "12/24/13", "open": 58.27, "high": 58.58, "low": 56.91, "close": 57.96, "volume": 46617754 }, { "date": "12/26/13", "open": 58.32, "high": 58.38, "low": 57.37, "close": 57.73, "volume": 55101367 }, { "date": "12/27/13", "open": 57.48, "high": 57.68, "low": 55.25, "close": 55.44, "volume": 60465751 }, { "date": "12/30/13", "open": 54.93, "high": 55.18, "low": 53.43, "close": 53.71, "volume": 68307317 }, { "date": "12/31/13", "open": 54.12, "high": 54.86, "low": 53.91, "close": 54.65, "volume": 43152127 }, { "date": "01/02/14", "open": 54.83, "high": 55.22, "low": 54.19, "close": 54.71, "volume": 43257622 }, { "date": "01/03/14", "open": 55.02, "high": 55.65, "low": 54.53, "close": 54.56, "volume": 38287706 }, { "date": "01/06/14", "open": 54.42, "high": 57.26, "low": 54.05, "close": 57.2, "volume": 68974359 }, { "date": "01/07/14", "open": 57.7, "high": 58.55, "low": 57.22, "close": 57.92, "volume": 77329009 }, { "date": "01/08/14", "open": 57.6, "high": 58.41, "low": 57.23, "close": 58.23, "volume": 56800776 }, { "date": "01/09/14", "open": 58.65, "high": 58.96, "low": 56.65, "close": 57.22, "volume": 92349222 }, { "date": "01/10/14", "open": 57.13, "high": 58.3, "low": 57.06, "close": 57.94, "volume": 42529258 }, { "date": "01/13/14", "open": 57.91, "high": 58.25, "low": 55.38, "close": 55.91, "volume": 63106519 }, { "date": "01/14/14", "open": 56.46, "high": 57.78, "low": 56.1, "close": 57.74, "volume": 37590987 }, { "date": "01/15/14", "open": 57.98, "high": 58.57, "low": 57.27, "close": 57.6, "volume": 33730619 }, { "date": "01/16/14", "open": 57.26, "high": 58.02, "low": 56.83, "close": 57.19, "volume": 34599775 }, { "date": "01/17/14", "open": 57.3, "high": 57.82, "low": 56.07, "close": 56.3, "volume": 40883205 }, { "date": "01/21/14", "open": 56.6, "high": 58.58, "low": 56.5, "close": 58.51, "volume": 48734147 }, { "date": "01/22/14", "open": 58.85, "high": 59.31, "low": 57.1, "close": 57.51, "volume": 61495880 }, { "date": "01/23/14", "open": 56.37, "high": 56.68, "low": 55.69, "close": 56.63, "volume": 47996403 }, { "date": "01/24/14", "open": 56.15, "high": 56.42, "low": 54.4, "close": 54.45, "volume": 55545338 }, { "date": "01/27/14", "open": 54.73, "high": 54.94, "low": 51.85, "close": 53.55, "volume": 74142331 }, { "date": "01/28/14", "open": 54.02, "high": 55.28, "low": 54, "close": 55.14, "volume": 48364998 }, { "date": "01/29/14", "open": 54.61, "high": 54.95, "low": 53.19, "close": 53.53, "volume": 98089932 }, { "date": "01/30/14", "open": 62.12, "high": 62.5, "low": 60.46, "close": 61.08, "volume": 150438699 }, { "date": "01/31/14", "open": 60.47, "high": 63.37, "low": 60.17, "close": 62.57, "volume": 87930298 }, { "date": "02/03/14", "open": 63.03, "high": 63.77, "low": 60.7, "close": 61.48, "volume": 75105994 }, { "date": "02/04/14", "open": 62.05, "high": 63.14, "low": 61.82, "close": 62.75, "volume": 46064897 }, { "date": "02/05/14", "open": 62.74, "high": 63.16, "low": 61.27, "close": 62.19, "volume": 53032420 }, { "date": "02/06/14", "open": 61.46, "high": 62.78, "low": 61.46, "close": 62.16, "volume": 42153754 }, { "date": "02/07/14", "open": 62.27, "high": 64.57, "low": 62.22, "close": 64.32, "volume": 60835746 }, { "date": "02/10/14", "open": 64.3, "high": 64.49, "low": 63.47, "close": 63.55, "volume": 43736562 }, { "date": "02/11/14", "open": 63.75, "high": 65, "low": 63.35, "close": 64.85, "volume": 45746832 }, { "date": "02/12/14", "open": 64.92, "high": 65.06, "low": 64.05, "close": 64.45, "volume": 47409857 }, { "date": "02/13/14", "open": 64.18, "high": 67.33, "low": 64.05, "close": 67.33, "volume": 62013396 }, { "date": "02/14/14", "open": 67.5, "high": 67.58, "low": 66.72, "close": 67.09, "volume": 36786427 }, { "date": "02/18/14", "open": 66.94, "high": 67.54, "low": 66.07, "close": 67.3, "volume": 43862297 }, { "date": "02/19/14", "open": 67.05, "high": 69.08, "low": 67, "close": 68.06, "volume": 64258631 }, { "date": "02/20/14", "open": 67.73, "high": 70.11, "low": 65.73, "close": 69.63, "volume": 131043748 }, { "date": "02/21/14", "open": 69.69, "high": 69.96, "low": 68.45, "close": 68.59, "volume": 70991892 }, { "date": "02/24/14", "open": 68.74, "high": 71.44, "low": 68.54, "close": 70.78, "volume": 76951946 }, { "date": "02/25/14", "open": 70.95, "high": 71, "low": 69.45, "close": 69.85, "volume": 52189031 }, { "date": "02/26/14", "open": 70.19, "high": 71.22, "low": 68.85, "close": 69.26, "volume": 55400399 }, { "date": "02/27/14", "open": 69.34, "high": 70.01, "low": 68.87, "close": 68.94, "volume": 41695855 }, { "date": "02/28/14", "open": 69.47, "high": 69.88, "low": 67.38, "close": 68.46, "volume": 66900863 }, { "date": "03/03/14", "open": 66.96, "high": 68.05, "low": 66.51, "close": 67.41, "volume": 56900444 }, { "date": "03/04/14", "open": 68.66, "high": 68.9, "low": 67.62, "close": 68.8, "volume": 42164222 }, { "date": "03/05/14", "open": 69.69, "high": 71.97, "low": 69.62, "close": 71.57, "volume": 74649486 }, { "date": "03/06/14", "open": 71.88, "high": 71.89, "low": 70.25, "close": 70.84, "volume": 46126260 }, { "date": "03/07/14", "open": 71.08, "high": 71.18, "low": 69.47, "close": 69.8, "volume": 38985763 }, { "date": "03/10/14", "open": 70.77, "high": 72.15, "low": 70.51, "close": 72.03, "volume": 59949746 }, { "date": "03/11/14", "open": 72.5, "high": 72.59, "low": 69.96, "close": 70.1, "volume": 59615238 }, { "date": "03/12/14", "open": 69.86, "high": 71.35, "low": 69, "close": 70.88, "volume": 46400431 }, { "date": "03/13/14", "open": 71.29, "high": 71.35, "low": 68.15, "close": 68.83, "volume": 57091157 }, { "date": "03/14/14", "open": 68.49, "high": 69.43, "low": 67.46, "close": 67.72, "volume": 48226824 }, { "date": "03/17/14", "open": 68.18, "high": 68.95, "low": 66.62, "close": 68.74, "volume": 52196699 }, { "date": "03/18/14", "open": 68.76, "high": 69.6, "low": 68.3, "close": 69.19, "volume": 40827226 }, { "date": "03/19/14", "open": 69.17, "high": 69.29, "low": 67.46, "close": 68.24, "volume": 43980558 }, { "date": "03/20/14", "open": 68.01, "high": 68.23, "low": 66.82, "close": 66.97, "volume": 44438500 }, { "date": "03/21/14", "open": 67.53, "high": 67.92, "low": 66.18, "close": 67.24, "volume": 60041228 }, { "date": "03/24/14", "open": 67.19, "high": 67.36, "low": 63.36, "close": 64.1, "volume": 85695872 }, { "date": "03/25/14", "open": 64.89, "high": 66.19, "low": 63.78, "close": 64.89, "volume": 68785500 }, { "date": "03/26/14", "open": 64.74, "high": 64.95, "low": 60.37, "close": 60.38, "volume": 97689774 }, { "date": "03/27/14", "open": 60.51, "high": 61.9, "low": 57.98, "close": 60.97, "volume": 112649694 }, { "date": "03/28/14", "open": 61.34, "high": 61.95, "low": 59.34, "close": 60.01, "volume": 67051528 }, { "date": "03/31/14", "open": 60.78, "high": 61.52, "low": 59.87, "close": 60.24, "volume": 53011205 }, { "date": "04/01/14", "open": 60.46, "high": 62.66, "low": 60.24, "close": 62.62, "volume": 59291210 }, { "date": "04/02/14", "open": 63.21, "high": 63.91, "low": 62.21, "close": 62.72, "volume": 66276613 }, { "date": "04/03/14", "open": 62.55, "high": 63.17, "low": 59.13, "close": 59.49, "volume": 83859330 }, { "date": "04/04/14", "open": 59.94, "high": 60.2, "low": 56.32, "close": 56.75, "volume": 125465774 }, { "date": "04/07/14", "open": 55.9, "high": 58, "low": 55.44, "close": 56.95, "volume": 108487569 }, { "date": "04/08/14", "open": 57.68, "high": 58.71, "low": 57.17, "close": 58.19, "volume": 78835935 }, { "date": "04/09/14", "open": 59.63, "high": 62.46, "low": 59.19, "close": 62.41, "volume": 100215307 }, { "date": "04/10/14", "open": 63.08, "high": 63.18, "low": 58.68, "close": 59.16, "volume": 114987616 }, { "date": "04/11/14", "open": 57.6, "high": 60.31, "low": 57.31, "close": 58.53, "volume": 91451960 }, { "date": "04/14/14", "open": 60.09, "high": 60.45, "low": 57.78, "close": 58.89, "volume": 72324603 }, { "date": "04/15/14", "open": 59.29, "high": 59.68, "low": 55.88, "close": 59.09, "volume": 108622706 }, { "date": "04/16/14", "open": 59.79, "high": 60.19, "low": 57.74, "close": 59.72, "volume": 78773521 }, { "date": "04/17/14", "open": 59.3, "high": 60.58, "low": 58.72, "close": 58.94, "volume": 88040346 }, { "date": "04/21/14", "open": 59.46, "high": 61.24, "low": 59.15, "close": 61.24, "volume": 60363619 }, { "date": "04/22/14", "open": 62.65, "high": 63.44, "low": 62.22, "close": 63.03, "volume": 60631312 }, { "date": "04/23/14", "open": 63.45, "high": 63.48, "low": 61.26, "close": 61.36, "volume": 96564750 }, { "date": "04/24/14", "open": 63.6, "high": 63.65, "low": 59.77, "close": 60.87, "volume": 138769345 }, { "date": "04/25/14", "open": 59.97, "high": 60.01, "low": 57.57, "close": 57.71, "volume": 92501529 }, { "date": "04/28/14", "open": 58.05, "high": 58.31, "low": 54.66, "close": 56.14, "volume": 107757756 }, { "date": "04/29/14", "open": 56.09, "high": 58.28, "low": 55.84, "close": 58.15, "volume": 75557202 }, { "date": "04/30/14", "open": 57.58, "high": 59.85, "low": 57.16, "close": 59.78, "volume": 76093004 }, { "date": "05/01/14", "open": 60.43, "high": 62.28, "low": 60.21, "close": 61.15, "volume": 82428606 }, { "date": "05/02/14", "open": 61.3, "high": 61.89, "low": 60.18, "close": 60.46, "volume": 54189197 }, { "date": "05/05/14", "open": 59.67, "high": 61.35, "low": 59.18, "close": 61.22, "volume": 46057411 }, { "date": "05/06/14", "open": 60.98, "high": 61.15, "low": 58.49, "close": 58.53, "volume": 55900809 }, { "date": "05/07/14", "open": 58.77, "high": 59.3, "low": 56.26, "close": 57.39, "volume": 78587247 }, { "date": "05/08/14", "open": 57.23, "high": 58.82, "low": 56.5, "close": 56.76, "volume": 61251053 }, { "date": "05/09/14", "open": 56.85, "high": 57.65, "low": 56.38, "close": 57.24, "volume": 52583858 }, { "date": "05/12/14", "open": 57.98, "high": 59.9, "low": 57.98, "close": 59.83, "volume": 48575487 }, { "date": "05/13/14", "open": 59.66, "high": 60.89, "low": 59.51, "close": 59.83, "volume": 48525476 }, { "date": "05/14/14", "open": 59.53, "high": 60.45, "low": 58.95, "close": 59.23, "volume": 47428583 }, { "date": "05/15/14", "open": 59.26, "high": 59.38, "low": 57.52, "close": 57.92, "volume": 56813940 }, { "date": "05/16/14", "open": 58.31, "high": 58.45, "low": 57.31, "close": 58.02, "volume": 47933075 }, { "date": "05/19/14", "open": 57.89, "high": 59.56, "low": 57.57, "close": 59.21, "volume": 43033925 }, { "date": "05/20/14", "open": 59.5, "high": 60.19, "low": 58.18, "close": 58.56, "volume": 53931469 }, { "date": "05/21/14", "open": 58.56, "high": 60.5, "low": 58.25, "close": 60.49, "volume": 58991505 }, { "date": "05/22/14", "open": 60.94, "high": 61.48, "low": 60.4, "close": 60.52, "volume": 54200116 }, { "date": "05/23/14", "open": 60.41, "high": 61.45, "low": 60.15, "close": 61.35, "volume": 38293993 }, { "date": "05/27/14", "open": 61.62, "high": 63.51, "low": 61.57, "close": 63.48, "volume": 55681663 }, { "date": "05/28/14", "open": 63.39, "high": 64.14, "low": 62.62, "close": 63.51, "volume": 47795088 }, { "date": "05/29/14", "open": 63.84, "high": 64.3, "low": 63.51, "close": 63.83, "volume": 42699670 }, { "date": "05/30/14", "open": 63.95, "high": 64.17, "low": 62.56, "close": 63.3, "volume": 45283577 }, { "date": "06/02/14", "open": 63.23, "high": 63.59, "low": 62.05, "close": 63.08, "volume": 35995537 }, { "date": "06/03/14", "open": 62.62, "high": 63.42, "low": 62.32, "close": 62.87, "volume": 32216707 }, { "date": "06/04/14", "open": 62.45, "high": 63.59, "low": 62.07, "close": 63.34, "volume": 36513991 }, { "date": "06/05/14", "open": 63.66, "high": 64.36, "low": 62.82, "close": 63.19, "volume": 47352368 }, { "date": "06/06/14", "open": 63.37, "high": 63.48, "low": 62.15, "close": 62.5, "volume": 42442096 }, { "date": "06/09/14", "open": 62.4, "high": 63.34, "low": 61.79, "close": 62.88, "volume": 37617413 }, { "date": "06/10/14", "open": 63.53, "high": 65.82, "low": 63.5, "close": 65.77, "volume": 69338140 }, { "date": "06/11/14", "open": 65.32, "high": 65.8, "low": 64.9, "close": 65.78, "volume": 44241926 }, { "date": "06/12/14", "open": 65.85, "high": 66.47, "low": 64.06, "close": 64.29, "volume": 55729828 }, { "date": "06/13/14", "open": 64.7, "high": 64.97, "low": 63.83, "close": 64.5, "volume": 29418910 }, { "date": "06/16/14", "open": 64.16, "high": 64.88, "low": 63.75, "close": 64.19, "volume": 31045811 }, { "date": "06/17/14", "open": 64.1, "high": 64.88, "low": 63.93, "close": 64.4, "volume": 27714816 }, { "date": "06/18/14", "open": 64.49, "high": 65.75, "low": 64.05, "close": 65.6, "volume": 35570154 }, { "date": "06/19/14", "open": 65.46, "high": 65.58, "low": 64.21, "close": 64.34, "volume": 34245182 }, { "date": "06/20/14", "open": 64.46, "high": 64.81, "low": 63.35, "close": 64.5, "volume": 46466073 }, { "date": "06/23/14", "open": 64.32, "high": 65.66, "low": 64.22, "close": 65.37, "volume": 34560121 }, { "date": "06/24/14", "open": 65.36, "high": 67.17, "low": 65.27, "close": 65.72, "volume": 57334867 }, { "date": "06/25/14", "open": 65.58, "high": 67.48, "low": 65.57, "close": 67.44, "volume": 44308249 }, { "date": "06/26/14", "open": 68, "high": 68, "low": 66.9, "close": 67.13, "volume": 47713944 }, { "date": "06/27/14", "open": 67.31, "high": 67.7, "low": 66.84, "close": 67.6, "volume": 46460627 }, { "date": "06/30/14", "open": 67.46, "high": 67.92, "low": 67.13, "close": 67.29, "volume": 27201749 }, { "date": "07/01/14", "open": 67.58, "high": 68.44, "low": 67.39, "close": 68.06, "volume": 33243166 }, { "date": "07/02/14", "open": 68.04, "high": 68.3, "low": 65.79, "close": 66.45, "volume": 41895220 }, { "date": "07/03/14", "open": 66.86, "high": 67, "low": 65.76, "close": 66.29, "volume": 25203215 }, { "date": "07/07/14", "open": 66.3, "high": 66.57, "low": 65.12, "close": 65.29, "volume": 28745099 }, { "date": "07/08/14", "open": 65.06, "high": 65.56, "low": 62.21, "close": 62.76, "volume": 68926036 }, { "date": "07/09/14", "open": 63.41, "high": 65.12, "low": 63.15, "close": 64.97, "volume": 51431582 }, { "date": "07/10/14", "open": 63.31, "high": 65.34, "low": 63.05, "close": 64.87, "volume": 44421915 }, { "date": "07/11/14", "open": 65.28, "high": 66.59, "low": 64.79, "close": 66.34, "volume": 39212022 }, { "date": "07/14/14", "open": 67.13, "high": 68.17, "low": 66.9, "close": 67.9, "volume": 38536924 }, { "date": "07/15/14", "open": 67.96, "high": 68.09, "low": 66.26, "close": 67.16, "volume": 44292944 }, { "date": "07/16/14", "open": 67.54, "high": 67.94, "low": 67.07, "close": 67.66, "volume": 29593589 }, { "date": "07/17/14", "open": 67.03, "high": 67.85, "low": 66.04, "close": 66.41, "volume": 38188432 }, { "date": "07/18/14", "open": 66.8, "high": 68.46, "low": 66.16, "close": 68.42, "volume": 42455649 }, { "date": "07/21/14", "open": 68.81, "high": 69.96, "low": 68.5, "close": 69.4, "volume": 49539121 }, { "date": "07/22/14", "open": 69.76, "high": 69.77, "low": 68.61, "close": 69.27, "volume": 40397693 }, { "date": "07/23/14", "open": 69.74, "high": 71.33, "low": 69.61, "close": 71.29, "volume": 78434716 }, { "date": "07/24/14", "open": 75.96, "high": 76.74, "low": 74.51, "close": 74.98, "volume": 124167936 }, { "date": "07/25/14", "open": 74.99, "high": 75.67, "low": 74.66, "close": 75.19, "volume": 45917435 }, { "date": "07/28/14", "open": 75.17, "high": 75.5, "low": 73.85, "close": 74.92, "volume": 41725249 }, { "date": "07/29/14", "open": 74.72, "high": 74.92, "low": 73.42, "close": 73.71, "volume": 41324470 }, { "date": "07/30/14", "open": 74.21, "high": 75.19, "low": 74.13, "close": 74.68, "volume": 36853018 }, { "date": "07/31/14", "open": 74, "high": 74.16, "low": 72.44, "close": 72.65, "volume": 43991772 }, { "date": "08/01/14", "open": 72.22, "high": 73.22, "low": 71.55, "close": 72.36, "volume": 43535314 }, { "date": "08/04/14", "open": 72.36, "high": 73.88, "low": 72.36, "close": 73.51, "volume": 30776819 }, { "date": "08/05/14", "open": 73.51, "high": 73.59, "low": 72.18, "close": 72.69, "volume": 34986147 }, { "date": "08/06/14", "open": 72.02, "high": 73.72, "low": 71.79, "close": 72.47, "volume": 30985533 }, { "date": "08/07/14", "open": 73, "high": 74, "low": 72.7, "close": 73.17, "volume": 38140550 }, { "date": "08/08/14", "open": 73.4, "high": 73.43, "low": 72.56, "close": 73.06, "volume": 27202325 }, { "date": "08/11/14", "open": 73.46, "high": 73.91, "low": 73.06, "close": 73.44, "volume": 24591177 }, { "date": "08/12/14", "open": 73.09, "high": 73.33, "low": 72.22, "close": 72.83, "volume": 27418983 }, { "date": "08/13/14", "open": 73.12, "high": 74.25, "low": 73.05, "close": 73.77, "volume": 29265662 }, { "date": "08/14/14", "open": 73.97, "high": 74.38, "low": 73.69, "close": 74.3, "volume": 22207019 }, { "date": "08/15/14", "open": 74.32, "high": 74.65, "low": 73, "close": 73.63, "volume": 38909161 }, { "date": "08/18/14", "open": 74, "high": 74.72, "low": 73.96, "close": 74.59, "volume": 23973658 }, { "date": "08/19/14", "open": 74.81, "high": 75.58, "low": 74.77, "close": 75.29, "volume": 26678640 }, { "date": "08/20/14", "open": 74.97, "high": 75.18, "low": 74.62, "close": 74.81, "volume": 22916678 }, { "date": "08/21/14", "open": 74.92, "high": 75.19, "low": 74.41, "close": 74.57, "volume": 20101979 }, { "date": "08/22/14", "open": 74.34, "high": 74.73, "low": 73.57, "close": 74.57, "volume": 20897393 }, { "date": "08/25/14", "open": 74.94, "high": 75.28, "low": 74.79, "close": 75.02, "volume": 19734103 }, { "date": "08/26/14", "open": 75, "high": 75.99, "low": 74.73, "close": 75.96, "volume": 23992668 }, { "date": "08/27/14", "open": 75.27, "high": 75.49, "low": 74.46, "close": 74.63, "volume": 36323060 }, { "date": "08/28/14", "open": 74, "high": 74.43, "low": 73.73, "close": 73.86, "volume": 21946738 }, { "date": "08/29/14", "open": 74.3, "high": 74.82, "low": 74.01, "close": 74.82, "volume": 26241162 }, { "date": "09/02/14", "open": 75.01, "high": 76.7, "low": 74.82, "close": 76.68, "volume": 34979438 }, { "date": "09/03/14", "open": 77.14, "high": 77.48, "low": 75.6, "close": 75.83, "volume": 32389102 }, { "date": "09/04/14", "open": 75.89, "high": 76.93, "low": 75.53, "close": 75.95, "volume": 26676444 }, { "date": "09/05/14", "open": 76.1, "high": 77.38, "low": 75.6, "close": 77.26, "volume": 29475854 }, { "date": "09/08/14", "open": 77.26, "high": 78.17, "low": 77.01, "close": 77.89, "volume": 28183156 }, { "date": "09/09/14", "open": 77.59, "high": 78.17, "low": 76.2, "close": 76.67, "volume": 28881803 }, { "date": "09/10/14", "open": 76.52, "high": 77.95, "low": 76.51, "close": 77.43, "volume": 29908606 }, { "date": "09/11/14", "open": 77.13, "high": 78.36, "low": 77.05, "close": 77.92, "volume": 32247724 }, { "date": "09/12/14", "open": 78.02, "high": 78.3, "low": 77.1, "close": 77.48, "volume": 26744356 }, { "date": "09/15/14", "open": 77.15, "high": 77.25, "low": 73.43, "close": 74.58, "volume": 49679130 }, { "date": "09/16/14", "open": 73.52, "high": 76.23, "low": 73.07, "close": 76.08, "volume": 37742482 }, { "date": "09/17/14", "open": 75.96, "high": 77.25, "low": 75.57, "close": 76.43, "volume": 28693348 }, { "date": "09/18/14", "open": 76.77, "high": 77.33, "low": 76.52, "close": 77, "volume": 23030936 }, { "date": "09/19/14", "open": 77.4, "high": 78.3, "low": 76.44, "close": 77.91, "volume": 76671330 }, { "date": "09/22/14", "open": 77, "high": 77.53, "low": 75.95, "close": 76.8, "volume": 31961015 }, { "date": "09/23/14", "open": 76.33, "high": 78.63, "low": 76.04, "close": 78.29, "volume": 36814111 }, { "date": "09/24/14", "open": 78.1, "high": 78.62, "low": 77.51, "close": 78.54, "volume": 30679642 }, { "date": "09/25/14", "open": 78.6, "high": 78.94, "low": 77.13, "close": 77.22, "volume": 37532580 }, { "date": "09/26/14", "open": 77.59, "high": 78.84, "low": 77.33, "close": 78.79, "volume": 28872012 }, { "date": "09/29/14", "open": 78.12, "high": 79.2, "low": 77.91, "close": 79, "volume": 34030635 }, { "date": "09/30/14", "open": 79.35, "high": 79.71, "low": 78.6, "close": 79.04, "volume": 35899444 }, { "date": "10/01/14", "open": 78.78, "high": 78.82, "low": 75.9, "close": 76.55, "volume": 55090157 }, { "date": "10/02/14", "open": 76.57, "high": 77.48, "low": 75.64, "close": 77.08, "volume": 36487612 }, { "date": "10/03/14", "open": 77.76, "high": 78.06, "low": 77.26, "close": 77.44, "volume": 23340173 }, { "date": "10/06/14", "open": 77.19, "high": 77.89, "low": 76.85, "close": 77.56, "volume": 25729191 }, { "date": "10/07/14", "open": 77.05, "high": 77.95, "low": 76.24, "close": 76.29, "volume": 25317488 }, { "date": "10/08/14", "open": 76.18, "high": 77.71, "low": 75.1, "close": 77.52, "volume": 32975514 }, { "date": "10/09/14", "open": 77.28, "high": 77.76, "low": 75.85, "close": 75.91, "volume": 32487174 }, { "date": "10/10/14", "open": 75.59, "high": 76.5, "low": 72.76, "close": 72.91, "volume": 52146162 }, { "date": "10/13/14", "open": 73.23, "high": 74.78, "low": 72.52, "close": 72.99, "volume": 43937638 }, { "date": "10/14/14", "open": 74, "high": 74.18, "low": 72.05, "close": 73.59, "volume": 50299288 }, { "date": "10/15/14", "open": 71.69, "high": 73.8, "low": 70.32, "close": 73.21, "volume": 61528317 }, { "date": "10/16/14", "open": 70.79, "high": 73.35, "low": 70.58, "close": 72.63, "volume": 53529459 }, { "date": "10/17/14", "open": 74.23, "high": 76, "low": 73.75, "close": 75.95, "volume": 76341638 }, { "date": "10/20/14", "open": 75.6, "high": 77.09, "low": 75.38, "close": 76.95, "volume": 34701260 }, { "date": "10/21/14", "open": 77.56, "high": 78.74, "low": 77.15, "close": 78.69, "volume": 32252403 }, { "date": "10/22/14", "open": 78.82, "high": 79.85, "low": 78.01, "close": 78.37, "volume": 41862393 }, { "date": "10/23/14", "open": 79.38, "high": 80.63, "low": 79.01, "close": 80.04, "volume": 35055800 }, { "date": "10/24/14", "open": 80.2, "high": 80.82, "low": 79.32, "close": 80.67, "volume": 32247520 }, { "date": "10/27/14", "open": 80.74, "high": 80.8, "low": 79.76, "close": 80.28, "volume": 30168921 }, { "date": "10/28/14", "open": 80.18, "high": 81.16, "low": 79.57, "close": 80.77, "volume": 74211768 }, { "date": "10/29/14", "open": 75.45, "high": 76.88, "low": 74.78, "close": 75.86, "volume": 106119520 }, { "date": "10/30/14", "open": 75.05, "high": 75.35, "low": 72.9, "close": 74.11, "volume": 83269554 }, { "date": "10/31/14", "open": 74.93, "high": 75.7, "low": 74.45, "close": 74.99, "volume": 44544325 }, { "date": "11/03/14", "open": 75.47, "high": 75.52, "low": 73.7, "close": 73.88, "volume": 40727330 }, { "date": "11/04/14", "open": 74.23, "high": 75.77, "low": 73.65, "close": 75.76, "volume": 39326471 }, { "date": "11/05/14", "open": 76.51, "high": 76.8, "low": 74.42, "close": 74.83, "volume": 35912588 }, { "date": "11/06/14", "open": 74.89, "high": 75.6, "low": 74.31, "close": 75.26, "volume": 21383194 }, { "date": "11/07/14", "open": 75.39, "high": 75.86, "low": 75.02, "close": 75.6, "volume": 20774381 }, { "date": "11/10/14", "open": 75.36, "high": 75.48, "low": 74.61, "close": 75, "volume": 21575126 }, { "date": "11/11/14", "open": 74.95, "high": 74.98, "low": 74.03, "close": 74.61, "volume": 18735123 }, { "date": "11/12/14", "open": 74.28, "high": 75.14, "low": 73.54, "close": 74.72, "volume": 26536609 }, { "date": "11/13/14", "open": 74.74, "high": 75.24, "low": 73.64, "close": 74.25, "volume": 26448451 }, { "date": "11/14/14", "open": 74.27, "high": 74.93, "low": 74.04, "close": 74.88, "volume": 19476878 }, { "date": "11/17/14", "open": 74.88, "high": 75.66, "low": 73.88, "close": 74.24, "volume": 28701191 }, { "date": "11/18/14", "open": 74.45, "high": 74.8, "low": 73.9, "close": 74.34, "volume": 20696643 }, { "date": "11/19/14", "open": 74.01, "high": 74.54, "low": 73.11, "close": 73.33, "volume": 25441163 }, { "date": "11/20/14", "open": 72.8, "high": 73.99, "low": 72.51, "close": 73.6, "volume": 19154862 }, { "date": "11/21/14", "open": 74.5, "high": 74.5, "low": 73.5, "close": 73.75, "volume": 23060382 }, { "date": "11/24/14", "open": 73.54, "high": 74.35, "low": 73.35, "close": 74.01, "volume": 22103831 }, { "date": "11/25/14", "open": 74.21, "high": 75.74, "low": 74.13, "close": 75.63, "volume": 32250205 }, { "date": "11/26/14", "open": 75.53, "high": 77.78, "low": 75.51, "close": 77.62, "volume": 32721585 }, { "date": "11/28/14", "open": 77.67, "high": 78.27, "low": 77.23, "close": 77.7, "volume": 15992035 }, { "date": "12/01/14", "open": 77.26, "high": 77.31, "low": 74.8, "close": 75.1, "volume": 31789866 }, { "date": "12/02/14", "open": 75.33, "high": 75.91, "low": 75.04, "close": 75.46, "volume": 16773884 }, { "date": "12/03/14", "open": 75.38, "high": 75.73, "low": 74.4, "close": 74.88, "volume": 16689857 }, { "date": "12/04/14", "open": 74.83, "high": 75.55, "low": 74.66, "close": 75.24, "volume": 14390520 }, { "date": "12/05/14", "open": 75.8, "high": 76.76, "low": 75.36, "close": 76.36, "volume": 24306446 }, { "date": "12/08/14", "open": 76.18, "high": 77.25, "low": 75.4, "close": 76.52, "volume": 25733853 }, { "date": "12/09/14", "open": 75.2, "high": 76.93, "low": 74.78, "close": 76.84, "volume": 25358584 }, { "date": "12/10/14", "open": 76.65, "high": 77.55, "low": 76.07, "close": 76.18, "volume": 32210532 }, { "date": "12/11/14", "open": 76.52, "high": 78.52, "low": 76.48, "close": 77.73, "volume": 33492661 }, { "date": "12/12/14", "open": 77.16, "high": 78.88, "low": 77.02, "close": 77.83, "volume": 28091617 }, { "date": "12/15/14", "open": 78.46, "high": 78.58, "low": 76.56, "close": 76.99, "volume": 29396532 }, { "date": "12/16/14", "open": 76.19, "high": 77.39, "low": 74.59, "close": 74.69, "volume": 31554593 }, { "date": "12/17/14", "open": 75.01, "high": 76.41, "low": 74.9, "close": 76.11, "volume": 29203904 }, { "date": "12/18/14", "open": 76.89, "high": 78.4, "low": 76.51, "close": 78.4, "volume": 34222081 }, { "date": "12/19/14", "open": 78.75, "high": 80, "low": 78.33, "close": 79.88, "volume": 43334992 }, { "date": "12/22/14", "open": 80.08, "high": 81.89, "low": 80, "close": 81.45, "volume": 31395770 }, { "date": "12/23/14", "open": 82.02, "high": 82.17, "low": 80.4, "close": 80.61, "volume": 19865820 }, { "date": "12/24/14", "open": 81.03, "high": 81.43, "low": 80.75, "close": 80.77, "volume": 7685481 }, { "date": "12/26/14", "open": 81.02, "high": 81.28, "low": 80.51, "close": 80.78, "volume": 10647388 }, { "date": "12/29/14", "open": 80.49, "high": 80.96, "low": 79.71, "close": 80.02, "volume": 14134666 }, { "date": "12/30/14", "open": 79.85, "high": 80.59, "low": 79.1, "close": 79.22, "volume": 14370763 }, { "date": "12/31/14", "open": 79.54, "high": 79.8, "low": 77.86, "close": 78.02, "volume": 20040439 }, { "date": "01/02/15", "open": 78.58, "high": 78.93, "low": 77.7, "close": 78.45, "volume": 18177475 }, { "date": "01/05/15", "open": 77.98, "high": 79.25, "low": 76.86, "close": 77.19, "volume": 26452191 }, { "date": "01/06/15", "open": 77.23, "high": 77.59, "low": 75.36, "close": 76.15, "volume": 27399288 }, { "date": "01/07/15", "open": 76.76, "high": 77.36, "low": 75.82, "close": 76.15, "volume": 22045333 }, { "date": "01/08/15", "open": 76.74, "high": 78.23, "low": 76.08, "close": 78.18, "volume": 23960953 }, { "date": "01/09/15", "open": 78.2, "high": 78.62, "low": 77.2, "close": 77.74, "volume": 21157007 }, { "date": "01/12/15", "open": 77.84, "high": 78, "low": 76.21, "close": 76.72, "volume": 19190194 }, { "date": "01/13/15", "open": 77.23, "high": 78.08, "low": 75.85, "close": 76.45, "volume": 25179561 }, { "date": "01/14/15", "open": 76.42, "high": 77.2, "low": 76.03, "close": 76.28, "volume": 25918564 }, { "date": "01/15/15", "open": 76.4, "high": 76.57, "low": 73.54, "close": 74.05, "volume": 34133974 }, { "date": "01/16/15", "open": 74.04, "high": 75.32, "low": 73.84, "close": 75.18, "volume": 21791529 }, { "date": "01/20/15", "open": 75.72, "high": 76.31, "low": 74.82, "close": 76.24, "volume": 22821614 }, { "date": "01/21/15", "open": 76.16, "high": 77.3, "low": 75.85, "close": 76.74, "volume": 25096737 }, { "date": "01/22/15", "open": 77.17, "high": 77.75, "low": 76.68, "close": 77.65, "volume": 19519458 }, { "date": "01/23/15", "open": 77.65, "high": 78.19, "low": 77.04, "close": 77.83, "volume": 16746503 }, { "date": "01/26/15", "open": 77.98, "high": 78.47, "low": 77.29, "close": 77.5, "volume": 19260820 }, { "date": "01/27/15", "open": 76.71, "high": 76.88, "low": 75.63, "close": 75.78, "volume": 20109977 }, { "date": "01/28/15", "open": 76.9, "high": 77.64, "low": 76, "close": 76.24, "volume": 53306422 }, { "date": "01/29/15", "open": 76.85, "high": 78.02, "low": 74.21, "close": 78, "volume": 61293468 }, { "date": "01/30/15", "open": 78, "high": 78.16, "low": 75.75, "close": 75.91, "volume": 42649491 }, { "date": "02/02/15", "open": 76.11, "high": 76.14, "low": 73.75, "close": 74.99, "volume": 41955258 }, { "date": "02/03/15", "open": 75.19, "high": 75.58, "low": 73.86, "close": 75.4, "volume": 26957714 }, { "date": "02/04/15", "open": 75.09, "high": 76.35, "low": 75.01, "close": 75.63, "volume": 20277368 }, { "date": "02/05/15", "open": 75.71, "high": 75.98, "low": 75.21, "close": 75.62, "volume": 15062573 }, { "date": "02/06/15", "open": 75.68, "high": 75.7, "low": 74.25, "close": 74.47, "volume": 21210994 }, { "date": "02/09/15", "open": 74.05, "high": 74.83, "low": 73.45, "close": 74.44, "volume": 16194322 }, { "date": "02/10/15", "open": 74.85, "high": 75.34, "low": 74.5, "close": 75.19, "volume": 15811344 }, { "date": "02/11/15", "open": 75.09, "high": 76.75, "low": 75.03, "close": 76.51, "volume": 20877427 }, { "date": "02/12/15", "open": 76.86, "high": 76.87, "low": 75.89, "close": 76.23, "volume": 17234976 }, { "date": "02/13/15", "open": 76.46, "high": 76.48, "low": 75.5, "close": 75.74, "volume": 18621860 }, { "date": "02/17/15", "open": 75.3, "high": 76.91, "low": 75.08, "close": 75.6, "volume": 25254400 }, { "date": "02/18/15", "open": 75.94, "high": 76.9, "low": 75.45, "close": 76.71, "volume": 22426421 }, { "date": "02/19/15", "open": 76.99, "high": 79.84, "low": 76.95, "close": 79.42, "volume": 45851177 }, { "date": "02/20/15", "open": 79.55, "high": 80.34, "low": 79.2, "close": 79.9, "volume": 36931698 }, { "date": "02/23/15", "open": 79.96, "high": 80.19, "low": 78.38, "close": 78.84, "volume": 24139056 }, { "date": "02/24/15", "open": 78.5, "high": 79.48, "low": 78.1, "close": 78.45, "volume": 18897133 }, { "date": "02/25/15", "open": 78.5, "high": 80.2, "low": 78.5, "close": 79.56, "volume": 25593800 }, { "date": "02/26/15", "open": 79.88, "high": 81.37, "low": 79.72, "close": 80.41, "volume": 31111891 }, { "date": "02/27/15", "open": 80.68, "high": 81.23, "low": 78.62, "close": 78.97, "volume": 30739197 }, { "date": "03/02/15", "open": 79, "high": 79.86, "low": 78.52, "close": 79.75, "volume": 21662537 }, { "date": "03/03/15", "open": 79.61, "high": 79.7, "low": 78.52, "close": 79.6, "volume": 18634973 }, { "date": "03/04/15", "open": 79.3, "high": 81.15, "low": 78.85, "close": 80.9, "volume": 28126686 }, { "date": "03/05/15", "open": 81.23, "high": 81.99, "low": 81.05, "close": 81.21, "volume": 27825733 }, { "date": "03/06/15", "open": 80.9, "high": 81.33, "low": 79.83, "close": 80, "volume": 24488581 }, { "date": "03/09/15", "open": 79.68, "high": 79.91, "low": 78.63, "close": 79.44, "volume": 18925097 }, { "date": "03/10/15", "open": 78.5, "high": 79.26, "low": 77.55, "close": 77.55, "volume": 23067057 }, { "date": "03/11/15", "open": 77.8, "high": 78.43, "low": 77.26, "close": 77.57, "volume": 20215704 }, { "date": "03/12/15", "open": 78.1, "high": 79.05, "low": 77.91, "close": 78.93, "volume": 16093319 }, { "date": "03/13/15", "open": 78.6, "high": 79.38, "low": 77.68, "close": 78.05, "volume": 18557296 }, { "date": "03/16/15", "open": 77.96, "high": 78.12, "low": 77.36, "close": 78.07, "volume": 19305406 }, { "date": "03/17/15", "open": 78.36, "high": 79.78, "low": 78.34, "close": 79.36, "volume": 22169969 }, { "date": "03/18/15", "open": 79.25, "high": 81.24, "low": 79.17, "close": 80.91, "volume": 36912446 }, { "date": "03/19/15", "open": 81.12, "high": 83, "low": 81, "close": 82.75, "volume": 42099523 }, { "date": "03/20/15", "open": 83.39, "high": 84.6, "low": 83.07, "close": 83.8, "volume": 44466323 }, { "date": "03/23/15", "open": 83.92, "high": 84.96, "low": 83.3, "close": 84.43, "volume": 27357333 }, { "date": "03/24/15", "open": 84.71, "high": 86.07, "low": 84.52, "close": 85.31, "volume": 32576522 }, { "date": "03/25/15", "open": 85.5, "high": 85.52, "low": 82.92, "close": 82.92, "volume": 37436147 }, { "date": "03/26/15", "open": 82.72, "high": 83.77, "low": 82.14, "close": 83.01, "volume": 32794800 }, { "date": "03/27/15", "open": 83.38, "high": 83.95, "low": 82.88, "close": 83.3, "volume": 18372582 }, { "date": "03/30/15", "open": 83.81, "high": 84.34, "low": 82.41, "close": 83.2, "volume": 24527686 }, { "date": "03/31/15", "open": 82.9, "high": 83.5, "low": 82.21, "close": 82.22, "volume": 19734277 }, { "date": "04/01/15", "open": 82.5, "high": 82.72, "low": 80.87, "close": 81.66, "volume": 22058167 }, { "date": "04/02/15", "open": 82.25, "high": 82.56, "low": 81.44, "close": 81.56, "volume": 19664053 }, { "date": "04/06/15", "open": 80.8, "high": 82.81, "low": 80.8, "close": 82.44, "volume": 19062934 }, { "date": "04/07/15", "open": 82.65, "high": 83.42, "low": 82.22, "close": 82.32, "volume": 17467042 }, { "date": "04/08/15", "open": 82.63, "high": 83.1, "low": 81.84, "close": 82.28, "volume": 18966732 }, { "date": "04/09/15", "open": 82.5, "high": 82.8, "low": 81.71, "close": 82.17, "volume": 15927281 }, { "date": "04/10/15", "open": 82.21, "high": 82.61, "low": 81.91, "close": 82.04, "volume": 12529738 } ]; }
(function (global) { System.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true }, meta: { '*.css': { loader: 'css' }, '*.vue': { loader: 'vue-loader' } //'*.vue': { loader: 'systemjs-plugin-vue' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { '@mescius/wijmo': 'npm:@mescius/wijmo/index.js', '@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js', '@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles', '@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures', '@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js', '@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js', '@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js', '@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js', '@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js', '@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js', '@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js', '@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js', '@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js', '@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js', '@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js', '@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js', '@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js', '@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js', '@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js', '@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js', '@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js', '@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js', '@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js', '@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js', '@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js', '@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js', '@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js', '@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js', '@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js', '@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js', '@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js', '@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js', '@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js', '@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js', '@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js', '@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js', '@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js', '@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js', '@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js', '@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js', '@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js', '@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js', '@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js', '@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js', '@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js', '@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js', "@mescius/wijmo.vue2.chart.analytics": "npm:@mescius/wijmo.vue2.chart.analytics/index.js", "@mescius/wijmo.vue2.chart.animation": "npm:@mescius/wijmo.vue2.chart.animation/index.js", "@mescius/wijmo.vue2.chart.annotation": "npm:@mescius/wijmo.vue2.chart.annotation/index.js", "@mescius/wijmo.vue2.chart.finance.analytics": "npm:@mescius/wijmo.vue2.chart.finance.analytics/index.js", "@mescius/wijmo.vue2.chart.finance": "npm:@mescius/wijmo.vue2.chart.finance/index.js", "@mescius/wijmo.vue2.chart.hierarchical": "npm:@mescius/wijmo.vue2.chart.hierarchical/index.js", "@mescius/wijmo.vue2.chart.interaction": "npm:@mescius/wijmo.vue2.chart.interaction/index.js", "@mescius/wijmo.vue2.chart.radar": "npm:@mescius/wijmo.vue2.chart.radar/index.js", '@mescius/wijmo.vue2.chart.map': 'npm:@mescius/wijmo.vue2.chart.map/index.js', "@mescius/wijmo.vue2.chart": "npm:@mescius/wijmo.vue2.chart/index.js", "@mescius/wijmo.vue2.core": "npm:@mescius/wijmo.vue2.core/index.js", "@mescius/wijmo.vue2.gauge": "npm:@mescius/wijmo.vue2.gauge/index.js", "@mescius/wijmo.vue2.grid.detail": "npm:@mescius/wijmo.vue2.grid.detail/index.js", "@mescius/wijmo.vue2.grid.filter": "npm:@mescius/wijmo.vue2.grid.filter/index.js", "@mescius/wijmo.vue2.grid.grouppanel": "npm:@mescius/wijmo.vue2.grid.grouppanel/index.js", '@mescius/wijmo.vue2.grid.search': 'npm:@mescius/wijmo.vue2.grid.search/index.js', "@mescius/wijmo.vue2.grid.multirow": "npm:@mescius/wijmo.vue2.grid.multirow/index.js", "@mescius/wijmo.vue2.grid.sheet": "npm:@mescius/wijmo.vue2.grid.sheet/index.js", '@mescius/wijmo.vue2.grid.transposed': 'npm:@mescius/wijmo.vue2.grid.transposed/index.js', '@mescius/wijmo.vue2.grid.transposedmultirow': 'npm:@mescius/wijmo.vue2.grid.transposedmultirow/index.js', "@mescius/wijmo.vue2.grid": "npm:@mescius/wijmo.vue2.grid/index.js", "@mescius/wijmo.vue2.input": "npm:@mescius/wijmo.vue2.input/index.js", "@mescius/wijmo.vue2.olap": "npm:@mescius/wijmo.vue2.olap/index.js", "@mescius/wijmo.vue2.viewer": "npm:@mescius/wijmo.vue2.viewer/index.js", "@mescius/wijmo.vue2.nav": "npm:@mescius/wijmo.vue2.nav/index.js", "@mescius/wijmo.vue2.base": "npm:@mescius/wijmo.vue2.base/index.js", '@mescius/wijmo.vue2.barcode.common': 'npm:@mescius/wijmo.vue2.barcode.common/index.js', '@mescius/wijmo.vue2.barcode.composite': 'npm:@mescius/wijmo.vue2.barcode.composite/index.js', '@mescius/wijmo.vue2.barcode.specialized': 'npm:@mescius/wijmo.vue2.barcode.specialized/index.js', 'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css', 'jszip': 'npm:jszip/dist/jszip.js', 'css': 'npm:systemjs-plugin-css/css.js', 'vue': 'npm:vue/dist/vue.min.js', 'vue-loader': 'npm:systemjs-vue-browser/index.js', //'systemjs-plugin-vue': 'npm:systemjs-plugin-vue/index.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js' }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'js' }, rxjs: { defaultExtension: 'js' }, "node_modules": { defaultExtension: 'js' }, wijmo: { defaultExtension: 'js', } } }); })(this);

Renko (Angular)

The Renko chart uses bricks of uniform size to chart the price movement. When a price moves to a greater or lesser value than the preset boxSize option required to draw a new brick, a new brick is drawn in the succeeding column. The change in box color and direction signifies a trend reversal.

This example uses Angular.

import 'bootstrap.css'; import '@mescius/wijmo.styles/wijmo.css'; import './styles.css'; // import '@angular/compiler'; import { Component, Inject, enableProdMode, NgModule, ViewChild } from '@angular/core'; import { platformBrowserDynamic } from '@angular/platform-browser-dynamic'; import { BrowserModule } from '@angular/platform-browser'; import { WjInputModule } from '@mescius/wijmo.angular2.input'; import { WjChartModule } from '@mescius/wijmo.angular2.chart'; import { WjChartFinanceModule } from '@mescius/wijmo.angular2.chart.finance'; import { DataService } from './app.data'; import * as core from '@mescius/wijmo'; import * as wjInput from '@mescius/wijmo.input'; import * as wjChart from '@mescius/wijmo.chart'; import * as wjChartFinance from '@mescius/wijmo.chart.finance'; // @Component({ selector: 'app-component', templateUrl: 'src/app.component.html' }) export class AppComponent { data: any[]; options: any; style: any; altStyle: any; // references control in the view @ViewChild('theChart', { static: true }) theChart: wjChartFinance.FinancialChart; @ViewChild('inputNumber', { static: true }) inputNumber: wjInput.InputNumber; // constructor(@Inject(DataService) private dataService: DataService) { this.data = dataService.getData(); this.options = { renko: { boxSize: 2, rangeMode: 'Fixed', fields: 'Close' } }; this.style = { stroke: 'rgb(136, 189, 230)', fill: 'rgba(136, 189, 230, 0.701961)' }; this.altStyle = { stroke: 'rgb(136, 189, 230)', fill: 'transparent' }; } // tooltip(ht: wjChart.HitTestInfo) { var date = ht.item && ht.item.date ? ht.item.date : null, content = ''; // if (core.isDate(date)) { date = core.Globalize.formatDate(date, 'MM/dd/yy'); } if (ht && ht.item) { content = '<b>' + ht.name + '</b><br/>' + 'Date: ' + date + '<br/>' + 'Open: ' + core.Globalize.format(ht.item.open, 'n2') + '<br/>' + 'High: ' + core.Globalize.format(ht.item.high, 'n2') + '<br/>' + 'Low: ' + core.Globalize.format(ht.item.low, 'n2') + '<br/>' + 'Close: ' + core.Globalize.format(ht.item.close, 'n2') + '<br/>' + 'Volume: ' + core.Globalize.format(ht.item.volume, 'n0'); } return content; } // optionChanged() { if (this.theChart) { this.theChart.invalidate(); } } // boxSizeChanged(input: wjInput.InputNumber) { if (input.value < input.min || (input.max && input.value > input.max)) { return; } if (this.theChart) { this.theChart.invalidate(); } } // rangeModeChanged(menu: wjInput.Menu) { var input = this.inputNumber; if (menu.selectedValue === 'ATR') { input.format = 'n0'; input.min = 2; input.max = this.data.length - 2; input.value = core.clamp(input.value, 14, this.data.length - 2); input.step = 1; } else { input.format = 'n0'; input.min = 1; input.max = null; input.step = 1; } this.optionChanged(); } } // @NgModule({ imports: [WjInputModule, WjChartModule, WjChartFinanceModule, BrowserModule], declarations: [AppComponent], providers: [DataService], bootstrap: [AppComponent] }) export class AppModule { } // enableProdMode(); // Bootstrap application with hash style navigation and global services. platformBrowserDynamic().bootstrapModule(AppModule);
<!DOCTYPE html> <html lang="en"> <head> <meta charset="utf-8"> <meta http-equiv="X-UA-Compatible" content="IE=edge"> <title>MESCIUS Wijmo FlexChart Renko</title> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <!-- Polyfills --> <script src="node_modules/core-js/client/shim.min.js"></script> <script src="node_modules/zone.js/fesm2015/zone.min.js"></script> <!-- SystemJS --> <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script> <script src="systemjs.config.js"></script> <script> // workaround to load 'rxjs/operators' from the rxjs bundle System.import('rxjs').then(function (m) { System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators)); System.import('./src/app.component'); }); </script> </head> <body> <app-component></app-component> </body> </html>
<div class="container-fluid"> <!-- Settings --> <div class="panel-group" id="settings"> <div class="panel panel-default"> <div id="settingsBody" class="panel-collapse collapse in"> <div class="panel-body"> <ul class="list-inline"> <li> <label>Box Size</label> <wj-input-number #inputNumber [(value)]="options.renko.boxSize" [min]="0" [step]="1" format="'n0'" (valueChanged)="boxSizeChanged(inputNumber)"> </wj-input-number> </li> <li> <wj-menu #menuMode header="Range Mode" [(value)]="options.renko.rangeMode" (itemClicked)="rangeModeChanged(menuMode)"> <wj-menu-item value="Fixed">Fixed</wj-menu-item> <wj-menu-item value="ATR">Average True Range</wj-menu-item> </wj-menu> </li> <li> <wj-menu header="Data Fields" [(value)]="options.renko.fields" (itemClicked)="optionChanged()"> <wj-menu-item value="High">High</wj-menu-item> <wj-menu-item value="Low">Low</wj-menu-item> <wj-menu-item value="Open">Open</wj-menu-item> <wj-menu-item value="Close">Close</wj-menu-item> <wj-menu-item value="HL2">HL Avg.</wj-menu-item> <wj-menu-item value="HLC3">HLC Avg.</wj-menu-item> <wj-menu-item value="HLOC4">HLOC Avg.</wj-menu-item> </wj-menu> </li> </ul> <ul class="list-inline"> <li> <label>Stroke</label> <wj-input-color [(value)]="style.stroke" (valueChanged)="optionChanged()"> </wj-input-color> </li> <li> <label>Alt. Stroke</label> <wj-input-color [(value)]="altStyle.stroke" (valueChanged)="optionChanged()"> </wj-input-color> </li> </ul> <ul class="list-inline"> <li> <label>Fill</label> <wj-input-color [(value)]="style.fill" (valueChanged)="optionChanged()"> </wj-input-color> </li> <li> <label>Alt. Fill</label> <wj-input-color [(value)]="altStyle.fill" (valueChanged)="optionChanged()"> </wj-input-color> </li> </ul> </div> </div> </div> </div> <!-- FinancialChart --> <wj-financial-chart #theChart [itemsSource]="data" bindingX="date" chartType="Renko" [(options)]="options" [tooltipContent]="tooltip"> <wj-financial-chart-series binding="high,low,open,close" name="Facebook" [style]="style" [altStyle]="altStyle"> </wj-financial-chart-series> <wj-flex-chart-legend position="None"></wj-flex-chart-legend> </wj-financial-chart> </div>
import { Injectable } from '@angular/core'; // @Injectable() export class DataService { getData() { return [ { "date": "05/18/12", "open": 42.05, "high": 45, "low": 38, "close": 38.23, "volume": 580587742 }, { "date": "05/21/12", "open": 36.53, "high": 36.66, "low": 33, "close": 34.03, "volume": 168309831 }, { "date": "05/22/12", "open": 32.61, "high": 33.59, "low": 30.94, "close": 31, "volume": 102053826 }, { "date": "05/23/12", "open": 31.37, "high": 32.5, "low": 31.36, "close": 32, "volume": 73721135 }, { "date": "05/24/12", "open": 32.95, "high": 33.21, "low": 31.77, "close": 33.03, "volume": 50275879 }, { "date": "05/25/12", "open": 32.9, "high": 32.95, "low": 31.11, "close": 31.91, "volume": 37189630 }, { "date": "05/29/12", "open": 31.48, "high": 31.69, "low": 28.65, "close": 28.84, "volume": 78060799 }, { "date": "05/30/12", "open": 28.7, "high": 29.55, "low": 27.86, "close": 28.19, "volume": 57267867 }, { "date": "05/31/12", "open": 28.54, "high": 29.67, "low": 26.83, "close": 29.6, "volume": 111639200 }, { "date": "06/01/12", "open": 28.89, "high": 29.15, "low": 27.39, "close": 27.72, "volume": 41855500 }, { "date": "06/04/12", "open": 27.2, "high": 27.65, "low": 26.44, "close": 26.9, "volume": 35230290 }, { "date": "06/05/12", "open": 26.7, "high": 27.76, "low": 25.75, "close": 25.87, "volume": 42473262 }, { "date": "06/06/12", "open": 26.07, "high": 27.17, "low": 25.52, "close": 26.81, "volume": 61487019 }, { "date": "06/07/12", "open": 27, "high": 27.35, "low": 26.15, "close": 26.31, "volume": 26167757 }, { "date": "06/08/12", "open": 26.55, "high": 27.76, "low": 26.44, "close": 27.1, "volume": 38033420 }, { "date": "06/11/12", "open": 27.18, "high": 28.07, "low": 26.84, "close": 27, "volume": 28225887 }, { "date": "06/12/12", "open": 27.48, "high": 27.77, "low": 26.96, "close": 27.4, "volume": 15822414 }, { "date": "06/13/12", "open": 27.66, "high": 28.1, "low": 27.1, "close": 27.27, "volume": 17118672 }, { "date": "06/14/12", "open": 27.65, "high": 28.32, "low": 27.38, "close": 28.29, "volume": 16854124 }, { "date": "06/15/12", "open": 28.5, "high": 30.1, "low": 28.35, "close": 30.01, "volume": 43563739 }, { "date": "06/18/12", "open": 29.96, "high": 32.08, "low": 29.41, "close": 31.41, "volume": 42978209 }, { "date": "06/19/12", "open": 31.54, "high": 32.18, "low": 30.7, "close": 31.91, "volume": 30848913 }, { "date": "06/20/12", "open": 31.92, "high": 31.93, "low": 31.15, "close": 31.6, "volume": 15558921 }, { "date": "06/21/12", "open": 31.67, "high": 32.5, "low": 31.51, "close": 31.84, "volume": 21875228 }, { "date": "06/22/12", "open": 32.41, "high": 33.45, "low": 32.06, "close": 33.05, "volume": 74833976 }, { "date": "06/25/12", "open": 32.86, "high": 33.02, "low": 31.55, "close": 32.06, "volume": 24352818 }, { "date": "06/26/12", "open": 32.69, "high": 33.44, "low": 32.5, "close": 33.1, "volume": 24858611 }, { "date": "06/27/12", "open": 32.46, "high": 32.9, "low": 31.9, "close": 32.23, "volume": 28599506 }, { "date": "06/28/12", "open": 31.96, "high": 32.19, "low": 30.9, "close": 31.36, "volume": 17713292 }, { "date": "06/29/12", "open": 31.92, "high": 31.99, "low": 30.76, "close": 31.1, "volume": 19526823 }, { "date": "07/02/12", "open": 31.25, "high": 31.73, "low": 30.55, "close": 30.77, "volume": 14131476 }, { "date": "07/03/12", "open": 30.91, "high": 31.44, "low": 30.8, "close": 31.2, "volume": 8765498 }, { "date": "07/05/12", "open": 31.32, "high": 31.62, "low": 31.02, "close": 31.47, "volume": 10036688 }, { "date": "07/06/12", "open": 31.44, "high": 31.9, "low": 31.26, "close": 31.73, "volume": 10949006 }, { "date": "07/09/12", "open": 32.1, "high": 32.88, "low": 31.99, "close": 32.17, "volume": 17785180 }, { "date": "07/10/12", "open": 32.43, "high": 32.48, "low": 31.16, "close": 31.47, "volume": 14276996 }, { "date": "07/11/12", "open": 31.48, "high": 31.56, "low": 30.55, "close": 30.97, "volume": 13027752 }, { "date": "07/12/12", "open": 30.7, "high": 31.4, "low": 30.6, "close": 30.81, "volume": 11306636 }, { "date": "07/13/12", "open": 31.04, "high": 31.07, "low": 30.56, "close": 30.72, "volume": 8117346 }, { "date": "07/16/12", "open": 30.5, "high": 30.5, "low": 28.21, "close": 28.24, "volume": 24672074 }, { "date": "07/17/12", "open": 28.48, "high": 28.59, "low": 27.15, "close": 28.09, "volume": 30438551 }, { "date": "07/18/12", "open": 28.31, "high": 29.29, "low": 28.15, "close": 29.11, "volume": 16841779 }, { "date": "07/19/12", "open": 29.41, "high": 29.5, "low": 28.63, "close": 29, "volume": 13685031 }, { "date": "07/20/12", "open": 29, "high": 29.47, "low": 28.72, "close": 28.76, "volume": 11869046 }, { "date": "07/23/12", "open": 28.12, "high": 29, "low": 28.01, "close": 28.75, "volume": 12393864 }, { "date": "07/24/12", "open": 28.82, "high": 29.45, "low": 28.1, "close": 28.45, "volume": 11539799 }, { "date": "07/25/12", "open": 28.39, "high": 29.49, "low": 28.08, "close": 29.34, "volume": 17230154 }, { "date": "07/26/12", "open": 27.75, "high": 28.23, "low": 26.73, "close": 26.84, "volume": 64597378 }, { "date": "07/27/12", "open": 23.19, "high": 24.54, "low": 22.28, "close": 23.7, "volume": 123098340 }, { "date": "07/30/12", "open": 24, "high": 24.04, "low": 23.03, "close": 23.15, "volume": 29285895 }, { "date": "07/31/12", "open": 23.37, "high": 23.37, "low": 21.61, "close": 21.71, "volume": 56179322 }, { "date": "08/01/12", "open": 21.5, "high": 21.58, "low": 20.84, "close": 20.88, "volume": 44604365 }, { "date": "08/02/12", "open": 20.77, "high": 20.84, "low": 19.82, "close": 20.04, "volume": 56374436 }, { "date": "08/03/12", "open": 20.36, "high": 22.16, "low": 19.9, "close": 21.09, "volume": 80646975 }, { "date": "08/06/12", "open": 21.39, "high": 22.15, "low": 21.3, "close": 21.92, "volume": 27778038 }, { "date": "08/07/12", "open": 22.2, "high": 22.45, "low": 20.5, "close": 20.72, "volume": 36782827 }, { "date": "08/08/12", "open": 20.71, "high": 21.15, "low": 20.22, "close": 20.72, "volume": 29537376 }, { "date": "08/09/12", "open": 20.75, "high": 21.17, "low": 20.61, "close": 21.01, "volume": 15618515 }, { "date": "08/10/12", "open": 21.41, "high": 21.82, "low": 21.13, "close": 21.81, "volume": 25794673 }, { "date": "08/13/12", "open": 22.15, "high": 22.45, "low": 21.4, "close": 21.6, "volume": 24972973 }, { "date": "08/14/12", "open": 21.41, "high": 21.6, "low": 20.25, "close": 20.38, "volume": 39308634 }, { "date": "08/15/12", "open": 20.64, "high": 21.41, "low": 20.4, "close": 21.2, "volume": 47860767 }, { "date": "08/16/12", "open": 20.44, "high": 20.48, "low": 19.69, "close": 19.87, "volume": 157554938 }, { "date": "08/17/12", "open": 20, "high": 20.08, "low": 19, "close": 19.05, "volume": 129293342 }, { "date": "08/20/12", "open": 19.05, "high": 20.13, "low": 18.75, "close": 20.01, "volume": 101186524 }, { "date": "08/21/12", "open": 19.58, "high": 19.98, "low": 19.09, "close": 19.16, "volume": 70640462 }, { "date": "08/22/12", "open": 19.36, "high": 19.53, "low": 18.96, "close": 19.44, "volume": 49892130 }, { "date": "08/23/12", "open": 19.5, "high": 19.73, "low": 19.36, "close": 19.44, "volume": 32813310 }, { "date": "08/24/12", "open": 19.52, "high": 19.68, "low": 19.25, "close": 19.41, "volume": 29622155 }, { "date": "08/27/12", "open": 19.49, "high": 19.53, "low": 19.1, "close": 19.15, "volume": 20703907 }, { "date": "08/28/12", "open": 19.1, "high": 19.38, "low": 18.95, "close": 19.34, "volume": 25425786 }, { "date": "08/29/12", "open": 19.32, "high": 19.38, "low": 19.07, "close": 19.1, "volume": 16124625 }, { "date": "08/30/12", "open": 19.27, "high": 19.45, "low": 19.06, "close": 19.09, "volume": 30647472 }, { "date": "08/31/12", "open": 18.68, "high": 18.7, "low": 18.03, "close": 18.06, "volume": 58764170 }, { "date": "09/04/12", "open": 18.08, "high": 18.27, "low": 17.55, "close": 17.73, "volume": 46622354 }, { "date": "09/05/12", "open": 18.27, "high": 18.75, "low": 18.18, "close": 18.58, "volume": 60781719 }, { "date": "09/06/12", "open": 18.74, "high": 19.26, "low": 18.72, "close": 18.96, "volume": 46066347 }, { "date": "09/07/12", "open": 19.1, "high": 19.42, "low": 18.78, "close": 18.98, "volume": 36371696 }, { "date": "09/10/12", "open": 19.06, "high": 19.2, "low": 18.55, "close": 18.81, "volume": 24797642 }, { "date": "09/11/12", "open": 18.92, "high": 19.58, "low": 18.85, "close": 19.43, "volume": 50508126 }, { "date": "09/12/12", "open": 20.76, "high": 21.16, "low": 20.28, "close": 20.93, "volume": 121583996 }, { "date": "09/13/12", "open": 20.96, "high": 21.48, "low": 20.61, "close": 20.71, "volume": 65041524 }, { "date": "09/14/12", "open": 21.13, "high": 22.08, "low": 20.9, "close": 22, "volume": 72819643 }, { "date": "09/17/12", "open": 22.67, "high": 22.75, "low": 21.5, "close": 21.52, "volume": 50666447 }, { "date": "09/18/12", "open": 21.6, "high": 21.98, "low": 21.37, "close": 21.87, "volume": 36760449 }, { "date": "09/19/12", "open": 21.99, "high": 23.37, "low": 21.77, "close": 23.29, "volume": 78782783 }, { "date": "09/20/12", "open": 23.02, "high": 23.24, "low": 22.54, "close": 22.59, "volume": 57248663 }, { "date": "09/21/12", "open": 22.97, "high": 23.24, "low": 22.6, "close": 22.86, "volume": 51218097 }, { "date": "09/24/12", "open": 21.77, "high": 21.98, "low": 20.36, "close": 20.79, "volume": 79105121 }, { "date": "09/25/12", "open": 21.2, "high": 21.21, "low": 20.22, "close": 20.28, "volume": 46291655 }, { "date": "09/26/12", "open": 20.14, "high": 20.78, "low": 19.8, "close": 20.62, "volume": 38271878 }, { "date": "09/27/12", "open": 20.99, "high": 21, "low": 20.16, "close": 20.32, "volume": 30215821 }, { "date": "09/28/12", "open": 20.57, "high": 21.95, "low": 20.5, "close": 21.66, "volume": 65485921 }, { "date": "10/01/12", "open": 22.08, "high": 22.59, "low": 21.73, "close": 21.99, "volume": 51262680 }, { "date": "10/02/12", "open": 22.08, "high": 22.49, "low": 21.82, "close": 22.27, "volume": 29341393 }, { "date": "10/03/12", "open": 22.3, "high": 22.49, "low": 21.8, "close": 21.83, "volume": 32000079 }, { "date": "10/04/12", "open": 22.32, "high": 22.4, "low": 21.41, "close": 21.95, "volume": 46894595 }, { "date": "10/05/12", "open": 21.49, "high": 21.63, "low": 20.88, "close": 20.91, "volume": 40529223 }, { "date": "10/08/12", "open": 20.62, "high": 20.75, "low": 20.16, "close": 20.4, "volume": 32236628 }, { "date": "10/09/12", "open": 20.39, "high": 20.55, "low": 19.97, "close": 20.23, "volume": 27161736 }, { "date": "10/10/12", "open": 19.93, "high": 19.94, "low": 19.45, "close": 19.64, "volume": 39321758 }, { "date": "10/11/12", "open": 19.88, "high": 19.96, "low": 19.61, "close": 19.75, "volume": 21817227 }, { "date": "10/12/12", "open": 19.75, "high": 19.8, "low": 19.48, "close": 19.52, "volume": 18809397 }, { "date": "10/15/12", "open": 19.68, "high": 19.88, "low": 19.49, "close": 19.52, "volume": 20189668 }, { "date": "10/16/12", "open": 19.68, "high": 19.69, "low": 19.3, "close": 19.48, "volume": 21834687 }, { "date": "10/17/12", "open": 19.5, "high": 20.48, "low": 19.37, "close": 19.88, "volume": 44074433 }, { "date": "10/18/12", "open": 19.7, "high": 19.79, "low": 18.89, "close": 18.98, "volume": 52157366 }, { "date": "10/19/12", "open": 19, "high": 19.06, "low": 18.8, "close": 19, "volume": 34834947 }, { "date": "10/22/12", "open": 19.2, "high": 19.43, "low": 19.05, "close": 19.32, "volume": 32447005 }, { "date": "10/23/12", "open": 19.25, "high": 19.8, "low": 19.1, "close": 19.5, "volume": 78381102 }, { "date": "10/24/12", "open": 24.13, "high": 24.25, "low": 22.85, "close": 23.23, "volume": 228949142 }, { "date": "10/25/12", "open": 23.29, "high": 23.31, "low": 22.47, "close": 22.56, "volume": 76141922 }, { "date": "10/26/12", "open": 22.4, "high": 22.88, "low": 21.88, "close": 21.94, "volume": 73259521 }, { "date": "10/31/12", "open": 20.82, "high": 21.5, "low": 20.73, "close": 21.11, "volume": 99378184 }, { "date": "11/01/12", "open": 21.08, "high": 21.44, "low": 21.01, "close": 21.21, "volume": 37713887 }, { "date": "11/02/12", "open": 21.26, "high": 21.69, "low": 21.07, "close": 21.18, "volume": 38344332 }, { "date": "11/05/12", "open": 21.1, "high": 21.48, "low": 20.92, "close": 21.25, "volume": 31806692 }, { "date": "11/06/12", "open": 21.24, "high": 21.37, "low": 20.99, "close": 21.17, "volume": 29062642 }, { "date": "11/07/12", "open": 20.85, "high": 20.95, "low": 20.37, "close": 20.47, "volume": 33396731 }, { "date": "11/08/12", "open": 20.52, "high": 20.73, "low": 19.98, "close": 19.99, "volume": 34254535 }, { "date": "11/09/12", "open": 19.96, "high": 20, "low": 19.13, "close": 19.21, "volume": 42295434 }, { "date": "11/12/12", "open": 19.15, "high": 20.17, "low": 18.87, "close": 20.07, "volume": 67349109 }, { "date": "11/13/12", "open": 19.6, "high": 20.11, "low": 19.56, "close": 19.86, "volume": 71775069 }, { "date": "11/14/12", "open": 20.1, "high": 22.5, "low": 19.93, "close": 22.36, "volume": 229750911 }, { "date": "11/15/12", "open": 22.34, "high": 22.5, "low": 21.65, "close": 22.17, "volume": 78857405 }, { "date": "11/16/12", "open": 22.25, "high": 23.93, "low": 22.18, "close": 23.56, "volume": 107182168 }, { "date": "11/19/12", "open": 23.96, "high": 24.12, "low": 22.82, "close": 22.92, "volume": 85021259 }, { "date": "11/20/12", "open": 22.73, "high": 23.9, "low": 22.7, "close": 23.1, "volume": 46655291 }, { "date": "11/21/12", "open": 23.22, "high": 24.53, "low": 23.05, "close": 24.32, "volume": 89862342 }, { "date": "11/23/12", "open": 24.58, "high": 24.68, "low": 23.88, "close": 24, "volume": 29520311 }, { "date": "11/26/12", "open": 24.94, "high": 26.09, "low": 24.81, "close": 25.94, "volume": 123862051 }, { "date": "11/27/12", "open": 26.04, "high": 26.5, "low": 25.46, "close": 26.15, "volume": 85760074 }, { "date": "11/28/12", "open": 25.94, "high": 26.49, "low": 25.75, "close": 26.36, "volume": 49205508 }, { "date": "11/29/12", "open": 26.5, "high": 27.52, "low": 26.16, "close": 27.32, "volume": 88759067 }, { "date": "11/30/12", "open": 27.26, "high": 28, "low": 26.76, "close": 28, "volume": 127049545 }, { "date": "12/03/12", "open": 28, "high": 28.88, "low": 26.98, "close": 27.04, "volume": 123525093 }, { "date": "12/04/12", "open": 27.06, "high": 27.76, "low": 26.68, "close": 27.46, "volume": 72912724 }, { "date": "12/05/12", "open": 27.75, "high": 27.9, "low": 27.26, "close": 27.71, "volume": 58974841 }, { "date": "12/06/12", "open": 27.68, "high": 27.75, "low": 26.82, "close": 26.97, "volume": 46001493 }, { "date": "12/07/12", "open": 27.07, "high": 27.78, "low": 26.84, "close": 27.48, "volume": 51751806 }, { "date": "12/10/12", "open": 27.17, "high": 28.17, "low": 27.1, "close": 27.84, "volume": 50608466 }, { "date": "12/11/12", "open": 28.07, "high": 28.24, "low": 27.66, "close": 27.98, "volume": 77099033 }, { "date": "12/12/12", "open": 28, "high": 28.14, "low": 27.37, "close": 27.58, "volume": 46704201 }, { "date": "12/13/12", "open": 27.59, "high": 28.75, "low": 27.43, "close": 28.24, "volume": 81051549 }, { "date": "12/14/12", "open": 28.18, "high": 28.33, "low": 26.76, "close": 26.81, "volume": 91631545 }, { "date": "12/17/12", "open": 26.77, "high": 27, "low": 26.32, "close": 26.75, "volume": 57742403 }, { "date": "12/18/12", "open": 26.96, "high": 27.91, "low": 26.9, "close": 27.71, "volume": 60512872 }, { "date": "12/19/12", "open": 27.83, "high": 28.22, "low": 26.95, "close": 27.41, "volume": 61390122 }, { "date": "12/20/12", "open": 27.49, "high": 27.6, "low": 27.13, "close": 27.36, "volume": 35574784 }, { "date": "12/21/12", "open": 26.66, "high": 27.01, "low": 26.12, "close": 26.26, "volume": 54555183 }, { "date": "12/24/12", "open": 26.5, "high": 26.96, "low": 26.2, "close": 26.93, "volume": 28230035 }, { "date": "12/26/12", "open": 27.03, "high": 27.18, "low": 26.38, "close": 26.51, "volume": 33175320 }, { "date": "12/27/12", "open": 26.55, "high": 26.8, "low": 25.52, "close": 26.05, "volume": 43481682 }, { "date": "12/28/12", "open": 25.48, "high": 26.11, "low": 25.15, "close": 25.91, "volume": 56574797 }, { "date": "12/31/12", "open": 26.2, "high": 26.99, "low": 26.11, "close": 26.62, "volume": 60374424 }, { "date": "01/02/13", "open": 27.44, "high": 28.18, "low": 27.42, "close": 28, "volume": 69844980 }, { "date": "01/03/13", "open": 27.88, "high": 28.47, "low": 27.59, "close": 27.77, "volume": 63140530 }, { "date": "01/04/13", "open": 28.01, "high": 28.93, "low": 27.83, "close": 28.76, "volume": 72715349 }, { "date": "01/07/13", "open": 28.69, "high": 29.79, "low": 28.65, "close": 29.42, "volume": 83781725 }, { "date": "01/08/13", "open": 29.51, "high": 29.6, "low": 28.86, "close": 29.06, "volume": 45870933 }, { "date": "01/09/13", "open": 29.67, "high": 30.6, "low": 29.49, "close": 30.59, "volume": 104787653 }, { "date": "01/10/13", "open": 30.6, "high": 31.45, "low": 30.28, "close": 31.3, "volume": 95316372 }, { "date": "01/11/13", "open": 31.28, "high": 31.96, "low": 31.1, "close": 31.72, "volume": 89597985 }, { "date": "01/14/13", "open": 32.08, "high": 32.21, "low": 30.62, "close": 30.95, "volume": 98886858 }, { "date": "01/15/13", "open": 30.64, "high": 31.71, "low": 29.88, "close": 30.1, "volume": 173242356 }, { "date": "01/16/13", "open": 30.21, "high": 30.35, "low": 29.53, "close": 29.85, "volume": 75332648 }, { "date": "01/17/13", "open": 30.08, "high": 30.42, "low": 30.03, "close": 30.14, "volume": 40256606 }, { "date": "01/18/13", "open": 30.31, "high": 30.44, "low": 29.27, "close": 29.66, "volume": 49631496 }, { "date": "01/22/13", "open": 29.75, "high": 30.89, "low": 29.74, "close": 30.73, "volume": 55243212 }, { "date": "01/23/13", "open": 31.1, "high": 31.5, "low": 30.8, "close": 30.82, "volume": 48899741 }, { "date": "01/24/13", "open": 31.27, "high": 31.49, "low": 30.81, "close": 31.08, "volume": 43845049 }, { "date": "01/25/13", "open": 31.41, "high": 31.93, "low": 31.13, "close": 31.54, "volume": 54363551 }, { "date": "01/28/13", "open": 31.88, "high": 32.51, "low": 31.81, "close": 32.47, "volume": 59681410 }, { "date": "01/29/13", "open": 32, "high": 32.07, "low": 30.71, "close": 30.79, "volume": 72976496 }, { "date": "01/30/13", "open": 30.98, "high": 31.49, "low": 30.88, "close": 31.24, "volume": 87682080 }, { "date": "01/31/13", "open": 29.15, "high": 31.47, "low": 28.74, "close": 30.98, "volume": 190743612 }, { "date": "02/01/13", "open": 31.01, "high": 31.02, "low": 29.63, "close": 29.73, "volume": 85856666 }, { "date": "02/04/13", "open": 29.06, "high": 29.2, "low": 28.01, "close": 28.11, "volume": 92362184 }, { "date": "02/05/13", "open": 28.26, "high": 28.96, "low": 28.04, "close": 28.64, "volume": 47948191 }, { "date": "02/06/13", "open": 28.74, "high": 29.29, "low": 28.66, "close": 29.05, "volume": 38375742 }, { "date": "02/07/13", "open": 29.11, "high": 29.15, "low": 28.27, "close": 28.65, "volume": 34540014 }, { "date": "02/08/13", "open": 28.89, "high": 29.17, "low": 28.51, "close": 28.54, "volume": 37708729 }, { "date": "02/11/13", "open": 28.61, "high": 28.68, "low": 28.04, "close": 28.26, "volume": 37361742 }, { "date": "02/12/13", "open": 27.67, "high": 28.16, "low": 27.1, "close": 27.37, "volume": 93495635 }, { "date": "02/13/13", "open": 27.36, "high": 28.32, "low": 27.31, "close": 27.91, "volume": 50163959 }, { "date": "02/14/13", "open": 28.02, "high": 28.63, "low": 28.01, "close": 28.5, "volume": 35618411 }, { "date": "02/15/13", "open": 28.52, "high": 28.75, "low": 28.09, "close": 28.32, "volume": 33109105 }, { "date": "02/19/13", "open": 28.23, "high": 29.08, "low": 28.12, "close": 28.93, "volume": 49411547 }, { "date": "02/20/13", "open": 28.92, "high": 29.05, "low": 28.33, "close": 28.46, "volume": 42098118 }, { "date": "02/21/13", "open": 28.28, "high": 28.55, "low": 27.15, "close": 27.28, "volume": 49647671 }, { "date": "02/22/13", "open": 27.62, "high": 27.63, "low": 26.82, "close": 27.13, "volume": 36350149 }, { "date": "02/25/13", "open": 27.16, "high": 27.64, "low": 27.15, "close": 27.27, "volume": 34651983 }, { "date": "02/26/13", "open": 27.36, "high": 27.46, "low": 26.7, "close": 27.39, "volume": 31611642 }, { "date": "02/27/13", "open": 27.34, "high": 27.34, "low": 26.63, "close": 26.87, "volume": 44319628 }, { "date": "02/28/13", "open": 26.84, "high": 27.3, "low": 26.34, "close": 27.25, "volume": 83027721 }, { "date": "03/01/13", "open": 27.05, "high": 28.12, "low": 26.81, "close": 27.78, "volume": 54064731 }, { "date": "03/04/13", "open": 27.76, "high": 28.06, "low": 27.44, "close": 27.72, "volume": 32400645 }, { "date": "03/05/13", "open": 27.88, "high": 28.18, "low": 27.21, "close": 27.52, "volume": 40622189 }, { "date": "03/06/13", "open": 28.1, "high": 28.13, "low": 27.35, "close": 27.45, "volume": 33532526 }, { "date": "03/07/13", "open": 27.57, "high": 28.68, "low": 27.47, "close": 28.58, "volume": 74540116 }, { "date": "03/08/13", "open": 28.42, "high": 28.47, "low": 27.73, "close": 27.96, "volume": 44198838 }, { "date": "03/11/13", "open": 28.01, "high": 28.64, "low": 27.83, "close": 28.14, "volume": 35642057 }, { "date": "03/12/13", "open": 28.1, "high": 28.32, "low": 27.6, "close": 27.83, "volume": 27569590 }, { "date": "03/13/13", "open": 27.62, "high": 27.65, "low": 26.92, "close": 27.08, "volume": 39619443 }, { "date": "03/14/13", "open": 27.1, "high": 27.43, "low": 26.83, "close": 27.04, "volume": 27646381 }, { "date": "03/15/13", "open": 27.03, "high": 27.06, "low": 26.56, "close": 26.64, "volume": 31597364 }, { "date": "03/18/13", "open": 26.37, "high": 26.79, "low": 25.78, "close": 26.49, "volume": 26653641 }, { "date": "03/19/13", "open": 26.53, "high": 26.9, "low": 26.21, "close": 26.55, "volume": 25254152 }, { "date": "03/20/13", "open": 26.68, "high": 26.69, "low": 25.78, "close": 25.86, "volume": 44006434 }, { "date": "03/21/13", "open": 25.66, "high": 26.11, "low": 25.56, "close": 25.74, "volume": 24336012 }, { "date": "03/22/13", "open": 25.8, "high": 26.01, "low": 25.63, "close": 25.73, "volume": 18456268 }, { "date": "03/25/13", "open": 25.75, "high": 25.8, "low": 25.08, "close": 25.13, "volume": 39198947 }, { "date": "03/26/13", "open": 25.08, "high": 25.48, "low": 25.03, "close": 25.2, "volume": 26957135 }, { "date": "03/27/13", "open": 25, "high": 26.28, "low": 24.72, "close": 26.09, "volume": 52297328 }, { "date": "03/28/13", "open": 26.09, "high": 26.17, "low": 25.52, "close": 25.58, "volume": 28585612 }, { "date": "04/01/13", "open": 25.63, "high": 25.89, "low": 25.28, "close": 25.53, "volume": 22249212 }, { "date": "04/02/13", "open": 25.77, "high": 26.12, "low": 25.3, "close": 25.42, "volume": 35153292 }, { "date": "04/03/13", "open": 25.83, "high": 26.39, "low": 25.7, "close": 26.25, "volume": 48195118 }, { "date": "04/04/13", "open": 26.62, "high": 27.23, "low": 26.11, "close": 27.07, "volume": 82016745 }, { "date": "04/05/13", "open": 26.86, "high": 27.8, "low": 26.61, "close": 27.39, "volume": 64566510 }, { "date": "04/08/13", "open": 27.19, "high": 27.2, "low": 26.63, "close": 26.85, "volume": 27255982 }, { "date": "04/09/13", "open": 26.58, "high": 26.89, "low": 26.42, "close": 26.59, "volume": 21311013 }, { "date": "04/10/13", "open": 27.01, "high": 27.84, "low": 26.9, "close": 27.57, "volume": 45949361 }, { "date": "04/11/13", "open": 27.48, "high": 28.1, "low": 27.25, "close": 28.02, "volume": 33368462 }, { "date": "04/12/13", "open": 28, "high": 28, "low": 27.24, "close": 27.4, "volume": 28697400 }, { "date": "04/15/13", "open": 27.16, "high": 27.48, "low": 26.36, "close": 26.52, "volume": 30275356 }, { "date": "04/16/13", "open": 26.81, "high": 27.11, "low": 26.4, "close": 26.92, "volume": 27396392 }, { "date": "04/17/13", "open": 26.65, "high": 27.2, "low": 26.39, "close": 26.62, "volume": 26440537 }, { "date": "04/18/13", "open": 26.82, "high": 26.82, "low": 25.15, "close": 25.69, "volume": 39058905 }, { "date": "04/19/13", "open": 25.62, "high": 25.96, "low": 25.33, "close": 25.73, "volume": 20380862 }, { "date": "04/22/13", "open": 25.81, "high": 26.36, "low": 25.7, "close": 25.97, "volume": 25687549 }, { "date": "04/23/13", "open": 26.22, "high": 26.33, "low": 25.77, "close": 25.98, "volume": 25191467 }, { "date": "04/24/13", "open": 25.93, "high": 26.4, "low": 25.8, "close": 26.11, "volume": 19729809 }, { "date": "04/25/13", "open": 26.07, "high": 26.4, "low": 26, "close": 26.14, "volume": 17149965 }, { "date": "04/26/13", "open": 26.6, "high": 27.62, "low": 26.6, "close": 26.85, "volume": 33017958 }, { "date": "04/29/13", "open": 27.16, "high": 27.41, "low": 26.86, "close": 26.98, "volume": 29201070 }, { "date": "04/30/13", "open": 27.13, "high": 27.85, "low": 27, "close": 27.77, "volume": 36245633 }, { "date": "05/01/13", "open": 27.85, "high": 27.92, "low": 27.31, "close": 27.43, "volume": 64567590 }, { "date": "05/02/13", "open": 28.01, "high": 29.02, "low": 27.98, "close": 28.97, "volume": 104256921 }, { "date": "05/03/13", "open": 29.04, "high": 29.07, "low": 28.15, "close": 28.31, "volume": 58506376 }, { "date": "05/06/13", "open": 28.33, "high": 28.46, "low": 27.48, "close": 27.57, "volume": 43939307 }, { "date": "05/07/13", "open": 27.55, "high": 27.85, "low": 26.85, "close": 26.89, "volume": 41259083 }, { "date": "05/08/13", "open": 26.88, "high": 27.3, "low": 26.65, "close": 27.12, "volume": 34654851 }, { "date": "05/09/13", "open": 27.08, "high": 27.55, "low": 26.85, "close": 27.04, "volume": 33457150 }, { "date": "05/10/13", "open": 27.14, "high": 27.3, "low": 26.57, "close": 26.68, "volume": 30847022 }, { "date": "05/13/13", "open": 26.6, "high": 27.32, "low": 26.53, "close": 26.82, "volume": 29068764 }, { "date": "05/14/13", "open": 26.89, "high": 27.28, "low": 26.82, "close": 27.07, "volume": 24930207 }, { "date": "05/15/13", "open": 26.92, "high": 26.99, "low": 26.4, "close": 26.6, "volume": 30299761 }, { "date": "05/16/13", "open": 26.48, "high": 26.55, "low": 25.9, "close": 26.13, "volume": 35506976 }, { "date": "05/17/13", "open": 26.4, "high": 26.6, "low": 26.2, "close": 26.25, "volume": 29462605 }, { "date": "05/20/13", "open": 26.18, "high": 26.19, "low": 25.69, "close": 25.76, "volume": 42402874 }, { "date": "05/21/13", "open": 25.87, "high": 26.08, "low": 25.59, "close": 25.66, "volume": 26261210 }, { "date": "05/22/13", "open": 25.65, "high": 25.85, "low": 24.92, "close": 25.16, "volume": 45314475 }, { "date": "05/23/13", "open": 24.8, "high": 25.53, "low": 24.77, "close": 25.06, "volume": 37697202 }, { "date": "05/24/13", "open": 24.97, "high": 24.97, "low": 24.08, "close": 24.31, "volume": 58727882 }, { "date": "05/28/13", "open": 24.54, "high": 24.54, "low": 23.92, "close": 24.1, "volume": 50079642 }, { "date": "05/29/13", "open": 23.79, "high": 23.81, "low": 23.26, "close": 23.32, "volume": 64237702 }, { "date": "05/30/13", "open": 24.13, "high": 24.78, "low": 23.93, "close": 24.55, "volume": 60733122 }, { "date": "05/31/13", "open": 24.63, "high": 24.95, "low": 24.27, "close": 24.35, "volume": 35924917 }, { "date": "06/03/13", "open": 24.26, "high": 24.32, "low": 23.71, "close": 23.85, "volume": 35733795 }, { "date": "06/04/13", "open": 23.89, "high": 23.93, "low": 23.32, "close": 23.52, "volume": 34808997 }, { "date": "06/05/13", "open": 23.35, "high": 23.7, "low": 22.79, "close": 22.9, "volume": 53819645 }, { "date": "06/06/13", "open": 22.99, "high": 23.09, "low": 22.67, "close": 22.97, "volume": 31260660 }, { "date": "06/07/13", "open": 23.03, "high": 23.4, "low": 22.86, "close": 23.29, "volume": 38699124 }, { "date": "06/10/13", "open": 24.06, "high": 24.6, "low": 23.99, "close": 24.33, "volume": 58392986 }, { "date": "06/11/13", "open": 24.03, "high": 24.35, "low": 24, "close": 24.03, "volume": 29676383 }, { "date": "06/12/13", "open": 24.16, "high": 24.26, "low": 23.58, "close": 23.77, "volume": 26445790 }, { "date": "06/13/13", "open": 23.72, "high": 23.83, "low": 23.26, "close": 23.73, "volume": 31189247 }, { "date": "06/14/13", "open": 23.56, "high": 23.89, "low": 23.26, "close": 23.63, "volume": 30561387 }, { "date": "06/17/13", "open": 23.91, "high": 24.25, "low": 23.75, "close": 24.02, "volume": 33664419 }, { "date": "06/18/13", "open": 24.09, "high": 24.69, "low": 24.08, "close": 24.21, "volume": 36709004 }, { "date": "06/19/13", "open": 24.2, "high": 25.19, "low": 24.1, "close": 24.31, "volume": 31790525 }, { "date": "06/20/13", "open": 24.28, "high": 24.74, "low": 23.65, "close": 23.9, "volume": 42765586 }, { "date": "06/21/13", "open": 24.59, "high": 24.7, "low": 24.05, "close": 24.53, "volume": 45826173 }, { "date": "06/24/13", "open": 23.95, "high": 24.11, "low": 23.38, "close": 23.94, "volume": 40625948 }, { "date": "06/25/13", "open": 24.14, "high": 24.43, "low": 24.04, "close": 24.25, "volume": 24719988 }, { "date": "06/26/13", "open": 24.51, "high": 24.65, "low": 23.99, "close": 24.16, "volume": 29890205 }, { "date": "06/27/13", "open": 24.24, "high": 24.84, "low": 24.21, "close": 24.66, "volume": 34694013 }, { "date": "06/28/13", "open": 24.68, "high": 24.98, "low": 24.42, "close": 24.88, "volume": 96778879 }, { "date": "07/01/13", "open": 24.97, "high": 25.06, "low": 24.62, "close": 24.81, "volume": 20582195 }, { "date": "07/02/13", "open": 24.7, "high": 24.77, "low": 24.3, "close": 24.41, "volume": 18394008 }, { "date": "07/03/13", "open": 24.22, "high": 24.71, "low": 24.15, "close": 24.52, "volume": 10404332 }, { "date": "07/05/13", "open": 24.65, "high": 24.66, "low": 24.2, "close": 24.37, "volume": 20229451 }, { "date": "07/08/13", "open": 24.47, "high": 25.04, "low": 24.42, "close": 24.71, "volume": 27073983 }, { "date": "07/09/13", "open": 25.07, "high": 25.49, "low": 25.03, "close": 25.48, "volume": 30387889 }, { "date": "07/10/13", "open": 25.58, "high": 25.83, "low": 25.47, "close": 25.8, "volume": 26721794 }, { "date": "07/11/13", "open": 25.96, "high": 26, "low": 25.45, "close": 25.81, "volume": 26777354 }, { "date": "07/12/13", "open": 25.74, "high": 25.93, "low": 25.55, "close": 25.91, "volume": 16537840 }, { "date": "07/15/13", "open": 25.93, "high": 26.43, "low": 25.65, "close": 26.28, "volume": 24233957 }, { "date": "07/16/13", "open": 26.39, "high": 26.75, "low": 26.01, "close": 26.32, "volume": 30817554 }, { "date": "07/17/13", "open": 26.37, "high": 26.78, "low": 26.3, "close": 26.65, "volume": 21518463 }, { "date": "07/18/13", "open": 26.75, "high": 26.77, "low": 26.12, "close": 26.18, "volume": 24806825 }, { "date": "07/19/13", "open": 25.82, "high": 26.11, "low": 25.6, "close": 25.88, "volume": 46544938 }, { "date": "07/22/13", "open": 25.99, "high": 26.13, "low": 25.72, "close": 26.04, "volume": 27526213 }, { "date": "07/23/13", "open": 26.1, "high": 26.3, "low": 25.97, "close": 26.13, "volume": 28221534 }, { "date": "07/24/13", "open": 26.32, "high": 26.53, "low": 26.05, "close": 26.51, "volume": 82635587 }, { "date": "07/25/13", "open": 33.54, "high": 34.88, "low": 32.75, "close": 34.36, "volume": 365935212 }, { "date": "07/26/13", "open": 33.77, "high": 34.73, "low": 33.56, "close": 34.01, "volume": 136028897 }, { "date": "07/29/13", "open": 34.07, "high": 35.63, "low": 34.01, "close": 35.43, "volume": 124884870 }, { "date": "07/30/13", "open": 35.65, "high": 37.96, "low": 35.32, "close": 37.63, "volume": 173582710 }, { "date": "07/31/13", "open": 37.96, "high": 38.31, "low": 36.33, "close": 36.8, "volume": 154828679 }, { "date": "08/01/13", "open": 37.3, "high": 38.29, "low": 36.92, "close": 37.49, "volume": 106066472 }, { "date": "08/02/13", "open": 37.66, "high": 38.49, "low": 37.5, "close": 38.05, "volume": 73058424 }, { "date": "08/05/13", "open": 38.43, "high": 39.32, "low": 38.25, "close": 39.19, "volume": 79994774 }, { "date": "08/06/13", "open": 39.11, "high": 39.25, "low": 37.94, "close": 38.55, "volume": 63950791 }, { "date": "08/07/13", "open": 38.61, "high": 38.94, "low": 37.7, "close": 38.87, "volume": 68854764 }, { "date": "08/08/13", "open": 39.13, "high": 39.19, "low": 38.43, "close": 38.54, "volume": 41300906 }, { "date": "08/09/13", "open": 38.59, "high": 38.74, "low": 38.01, "close": 38.5, "volume": 43620024 }, { "date": "08/12/13", "open": 38.2, "high": 38.5, "low": 38.1, "close": 38.22, "volume": 31160951 }, { "date": "08/13/13", "open": 38.24, "high": 38.32, "low": 36.77, "close": 37.02, "volume": 65379198 }, { "date": "08/14/13", "open": 36.83, "high": 37.55, "low": 36.62, "close": 36.65, "volume": 48423890 }, { "date": "08/15/13", "open": 36.36, "high": 37.07, "low": 36.02, "close": 36.56, "volume": 56521095 }, { "date": "08/16/13", "open": 36.97, "high": 37.49, "low": 36.9, "close": 37.08, "volume": 45840714 }, { "date": "08/19/13", "open": 37.43, "high": 38.28, "low": 37.14, "close": 37.81, "volume": 57609591 }, { "date": "08/20/13", "open": 38.35, "high": 38.58, "low": 37.69, "close": 38.41, "volume": 57995140 }, { "date": "08/21/13", "open": 38.38, "high": 38.85, "low": 38.14, "close": 38.32, "volume": 46116868 }, { "date": "08/22/13", "open": 38.37, "high": 38.75, "low": 38.34, "close": 38.55, "volume": 21931163 }, { "date": "08/23/13", "open": 39, "high": 40.63, "low": 38.93, "close": 40.55, "volume": 86442283 }, { "date": "08/26/13", "open": 40.9, "high": 41.94, "low": 40.62, "close": 41.34, "volume": 94162358 }, { "date": "08/27/13", "open": 40.68, "high": 41.2, "low": 39.42, "close": 39.64, "volume": 72695050 }, { "date": "08/28/13", "open": 39.96, "high": 40.85, "low": 39.88, "close": 40.55, "volume": 57918194 }, { "date": "08/29/13", "open": 40.89, "high": 41.78, "low": 40.8, "close": 41.28, "volume": 58303395 }, { "date": "08/30/13", "open": 42.02, "high": 42.26, "low": 41.06, "close": 41.29, "volume": 67735053 }, { "date": "09/03/13", "open": 41.84, "high": 42.16, "low": 41.51, "close": 41.87, "volume": 48774896 }, { "date": "09/04/13", "open": 42.01, "high": 42.17, "low": 41.44, "close": 41.78, "volume": 42581854 }, { "date": "09/05/13", "open": 41.79, "high": 42.76, "low": 41.77, "close": 42.66, "volume": 50035380 }, { "date": "09/06/13", "open": 43.09, "high": 44.61, "low": 42.4, "close": 43.95, "volume": 117535626 }, { "date": "09/09/13", "open": 44.36, "high": 44.79, "low": 43.7, "close": 44.04, "volume": 75794696 }, { "date": "09/10/13", "open": 44.24, "high": 44.26, "low": 43.23, "close": 43.6, "volume": 54540282 }, { "date": "09/11/13", "open": 43.39, "high": 45.09, "low": 43.11, "close": 45.04, "volume": 71676653 }, { "date": "09/12/13", "open": 45.53, "high": 45.62, "low": 44.65, "close": 44.75, "volume": 68072239 }, { "date": "09/13/13", "open": 45.04, "high": 45.08, "low": 43.93, "close": 44.31, "volume": 52765299 }, { "date": "09/16/13", "open": 44.85, "high": 44.94, "low": 42.43, "close": 42.51, "volume": 70807761 }, { "date": "09/17/13", "open": 42.5, "high": 45.44, "low": 42.43, "close": 45.07, "volume": 91934557 }, { "date": "09/18/13", "open": 44.84, "high": 45.47, "low": 44.4, "close": 45.23, "volume": 79316945 }, { "date": "09/19/13", "open": 45.51, "high": 46.05, "low": 45.23, "close": 45.98, "volume": 63972369 }, { "date": "09/20/13", "open": 46.32, "high": 47.6, "low": 45.74, "close": 47.49, "volume": 115508400 }, { "date": "09/23/13", "open": 47.28, "high": 47.55, "low": 46.29, "close": 47.19, "volume": 75319202 }, { "date": "09/24/13", "open": 48.5, "high": 49.66, "low": 48.16, "close": 48.45, "volume": 136716101 }, { "date": "09/25/13", "open": 49.23, "high": 49.54, "low": 48.46, "close": 49.46, "volume": 87879619 }, { "date": "09/26/13", "open": 50.01, "high": 50.6, "low": 49.5, "close": 50.39, "volume": 98220046 }, { "date": "09/27/13", "open": 50.29, "high": 51.28, "low": 49.86, "close": 51.24, "volume": 81410460 }, { "date": "09/30/13", "open": 50.14, "high": 51.6, "low": 49.8, "close": 50.23, "volume": 100095417 }, { "date": "10/01/13", "open": 49.97, "high": 51.03, "low": 49.45, "close": 50.42, "volume": 98113699 }, { "date": "10/02/13", "open": 50.13, "high": 51.1, "low": 49.95, "close": 50.28, "volume": 62834429 }, { "date": "10/03/13", "open": 50.47, "high": 50.72, "low": 49.06, "close": 49.18, "volume": 82045323 }, { "date": "10/04/13", "open": 49.77, "high": 51.16, "low": 49.57, "close": 51.04, "volume": 74446947 }, { "date": "10/07/13", "open": 50.73, "high": 51.29, "low": 50.4, "close": 50.52, "volume": 57203957 }, { "date": "10/08/13", "open": 50.6, "high": 50.6, "low": 47.08, "close": 47.14, "volume": 136081330 }, { "date": "10/09/13", "open": 47.38, "high": 47.84, "low": 45.26, "close": 46.77, "volume": 147296862 }, { "date": "10/10/13", "open": 47.86, "high": 49.68, "low": 47.83, "close": 49.05, "volume": 99773784 }, { "date": "10/11/13", "open": 49.18, "high": 49.87, "low": 48.79, "close": 49.11, "volume": 58428451 }, { "date": "10/14/13", "open": 48.31, "high": 49.63, "low": 47.91, "close": 49.51, "volume": 68780552 }, { "date": "10/15/13", "open": 49.99, "high": 51, "low": 49.18, "close": 49.5, "volume": 81166571 }, { "date": "10/16/13", "open": 50.04, "high": 51.24, "low": 49.9, "close": 51.14, "volume": 64678247 }, { "date": "10/17/13", "open": 51.12, "high": 52.22, "low": 50.95, "close": 52.21, "volume": 71521899 }, { "date": "10/18/13", "open": 54.18, "high": 54.82, "low": 53.6, "close": 54.22, "volume": 88260093 }, { "date": "10/21/13", "open": 54.68, "high": 54.81, "low": 53.51, "close": 53.85, "volume": 58235283 }, { "date": "10/22/13", "open": 54.33, "high": 54.76, "low": 52.2, "close": 52.68, "volume": 83203892 }, { "date": "10/23/13", "open": 51.75, "high": 52.25, "low": 51.13, "close": 51.9, "volume": 57207154 }, { "date": "10/24/13", "open": 52.38, "high": 52.84, "low": 51.59, "close": 52.44, "volume": 46775185 }, { "date": "10/25/13", "open": 53.18, "high": 53.24, "low": 51.88, "close": 51.95, "volume": 45085348 }, { "date": "10/28/13", "open": 51.54, "high": 51.7, "low": 49.61, "close": 50.23, "volume": 73472347 }, { "date": "10/29/13", "open": 50.73, "high": 50.79, "low": 49.25, "close": 49.4, "volume": 102143469 }, { "date": "10/30/13", "open": 50, "high": 50.21, "low": 48.75, "close": 49.01, "volume": 127072652 }, { "date": "10/31/13", "open": 47.16, "high": 52, "low": 46.5, "close": 50.2, "volume": 248809006 }, { "date": "11/01/13", "open": 50.85, "high": 52.09, "low": 49.72, "close": 49.75, "volume": 95032876 }, { "date": "11/04/13", "open": 49.36, "high": 49.75, "low": 48.02, "close": 48.22, "volume": 80371218 }, { "date": "11/05/13", "open": 47.79, "high": 50.18, "low": 47.51, "close": 50.1, "volume": 76835006 }, { "date": "11/06/13", "open": 50.26, "high": 50.45, "low": 48.71, "close": 49.12, "volume": 67889337 }, { "date": "11/07/13", "open": 49.24, "high": 49.87, "low": 47.3, "close": 47.56, "volume": 97127618 }, { "date": "11/08/13", "open": 47.81, "high": 48.65, "low": 47.25, "close": 47.53, "volume": 70731178 }, { "date": "11/11/13", "open": 47.04, "high": 47.53, "low": 45.73, "close": 46.2, "volume": 80909626 }, { "date": "11/12/13", "open": 46, "high": 47.37, "low": 45.83, "close": 46.6, "volume": 68195832 }, { "date": "11/13/13", "open": 46.23, "high": 48.74, "low": 46.06, "close": 48.71, "volume": 79245346 }, { "date": "11/14/13", "open": 48.7, "high": 49.57, "low": 48.03, "close": 48.99, "volume": 75117049 }, { "date": "11/15/13", "open": 49.11, "high": 49.48, "low": 48.71, "close": 49.01, "volume": 42452937 }, { "date": "11/18/13", "open": 48.47, "high": 48.84, "low": 45.8, "close": 45.83, "volume": 85909884 }, { "date": "11/19/13", "open": 46.26, "high": 47, "low": 45.72, "close": 46.36, "volume": 75602413 }, { "date": "11/20/13", "open": 46.61, "high": 47.55, "low": 46.31, "close": 46.43, "volume": 53932698 }, { "date": "11/21/13", "open": 46.99, "high": 47.46, "low": 46.68, "close": 46.7, "volume": 34886170 }, { "date": "11/22/13", "open": 47.04, "high": 47.27, "low": 45.96, "close": 46.23, "volume": 40545375 }, { "date": "11/25/13", "open": 46.36, "high": 46.65, "low": 44.04, "close": 44.82, "volume": 82565324 }, { "date": "11/26/13", "open": 44.66, "high": 46.17, "low": 43.55, "close": 45.89, "volume": 82016490 }, { "date": "11/27/13", "open": 45.97, "high": 46.67, "low": 45.53, "close": 46.49, "volume": 44993195 }, { "date": "11/29/13", "open": 46.75, "high": 47.21, "low": 46.5, "close": 47.01, "volume": 22953916 }, { "date": "12/02/13", "open": 46.9, "high": 47.54, "low": 46.26, "close": 47.06, "volume": 50773647 }, { "date": "12/03/13", "open": 46.75, "high": 47.2, "low": 46.29, "close": 46.73, "volume": 32085905 }, { "date": "12/04/13", "open": 46.46, "high": 48.77, "low": 46.26, "close": 48.62, "volume": 60890176 }, { "date": "12/05/13", "open": 48.15, "high": 48.7, "low": 47.87, "close": 48.34, "volume": 43855036 }, { "date": "12/06/13", "open": 48.98, "high": 49.39, "low": 47.71, "close": 47.94, "volume": 42937659 }, { "date": "12/09/13", "open": 48.06, "high": 48.97, "low": 47.74, "close": 48.84, "volume": 36055891 }, { "date": "12/10/13", "open": 48.62, "high": 50.77, "low": 48.54, "close": 50.24, "volume": 68478561 }, { "date": "12/11/13", "open": 50.56, "high": 50.77, "low": 49.01, "close": 49.38, "volume": 65776366 }, { "date": "12/12/13", "open": 51.03, "high": 52.07, "low": 50.66, "close": 51.83, "volume": 92723034 }, { "date": "12/13/13", "open": 51.61, "high": 53.5, "low": 51.34, "close": 53.32, "volume": 82640992 }, { "date": "12/16/13", "open": 53.27, "high": 54.5, "low": 52.91, "close": 53.81, "volume": 85118518 }, { "date": "12/17/13", "open": 54.75, "high": 55.18, "low": 54.24, "close": 54.86, "volume": 78751463 }, { "date": "12/18/13", "open": 55.57, "high": 55.89, "low": 53.75, "close": 55.57, "volume": 76003479 }, { "date": "12/19/13", "open": 54.34, "high": 55.19, "low": 53.95, "close": 55.05, "volume": 89825393 }, { "date": "12/20/13", "open": 54.91, "high": 55.15, "low": 54.23, "close": 55.12, "volume": 239823912 }, { "date": "12/23/13", "open": 55.5, "high": 58.32, "low": 55.45, "close": 57.77, "volume": 98296983 }, { "date": "12/24/13", "open": 58.27, "high": 58.58, "low": 56.91, "close": 57.96, "volume": 46617754 }, { "date": "12/26/13", "open": 58.32, "high": 58.38, "low": 57.37, "close": 57.73, "volume": 55101367 }, { "date": "12/27/13", "open": 57.48, "high": 57.68, "low": 55.25, "close": 55.44, "volume": 60465751 }, { "date": "12/30/13", "open": 54.93, "high": 55.18, "low": 53.43, "close": 53.71, "volume": 68307317 }, { "date": "12/31/13", "open": 54.12, "high": 54.86, "low": 53.91, "close": 54.65, "volume": 43152127 }, { "date": "01/02/14", "open": 54.83, "high": 55.22, "low": 54.19, "close": 54.71, "volume": 43257622 }, { "date": "01/03/14", "open": 55.02, "high": 55.65, "low": 54.53, "close": 54.56, "volume": 38287706 }, { "date": "01/06/14", "open": 54.42, "high": 57.26, "low": 54.05, "close": 57.2, "volume": 68974359 }, { "date": "01/07/14", "open": 57.7, "high": 58.55, "low": 57.22, "close": 57.92, "volume": 77329009 }, { "date": "01/08/14", "open": 57.6, "high": 58.41, "low": 57.23, "close": 58.23, "volume": 56800776 }, { "date": "01/09/14", "open": 58.65, "high": 58.96, "low": 56.65, "close": 57.22, "volume": 92349222 }, { "date": "01/10/14", "open": 57.13, "high": 58.3, "low": 57.06, "close": 57.94, "volume": 42529258 }, { "date": "01/13/14", "open": 57.91, "high": 58.25, "low": 55.38, "close": 55.91, "volume": 63106519 }, { "date": "01/14/14", "open": 56.46, "high": 57.78, "low": 56.1, "close": 57.74, "volume": 37590987 }, { "date": "01/15/14", "open": 57.98, "high": 58.57, "low": 57.27, "close": 57.6, "volume": 33730619 }, { "date": "01/16/14", "open": 57.26, "high": 58.02, "low": 56.83, "close": 57.19, "volume": 34599775 }, { "date": "01/17/14", "open": 57.3, "high": 57.82, "low": 56.07, "close": 56.3, "volume": 40883205 }, { "date": "01/21/14", "open": 56.6, "high": 58.58, "low": 56.5, "close": 58.51, "volume": 48734147 }, { "date": "01/22/14", "open": 58.85, "high": 59.31, "low": 57.1, "close": 57.51, "volume": 61495880 }, { "date": "01/23/14", "open": 56.37, "high": 56.68, "low": 55.69, "close": 56.63, "volume": 47996403 }, { "date": "01/24/14", "open": 56.15, "high": 56.42, "low": 54.4, "close": 54.45, "volume": 55545338 }, { "date": "01/27/14", "open": 54.73, "high": 54.94, "low": 51.85, "close": 53.55, "volume": 74142331 }, { "date": "01/28/14", "open": 54.02, "high": 55.28, "low": 54, "close": 55.14, "volume": 48364998 }, { "date": "01/29/14", "open": 54.61, "high": 54.95, "low": 53.19, "close": 53.53, "volume": 98089932 }, { "date": "01/30/14", "open": 62.12, "high": 62.5, "low": 60.46, "close": 61.08, "volume": 150438699 }, { "date": "01/31/14", "open": 60.47, "high": 63.37, "low": 60.17, "close": 62.57, "volume": 87930298 }, { "date": "02/03/14", "open": 63.03, "high": 63.77, "low": 60.7, "close": 61.48, "volume": 75105994 }, { "date": "02/04/14", "open": 62.05, "high": 63.14, "low": 61.82, "close": 62.75, "volume": 46064897 }, { "date": "02/05/14", "open": 62.74, "high": 63.16, "low": 61.27, "close": 62.19, "volume": 53032420 }, { "date": "02/06/14", "open": 61.46, "high": 62.78, "low": 61.46, "close": 62.16, "volume": 42153754 }, { "date": "02/07/14", "open": 62.27, "high": 64.57, "low": 62.22, "close": 64.32, "volume": 60835746 }, { "date": "02/10/14", "open": 64.3, "high": 64.49, "low": 63.47, "close": 63.55, "volume": 43736562 }, { "date": "02/11/14", "open": 63.75, "high": 65, "low": 63.35, "close": 64.85, "volume": 45746832 }, { "date": "02/12/14", "open": 64.92, "high": 65.06, "low": 64.05, "close": 64.45, "volume": 47409857 }, { "date": "02/13/14", "open": 64.18, "high": 67.33, "low": 64.05, "close": 67.33, "volume": 62013396 }, { "date": "02/14/14", "open": 67.5, "high": 67.58, "low": 66.72, "close": 67.09, "volume": 36786427 }, { "date": "02/18/14", "open": 66.94, "high": 67.54, "low": 66.07, "close": 67.3, "volume": 43862297 }, { "date": "02/19/14", "open": 67.05, "high": 69.08, "low": 67, "close": 68.06, "volume": 64258631 }, { "date": "02/20/14", "open": 67.73, "high": 70.11, "low": 65.73, "close": 69.63, "volume": 131043748 }, { "date": "02/21/14", "open": 69.69, "high": 69.96, "low": 68.45, "close": 68.59, "volume": 70991892 }, { "date": "02/24/14", "open": 68.74, "high": 71.44, "low": 68.54, "close": 70.78, "volume": 76951946 }, { "date": "02/25/14", "open": 70.95, "high": 71, "low": 69.45, "close": 69.85, "volume": 52189031 }, { "date": "02/26/14", "open": 70.19, "high": 71.22, "low": 68.85, "close": 69.26, "volume": 55400399 }, { "date": "02/27/14", "open": 69.34, "high": 70.01, "low": 68.87, "close": 68.94, "volume": 41695855 }, { "date": "02/28/14", "open": 69.47, "high": 69.88, "low": 67.38, "close": 68.46, "volume": 66900863 }, { "date": "03/03/14", "open": 66.96, "high": 68.05, "low": 66.51, "close": 67.41, "volume": 56900444 }, { "date": "03/04/14", "open": 68.66, "high": 68.9, "low": 67.62, "close": 68.8, "volume": 42164222 }, { "date": "03/05/14", "open": 69.69, "high": 71.97, "low": 69.62, "close": 71.57, "volume": 74649486 }, { "date": "03/06/14", "open": 71.88, "high": 71.89, "low": 70.25, "close": 70.84, "volume": 46126260 }, { "date": "03/07/14", "open": 71.08, "high": 71.18, "low": 69.47, "close": 69.8, "volume": 38985763 }, { "date": "03/10/14", "open": 70.77, "high": 72.15, "low": 70.51, "close": 72.03, "volume": 59949746 }, { "date": "03/11/14", "open": 72.5, "high": 72.59, "low": 69.96, "close": 70.1, "volume": 59615238 }, { "date": "03/12/14", "open": 69.86, "high": 71.35, "low": 69, "close": 70.88, "volume": 46400431 }, { "date": "03/13/14", "open": 71.29, "high": 71.35, "low": 68.15, "close": 68.83, "volume": 57091157 }, { "date": "03/14/14", "open": 68.49, "high": 69.43, "low": 67.46, "close": 67.72, "volume": 48226824 }, { "date": "03/17/14", "open": 68.18, "high": 68.95, "low": 66.62, "close": 68.74, "volume": 52196699 }, { "date": "03/18/14", "open": 68.76, "high": 69.6, "low": 68.3, "close": 69.19, "volume": 40827226 }, { "date": "03/19/14", "open": 69.17, "high": 69.29, "low": 67.46, "close": 68.24, "volume": 43980558 }, { "date": "03/20/14", "open": 68.01, "high": 68.23, "low": 66.82, "close": 66.97, "volume": 44438500 }, { "date": "03/21/14", "open": 67.53, "high": 67.92, "low": 66.18, "close": 67.24, "volume": 60041228 }, { "date": "03/24/14", "open": 67.19, "high": 67.36, "low": 63.36, "close": 64.1, "volume": 85695872 }, { "date": "03/25/14", "open": 64.89, "high": 66.19, "low": 63.78, "close": 64.89, "volume": 68785500 }, { "date": "03/26/14", "open": 64.74, "high": 64.95, "low": 60.37, "close": 60.38, "volume": 97689774 }, { "date": "03/27/14", "open": 60.51, "high": 61.9, "low": 57.98, "close": 60.97, "volume": 112649694 }, { "date": "03/28/14", "open": 61.34, "high": 61.95, "low": 59.34, "close": 60.01, "volume": 67051528 }, { "date": "03/31/14", "open": 60.78, "high": 61.52, "low": 59.87, "close": 60.24, "volume": 53011205 }, { "date": "04/01/14", "open": 60.46, "high": 62.66, "low": 60.24, "close": 62.62, "volume": 59291210 }, { "date": "04/02/14", "open": 63.21, "high": 63.91, "low": 62.21, "close": 62.72, "volume": 66276613 }, { "date": "04/03/14", "open": 62.55, "high": 63.17, "low": 59.13, "close": 59.49, "volume": 83859330 }, { "date": "04/04/14", "open": 59.94, "high": 60.2, "low": 56.32, "close": 56.75, "volume": 125465774 }, { "date": "04/07/14", "open": 55.9, "high": 58, "low": 55.44, "close": 56.95, "volume": 108487569 }, { "date": "04/08/14", "open": 57.68, "high": 58.71, "low": 57.17, "close": 58.19, "volume": 78835935 }, { "date": "04/09/14", "open": 59.63, "high": 62.46, "low": 59.19, "close": 62.41, "volume": 100215307 }, { "date": "04/10/14", "open": 63.08, "high": 63.18, "low": 58.68, "close": 59.16, "volume": 114987616 }, { "date": "04/11/14", "open": 57.6, "high": 60.31, "low": 57.31, "close": 58.53, "volume": 91451960 }, { "date": "04/14/14", "open": 60.09, "high": 60.45, "low": 57.78, "close": 58.89, "volume": 72324603 }, { "date": "04/15/14", "open": 59.29, "high": 59.68, "low": 55.88, "close": 59.09, "volume": 108622706 }, { "date": "04/16/14", "open": 59.79, "high": 60.19, "low": 57.74, "close": 59.72, "volume": 78773521 }, { "date": "04/17/14", "open": 59.3, "high": 60.58, "low": 58.72, "close": 58.94, "volume": 88040346 }, { "date": "04/21/14", "open": 59.46, "high": 61.24, "low": 59.15, "close": 61.24, "volume": 60363619 }, { "date": "04/22/14", "open": 62.65, "high": 63.44, "low": 62.22, "close": 63.03, "volume": 60631312 }, { "date": "04/23/14", "open": 63.45, "high": 63.48, "low": 61.26, "close": 61.36, "volume": 96564750 }, { "date": "04/24/14", "open": 63.6, "high": 63.65, "low": 59.77, "close": 60.87, "volume": 138769345 }, { "date": "04/25/14", "open": 59.97, "high": 60.01, "low": 57.57, "close": 57.71, "volume": 92501529 }, { "date": "04/28/14", "open": 58.05, "high": 58.31, "low": 54.66, "close": 56.14, "volume": 107757756 }, { "date": "04/29/14", "open": 56.09, "high": 58.28, "low": 55.84, "close": 58.15, "volume": 75557202 }, { "date": "04/30/14", "open": 57.58, "high": 59.85, "low": 57.16, "close": 59.78, "volume": 76093004 }, { "date": "05/01/14", "open": 60.43, "high": 62.28, "low": 60.21, "close": 61.15, "volume": 82428606 }, { "date": "05/02/14", "open": 61.3, "high": 61.89, "low": 60.18, "close": 60.46, "volume": 54189197 }, { "date": "05/05/14", "open": 59.67, "high": 61.35, "low": 59.18, "close": 61.22, "volume": 46057411 }, { "date": "05/06/14", "open": 60.98, "high": 61.15, "low": 58.49, "close": 58.53, "volume": 55900809 }, { "date": "05/07/14", "open": 58.77, "high": 59.3, "low": 56.26, "close": 57.39, "volume": 78587247 }, { "date": "05/08/14", "open": 57.23, "high": 58.82, "low": 56.5, "close": 56.76, "volume": 61251053 }, { "date": "05/09/14", "open": 56.85, "high": 57.65, "low": 56.38, "close": 57.24, "volume": 52583858 }, { "date": "05/12/14", "open": 57.98, "high": 59.9, "low": 57.98, "close": 59.83, "volume": 48575487 }, { "date": "05/13/14", "open": 59.66, "high": 60.89, "low": 59.51, "close": 59.83, "volume": 48525476 }, { "date": "05/14/14", "open": 59.53, "high": 60.45, "low": 58.95, "close": 59.23, "volume": 47428583 }, { "date": "05/15/14", "open": 59.26, "high": 59.38, "low": 57.52, "close": 57.92, "volume": 56813940 }, { "date": "05/16/14", "open": 58.31, "high": 58.45, "low": 57.31, "close": 58.02, "volume": 47933075 }, { "date": "05/19/14", "open": 57.89, "high": 59.56, "low": 57.57, "close": 59.21, "volume": 43033925 }, { "date": "05/20/14", "open": 59.5, "high": 60.19, "low": 58.18, "close": 58.56, "volume": 53931469 }, { "date": "05/21/14", "open": 58.56, "high": 60.5, "low": 58.25, "close": 60.49, "volume": 58991505 }, { "date": "05/22/14", "open": 60.94, "high": 61.48, "low": 60.4, "close": 60.52, "volume": 54200116 }, { "date": "05/23/14", "open": 60.41, "high": 61.45, "low": 60.15, "close": 61.35, "volume": 38293993 }, { "date": "05/27/14", "open": 61.62, "high": 63.51, "low": 61.57, "close": 63.48, "volume": 55681663 }, { "date": "05/28/14", "open": 63.39, "high": 64.14, "low": 62.62, "close": 63.51, "volume": 47795088 }, { "date": "05/29/14", "open": 63.84, "high": 64.3, "low": 63.51, "close": 63.83, "volume": 42699670 }, { "date": "05/30/14", "open": 63.95, "high": 64.17, "low": 62.56, "close": 63.3, "volume": 45283577 }, { "date": "06/02/14", "open": 63.23, "high": 63.59, "low": 62.05, "close": 63.08, "volume": 35995537 }, { "date": "06/03/14", "open": 62.62, "high": 63.42, "low": 62.32, "close": 62.87, "volume": 32216707 }, { "date": "06/04/14", "open": 62.45, "high": 63.59, "low": 62.07, "close": 63.34, "volume": 36513991 }, { "date": "06/05/14", "open": 63.66, "high": 64.36, "low": 62.82, "close": 63.19, "volume": 47352368 }, { "date": "06/06/14", "open": 63.37, "high": 63.48, "low": 62.15, "close": 62.5, "volume": 42442096 }, { "date": "06/09/14", "open": 62.4, "high": 63.34, "low": 61.79, "close": 62.88, "volume": 37617413 }, { "date": "06/10/14", "open": 63.53, "high": 65.82, "low": 63.5, "close": 65.77, "volume": 69338140 }, { "date": "06/11/14", "open": 65.32, "high": 65.8, "low": 64.9, "close": 65.78, "volume": 44241926 }, { "date": "06/12/14", "open": 65.85, "high": 66.47, "low": 64.06, "close": 64.29, "volume": 55729828 }, { "date": "06/13/14", "open": 64.7, "high": 64.97, "low": 63.83, "close": 64.5, "volume": 29418910 }, { "date": "06/16/14", "open": 64.16, "high": 64.88, "low": 63.75, "close": 64.19, "volume": 31045811 }, { "date": "06/17/14", "open": 64.1, "high": 64.88, "low": 63.93, "close": 64.4, "volume": 27714816 }, { "date": "06/18/14", "open": 64.49, "high": 65.75, "low": 64.05, "close": 65.6, "volume": 35570154 }, { "date": "06/19/14", "open": 65.46, "high": 65.58, "low": 64.21, "close": 64.34, "volume": 34245182 }, { "date": "06/20/14", "open": 64.46, "high": 64.81, "low": 63.35, "close": 64.5, "volume": 46466073 }, { "date": "06/23/14", "open": 64.32, "high": 65.66, "low": 64.22, "close": 65.37, "volume": 34560121 }, { "date": "06/24/14", "open": 65.36, "high": 67.17, "low": 65.27, "close": 65.72, "volume": 57334867 }, { "date": "06/25/14", "open": 65.58, "high": 67.48, "low": 65.57, "close": 67.44, "volume": 44308249 }, { "date": "06/26/14", "open": 68, "high": 68, "low": 66.9, "close": 67.13, "volume": 47713944 }, { "date": "06/27/14", "open": 67.31, "high": 67.7, "low": 66.84, "close": 67.6, "volume": 46460627 }, { "date": "06/30/14", "open": 67.46, "high": 67.92, "low": 67.13, "close": 67.29, "volume": 27201749 }, { "date": "07/01/14", "open": 67.58, "high": 68.44, "low": 67.39, "close": 68.06, "volume": 33243166 }, { "date": "07/02/14", "open": 68.04, "high": 68.3, "low": 65.79, "close": 66.45, "volume": 41895220 }, { "date": "07/03/14", "open": 66.86, "high": 67, "low": 65.76, "close": 66.29, "volume": 25203215 }, { "date": "07/07/14", "open": 66.3, "high": 66.57, "low": 65.12, "close": 65.29, "volume": 28745099 }, { "date": "07/08/14", "open": 65.06, "high": 65.56, "low": 62.21, "close": 62.76, "volume": 68926036 }, { "date": "07/09/14", "open": 63.41, "high": 65.12, "low": 63.15, "close": 64.97, "volume": 51431582 }, { "date": "07/10/14", "open": 63.31, "high": 65.34, "low": 63.05, "close": 64.87, "volume": 44421915 }, { "date": "07/11/14", "open": 65.28, "high": 66.59, "low": 64.79, "close": 66.34, "volume": 39212022 }, { "date": "07/14/14", "open": 67.13, "high": 68.17, "low": 66.9, "close": 67.9, "volume": 38536924 }, { "date": "07/15/14", "open": 67.96, "high": 68.09, "low": 66.26, "close": 67.16, "volume": 44292944 }, { "date": "07/16/14", "open": 67.54, "high": 67.94, "low": 67.07, "close": 67.66, "volume": 29593589 }, { "date": "07/17/14", "open": 67.03, "high": 67.85, "low": 66.04, "close": 66.41, "volume": 38188432 }, { "date": "07/18/14", "open": 66.8, "high": 68.46, "low": 66.16, "close": 68.42, "volume": 42455649 }, { "date": "07/21/14", "open": 68.81, "high": 69.96, "low": 68.5, "close": 69.4, "volume": 49539121 }, { "date": "07/22/14", "open": 69.76, "high": 69.77, "low": 68.61, "close": 69.27, "volume": 40397693 }, { "date": "07/23/14", "open": 69.74, "high": 71.33, "low": 69.61, "close": 71.29, "volume": 78434716 }, { "date": "07/24/14", "open": 75.96, "high": 76.74, "low": 74.51, "close": 74.98, "volume": 124167936 }, { "date": "07/25/14", "open": 74.99, "high": 75.67, "low": 74.66, "close": 75.19, "volume": 45917435 }, { "date": "07/28/14", "open": 75.17, "high": 75.5, "low": 73.85, "close": 74.92, "volume": 41725249 }, { "date": "07/29/14", "open": 74.72, "high": 74.92, "low": 73.42, "close": 73.71, "volume": 41324470 }, { "date": "07/30/14", "open": 74.21, "high": 75.19, "low": 74.13, "close": 74.68, "volume": 36853018 }, { "date": "07/31/14", "open": 74, "high": 74.16, "low": 72.44, "close": 72.65, "volume": 43991772 }, { "date": "08/01/14", "open": 72.22, "high": 73.22, "low": 71.55, "close": 72.36, "volume": 43535314 }, { "date": "08/04/14", "open": 72.36, "high": 73.88, "low": 72.36, "close": 73.51, "volume": 30776819 }, { "date": "08/05/14", "open": 73.51, "high": 73.59, "low": 72.18, "close": 72.69, "volume": 34986147 }, { "date": "08/06/14", "open": 72.02, "high": 73.72, "low": 71.79, "close": 72.47, "volume": 30985533 }, { "date": "08/07/14", "open": 73, "high": 74, "low": 72.7, "close": 73.17, "volume": 38140550 }, { "date": "08/08/14", "open": 73.4, "high": 73.43, "low": 72.56, "close": 73.06, "volume": 27202325 }, { "date": "08/11/14", "open": 73.46, "high": 73.91, "low": 73.06, "close": 73.44, "volume": 24591177 }, { "date": "08/12/14", "open": 73.09, "high": 73.33, "low": 72.22, "close": 72.83, "volume": 27418983 }, { "date": "08/13/14", "open": 73.12, "high": 74.25, "low": 73.05, "close": 73.77, "volume": 29265662 }, { "date": "08/14/14", "open": 73.97, "high": 74.38, "low": 73.69, "close": 74.3, "volume": 22207019 }, { "date": "08/15/14", "open": 74.32, "high": 74.65, "low": 73, "close": 73.63, "volume": 38909161 }, { "date": "08/18/14", "open": 74, "high": 74.72, "low": 73.96, "close": 74.59, "volume": 23973658 }, { "date": "08/19/14", "open": 74.81, "high": 75.58, "low": 74.77, "close": 75.29, "volume": 26678640 }, { "date": "08/20/14", "open": 74.97, "high": 75.18, "low": 74.62, "close": 74.81, "volume": 22916678 }, { "date": "08/21/14", "open": 74.92, "high": 75.19, "low": 74.41, "close": 74.57, "volume": 20101979 }, { "date": "08/22/14", "open": 74.34, "high": 74.73, "low": 73.57, "close": 74.57, "volume": 20897393 }, { "date": "08/25/14", "open": 74.94, "high": 75.28, "low": 74.79, "close": 75.02, "volume": 19734103 }, { "date": "08/26/14", "open": 75, "high": 75.99, "low": 74.73, "close": 75.96, "volume": 23992668 }, { "date": "08/27/14", "open": 75.27, "high": 75.49, "low": 74.46, "close": 74.63, "volume": 36323060 }, { "date": "08/28/14", "open": 74, "high": 74.43, "low": 73.73, "close": 73.86, "volume": 21946738 }, { "date": "08/29/14", "open": 74.3, "high": 74.82, "low": 74.01, "close": 74.82, "volume": 26241162 }, { "date": "09/02/14", "open": 75.01, "high": 76.7, "low": 74.82, "close": 76.68, "volume": 34979438 }, { "date": "09/03/14", "open": 77.14, "high": 77.48, "low": 75.6, "close": 75.83, "volume": 32389102 }, { "date": "09/04/14", "open": 75.89, "high": 76.93, "low": 75.53, "close": 75.95, "volume": 26676444 }, { "date": "09/05/14", "open": 76.1, "high": 77.38, "low": 75.6, "close": 77.26, "volume": 29475854 }, { "date": "09/08/14", "open": 77.26, "high": 78.17, "low": 77.01, "close": 77.89, "volume": 28183156 }, { "date": "09/09/14", "open": 77.59, "high": 78.17, "low": 76.2, "close": 76.67, "volume": 28881803 }, { "date": "09/10/14", "open": 76.52, "high": 77.95, "low": 76.51, "close": 77.43, "volume": 29908606 }, { "date": "09/11/14", "open": 77.13, "high": 78.36, "low": 77.05, "close": 77.92, "volume": 32247724 }, { "date": "09/12/14", "open": 78.02, "high": 78.3, "low": 77.1, "close": 77.48, "volume": 26744356 }, { "date": "09/15/14", "open": 77.15, "high": 77.25, "low": 73.43, "close": 74.58, "volume": 49679130 }, { "date": "09/16/14", "open": 73.52, "high": 76.23, "low": 73.07, "close": 76.08, "volume": 37742482 }, { "date": "09/17/14", "open": 75.96, "high": 77.25, "low": 75.57, "close": 76.43, "volume": 28693348 }, { "date": "09/18/14", "open": 76.77, "high": 77.33, "low": 76.52, "close": 77, "volume": 23030936 }, { "date": "09/19/14", "open": 77.4, "high": 78.3, "low": 76.44, "close": 77.91, "volume": 76671330 }, { "date": "09/22/14", "open": 77, "high": 77.53, "low": 75.95, "close": 76.8, "volume": 31961015 }, { "date": "09/23/14", "open": 76.33, "high": 78.63, "low": 76.04, "close": 78.29, "volume": 36814111 }, { "date": "09/24/14", "open": 78.1, "high": 78.62, "low": 77.51, "close": 78.54, "volume": 30679642 }, { "date": "09/25/14", "open": 78.6, "high": 78.94, "low": 77.13, "close": 77.22, "volume": 37532580 }, { "date": "09/26/14", "open": 77.59, "high": 78.84, "low": 77.33, "close": 78.79, "volume": 28872012 }, { "date": "09/29/14", "open": 78.12, "high": 79.2, "low": 77.91, "close": 79, "volume": 34030635 }, { "date": "09/30/14", "open": 79.35, "high": 79.71, "low": 78.6, "close": 79.04, "volume": 35899444 }, { "date": "10/01/14", "open": 78.78, "high": 78.82, "low": 75.9, "close": 76.55, "volume": 55090157 }, { "date": "10/02/14", "open": 76.57, "high": 77.48, "low": 75.64, "close": 77.08, "volume": 36487612 }, { "date": "10/03/14", "open": 77.76, "high": 78.06, "low": 77.26, "close": 77.44, "volume": 23340173 }, { "date": "10/06/14", "open": 77.19, "high": 77.89, "low": 76.85, "close": 77.56, "volume": 25729191 }, { "date": "10/07/14", "open": 77.05, "high": 77.95, "low": 76.24, "close": 76.29, "volume": 25317488 }, { "date": "10/08/14", "open": 76.18, "high": 77.71, "low": 75.1, "close": 77.52, "volume": 32975514 }, { "date": "10/09/14", "open": 77.28, "high": 77.76, "low": 75.85, "close": 75.91, "volume": 32487174 }, { "date": "10/10/14", "open": 75.59, "high": 76.5, "low": 72.76, "close": 72.91, "volume": 52146162 }, { "date": "10/13/14", "open": 73.23, "high": 74.78, "low": 72.52, "close": 72.99, "volume": 43937638 }, { "date": "10/14/14", "open": 74, "high": 74.18, "low": 72.05, "close": 73.59, "volume": 50299288 }, { "date": "10/15/14", "open": 71.69, "high": 73.8, "low": 70.32, "close": 73.21, "volume": 61528317 }, { "date": "10/16/14", "open": 70.79, "high": 73.35, "low": 70.58, "close": 72.63, "volume": 53529459 }, { "date": "10/17/14", "open": 74.23, "high": 76, "low": 73.75, "close": 75.95, "volume": 76341638 }, { "date": "10/20/14", "open": 75.6, "high": 77.09, "low": 75.38, "close": 76.95, "volume": 34701260 }, { "date": "10/21/14", "open": 77.56, "high": 78.74, "low": 77.15, "close": 78.69, "volume": 32252403 }, { "date": "10/22/14", "open": 78.82, "high": 79.85, "low": 78.01, "close": 78.37, "volume": 41862393 }, { "date": "10/23/14", "open": 79.38, "high": 80.63, "low": 79.01, "close": 80.04, "volume": 35055800 }, { "date": "10/24/14", "open": 80.2, "high": 80.82, "low": 79.32, "close": 80.67, "volume": 32247520 }, { "date": "10/27/14", "open": 80.74, "high": 80.8, "low": 79.76, "close": 80.28, "volume": 30168921 }, { "date": "10/28/14", "open": 80.18, "high": 81.16, "low": 79.57, "close": 80.77, "volume": 74211768 }, { "date": "10/29/14", "open": 75.45, "high": 76.88, "low": 74.78, "close": 75.86, "volume": 106119520 }, { "date": "10/30/14", "open": 75.05, "high": 75.35, "low": 72.9, "close": 74.11, "volume": 83269554 }, { "date": "10/31/14", "open": 74.93, "high": 75.7, "low": 74.45, "close": 74.99, "volume": 44544325 }, { "date": "11/03/14", "open": 75.47, "high": 75.52, "low": 73.7, "close": 73.88, "volume": 40727330 }, { "date": "11/04/14", "open": 74.23, "high": 75.77, "low": 73.65, "close": 75.76, "volume": 39326471 }, { "date": "11/05/14", "open": 76.51, "high": 76.8, "low": 74.42, "close": 74.83, "volume": 35912588 }, { "date": "11/06/14", "open": 74.89, "high": 75.6, "low": 74.31, "close": 75.26, "volume": 21383194 }, { "date": "11/07/14", "open": 75.39, "high": 75.86, "low": 75.02, "close": 75.6, "volume": 20774381 }, { "date": "11/10/14", "open": 75.36, "high": 75.48, "low": 74.61, "close": 75, "volume": 21575126 }, { "date": "11/11/14", "open": 74.95, "high": 74.98, "low": 74.03, "close": 74.61, "volume": 18735123 }, { "date": "11/12/14", "open": 74.28, "high": 75.14, "low": 73.54, "close": 74.72, "volume": 26536609 }, { "date": "11/13/14", "open": 74.74, "high": 75.24, "low": 73.64, "close": 74.25, "volume": 26448451 }, { "date": "11/14/14", "open": 74.27, "high": 74.93, "low": 74.04, "close": 74.88, "volume": 19476878 }, { "date": "11/17/14", "open": 74.88, "high": 75.66, "low": 73.88, "close": 74.24, "volume": 28701191 }, { "date": "11/18/14", "open": 74.45, "high": 74.8, "low": 73.9, "close": 74.34, "volume": 20696643 }, { "date": "11/19/14", "open": 74.01, "high": 74.54, "low": 73.11, "close": 73.33, "volume": 25441163 }, { "date": "11/20/14", "open": 72.8, "high": 73.99, "low": 72.51, "close": 73.6, "volume": 19154862 }, { "date": "11/21/14", "open": 74.5, "high": 74.5, "low": 73.5, "close": 73.75, "volume": 23060382 }, { "date": "11/24/14", "open": 73.54, "high": 74.35, "low": 73.35, "close": 74.01, "volume": 22103831 }, { "date": "11/25/14", "open": 74.21, "high": 75.74, "low": 74.13, "close": 75.63, "volume": 32250205 }, { "date": "11/26/14", "open": 75.53, "high": 77.78, "low": 75.51, "close": 77.62, "volume": 32721585 }, { "date": "11/28/14", "open": 77.67, "high": 78.27, "low": 77.23, "close": 77.7, "volume": 15992035 }, { "date": "12/01/14", "open": 77.26, "high": 77.31, "low": 74.8, "close": 75.1, "volume": 31789866 }, { "date": "12/02/14", "open": 75.33, "high": 75.91, "low": 75.04, "close": 75.46, "volume": 16773884 }, { "date": "12/03/14", "open": 75.38, "high": 75.73, "low": 74.4, "close": 74.88, "volume": 16689857 }, { "date": "12/04/14", "open": 74.83, "high": 75.55, "low": 74.66, "close": 75.24, "volume": 14390520 }, { "date": "12/05/14", "open": 75.8, "high": 76.76, "low": 75.36, "close": 76.36, "volume": 24306446 }, { "date": "12/08/14", "open": 76.18, "high": 77.25, "low": 75.4, "close": 76.52, "volume": 25733853 }, { "date": "12/09/14", "open": 75.2, "high": 76.93, "low": 74.78, "close": 76.84, "volume": 25358584 }, { "date": "12/10/14", "open": 76.65, "high": 77.55, "low": 76.07, "close": 76.18, "volume": 32210532 }, { "date": "12/11/14", "open": 76.52, "high": 78.52, "low": 76.48, "close": 77.73, "volume": 33492661 }, { "date": "12/12/14", "open": 77.16, "high": 78.88, "low": 77.02, "close": 77.83, "volume": 28091617 }, { "date": "12/15/14", "open": 78.46, "high": 78.58, "low": 76.56, "close": 76.99, "volume": 29396532 }, { "date": "12/16/14", "open": 76.19, "high": 77.39, "low": 74.59, "close": 74.69, "volume": 31554593 }, { "date": "12/17/14", "open": 75.01, "high": 76.41, "low": 74.9, "close": 76.11, "volume": 29203904 }, { "date": "12/18/14", "open": 76.89, "high": 78.4, "low": 76.51, "close": 78.4, "volume": 34222081 }, { "date": "12/19/14", "open": 78.75, "high": 80, "low": 78.33, "close": 79.88, "volume": 43334992 }, { "date": "12/22/14", "open": 80.08, "high": 81.89, "low": 80, "close": 81.45, "volume": 31395770 }, { "date": "12/23/14", "open": 82.02, "high": 82.17, "low": 80.4, "close": 80.61, "volume": 19865820 }, { "date": "12/24/14", "open": 81.03, "high": 81.43, "low": 80.75, "close": 80.77, "volume": 7685481 }, { "date": "12/26/14", "open": 81.02, "high": 81.28, "low": 80.51, "close": 80.78, "volume": 10647388 }, { "date": "12/29/14", "open": 80.49, "high": 80.96, "low": 79.71, "close": 80.02, "volume": 14134666 }, { "date": "12/30/14", "open": 79.85, "high": 80.59, "low": 79.1, "close": 79.22, "volume": 14370763 }, { "date": "12/31/14", "open": 79.54, "high": 79.8, "low": 77.86, "close": 78.02, "volume": 20040439 }, { "date": "01/02/15", "open": 78.58, "high": 78.93, "low": 77.7, "close": 78.45, "volume": 18177475 }, { "date": "01/05/15", "open": 77.98, "high": 79.25, "low": 76.86, "close": 77.19, "volume": 26452191 }, { "date": "01/06/15", "open": 77.23, "high": 77.59, "low": 75.36, "close": 76.15, "volume": 27399288 }, { "date": "01/07/15", "open": 76.76, "high": 77.36, "low": 75.82, "close": 76.15, "volume": 22045333 }, { "date": "01/08/15", "open": 76.74, "high": 78.23, "low": 76.08, "close": 78.18, "volume": 23960953 }, { "date": "01/09/15", "open": 78.2, "high": 78.62, "low": 77.2, "close": 77.74, "volume": 21157007 }, { "date": "01/12/15", "open": 77.84, "high": 78, "low": 76.21, "close": 76.72, "volume": 19190194 }, { "date": "01/13/15", "open": 77.23, "high": 78.08, "low": 75.85, "close": 76.45, "volume": 25179561 }, { "date": "01/14/15", "open": 76.42, "high": 77.2, "low": 76.03, "close": 76.28, "volume": 25918564 }, { "date": "01/15/15", "open": 76.4, "high": 76.57, "low": 73.54, "close": 74.05, "volume": 34133974 }, { "date": "01/16/15", "open": 74.04, "high": 75.32, "low": 73.84, "close": 75.18, "volume": 21791529 }, { "date": "01/20/15", "open": 75.72, "high": 76.31, "low": 74.82, "close": 76.24, "volume": 22821614 }, { "date": "01/21/15", "open": 76.16, "high": 77.3, "low": 75.85, "close": 76.74, "volume": 25096737 }, { "date": "01/22/15", "open": 77.17, "high": 77.75, "low": 76.68, "close": 77.65, "volume": 19519458 }, { "date": "01/23/15", "open": 77.65, "high": 78.19, "low": 77.04, "close": 77.83, "volume": 16746503 }, { "date": "01/26/15", "open": 77.98, "high": 78.47, "low": 77.29, "close": 77.5, "volume": 19260820 }, { "date": "01/27/15", "open": 76.71, "high": 76.88, "low": 75.63, "close": 75.78, "volume": 20109977 }, { "date": "01/28/15", "open": 76.9, "high": 77.64, "low": 76, "close": 76.24, "volume": 53306422 }, { "date": "01/29/15", "open": 76.85, "high": 78.02, "low": 74.21, "close": 78, "volume": 61293468 }, { "date": "01/30/15", "open": 78, "high": 78.16, "low": 75.75, "close": 75.91, "volume": 42649491 }, { "date": "02/02/15", "open": 76.11, "high": 76.14, "low": 73.75, "close": 74.99, "volume": 41955258 }, { "date": "02/03/15", "open": 75.19, "high": 75.58, "low": 73.86, "close": 75.4, "volume": 26957714 }, { "date": "02/04/15", "open": 75.09, "high": 76.35, "low": 75.01, "close": 75.63, "volume": 20277368 }, { "date": "02/05/15", "open": 75.71, "high": 75.98, "low": 75.21, "close": 75.62, "volume": 15062573 }, { "date": "02/06/15", "open": 75.68, "high": 75.7, "low": 74.25, "close": 74.47, "volume": 21210994 }, { "date": "02/09/15", "open": 74.05, "high": 74.83, "low": 73.45, "close": 74.44, "volume": 16194322 }, { "date": "02/10/15", "open": 74.85, "high": 75.34, "low": 74.5, "close": 75.19, "volume": 15811344 }, { "date": "02/11/15", "open": 75.09, "high": 76.75, "low": 75.03, "close": 76.51, "volume": 20877427 }, { "date": "02/12/15", "open": 76.86, "high": 76.87, "low": 75.89, "close": 76.23, "volume": 17234976 }, { "date": "02/13/15", "open": 76.46, "high": 76.48, "low": 75.5, "close": 75.74, "volume": 18621860 }, { "date": "02/17/15", "open": 75.3, "high": 76.91, "low": 75.08, "close": 75.6, "volume": 25254400 }, { "date": "02/18/15", "open": 75.94, "high": 76.9, "low": 75.45, "close": 76.71, "volume": 22426421 }, { "date": "02/19/15", "open": 76.99, "high": 79.84, "low": 76.95, "close": 79.42, "volume": 45851177 }, { "date": "02/20/15", "open": 79.55, "high": 80.34, "low": 79.2, "close": 79.9, "volume": 36931698 }, { "date": "02/23/15", "open": 79.96, "high": 80.19, "low": 78.38, "close": 78.84, "volume": 24139056 }, { "date": "02/24/15", "open": 78.5, "high": 79.48, "low": 78.1, "close": 78.45, "volume": 18897133 }, { "date": "02/25/15", "open": 78.5, "high": 80.2, "low": 78.5, "close": 79.56, "volume": 25593800 }, { "date": "02/26/15", "open": 79.88, "high": 81.37, "low": 79.72, "close": 80.41, "volume": 31111891 }, { "date": "02/27/15", "open": 80.68, "high": 81.23, "low": 78.62, "close": 78.97, "volume": 30739197 }, { "date": "03/02/15", "open": 79, "high": 79.86, "low": 78.52, "close": 79.75, "volume": 21662537 }, { "date": "03/03/15", "open": 79.61, "high": 79.7, "low": 78.52, "close": 79.6, "volume": 18634973 }, { "date": "03/04/15", "open": 79.3, "high": 81.15, "low": 78.85, "close": 80.9, "volume": 28126686 }, { "date": "03/05/15", "open": 81.23, "high": 81.99, "low": 81.05, "close": 81.21, "volume": 27825733 }, { "date": "03/06/15", "open": 80.9, "high": 81.33, "low": 79.83, "close": 80, "volume": 24488581 }, { "date": "03/09/15", "open": 79.68, "high": 79.91, "low": 78.63, "close": 79.44, "volume": 18925097 }, { "date": "03/10/15", "open": 78.5, "high": 79.26, "low": 77.55, "close": 77.55, "volume": 23067057 }, { "date": "03/11/15", "open": 77.8, "high": 78.43, "low": 77.26, "close": 77.57, "volume": 20215704 }, { "date": "03/12/15", "open": 78.1, "high": 79.05, "low": 77.91, "close": 78.93, "volume": 16093319 }, { "date": "03/13/15", "open": 78.6, "high": 79.38, "low": 77.68, "close": 78.05, "volume": 18557296 }, { "date": "03/16/15", "open": 77.96, "high": 78.12, "low": 77.36, "close": 78.07, "volume": 19305406 }, { "date": "03/17/15", "open": 78.36, "high": 79.78, "low": 78.34, "close": 79.36, "volume": 22169969 }, { "date": "03/18/15", "open": 79.25, "high": 81.24, "low": 79.17, "close": 80.91, "volume": 36912446 }, { "date": "03/19/15", "open": 81.12, "high": 83, "low": 81, "close": 82.75, "volume": 42099523 }, { "date": "03/20/15", "open": 83.39, "high": 84.6, "low": 83.07, "close": 83.8, "volume": 44466323 }, { "date": "03/23/15", "open": 83.92, "high": 84.96, "low": 83.3, "close": 84.43, "volume": 27357333 }, { "date": "03/24/15", "open": 84.71, "high": 86.07, "low": 84.52, "close": 85.31, "volume": 32576522 }, { "date": "03/25/15", "open": 85.5, "high": 85.52, "low": 82.92, "close": 82.92, "volume": 37436147 }, { "date": "03/26/15", "open": 82.72, "high": 83.77, "low": 82.14, "close": 83.01, "volume": 32794800 }, { "date": "03/27/15", "open": 83.38, "high": 83.95, "low": 82.88, "close": 83.3, "volume": 18372582 }, { "date": "03/30/15", "open": 83.81, "high": 84.34, "low": 82.41, "close": 83.2, "volume": 24527686 }, { "date": "03/31/15", "open": 82.9, "high": 83.5, "low": 82.21, "close": 82.22, "volume": 19734277 }, { "date": "04/01/15", "open": 82.5, "high": 82.72, "low": 80.87, "close": 81.66, "volume": 22058167 }, { "date": "04/02/15", "open": 82.25, "high": 82.56, "low": 81.44, "close": 81.56, "volume": 19664053 }, { "date": "04/06/15", "open": 80.8, "high": 82.81, "low": 80.8, "close": 82.44, "volume": 19062934 }, { "date": "04/07/15", "open": 82.65, "high": 83.42, "low": 82.22, "close": 82.32, "volume": 17467042 }, { "date": "04/08/15", "open": 82.63, "high": 83.1, "low": 81.84, "close": 82.28, "volume": 18966732 }, { "date": "04/09/15", "open": 82.5, "high": 82.8, "low": 81.71, "close": 82.17, "volume": 15927281 }, { "date": "04/10/15", "open": 82.21, "high": 82.61, "low": 81.91, "close": 82.04, "volume": 12529738 } ]; } }
body { margin-bottom: 24px; } label { margin-right: 3px; }
(function (global) { SystemJS.config({ transpiler: './plugin-typescript.js', typescriptOptions: { "target": "ES2022", "module": "system", "emitDecoratorMetadata": true, "experimentalDecorators": true, }, baseURL: 'node_modules/', meta: { 'typescript': { "exports": "ts" }, '*.css': { loader: 'systemjs-plugin-css' } }, paths: { // paths serve as alias 'npm:': '' }, packageConfigPaths: [ '/node_modules/*/package.json', "/node_modules/@angular/*/package.json", "/node_modules/@mescius/*/package.json" ], map: { 'core-js': 'https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js', 'typescript': 'https://cdnjs.cloudflare.com/ajax/libs/typescript/5.2.2/typescript.min.js', "rxjs": "https://cdnjs.cloudflare.com/ajax/libs/rxjs/7.8.1/rxjs.umd.min.js", 'systemjs-plugin-css': 'https://cdn.jsdelivr.net/npm/systemjs-plugin-css@0.1.37/css.js', '@mescius/wijmo': 'npm:@mescius/wijmo/index.js', '@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js', '@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles', '@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures', '@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js', '@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js', '@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js', '@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js', '@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js', '@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js', '@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js', '@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js', '@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js', '@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js', '@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js', '@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js', '@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js', '@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js', '@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js', '@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js', '@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js', '@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js', '@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js', '@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js', '@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js', '@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js', '@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js', '@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js', '@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js', '@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js', '@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js', '@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js', '@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js', '@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js', '@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js', '@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js', '@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js', '@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js', '@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js', '@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js', '@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js', '@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js', '@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js', '@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js', '@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js', '@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js', "@mescius/wijmo.angular2.chart.analytics": "npm:@mescius/wijmo.angular2.chart.analytics/index.js", "@mescius/wijmo.angular2.chart.animation": "npm:@mescius/wijmo.angular2.chart.animation/index.js", "@mescius/wijmo.angular2.chart.annotation": "npm:@mescius/wijmo.angular2.chart.annotation/index.js", "@mescius/wijmo.angular2.chart.finance.analytics": "npm:@mescius/wijmo.angular2.chart.finance.analytics/index.js", "@mescius/wijmo.angular2.chart.finance": "npm:@mescius/wijmo.angular2.chart.finance/index.js", "@mescius/wijmo.angular2.chart.hierarchical": "npm:@mescius/wijmo.angular2.chart.hierarchical/index.js", "@mescius/wijmo.angular2.chart.interaction": "npm:@mescius/wijmo.angular2.chart.interaction/index.js", "@mescius/wijmo.angular2.chart.radar": "npm:@mescius/wijmo.angular2.chart.radar/index.js", '@mescius/wijmo.angular2.chart.map': 'npm:@mescius/wijmo.angular2.chart.map/index.js', "@mescius/wijmo.angular2.chart": "npm:@mescius/wijmo.angular2.chart/index.js", "@mescius/wijmo.angular2.core": "npm:@mescius/wijmo.angular2.core/index.js", "@mescius/wijmo.angular2.gauge": "npm:@mescius/wijmo.angular2.gauge/index.js", "@mescius/wijmo.angular2.grid.detail": "npm:@mescius/wijmo.angular2.grid.detail/index.js", "@mescius/wijmo.angular2.grid.filter": "npm:@mescius/wijmo.angular2.grid.filter/index.js", "@mescius/wijmo.angular2.grid.grouppanel": "npm:@mescius/wijmo.angular2.grid.grouppanel/index.js", "@mescius/wijmo.angular2.grid.search": "npm:@mescius/wijmo.angular2.grid.search/index.js", "@mescius/wijmo.angular2.grid.multirow": "npm:@mescius/wijmo.angular2.grid.multirow/index.js", "@mescius/wijmo.angular2.grid.sheet": "npm:@mescius/wijmo.angular2.grid.sheet/index.js", '@mescius/wijmo.angular2.grid.transposed': 'npm:@mescius/wijmo.angular2.grid.transposed/index.js', '@mescius/wijmo.angular2.grid.transposedmultirow': 'npm:@mescius/wijmo.angular2.grid.transposedmultirow/index.js', "@mescius/wijmo.angular2.grid": "npm:@mescius/wijmo.angular2.grid/index.js", "@mescius/wijmo.angular2.input": "npm:@mescius/wijmo.angular2.input/index.js", "@mescius/wijmo.angular2.olap": "npm:@mescius/wijmo.angular2.olap/index.js", "@mescius/wijmo.angular2.viewer": "npm:@mescius/wijmo.angular2.viewer/index.js", "@mescius/wijmo.angular2.nav": "npm:@mescius/wijmo.angular2.nav/index.js", "@mescius/wijmo.angular2.directivebase": "npm:@mescius/wijmo.angular2.directivebase/index.js", '@mescius/wijmo.angular2.barcode.common': 'npm:@mescius/wijmo.angular2.barcode.common/index.js', '@mescius/wijmo.angular2.barcode.composite': 'npm:@mescius/wijmo.angular2.barcode.composite/index.js', '@mescius/wijmo.angular2.barcode.specialized': 'npm:@mescius/wijmo.angular2.barcode.specialized/index.js', 'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css', 'jszip': 'https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js', "@angular/common/http": "https://cdn.jsdelivr.net/npm/@angular/common@16.2.6/fesm2022/http.mjs", "@angular/core": "https://cdn.jsdelivr.net/npm/@angular/core@16.2.6/fesm2022/core.mjs", "@angular/platform-browser": "https://cdn.jsdelivr.net/npm/@angular/platform-browser@16.2.6/fesm2022/platform-browser.mjs", "@angular/common": "https://cdn.jsdelivr.net/npm/@angular/common@16.2.6/fesm2022/common.mjs", "@angular/compiler": "https://cdn.jsdelivr.net/npm/@angular/compiler@16.2.6/fesm2022/compiler.mjs", "@angular/forms": "https://cdn.jsdelivr.net/npm/@angular/forms@16.2.6/fesm2022/forms.mjs", "@angular/localize": "https://cdn.jsdelivr.net/npm/@angular/localize@16.2.6/fesm2022/localize.mjs", "@angular/platform-browser-dynamic": "https://cdn.jsdelivr.net/npm/@angular/platform-browser-dynamic@16.2.6/fesm2022/platform-browser-dynamic.mjs", }, // packages tells the System loader how to load when no filename and/or no extension packages: { "./src": { defaultExtension: 'ts' }, "node_modules": { defaultExtension: 'js' }, wijmo: { defaultExtension: 'js', } } }); })(this);

Renko (React)

The Renko chart uses bricks of uniform size to chart the price movement. When a price moves to a greater or lesser value than the preset boxSize option required to draw a new brick, a new brick is drawn in the succeeding column. The change in box color and direction signifies a trend reversal.

This example uses React.

import 'bootstrap.css'; import '@mescius/wijmo.styles/wijmo.css'; import ReactDOM from 'react-dom/client'; import React, { useRef, useState } from 'react'; import useEvent from 'react-use-event-hook'; import * as wjCore from '@mescius/wijmo'; import * as wjInput from '@mescius/wijmo.react.input'; import * as wjChart from '@mescius/wijmo.react.chart'; import * as wjFinance from '@mescius/wijmo.react.chart.finance'; import './app.css'; import { getData } from './data'; function App() { const [data, setData] = useState(getData()); const [rmData, setRmData] = useState([{ text: 'Fixed', parm: 'Fixed' }, { text: 'Average True Range', parm: 'ATR' }]); const [fieldsData, setFieldsData] = useState([{ text: 'High', parm: 'High' }, { text: 'Low', parm: 'Low' }, { text: 'Open', parm: 'Open' }, { text: 'Close', parm: 'Close' }, { text: 'HL AVG.', parm: 'HL2' }, { text: 'HLC Avg.', parm: 'HLC3' }, { text: 'HLOC Avg.', parm: 'HLOC4' }]); const [rangeModeText, setRangeModeText] = useState('Fixed'); const [fieldsText, setFieldsText] = useState('Close'); const [options, setOptions] = useState({ renko: { boxSize: 2, rangeMode: 'Fixed', fields: 'Close' } }); const [style, setStyle] = useState({ stroke: 'rgb(136, 189, 230)', fill: 'rgba(136, 189, 230, 0.701961)' }); const [altStyle, setAltStyle] = useState({ stroke: 'rgb(136, 189, 230)', fill: 'transparent' }); const theChartRef = useRef(null); const serRef = useRef(null); const inputNumberRef = useRef(null); const initializeChart = useEvent((flex) => { theChartRef.current = flex; serRef.current = flex.series[0]; }); const initializeInput = useEvent((input) => { inputNumberRef.current = input; }); const tooltip = useEvent((ht) => { var date = ht.item && ht.item.date ? ht.item.date : null, content = ''; // if (wjCore.isDate(date)) { date = wjCore.Globalize.formatDate(date, 'MM/dd/yy'); } if (ht && ht.item) { content = '<b>' + ht.name + '</b><br/>' + 'Date: ' + date + '<br/>' + 'Open: ' + wjCore.Globalize.format(ht.item.open, 'n2') + '<br/>' + 'High: ' + wjCore.Globalize.format(ht.item.high, 'n2') + '<br/>' + 'Low: ' + wjCore.Globalize.format(ht.item.low, 'n2') + '<br/>' + 'Close: ' + wjCore.Globalize.format(ht.item.close, 'n2') + '<br/>' + 'Volume: ' + wjCore.Globalize.format(ht.item.volume, 'n0'); } return content; }); const strokeChanged = useEvent((input) => { setStyle({ stroke: input.value, fill: style.fill }); serRef.current.style.stroke = input.value; optionChanged(); }); const altStrokeChanged = useEvent((input) => { setAltStyle({ stroke: input.value, fill: altStyle.fill }); serRef.current.altStyle.stroke = input.value; optionChanged(); }); const fillChanged = useEvent((input) => { setStyle({ fill: input.value, stroke: style.stroke }); serRef.current.style.fill = input.value; optionChanged(); }); const altFillChanged = useEvent((input) => { setAltStyle({ fill: input.value, stroke: altStyle.stroke }); serRef.current.altStyle.fill = input.value; optionChanged(); }); const optionChanged = useEvent(() => { if (theChartRef.current) { theChartRef.current.invalidate(); } }); const boxSizeChanged = useEvent((input) => { if (input.value < input.min || (input.max && input.value > input.max)) { return; } setOptions({ renko: { boxSize: input.value } }); if (theChartRef.current) { theChartRef.current.invalidate(); } }); const rangeModeChanged = useEvent((menu) => { var input = inputNumberRef.current; let selectedValue = menu.selectedValue; setRangeModeText(selectedValue); setOptions({ renko: { rangeMode: selectedValue, boxSize: options.renko.boxSize, fields: options.renko.fields, } }); if (selectedValue === 'ATR') { input.format = 'n0'; input.min = 2; input.max = data.length - 2; input.value = wjCore.clamp(input.value, 14, data.length - 2); input.step = 1; } else { input.format = 'n0'; input.min = 1; input.max = null; input.step = 1; } optionChanged(); }); const fieldsChanged = useEvent((menu) => { var input = inputNumberRef.current; let selectedValue = menu.selectedValue; setFieldsData(selectedValue); setOptions({ renko: { boxSize: options.renko.boxSize, fields: selectedValue, rangeMode: options.renko.rangeMode } }); console.log(options); optionChanged(); }); return (<div className="container-fluid"> {/* Settings */} <div className="panel-group" id="settings"> <div className="panel panel-default"> <div id="settingsBody" className="panel-collapse collapse in"> <div className="panel-body"> <ul className="list-inline"> <li> <label>Box Size</label> <wjInput.InputNumber initialized={initializeInput} value={options.renko.boxSize} min={0} step={1} format="n0" valueChanged={boxSizeChanged}> </wjInput.InputNumber> </li> <li> <wjInput.Menu header="Range Mode" value={options.renko.rangeMode} itemClicked={rangeModeChanged}> <wjInput.MenuItem value="Fixed">Fixed</wjInput.MenuItem> <wjInput.MenuItem value="ATR">Average True Range</wjInput.MenuItem> </wjInput.Menu> </li> <li> <wjInput.Menu header="Data Fields" value={options.renko.fields} itemClicked={fieldsChanged}> <wjInput.MenuItem value="High">High</wjInput.MenuItem> <wjInput.MenuItem value="Low">Low</wjInput.MenuItem> <wjInput.MenuItem value="Open">Open</wjInput.MenuItem> <wjInput.MenuItem value="Close">Close</wjInput.MenuItem> <wjInput.MenuItem value="HL2">HL Avg.</wjInput.MenuItem> <wjInput.MenuItem value="HLC3">HLC Avg.</wjInput.MenuItem> <wjInput.MenuItem value="HLOC4">HLOC Avg.</wjInput.MenuItem> </wjInput.Menu> </li> </ul> <ul className="list-inline"> <li> <label>Stroke</label> <wjInput.InputColor value={style.stroke} valueChanged={strokeChanged}></wjInput.InputColor> </li> <li> <label>Alt. Stroke</label> <wjInput.InputColor value={altStyle.stroke} valueChanged={altStrokeChanged}></wjInput.InputColor> </li> </ul> <ul className="list-inline"> <li> <label>Fill</label> <wjInput.InputColor value={style.fill} valueChanged={fillChanged}></wjInput.InputColor> </li> <li> <label>Alt. Fill</label> <wjInput.InputColor value={altStyle.fill} valueChanged={altFillChanged}></wjInput.InputColor> </li> </ul> </div> </div> </div> </div> {/* FinancialChart */} <wjFinance.FinancialChart initialized={initializeChart} itemsSource={data} bindingX="date" chartType="Renko" options={options} tooltipContent={tooltip}> <wjFinance.FinancialChartSeries binding="high,low,open,close" name="Facebook" style={style} altStyle={altStyle}></wjFinance.FinancialChartSeries> <wjChart.FlexChartLegend position="None"/> </wjFinance.FinancialChart> </div>); } const container = document.getElementById('app'); if (container) { const root = ReactDOM.createRoot(container); root.render(<App />); }
<!DOCTYPE html> <html lang="en"> <head> <meta charset="utf-8"> <meta http-equiv="X-UA-Compatible" content="IE=edge"> <title>MESCIUS Wijmo Wijmo FlexChart Renko</title> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <!-- SystemJS --> <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.40/system.src.js" integrity="sha512-G6mEj6h18+m3MvzdviSDfPle/TfH0//cXcB33AKlNR/Rha0yQsKefDZKRTkIZos97HEGq2JMV1RT5ybMoQ3WsQ==" crossorigin="anonymous"></script> <script src="systemjs.config.js"></script> <script> System.import('./src/app'); </script> </head> <body> <div id="app"></div> </body> </html>
label { margin-right: 3px; }
export function getData() { return [ { "date": "05/18/12", "open": 42.05, "high": 45, "low": 38, "close": 38.23, "volume": 580587742 }, { "date": "05/21/12", "open": 36.53, "high": 36.66, "low": 33, "close": 34.03, "volume": 168309831 }, { "date": "05/22/12", "open": 32.61, "high": 33.59, "low": 30.94, "close": 31, "volume": 102053826 }, { "date": "05/23/12", "open": 31.37, "high": 32.5, "low": 31.36, "close": 32, "volume": 73721135 }, { "date": "05/24/12", "open": 32.95, "high": 33.21, "low": 31.77, "close": 33.03, "volume": 50275879 }, { "date": "05/25/12", "open": 32.9, "high": 32.95, "low": 31.11, "close": 31.91, "volume": 37189630 }, { "date": "05/29/12", "open": 31.48, "high": 31.69, "low": 28.65, "close": 28.84, "volume": 78060799 }, { "date": "05/30/12", "open": 28.7, "high": 29.55, "low": 27.86, "close": 28.19, "volume": 57267867 }, { "date": "05/31/12", "open": 28.54, "high": 29.67, "low": 26.83, "close": 29.6, "volume": 111639200 }, { "date": "06/01/12", "open": 28.89, "high": 29.15, "low": 27.39, "close": 27.72, "volume": 41855500 }, { "date": "06/04/12", "open": 27.2, "high": 27.65, "low": 26.44, "close": 26.9, "volume": 35230290 }, { "date": "06/05/12", "open": 26.7, "high": 27.76, "low": 25.75, "close": 25.87, "volume": 42473262 }, { "date": "06/06/12", "open": 26.07, "high": 27.17, "low": 25.52, "close": 26.81, "volume": 61487019 }, { "date": "06/07/12", "open": 27, "high": 27.35, "low": 26.15, "close": 26.31, "volume": 26167757 }, { "date": "06/08/12", "open": 26.55, "high": 27.76, "low": 26.44, "close": 27.1, "volume": 38033420 }, { "date": "06/11/12", "open": 27.18, "high": 28.07, "low": 26.84, "close": 27, "volume": 28225887 }, { "date": "06/12/12", "open": 27.48, "high": 27.77, "low": 26.96, "close": 27.4, "volume": 15822414 }, { "date": "06/13/12", "open": 27.66, "high": 28.1, "low": 27.1, "close": 27.27, "volume": 17118672 }, { "date": "06/14/12", "open": 27.65, "high": 28.32, "low": 27.38, "close": 28.29, "volume": 16854124 }, { "date": "06/15/12", "open": 28.5, "high": 30.1, "low": 28.35, "close": 30.01, "volume": 43563739 }, { "date": "06/18/12", "open": 29.96, "high": 32.08, "low": 29.41, "close": 31.41, "volume": 42978209 }, { "date": "06/19/12", "open": 31.54, "high": 32.18, "low": 30.7, "close": 31.91, "volume": 30848913 }, { "date": "06/20/12", "open": 31.92, "high": 31.93, "low": 31.15, "close": 31.6, "volume": 15558921 }, { "date": "06/21/12", "open": 31.67, "high": 32.5, "low": 31.51, "close": 31.84, "volume": 21875228 }, { "date": "06/22/12", "open": 32.41, "high": 33.45, "low": 32.06, "close": 33.05, "volume": 74833976 }, { "date": "06/25/12", "open": 32.86, "high": 33.02, "low": 31.55, "close": 32.06, "volume": 24352818 }, { "date": "06/26/12", "open": 32.69, "high": 33.44, "low": 32.5, "close": 33.1, "volume": 24858611 }, { "date": "06/27/12", "open": 32.46, "high": 32.9, "low": 31.9, "close": 32.23, "volume": 28599506 }, { "date": "06/28/12", "open": 31.96, "high": 32.19, "low": 30.9, "close": 31.36, "volume": 17713292 }, { "date": "06/29/12", "open": 31.92, "high": 31.99, "low": 30.76, "close": 31.1, "volume": 19526823 }, { "date": "07/02/12", "open": 31.25, "high": 31.73, "low": 30.55, "close": 30.77, "volume": 14131476 }, { "date": "07/03/12", "open": 30.91, "high": 31.44, "low": 30.8, "close": 31.2, "volume": 8765498 }, { "date": "07/05/12", "open": 31.32, "high": 31.62, "low": 31.02, "close": 31.47, "volume": 10036688 }, { "date": "07/06/12", "open": 31.44, "high": 31.9, "low": 31.26, "close": 31.73, "volume": 10949006 }, { "date": "07/09/12", "open": 32.1, "high": 32.88, "low": 31.99, "close": 32.17, "volume": 17785180 }, { "date": "07/10/12", "open": 32.43, "high": 32.48, "low": 31.16, "close": 31.47, "volume": 14276996 }, { "date": "07/11/12", "open": 31.48, "high": 31.56, "low": 30.55, "close": 30.97, "volume": 13027752 }, { "date": "07/12/12", "open": 30.7, "high": 31.4, "low": 30.6, "close": 30.81, "volume": 11306636 }, { "date": "07/13/12", "open": 31.04, "high": 31.07, "low": 30.56, "close": 30.72, "volume": 8117346 }, { "date": "07/16/12", "open": 30.5, "high": 30.5, "low": 28.21, "close": 28.24, "volume": 24672074 }, { "date": "07/17/12", "open": 28.48, "high": 28.59, "low": 27.15, "close": 28.09, "volume": 30438551 }, { "date": "07/18/12", "open": 28.31, "high": 29.29, "low": 28.15, "close": 29.11, "volume": 16841779 }, { "date": "07/19/12", "open": 29.41, "high": 29.5, "low": 28.63, "close": 29, "volume": 13685031 }, { "date": "07/20/12", "open": 29, "high": 29.47, "low": 28.72, "close": 28.76, "volume": 11869046 }, { "date": "07/23/12", "open": 28.12, "high": 29, "low": 28.01, "close": 28.75, "volume": 12393864 }, { "date": "07/24/12", "open": 28.82, "high": 29.45, "low": 28.1, "close": 28.45, "volume": 11539799 }, { "date": "07/25/12", "open": 28.39, "high": 29.49, "low": 28.08, "close": 29.34, "volume": 17230154 }, { "date": "07/26/12", "open": 27.75, "high": 28.23, "low": 26.73, "close": 26.84, "volume": 64597378 }, { "date": "07/27/12", "open": 23.19, "high": 24.54, "low": 22.28, "close": 23.7, "volume": 123098340 }, { "date": "07/30/12", "open": 24, "high": 24.04, "low": 23.03, "close": 23.15, "volume": 29285895 }, { "date": "07/31/12", "open": 23.37, "high": 23.37, "low": 21.61, "close": 21.71, "volume": 56179322 }, { "date": "08/01/12", "open": 21.5, "high": 21.58, "low": 20.84, "close": 20.88, "volume": 44604365 }, { "date": "08/02/12", "open": 20.77, "high": 20.84, "low": 19.82, "close": 20.04, "volume": 56374436 }, { "date": "08/03/12", "open": 20.36, "high": 22.16, "low": 19.9, "close": 21.09, "volume": 80646975 }, { "date": "08/06/12", "open": 21.39, "high": 22.15, "low": 21.3, "close": 21.92, "volume": 27778038 }, { "date": "08/07/12", "open": 22.2, "high": 22.45, "low": 20.5, "close": 20.72, "volume": 36782827 }, { "date": "08/08/12", "open": 20.71, "high": 21.15, "low": 20.22, "close": 20.72, "volume": 29537376 }, { "date": "08/09/12", "open": 20.75, "high": 21.17, "low": 20.61, "close": 21.01, "volume": 15618515 }, { "date": "08/10/12", "open": 21.41, "high": 21.82, "low": 21.13, "close": 21.81, "volume": 25794673 }, { "date": "08/13/12", "open": 22.15, "high": 22.45, "low": 21.4, "close": 21.6, "volume": 24972973 }, { "date": "08/14/12", "open": 21.41, "high": 21.6, "low": 20.25, "close": 20.38, "volume": 39308634 }, { "date": "08/15/12", "open": 20.64, "high": 21.41, "low": 20.4, "close": 21.2, "volume": 47860767 }, { "date": "08/16/12", "open": 20.44, "high": 20.48, "low": 19.69, "close": 19.87, "volume": 157554938 }, { "date": "08/17/12", "open": 20, "high": 20.08, "low": 19, "close": 19.05, "volume": 129293342 }, { "date": "08/20/12", "open": 19.05, "high": 20.13, "low": 18.75, "close": 20.01, "volume": 101186524 }, { "date": "08/21/12", "open": 19.58, "high": 19.98, "low": 19.09, "close": 19.16, "volume": 70640462 }, { "date": "08/22/12", "open": 19.36, "high": 19.53, "low": 18.96, "close": 19.44, "volume": 49892130 }, { "date": "08/23/12", "open": 19.5, "high": 19.73, "low": 19.36, "close": 19.44, "volume": 32813310 }, { "date": "08/24/12", "open": 19.52, "high": 19.68, "low": 19.25, "close": 19.41, "volume": 29622155 }, { "date": "08/27/12", "open": 19.49, "high": 19.53, "low": 19.1, "close": 19.15, "volume": 20703907 }, { "date": "08/28/12", "open": 19.1, "high": 19.38, "low": 18.95, "close": 19.34, "volume": 25425786 }, { "date": "08/29/12", "open": 19.32, "high": 19.38, "low": 19.07, "close": 19.1, "volume": 16124625 }, { "date": "08/30/12", "open": 19.27, "high": 19.45, "low": 19.06, "close": 19.09, "volume": 30647472 }, { "date": "08/31/12", "open": 18.68, "high": 18.7, "low": 18.03, "close": 18.06, "volume": 58764170 }, { "date": "09/04/12", "open": 18.08, "high": 18.27, "low": 17.55, "close": 17.73, "volume": 46622354 }, { "date": "09/05/12", "open": 18.27, "high": 18.75, "low": 18.18, "close": 18.58, "volume": 60781719 }, { "date": "09/06/12", "open": 18.74, "high": 19.26, "low": 18.72, "close": 18.96, "volume": 46066347 }, { "date": "09/07/12", "open": 19.1, "high": 19.42, "low": 18.78, "close": 18.98, "volume": 36371696 }, { "date": "09/10/12", "open": 19.06, "high": 19.2, "low": 18.55, "close": 18.81, "volume": 24797642 }, { "date": "09/11/12", "open": 18.92, "high": 19.58, "low": 18.85, "close": 19.43, "volume": 50508126 }, { "date": "09/12/12", "open": 20.76, "high": 21.16, "low": 20.28, "close": 20.93, "volume": 121583996 }, { "date": "09/13/12", "open": 20.96, "high": 21.48, "low": 20.61, "close": 20.71, "volume": 65041524 }, { "date": "09/14/12", "open": 21.13, "high": 22.08, "low": 20.9, "close": 22, "volume": 72819643 }, { "date": "09/17/12", "open": 22.67, "high": 22.75, "low": 21.5, "close": 21.52, "volume": 50666447 }, { "date": "09/18/12", "open": 21.6, "high": 21.98, "low": 21.37, "close": 21.87, "volume": 36760449 }, { "date": "09/19/12", "open": 21.99, "high": 23.37, "low": 21.77, "close": 23.29, "volume": 78782783 }, { "date": "09/20/12", "open": 23.02, "high": 23.24, "low": 22.54, "close": 22.59, "volume": 57248663 }, { "date": "09/21/12", "open": 22.97, "high": 23.24, "low": 22.6, "close": 22.86, "volume": 51218097 }, { "date": "09/24/12", "open": 21.77, "high": 21.98, "low": 20.36, "close": 20.79, "volume": 79105121 }, { "date": "09/25/12", "open": 21.2, "high": 21.21, "low": 20.22, "close": 20.28, "volume": 46291655 }, { "date": "09/26/12", "open": 20.14, "high": 20.78, "low": 19.8, "close": 20.62, "volume": 38271878 }, { "date": "09/27/12", "open": 20.99, "high": 21, "low": 20.16, "close": 20.32, "volume": 30215821 }, { "date": "09/28/12", "open": 20.57, "high": 21.95, "low": 20.5, "close": 21.66, "volume": 65485921 }, { "date": "10/01/12", "open": 22.08, "high": 22.59, "low": 21.73, "close": 21.99, "volume": 51262680 }, { "date": "10/02/12", "open": 22.08, "high": 22.49, "low": 21.82, "close": 22.27, "volume": 29341393 }, { "date": "10/03/12", "open": 22.3, "high": 22.49, "low": 21.8, "close": 21.83, "volume": 32000079 }, { "date": "10/04/12", "open": 22.32, "high": 22.4, "low": 21.41, "close": 21.95, "volume": 46894595 }, { "date": "10/05/12", "open": 21.49, "high": 21.63, "low": 20.88, "close": 20.91, "volume": 40529223 }, { "date": "10/08/12", "open": 20.62, "high": 20.75, "low": 20.16, "close": 20.4, "volume": 32236628 }, { "date": "10/09/12", "open": 20.39, "high": 20.55, "low": 19.97, "close": 20.23, "volume": 27161736 }, { "date": "10/10/12", "open": 19.93, "high": 19.94, "low": 19.45, "close": 19.64, "volume": 39321758 }, { "date": "10/11/12", "open": 19.88, "high": 19.96, "low": 19.61, "close": 19.75, "volume": 21817227 }, { "date": "10/12/12", "open": 19.75, "high": 19.8, "low": 19.48, "close": 19.52, "volume": 18809397 }, { "date": "10/15/12", "open": 19.68, "high": 19.88, "low": 19.49, "close": 19.52, "volume": 20189668 }, { "date": "10/16/12", "open": 19.68, "high": 19.69, "low": 19.3, "close": 19.48, "volume": 21834687 }, { "date": "10/17/12", "open": 19.5, "high": 20.48, "low": 19.37, "close": 19.88, "volume": 44074433 }, { "date": "10/18/12", "open": 19.7, "high": 19.79, "low": 18.89, "close": 18.98, "volume": 52157366 }, { "date": "10/19/12", "open": 19, "high": 19.06, "low": 18.8, "close": 19, "volume": 34834947 }, { "date": "10/22/12", "open": 19.2, "high": 19.43, "low": 19.05, "close": 19.32, "volume": 32447005 }, { "date": "10/23/12", "open": 19.25, "high": 19.8, "low": 19.1, "close": 19.5, "volume": 78381102 }, { "date": "10/24/12", "open": 24.13, "high": 24.25, "low": 22.85, "close": 23.23, "volume": 228949142 }, { "date": "10/25/12", "open": 23.29, "high": 23.31, "low": 22.47, "close": 22.56, "volume": 76141922 }, { "date": "10/26/12", "open": 22.4, "high": 22.88, "low": 21.88, "close": 21.94, "volume": 73259521 }, { "date": "10/31/12", "open": 20.82, "high": 21.5, "low": 20.73, "close": 21.11, "volume": 99378184 }, { "date": "11/01/12", "open": 21.08, "high": 21.44, "low": 21.01, "close": 21.21, "volume": 37713887 }, { "date": "11/02/12", "open": 21.26, "high": 21.69, "low": 21.07, "close": 21.18, "volume": 38344332 }, { "date": "11/05/12", "open": 21.1, "high": 21.48, "low": 20.92, "close": 21.25, "volume": 31806692 }, { "date": "11/06/12", "open": 21.24, "high": 21.37, "low": 20.99, "close": 21.17, "volume": 29062642 }, { "date": "11/07/12", "open": 20.85, "high": 20.95, "low": 20.37, "close": 20.47, "volume": 33396731 }, { "date": "11/08/12", "open": 20.52, "high": 20.73, "low": 19.98, "close": 19.99, "volume": 34254535 }, { "date": "11/09/12", "open": 19.96, "high": 20, "low": 19.13, "close": 19.21, "volume": 42295434 }, { "date": "11/12/12", "open": 19.15, "high": 20.17, "low": 18.87, "close": 20.07, "volume": 67349109 }, { "date": "11/13/12", "open": 19.6, "high": 20.11, "low": 19.56, "close": 19.86, "volume": 71775069 }, { "date": "11/14/12", "open": 20.1, "high": 22.5, "low": 19.93, "close": 22.36, "volume": 229750911 }, { "date": "11/15/12", "open": 22.34, "high": 22.5, "low": 21.65, "close": 22.17, "volume": 78857405 }, { "date": "11/16/12", "open": 22.25, "high": 23.93, "low": 22.18, "close": 23.56, "volume": 107182168 }, { "date": "11/19/12", "open": 23.96, "high": 24.12, "low": 22.82, "close": 22.92, "volume": 85021259 }, { "date": "11/20/12", "open": 22.73, "high": 23.9, "low": 22.7, "close": 23.1, "volume": 46655291 }, { "date": "11/21/12", "open": 23.22, "high": 24.53, "low": 23.05, "close": 24.32, "volume": 89862342 }, { "date": "11/23/12", "open": 24.58, "high": 24.68, "low": 23.88, "close": 24, "volume": 29520311 }, { "date": "11/26/12", "open": 24.94, "high": 26.09, "low": 24.81, "close": 25.94, "volume": 123862051 }, { "date": "11/27/12", "open": 26.04, "high": 26.5, "low": 25.46, "close": 26.15, "volume": 85760074 }, { "date": "11/28/12", "open": 25.94, "high": 26.49, "low": 25.75, "close": 26.36, "volume": 49205508 }, { "date": "11/29/12", "open": 26.5, "high": 27.52, "low": 26.16, "close": 27.32, "volume": 88759067 }, { "date": "11/30/12", "open": 27.26, "high": 28, "low": 26.76, "close": 28, "volume": 127049545 }, { "date": "12/03/12", "open": 28, "high": 28.88, "low": 26.98, "close": 27.04, "volume": 123525093 }, { "date": "12/04/12", "open": 27.06, "high": 27.76, "low": 26.68, "close": 27.46, "volume": 72912724 }, { "date": "12/05/12", "open": 27.75, "high": 27.9, "low": 27.26, "close": 27.71, "volume": 58974841 }, { "date": "12/06/12", "open": 27.68, "high": 27.75, "low": 26.82, "close": 26.97, "volume": 46001493 }, { "date": "12/07/12", "open": 27.07, "high": 27.78, "low": 26.84, "close": 27.48, "volume": 51751806 }, { "date": "12/10/12", "open": 27.17, "high": 28.17, "low": 27.1, "close": 27.84, "volume": 50608466 }, { "date": "12/11/12", "open": 28.07, "high": 28.24, "low": 27.66, "close": 27.98, "volume": 77099033 }, { "date": "12/12/12", "open": 28, "high": 28.14, "low": 27.37, "close": 27.58, "volume": 46704201 }, { "date": "12/13/12", "open": 27.59, "high": 28.75, "low": 27.43, "close": 28.24, "volume": 81051549 }, { "date": "12/14/12", "open": 28.18, "high": 28.33, "low": 26.76, "close": 26.81, "volume": 91631545 }, { "date": "12/17/12", "open": 26.77, "high": 27, "low": 26.32, "close": 26.75, "volume": 57742403 }, { "date": "12/18/12", "open": 26.96, "high": 27.91, "low": 26.9, "close": 27.71, "volume": 60512872 }, { "date": "12/19/12", "open": 27.83, "high": 28.22, "low": 26.95, "close": 27.41, "volume": 61390122 }, { "date": "12/20/12", "open": 27.49, "high": 27.6, "low": 27.13, "close": 27.36, "volume": 35574784 }, { "date": "12/21/12", "open": 26.66, "high": 27.01, "low": 26.12, "close": 26.26, "volume": 54555183 }, { "date": "12/24/12", "open": 26.5, "high": 26.96, "low": 26.2, "close": 26.93, "volume": 28230035 }, { "date": "12/26/12", "open": 27.03, "high": 27.18, "low": 26.38, "close": 26.51, "volume": 33175320 }, { "date": "12/27/12", "open": 26.55, "high": 26.8, "low": 25.52, "close": 26.05, "volume": 43481682 }, { "date": "12/28/12", "open": 25.48, "high": 26.11, "low": 25.15, "close": 25.91, "volume": 56574797 }, { "date": "12/31/12", "open": 26.2, "high": 26.99, "low": 26.11, "close": 26.62, "volume": 60374424 }, { "date": "01/02/13", "open": 27.44, "high": 28.18, "low": 27.42, "close": 28, "volume": 69844980 }, { "date": "01/03/13", "open": 27.88, "high": 28.47, "low": 27.59, "close": 27.77, "volume": 63140530 }, { "date": "01/04/13", "open": 28.01, "high": 28.93, "low": 27.83, "close": 28.76, "volume": 72715349 }, { "date": "01/07/13", "open": 28.69, "high": 29.79, "low": 28.65, "close": 29.42, "volume": 83781725 }, { "date": "01/08/13", "open": 29.51, "high": 29.6, "low": 28.86, "close": 29.06, "volume": 45870933 }, { "date": "01/09/13", "open": 29.67, "high": 30.6, "low": 29.49, "close": 30.59, "volume": 104787653 }, { "date": "01/10/13", "open": 30.6, "high": 31.45, "low": 30.28, "close": 31.3, "volume": 95316372 }, { "date": "01/11/13", "open": 31.28, "high": 31.96, "low": 31.1, "close": 31.72, "volume": 89597985 }, { "date": "01/14/13", "open": 32.08, "high": 32.21, "low": 30.62, "close": 30.95, "volume": 98886858 }, { "date": "01/15/13", "open": 30.64, "high": 31.71, "low": 29.88, "close": 30.1, "volume": 173242356 }, { "date": "01/16/13", "open": 30.21, "high": 30.35, "low": 29.53, "close": 29.85, "volume": 75332648 }, { "date": "01/17/13", "open": 30.08, "high": 30.42, "low": 30.03, "close": 30.14, "volume": 40256606 }, { "date": "01/18/13", "open": 30.31, "high": 30.44, "low": 29.27, "close": 29.66, "volume": 49631496 }, { "date": "01/22/13", "open": 29.75, "high": 30.89, "low": 29.74, "close": 30.73, "volume": 55243212 }, { "date": "01/23/13", "open": 31.1, "high": 31.5, "low": 30.8, "close": 30.82, "volume": 48899741 }, { "date": "01/24/13", "open": 31.27, "high": 31.49, "low": 30.81, "close": 31.08, "volume": 43845049 }, { "date": "01/25/13", "open": 31.41, "high": 31.93, "low": 31.13, "close": 31.54, "volume": 54363551 }, { "date": "01/28/13", "open": 31.88, "high": 32.51, "low": 31.81, "close": 32.47, "volume": 59681410 }, { "date": "01/29/13", "open": 32, "high": 32.07, "low": 30.71, "close": 30.79, "volume": 72976496 }, { "date": "01/30/13", "open": 30.98, "high": 31.49, "low": 30.88, "close": 31.24, "volume": 87682080 }, { "date": "01/31/13", "open": 29.15, "high": 31.47, "low": 28.74, "close": 30.98, "volume": 190743612 }, { "date": "02/01/13", "open": 31.01, "high": 31.02, "low": 29.63, "close": 29.73, "volume": 85856666 }, { "date": "02/04/13", "open": 29.06, "high": 29.2, "low": 28.01, "close": 28.11, "volume": 92362184 }, { "date": "02/05/13", "open": 28.26, "high": 28.96, "low": 28.04, "close": 28.64, "volume": 47948191 }, { "date": "02/06/13", "open": 28.74, "high": 29.29, "low": 28.66, "close": 29.05, "volume": 38375742 }, { "date": "02/07/13", "open": 29.11, "high": 29.15, "low": 28.27, "close": 28.65, "volume": 34540014 }, { "date": "02/08/13", "open": 28.89, "high": 29.17, "low": 28.51, "close": 28.54, "volume": 37708729 }, { "date": "02/11/13", "open": 28.61, "high": 28.68, "low": 28.04, "close": 28.26, "volume": 37361742 }, { "date": "02/12/13", "open": 27.67, "high": 28.16, "low": 27.1, "close": 27.37, "volume": 93495635 }, { "date": "02/13/13", "open": 27.36, "high": 28.32, "low": 27.31, "close": 27.91, "volume": 50163959 }, { "date": "02/14/13", "open": 28.02, "high": 28.63, "low": 28.01, "close": 28.5, "volume": 35618411 }, { "date": "02/15/13", "open": 28.52, "high": 28.75, "low": 28.09, "close": 28.32, "volume": 33109105 }, { "date": "02/19/13", "open": 28.23, "high": 29.08, "low": 28.12, "close": 28.93, "volume": 49411547 }, { "date": "02/20/13", "open": 28.92, "high": 29.05, "low": 28.33, "close": 28.46, "volume": 42098118 }, { "date": "02/21/13", "open": 28.28, "high": 28.55, "low": 27.15, "close": 27.28, "volume": 49647671 }, { "date": "02/22/13", "open": 27.62, "high": 27.63, "low": 26.82, "close": 27.13, "volume": 36350149 }, { "date": "02/25/13", "open": 27.16, "high": 27.64, "low": 27.15, "close": 27.27, "volume": 34651983 }, { "date": "02/26/13", "open": 27.36, "high": 27.46, "low": 26.7, "close": 27.39, "volume": 31611642 }, { "date": "02/27/13", "open": 27.34, "high": 27.34, "low": 26.63, "close": 26.87, "volume": 44319628 }, { "date": "02/28/13", "open": 26.84, "high": 27.3, "low": 26.34, "close": 27.25, "volume": 83027721 }, { "date": "03/01/13", "open": 27.05, "high": 28.12, "low": 26.81, "close": 27.78, "volume": 54064731 }, { "date": "03/04/13", "open": 27.76, "high": 28.06, "low": 27.44, "close": 27.72, "volume": 32400645 }, { "date": "03/05/13", "open": 27.88, "high": 28.18, "low": 27.21, "close": 27.52, "volume": 40622189 }, { "date": "03/06/13", "open": 28.1, "high": 28.13, "low": 27.35, "close": 27.45, "volume": 33532526 }, { "date": "03/07/13", "open": 27.57, "high": 28.68, "low": 27.47, "close": 28.58, "volume": 74540116 }, { "date": "03/08/13", "open": 28.42, "high": 28.47, "low": 27.73, "close": 27.96, "volume": 44198838 }, { "date": "03/11/13", "open": 28.01, "high": 28.64, "low": 27.83, "close": 28.14, "volume": 35642057 }, { "date": "03/12/13", "open": 28.1, "high": 28.32, "low": 27.6, "close": 27.83, "volume": 27569590 }, { "date": "03/13/13", "open": 27.62, "high": 27.65, "low": 26.92, "close": 27.08, "volume": 39619443 }, { "date": "03/14/13", "open": 27.1, "high": 27.43, "low": 26.83, "close": 27.04, "volume": 27646381 }, { "date": "03/15/13", "open": 27.03, "high": 27.06, "low": 26.56, "close": 26.64, "volume": 31597364 }, { "date": "03/18/13", "open": 26.37, "high": 26.79, "low": 25.78, "close": 26.49, "volume": 26653641 }, { "date": "03/19/13", "open": 26.53, "high": 26.9, "low": 26.21, "close": 26.55, "volume": 25254152 }, { "date": "03/20/13", "open": 26.68, "high": 26.69, "low": 25.78, "close": 25.86, "volume": 44006434 }, { "date": "03/21/13", "open": 25.66, "high": 26.11, "low": 25.56, "close": 25.74, "volume": 24336012 }, { "date": "03/22/13", "open": 25.8, "high": 26.01, "low": 25.63, "close": 25.73, "volume": 18456268 }, { "date": "03/25/13", "open": 25.75, "high": 25.8, "low": 25.08, "close": 25.13, "volume": 39198947 }, { "date": "03/26/13", "open": 25.08, "high": 25.48, "low": 25.03, "close": 25.2, "volume": 26957135 }, { "date": "03/27/13", "open": 25, "high": 26.28, "low": 24.72, "close": 26.09, "volume": 52297328 }, { "date": "03/28/13", "open": 26.09, "high": 26.17, "low": 25.52, "close": 25.58, "volume": 28585612 }, { "date": "04/01/13", "open": 25.63, "high": 25.89, "low": 25.28, "close": 25.53, "volume": 22249212 }, { "date": "04/02/13", "open": 25.77, "high": 26.12, "low": 25.3, "close": 25.42, "volume": 35153292 }, { "date": "04/03/13", "open": 25.83, "high": 26.39, "low": 25.7, "close": 26.25, "volume": 48195118 }, { "date": "04/04/13", "open": 26.62, "high": 27.23, "low": 26.11, "close": 27.07, "volume": 82016745 }, { "date": "04/05/13", "open": 26.86, "high": 27.8, "low": 26.61, "close": 27.39, "volume": 64566510 }, { "date": "04/08/13", "open": 27.19, "high": 27.2, "low": 26.63, "close": 26.85, "volume": 27255982 }, { "date": "04/09/13", "open": 26.58, "high": 26.89, "low": 26.42, "close": 26.59, "volume": 21311013 }, { "date": "04/10/13", "open": 27.01, "high": 27.84, "low": 26.9, "close": 27.57, "volume": 45949361 }, { "date": "04/11/13", "open": 27.48, "high": 28.1, "low": 27.25, "close": 28.02, "volume": 33368462 }, { "date": "04/12/13", "open": 28, "high": 28, "low": 27.24, "close": 27.4, "volume": 28697400 }, { "date": "04/15/13", "open": 27.16, "high": 27.48, "low": 26.36, "close": 26.52, "volume": 30275356 }, { "date": "04/16/13", "open": 26.81, "high": 27.11, "low": 26.4, "close": 26.92, "volume": 27396392 }, { "date": "04/17/13", "open": 26.65, "high": 27.2, "low": 26.39, "close": 26.62, "volume": 26440537 }, { "date": "04/18/13", "open": 26.82, "high": 26.82, "low": 25.15, "close": 25.69, "volume": 39058905 }, { "date": "04/19/13", "open": 25.62, "high": 25.96, "low": 25.33, "close": 25.73, "volume": 20380862 }, { "date": "04/22/13", "open": 25.81, "high": 26.36, "low": 25.7, "close": 25.97, "volume": 25687549 }, { "date": "04/23/13", "open": 26.22, "high": 26.33, "low": 25.77, "close": 25.98, "volume": 25191467 }, { "date": "04/24/13", "open": 25.93, "high": 26.4, "low": 25.8, "close": 26.11, "volume": 19729809 }, { "date": "04/25/13", "open": 26.07, "high": 26.4, "low": 26, "close": 26.14, "volume": 17149965 }, { "date": "04/26/13", "open": 26.6, "high": 27.62, "low": 26.6, "close": 26.85, "volume": 33017958 }, { "date": "04/29/13", "open": 27.16, "high": 27.41, "low": 26.86, "close": 26.98, "volume": 29201070 }, { "date": "04/30/13", "open": 27.13, "high": 27.85, "low": 27, "close": 27.77, "volume": 36245633 }, { "date": "05/01/13", "open": 27.85, "high": 27.92, "low": 27.31, "close": 27.43, "volume": 64567590 }, { "date": "05/02/13", "open": 28.01, "high": 29.02, "low": 27.98, "close": 28.97, "volume": 104256921 }, { "date": "05/03/13", "open": 29.04, "high": 29.07, "low": 28.15, "close": 28.31, "volume": 58506376 }, { "date": "05/06/13", "open": 28.33, "high": 28.46, "low": 27.48, "close": 27.57, "volume": 43939307 }, { "date": "05/07/13", "open": 27.55, "high": 27.85, "low": 26.85, "close": 26.89, "volume": 41259083 }, { "date": "05/08/13", "open": 26.88, "high": 27.3, "low": 26.65, "close": 27.12, "volume": 34654851 }, { "date": "05/09/13", "open": 27.08, "high": 27.55, "low": 26.85, "close": 27.04, "volume": 33457150 }, { "date": "05/10/13", "open": 27.14, "high": 27.3, "low": 26.57, "close": 26.68, "volume": 30847022 }, { "date": "05/13/13", "open": 26.6, "high": 27.32, "low": 26.53, "close": 26.82, "volume": 29068764 }, { "date": "05/14/13", "open": 26.89, "high": 27.28, "low": 26.82, "close": 27.07, "volume": 24930207 }, { "date": "05/15/13", "open": 26.92, "high": 26.99, "low": 26.4, "close": 26.6, "volume": 30299761 }, { "date": "05/16/13", "open": 26.48, "high": 26.55, "low": 25.9, "close": 26.13, "volume": 35506976 }, { "date": "05/17/13", "open": 26.4, "high": 26.6, "low": 26.2, "close": 26.25, "volume": 29462605 }, { "date": "05/20/13", "open": 26.18, "high": 26.19, "low": 25.69, "close": 25.76, "volume": 42402874 }, { "date": "05/21/13", "open": 25.87, "high": 26.08, "low": 25.59, "close": 25.66, "volume": 26261210 }, { "date": "05/22/13", "open": 25.65, "high": 25.85, "low": 24.92, "close": 25.16, "volume": 45314475 }, { "date": "05/23/13", "open": 24.8, "high": 25.53, "low": 24.77, "close": 25.06, "volume": 37697202 }, { "date": "05/24/13", "open": 24.97, "high": 24.97, "low": 24.08, "close": 24.31, "volume": 58727882 }, { "date": "05/28/13", "open": 24.54, "high": 24.54, "low": 23.92, "close": 24.1, "volume": 50079642 }, { "date": "05/29/13", "open": 23.79, "high": 23.81, "low": 23.26, "close": 23.32, "volume": 64237702 }, { "date": "05/30/13", "open": 24.13, "high": 24.78, "low": 23.93, "close": 24.55, "volume": 60733122 }, { "date": "05/31/13", "open": 24.63, "high": 24.95, "low": 24.27, "close": 24.35, "volume": 35924917 }, { "date": "06/03/13", "open": 24.26, "high": 24.32, "low": 23.71, "close": 23.85, "volume": 35733795 }, { "date": "06/04/13", "open": 23.89, "high": 23.93, "low": 23.32, "close": 23.52, "volume": 34808997 }, { "date": "06/05/13", "open": 23.35, "high": 23.7, "low": 22.79, "close": 22.9, "volume": 53819645 }, { "date": "06/06/13", "open": 22.99, "high": 23.09, "low": 22.67, "close": 22.97, "volume": 31260660 }, { "date": "06/07/13", "open": 23.03, "high": 23.4, "low": 22.86, "close": 23.29, "volume": 38699124 }, { "date": "06/10/13", "open": 24.06, "high": 24.6, "low": 23.99, "close": 24.33, "volume": 58392986 }, { "date": "06/11/13", "open": 24.03, "high": 24.35, "low": 24, "close": 24.03, "volume": 29676383 }, { "date": "06/12/13", "open": 24.16, "high": 24.26, "low": 23.58, "close": 23.77, "volume": 26445790 }, { "date": "06/13/13", "open": 23.72, "high": 23.83, "low": 23.26, "close": 23.73, "volume": 31189247 }, { "date": "06/14/13", "open": 23.56, "high": 23.89, "low": 23.26, "close": 23.63, "volume": 30561387 }, { "date": "06/17/13", "open": 23.91, "high": 24.25, "low": 23.75, "close": 24.02, "volume": 33664419 }, { "date": "06/18/13", "open": 24.09, "high": 24.69, "low": 24.08, "close": 24.21, "volume": 36709004 }, { "date": "06/19/13", "open": 24.2, "high": 25.19, "low": 24.1, "close": 24.31, "volume": 31790525 }, { "date": "06/20/13", "open": 24.28, "high": 24.74, "low": 23.65, "close": 23.9, "volume": 42765586 }, { "date": "06/21/13", "open": 24.59, "high": 24.7, "low": 24.05, "close": 24.53, "volume": 45826173 }, { "date": "06/24/13", "open": 23.95, "high": 24.11, "low": 23.38, "close": 23.94, "volume": 40625948 }, { "date": "06/25/13", "open": 24.14, "high": 24.43, "low": 24.04, "close": 24.25, "volume": 24719988 }, { "date": "06/26/13", "open": 24.51, "high": 24.65, "low": 23.99, "close": 24.16, "volume": 29890205 }, { "date": "06/27/13", "open": 24.24, "high": 24.84, "low": 24.21, "close": 24.66, "volume": 34694013 }, { "date": "06/28/13", "open": 24.68, "high": 24.98, "low": 24.42, "close": 24.88, "volume": 96778879 }, { "date": "07/01/13", "open": 24.97, "high": 25.06, "low": 24.62, "close": 24.81, "volume": 20582195 }, { "date": "07/02/13", "open": 24.7, "high": 24.77, "low": 24.3, "close": 24.41, "volume": 18394008 }, { "date": "07/03/13", "open": 24.22, "high": 24.71, "low": 24.15, "close": 24.52, "volume": 10404332 }, { "date": "07/05/13", "open": 24.65, "high": 24.66, "low": 24.2, "close": 24.37, "volume": 20229451 }, { "date": "07/08/13", "open": 24.47, "high": 25.04, "low": 24.42, "close": 24.71, "volume": 27073983 }, { "date": "07/09/13", "open": 25.07, "high": 25.49, "low": 25.03, "close": 25.48, "volume": 30387889 }, { "date": "07/10/13", "open": 25.58, "high": 25.83, "low": 25.47, "close": 25.8, "volume": 26721794 }, { "date": "07/11/13", "open": 25.96, "high": 26, "low": 25.45, "close": 25.81, "volume": 26777354 }, { "date": "07/12/13", "open": 25.74, "high": 25.93, "low": 25.55, "close": 25.91, "volume": 16537840 }, { "date": "07/15/13", "open": 25.93, "high": 26.43, "low": 25.65, "close": 26.28, "volume": 24233957 }, { "date": "07/16/13", "open": 26.39, "high": 26.75, "low": 26.01, "close": 26.32, "volume": 30817554 }, { "date": "07/17/13", "open": 26.37, "high": 26.78, "low": 26.3, "close": 26.65, "volume": 21518463 }, { "date": "07/18/13", "open": 26.75, "high": 26.77, "low": 26.12, "close": 26.18, "volume": 24806825 }, { "date": "07/19/13", "open": 25.82, "high": 26.11, "low": 25.6, "close": 25.88, "volume": 46544938 }, { "date": "07/22/13", "open": 25.99, "high": 26.13, "low": 25.72, "close": 26.04, "volume": 27526213 }, { "date": "07/23/13", "open": 26.1, "high": 26.3, "low": 25.97, "close": 26.13, "volume": 28221534 }, { "date": "07/24/13", "open": 26.32, "high": 26.53, "low": 26.05, "close": 26.51, "volume": 82635587 }, { "date": "07/25/13", "open": 33.54, "high": 34.88, "low": 32.75, "close": 34.36, "volume": 365935212 }, { "date": "07/26/13", "open": 33.77, "high": 34.73, "low": 33.56, "close": 34.01, "volume": 136028897 }, { "date": "07/29/13", "open": 34.07, "high": 35.63, "low": 34.01, "close": 35.43, "volume": 124884870 }, { "date": "07/30/13", "open": 35.65, "high": 37.96, "low": 35.32, "close": 37.63, "volume": 173582710 }, { "date": "07/31/13", "open": 37.96, "high": 38.31, "low": 36.33, "close": 36.8, "volume": 154828679 }, { "date": "08/01/13", "open": 37.3, "high": 38.29, "low": 36.92, "close": 37.49, "volume": 106066472 }, { "date": "08/02/13", "open": 37.66, "high": 38.49, "low": 37.5, "close": 38.05, "volume": 73058424 }, { "date": "08/05/13", "open": 38.43, "high": 39.32, "low": 38.25, "close": 39.19, "volume": 79994774 }, { "date": "08/06/13", "open": 39.11, "high": 39.25, "low": 37.94, "close": 38.55, "volume": 63950791 }, { "date": "08/07/13", "open": 38.61, "high": 38.94, "low": 37.7, "close": 38.87, "volume": 68854764 }, { "date": "08/08/13", "open": 39.13, "high": 39.19, "low": 38.43, "close": 38.54, "volume": 41300906 }, { "date": "08/09/13", "open": 38.59, "high": 38.74, "low": 38.01, "close": 38.5, "volume": 43620024 }, { "date": "08/12/13", "open": 38.2, "high": 38.5, "low": 38.1, "close": 38.22, "volume": 31160951 }, { "date": "08/13/13", "open": 38.24, "high": 38.32, "low": 36.77, "close": 37.02, "volume": 65379198 }, { "date": "08/14/13", "open": 36.83, "high": 37.55, "low": 36.62, "close": 36.65, "volume": 48423890 }, { "date": "08/15/13", "open": 36.36, "high": 37.07, "low": 36.02, "close": 36.56, "volume": 56521095 }, { "date": "08/16/13", "open": 36.97, "high": 37.49, "low": 36.9, "close": 37.08, "volume": 45840714 }, { "date": "08/19/13", "open": 37.43, "high": 38.28, "low": 37.14, "close": 37.81, "volume": 57609591 }, { "date": "08/20/13", "open": 38.35, "high": 38.58, "low": 37.69, "close": 38.41, "volume": 57995140 }, { "date": "08/21/13", "open": 38.38, "high": 38.85, "low": 38.14, "close": 38.32, "volume": 46116868 }, { "date": "08/22/13", "open": 38.37, "high": 38.75, "low": 38.34, "close": 38.55, "volume": 21931163 }, { "date": "08/23/13", "open": 39, "high": 40.63, "low": 38.93, "close": 40.55, "volume": 86442283 }, { "date": "08/26/13", "open": 40.9, "high": 41.94, "low": 40.62, "close": 41.34, "volume": 94162358 }, { "date": "08/27/13", "open": 40.68, "high": 41.2, "low": 39.42, "close": 39.64, "volume": 72695050 }, { "date": "08/28/13", "open": 39.96, "high": 40.85, "low": 39.88, "close": 40.55, "volume": 57918194 }, { "date": "08/29/13", "open": 40.89, "high": 41.78, "low": 40.8, "close": 41.28, "volume": 58303395 }, { "date": "08/30/13", "open": 42.02, "high": 42.26, "low": 41.06, "close": 41.29, "volume": 67735053 }, { "date": "09/03/13", "open": 41.84, "high": 42.16, "low": 41.51, "close": 41.87, "volume": 48774896 }, { "date": "09/04/13", "open": 42.01, "high": 42.17, "low": 41.44, "close": 41.78, "volume": 42581854 }, { "date": "09/05/13", "open": 41.79, "high": 42.76, "low": 41.77, "close": 42.66, "volume": 50035380 }, { "date": "09/06/13", "open": 43.09, "high": 44.61, "low": 42.4, "close": 43.95, "volume": 117535626 }, { "date": "09/09/13", "open": 44.36, "high": 44.79, "low": 43.7, "close": 44.04, "volume": 75794696 }, { "date": "09/10/13", "open": 44.24, "high": 44.26, "low": 43.23, "close": 43.6, "volume": 54540282 }, { "date": "09/11/13", "open": 43.39, "high": 45.09, "low": 43.11, "close": 45.04, "volume": 71676653 }, { "date": "09/12/13", "open": 45.53, "high": 45.62, "low": 44.65, "close": 44.75, "volume": 68072239 }, { "date": "09/13/13", "open": 45.04, "high": 45.08, "low": 43.93, "close": 44.31, "volume": 52765299 }, { "date": "09/16/13", "open": 44.85, "high": 44.94, "low": 42.43, "close": 42.51, "volume": 70807761 }, { "date": "09/17/13", "open": 42.5, "high": 45.44, "low": 42.43, "close": 45.07, "volume": 91934557 }, { "date": "09/18/13", "open": 44.84, "high": 45.47, "low": 44.4, "close": 45.23, "volume": 79316945 }, { "date": "09/19/13", "open": 45.51, "high": 46.05, "low": 45.23, "close": 45.98, "volume": 63972369 }, { "date": "09/20/13", "open": 46.32, "high": 47.6, "low": 45.74, "close": 47.49, "volume": 115508400 }, { "date": "09/23/13", "open": 47.28, "high": 47.55, "low": 46.29, "close": 47.19, "volume": 75319202 }, { "date": "09/24/13", "open": 48.5, "high": 49.66, "low": 48.16, "close": 48.45, "volume": 136716101 }, { "date": "09/25/13", "open": 49.23, "high": 49.54, "low": 48.46, "close": 49.46, "volume": 87879619 }, { "date": "09/26/13", "open": 50.01, "high": 50.6, "low": 49.5, "close": 50.39, "volume": 98220046 }, { "date": "09/27/13", "open": 50.29, "high": 51.28, "low": 49.86, "close": 51.24, "volume": 81410460 }, { "date": "09/30/13", "open": 50.14, "high": 51.6, "low": 49.8, "close": 50.23, "volume": 100095417 }, { "date": "10/01/13", "open": 49.97, "high": 51.03, "low": 49.45, "close": 50.42, "volume": 98113699 }, { "date": "10/02/13", "open": 50.13, "high": 51.1, "low": 49.95, "close": 50.28, "volume": 62834429 }, { "date": "10/03/13", "open": 50.47, "high": 50.72, "low": 49.06, "close": 49.18, "volume": 82045323 }, { "date": "10/04/13", "open": 49.77, "high": 51.16, "low": 49.57, "close": 51.04, "volume": 74446947 }, { "date": "10/07/13", "open": 50.73, "high": 51.29, "low": 50.4, "close": 50.52, "volume": 57203957 }, { "date": "10/08/13", "open": 50.6, "high": 50.6, "low": 47.08, "close": 47.14, "volume": 136081330 }, { "date": "10/09/13", "open": 47.38, "high": 47.84, "low": 45.26, "close": 46.77, "volume": 147296862 }, { "date": "10/10/13", "open": 47.86, "high": 49.68, "low": 47.83, "close": 49.05, "volume": 99773784 }, { "date": "10/11/13", "open": 49.18, "high": 49.87, "low": 48.79, "close": 49.11, "volume": 58428451 }, { "date": "10/14/13", "open": 48.31, "high": 49.63, "low": 47.91, "close": 49.51, "volume": 68780552 }, { "date": "10/15/13", "open": 49.99, "high": 51, "low": 49.18, "close": 49.5, "volume": 81166571 }, { "date": "10/16/13", "open": 50.04, "high": 51.24, "low": 49.9, "close": 51.14, "volume": 64678247 }, { "date": "10/17/13", "open": 51.12, "high": 52.22, "low": 50.95, "close": 52.21, "volume": 71521899 }, { "date": "10/18/13", "open": 54.18, "high": 54.82, "low": 53.6, "close": 54.22, "volume": 88260093 }, { "date": "10/21/13", "open": 54.68, "high": 54.81, "low": 53.51, "close": 53.85, "volume": 58235283 }, { "date": "10/22/13", "open": 54.33, "high": 54.76, "low": 52.2, "close": 52.68, "volume": 83203892 }, { "date": "10/23/13", "open": 51.75, "high": 52.25, "low": 51.13, "close": 51.9, "volume": 57207154 }, { "date": "10/24/13", "open": 52.38, "high": 52.84, "low": 51.59, "close": 52.44, "volume": 46775185 }, { "date": "10/25/13", "open": 53.18, "high": 53.24, "low": 51.88, "close": 51.95, "volume": 45085348 }, { "date": "10/28/13", "open": 51.54, "high": 51.7, "low": 49.61, "close": 50.23, "volume": 73472347 }, { "date": "10/29/13", "open": 50.73, "high": 50.79, "low": 49.25, "close": 49.4, "volume": 102143469 }, { "date": "10/30/13", "open": 50, "high": 50.21, "low": 48.75, "close": 49.01, "volume": 127072652 }, { "date": "10/31/13", "open": 47.16, "high": 52, "low": 46.5, "close": 50.2, "volume": 248809006 }, { "date": "11/01/13", "open": 50.85, "high": 52.09, "low": 49.72, "close": 49.75, "volume": 95032876 }, { "date": "11/04/13", "open": 49.36, "high": 49.75, "low": 48.02, "close": 48.22, "volume": 80371218 }, { "date": "11/05/13", "open": 47.79, "high": 50.18, "low": 47.51, "close": 50.1, "volume": 76835006 }, { "date": "11/06/13", "open": 50.26, "high": 50.45, "low": 48.71, "close": 49.12, "volume": 67889337 }, { "date": "11/07/13", "open": 49.24, "high": 49.87, "low": 47.3, "close": 47.56, "volume": 97127618 }, { "date": "11/08/13", "open": 47.81, "high": 48.65, "low": 47.25, "close": 47.53, "volume": 70731178 }, { "date": "11/11/13", "open": 47.04, "high": 47.53, "low": 45.73, "close": 46.2, "volume": 80909626 }, { "date": "11/12/13", "open": 46, "high": 47.37, "low": 45.83, "close": 46.6, "volume": 68195832 }, { "date": "11/13/13", "open": 46.23, "high": 48.74, "low": 46.06, "close": 48.71, "volume": 79245346 }, { "date": "11/14/13", "open": 48.7, "high": 49.57, "low": 48.03, "close": 48.99, "volume": 75117049 }, { "date": "11/15/13", "open": 49.11, "high": 49.48, "low": 48.71, "close": 49.01, "volume": 42452937 }, { "date": "11/18/13", "open": 48.47, "high": 48.84, "low": 45.8, "close": 45.83, "volume": 85909884 }, { "date": "11/19/13", "open": 46.26, "high": 47, "low": 45.72, "close": 46.36, "volume": 75602413 }, { "date": "11/20/13", "open": 46.61, "high": 47.55, "low": 46.31, "close": 46.43, "volume": 53932698 }, { "date": "11/21/13", "open": 46.99, "high": 47.46, "low": 46.68, "close": 46.7, "volume": 34886170 }, { "date": "11/22/13", "open": 47.04, "high": 47.27, "low": 45.96, "close": 46.23, "volume": 40545375 }, { "date": "11/25/13", "open": 46.36, "high": 46.65, "low": 44.04, "close": 44.82, "volume": 82565324 }, { "date": "11/26/13", "open": 44.66, "high": 46.17, "low": 43.55, "close": 45.89, "volume": 82016490 }, { "date": "11/27/13", "open": 45.97, "high": 46.67, "low": 45.53, "close": 46.49, "volume": 44993195 }, { "date": "11/29/13", "open": 46.75, "high": 47.21, "low": 46.5, "close": 47.01, "volume": 22953916 }, { "date": "12/02/13", "open": 46.9, "high": 47.54, "low": 46.26, "close": 47.06, "volume": 50773647 }, { "date": "12/03/13", "open": 46.75, "high": 47.2, "low": 46.29, "close": 46.73, "volume": 32085905 }, { "date": "12/04/13", "open": 46.46, "high": 48.77, "low": 46.26, "close": 48.62, "volume": 60890176 }, { "date": "12/05/13", "open": 48.15, "high": 48.7, "low": 47.87, "close": 48.34, "volume": 43855036 }, { "date": "12/06/13", "open": 48.98, "high": 49.39, "low": 47.71, "close": 47.94, "volume": 42937659 }, { "date": "12/09/13", "open": 48.06, "high": 48.97, "low": 47.74, "close": 48.84, "volume": 36055891 }, { "date": "12/10/13", "open": 48.62, "high": 50.77, "low": 48.54, "close": 50.24, "volume": 68478561 }, { "date": "12/11/13", "open": 50.56, "high": 50.77, "low": 49.01, "close": 49.38, "volume": 65776366 }, { "date": "12/12/13", "open": 51.03, "high": 52.07, "low": 50.66, "close": 51.83, "volume": 92723034 }, { "date": "12/13/13", "open": 51.61, "high": 53.5, "low": 51.34, "close": 53.32, "volume": 82640992 }, { "date": "12/16/13", "open": 53.27, "high": 54.5, "low": 52.91, "close": 53.81, "volume": 85118518 }, { "date": "12/17/13", "open": 54.75, "high": 55.18, "low": 54.24, "close": 54.86, "volume": 78751463 }, { "date": "12/18/13", "open": 55.57, "high": 55.89, "low": 53.75, "close": 55.57, "volume": 76003479 }, { "date": "12/19/13", "open": 54.34, "high": 55.19, "low": 53.95, "close": 55.05, "volume": 89825393 }, { "date": "12/20/13", "open": 54.91, "high": 55.15, "low": 54.23, "close": 55.12, "volume": 239823912 }, { "date": "12/23/13", "open": 55.5, "high": 58.32, "low": 55.45, "close": 57.77, "volume": 98296983 }, { "date": "12/24/13", "open": 58.27, "high": 58.58, "low": 56.91, "close": 57.96, "volume": 46617754 }, { "date": "12/26/13", "open": 58.32, "high": 58.38, "low": 57.37, "close": 57.73, "volume": 55101367 }, { "date": "12/27/13", "open": 57.48, "high": 57.68, "low": 55.25, "close": 55.44, "volume": 60465751 }, { "date": "12/30/13", "open": 54.93, "high": 55.18, "low": 53.43, "close": 53.71, "volume": 68307317 }, { "date": "12/31/13", "open": 54.12, "high": 54.86, "low": 53.91, "close": 54.65, "volume": 43152127 }, { "date": "01/02/14", "open": 54.83, "high": 55.22, "low": 54.19, "close": 54.71, "volume": 43257622 }, { "date": "01/03/14", "open": 55.02, "high": 55.65, "low": 54.53, "close": 54.56, "volume": 38287706 }, { "date": "01/06/14", "open": 54.42, "high": 57.26, "low": 54.05, "close": 57.2, "volume": 68974359 }, { "date": "01/07/14", "open": 57.7, "high": 58.55, "low": 57.22, "close": 57.92, "volume": 77329009 }, { "date": "01/08/14", "open": 57.6, "high": 58.41, "low": 57.23, "close": 58.23, "volume": 56800776 }, { "date": "01/09/14", "open": 58.65, "high": 58.96, "low": 56.65, "close": 57.22, "volume": 92349222 }, { "date": "01/10/14", "open": 57.13, "high": 58.3, "low": 57.06, "close": 57.94, "volume": 42529258 }, { "date": "01/13/14", "open": 57.91, "high": 58.25, "low": 55.38, "close": 55.91, "volume": 63106519 }, { "date": "01/14/14", "open": 56.46, "high": 57.78, "low": 56.1, "close": 57.74, "volume": 37590987 }, { "date": "01/15/14", "open": 57.98, "high": 58.57, "low": 57.27, "close": 57.6, "volume": 33730619 }, { "date": "01/16/14", "open": 57.26, "high": 58.02, "low": 56.83, "close": 57.19, "volume": 34599775 }, { "date": "01/17/14", "open": 57.3, "high": 57.82, "low": 56.07, "close": 56.3, "volume": 40883205 }, { "date": "01/21/14", "open": 56.6, "high": 58.58, "low": 56.5, "close": 58.51, "volume": 48734147 }, { "date": "01/22/14", "open": 58.85, "high": 59.31, "low": 57.1, "close": 57.51, "volume": 61495880 }, { "date": "01/23/14", "open": 56.37, "high": 56.68, "low": 55.69, "close": 56.63, "volume": 47996403 }, { "date": "01/24/14", "open": 56.15, "high": 56.42, "low": 54.4, "close": 54.45, "volume": 55545338 }, { "date": "01/27/14", "open": 54.73, "high": 54.94, "low": 51.85, "close": 53.55, "volume": 74142331 }, { "date": "01/28/14", "open": 54.02, "high": 55.28, "low": 54, "close": 55.14, "volume": 48364998 }, { "date": "01/29/14", "open": 54.61, "high": 54.95, "low": 53.19, "close": 53.53, "volume": 98089932 }, { "date": "01/30/14", "open": 62.12, "high": 62.5, "low": 60.46, "close": 61.08, "volume": 150438699 }, { "date": "01/31/14", "open": 60.47, "high": 63.37, "low": 60.17, "close": 62.57, "volume": 87930298 }, { "date": "02/03/14", "open": 63.03, "high": 63.77, "low": 60.7, "close": 61.48, "volume": 75105994 }, { "date": "02/04/14", "open": 62.05, "high": 63.14, "low": 61.82, "close": 62.75, "volume": 46064897 }, { "date": "02/05/14", "open": 62.74, "high": 63.16, "low": 61.27, "close": 62.19, "volume": 53032420 }, { "date": "02/06/14", "open": 61.46, "high": 62.78, "low": 61.46, "close": 62.16, "volume": 42153754 }, { "date": "02/07/14", "open": 62.27, "high": 64.57, "low": 62.22, "close": 64.32, "volume": 60835746 }, { "date": "02/10/14", "open": 64.3, "high": 64.49, "low": 63.47, "close": 63.55, "volume": 43736562 }, { "date": "02/11/14", "open": 63.75, "high": 65, "low": 63.35, "close": 64.85, "volume": 45746832 }, { "date": "02/12/14", "open": 64.92, "high": 65.06, "low": 64.05, "close": 64.45, "volume": 47409857 }, { "date": "02/13/14", "open": 64.18, "high": 67.33, "low": 64.05, "close": 67.33, "volume": 62013396 }, { "date": "02/14/14", "open": 67.5, "high": 67.58, "low": 66.72, "close": 67.09, "volume": 36786427 }, { "date": "02/18/14", "open": 66.94, "high": 67.54, "low": 66.07, "close": 67.3, "volume": 43862297 }, { "date": "02/19/14", "open": 67.05, "high": 69.08, "low": 67, "close": 68.06, "volume": 64258631 }, { "date": "02/20/14", "open": 67.73, "high": 70.11, "low": 65.73, "close": 69.63, "volume": 131043748 }, { "date": "02/21/14", "open": 69.69, "high": 69.96, "low": 68.45, "close": 68.59, "volume": 70991892 }, { "date": "02/24/14", "open": 68.74, "high": 71.44, "low": 68.54, "close": 70.78, "volume": 76951946 }, { "date": "02/25/14", "open": 70.95, "high": 71, "low": 69.45, "close": 69.85, "volume": 52189031 }, { "date": "02/26/14", "open": 70.19, "high": 71.22, "low": 68.85, "close": 69.26, "volume": 55400399 }, { "date": "02/27/14", "open": 69.34, "high": 70.01, "low": 68.87, "close": 68.94, "volume": 41695855 }, { "date": "02/28/14", "open": 69.47, "high": 69.88, "low": 67.38, "close": 68.46, "volume": 66900863 }, { "date": "03/03/14", "open": 66.96, "high": 68.05, "low": 66.51, "close": 67.41, "volume": 56900444 }, { "date": "03/04/14", "open": 68.66, "high": 68.9, "low": 67.62, "close": 68.8, "volume": 42164222 }, { "date": "03/05/14", "open": 69.69, "high": 71.97, "low": 69.62, "close": 71.57, "volume": 74649486 }, { "date": "03/06/14", "open": 71.88, "high": 71.89, "low": 70.25, "close": 70.84, "volume": 46126260 }, { "date": "03/07/14", "open": 71.08, "high": 71.18, "low": 69.47, "close": 69.8, "volume": 38985763 }, { "date": "03/10/14", "open": 70.77, "high": 72.15, "low": 70.51, "close": 72.03, "volume": 59949746 }, { "date": "03/11/14", "open": 72.5, "high": 72.59, "low": 69.96, "close": 70.1, "volume": 59615238 }, { "date": "03/12/14", "open": 69.86, "high": 71.35, "low": 69, "close": 70.88, "volume": 46400431 }, { "date": "03/13/14", "open": 71.29, "high": 71.35, "low": 68.15, "close": 68.83, "volume": 57091157 }, { "date": "03/14/14", "open": 68.49, "high": 69.43, "low": 67.46, "close": 67.72, "volume": 48226824 }, { "date": "03/17/14", "open": 68.18, "high": 68.95, "low": 66.62, "close": 68.74, "volume": 52196699 }, { "date": "03/18/14", "open": 68.76, "high": 69.6, "low": 68.3, "close": 69.19, "volume": 40827226 }, { "date": "03/19/14", "open": 69.17, "high": 69.29, "low": 67.46, "close": 68.24, "volume": 43980558 }, { "date": "03/20/14", "open": 68.01, "high": 68.23, "low": 66.82, "close": 66.97, "volume": 44438500 }, { "date": "03/21/14", "open": 67.53, "high": 67.92, "low": 66.18, "close": 67.24, "volume": 60041228 }, { "date": "03/24/14", "open": 67.19, "high": 67.36, "low": 63.36, "close": 64.1, "volume": 85695872 }, { "date": "03/25/14", "open": 64.89, "high": 66.19, "low": 63.78, "close": 64.89, "volume": 68785500 }, { "date": "03/26/14", "open": 64.74, "high": 64.95, "low": 60.37, "close": 60.38, "volume": 97689774 }, { "date": "03/27/14", "open": 60.51, "high": 61.9, "low": 57.98, "close": 60.97, "volume": 112649694 }, { "date": "03/28/14", "open": 61.34, "high": 61.95, "low": 59.34, "close": 60.01, "volume": 67051528 }, { "date": "03/31/14", "open": 60.78, "high": 61.52, "low": 59.87, "close": 60.24, "volume": 53011205 }, { "date": "04/01/14", "open": 60.46, "high": 62.66, "low": 60.24, "close": 62.62, "volume": 59291210 }, { "date": "04/02/14", "open": 63.21, "high": 63.91, "low": 62.21, "close": 62.72, "volume": 66276613 }, { "date": "04/03/14", "open": 62.55, "high": 63.17, "low": 59.13, "close": 59.49, "volume": 83859330 }, { "date": "04/04/14", "open": 59.94, "high": 60.2, "low": 56.32, "close": 56.75, "volume": 125465774 }, { "date": "04/07/14", "open": 55.9, "high": 58, "low": 55.44, "close": 56.95, "volume": 108487569 }, { "date": "04/08/14", "open": 57.68, "high": 58.71, "low": 57.17, "close": 58.19, "volume": 78835935 }, { "date": "04/09/14", "open": 59.63, "high": 62.46, "low": 59.19, "close": 62.41, "volume": 100215307 }, { "date": "04/10/14", "open": 63.08, "high": 63.18, "low": 58.68, "close": 59.16, "volume": 114987616 }, { "date": "04/11/14", "open": 57.6, "high": 60.31, "low": 57.31, "close": 58.53, "volume": 91451960 }, { "date": "04/14/14", "open": 60.09, "high": 60.45, "low": 57.78, "close": 58.89, "volume": 72324603 }, { "date": "04/15/14", "open": 59.29, "high": 59.68, "low": 55.88, "close": 59.09, "volume": 108622706 }, { "date": "04/16/14", "open": 59.79, "high": 60.19, "low": 57.74, "close": 59.72, "volume": 78773521 }, { "date": "04/17/14", "open": 59.3, "high": 60.58, "low": 58.72, "close": 58.94, "volume": 88040346 }, { "date": "04/21/14", "open": 59.46, "high": 61.24, "low": 59.15, "close": 61.24, "volume": 60363619 }, { "date": "04/22/14", "open": 62.65, "high": 63.44, "low": 62.22, "close": 63.03, "volume": 60631312 }, { "date": "04/23/14", "open": 63.45, "high": 63.48, "low": 61.26, "close": 61.36, "volume": 96564750 }, { "date": "04/24/14", "open": 63.6, "high": 63.65, "low": 59.77, "close": 60.87, "volume": 138769345 }, { "date": "04/25/14", "open": 59.97, "high": 60.01, "low": 57.57, "close": 57.71, "volume": 92501529 }, { "date": "04/28/14", "open": 58.05, "high": 58.31, "low": 54.66, "close": 56.14, "volume": 107757756 }, { "date": "04/29/14", "open": 56.09, "high": 58.28, "low": 55.84, "close": 58.15, "volume": 75557202 }, { "date": "04/30/14", "open": 57.58, "high": 59.85, "low": 57.16, "close": 59.78, "volume": 76093004 }, { "date": "05/01/14", "open": 60.43, "high": 62.28, "low": 60.21, "close": 61.15, "volume": 82428606 }, { "date": "05/02/14", "open": 61.3, "high": 61.89, "low": 60.18, "close": 60.46, "volume": 54189197 }, { "date": "05/05/14", "open": 59.67, "high": 61.35, "low": 59.18, "close": 61.22, "volume": 46057411 }, { "date": "05/06/14", "open": 60.98, "high": 61.15, "low": 58.49, "close": 58.53, "volume": 55900809 }, { "date": "05/07/14", "open": 58.77, "high": 59.3, "low": 56.26, "close": 57.39, "volume": 78587247 }, { "date": "05/08/14", "open": 57.23, "high": 58.82, "low": 56.5, "close": 56.76, "volume": 61251053 }, { "date": "05/09/14", "open": 56.85, "high": 57.65, "low": 56.38, "close": 57.24, "volume": 52583858 }, { "date": "05/12/14", "open": 57.98, "high": 59.9, "low": 57.98, "close": 59.83, "volume": 48575487 }, { "date": "05/13/14", "open": 59.66, "high": 60.89, "low": 59.51, "close": 59.83, "volume": 48525476 }, { "date": "05/14/14", "open": 59.53, "high": 60.45, "low": 58.95, "close": 59.23, "volume": 47428583 }, { "date": "05/15/14", "open": 59.26, "high": 59.38, "low": 57.52, "close": 57.92, "volume": 56813940 }, { "date": "05/16/14", "open": 58.31, "high": 58.45, "low": 57.31, "close": 58.02, "volume": 47933075 }, { "date": "05/19/14", "open": 57.89, "high": 59.56, "low": 57.57, "close": 59.21, "volume": 43033925 }, { "date": "05/20/14", "open": 59.5, "high": 60.19, "low": 58.18, "close": 58.56, "volume": 53931469 }, { "date": "05/21/14", "open": 58.56, "high": 60.5, "low": 58.25, "close": 60.49, "volume": 58991505 }, { "date": "05/22/14", "open": 60.94, "high": 61.48, "low": 60.4, "close": 60.52, "volume": 54200116 }, { "date": "05/23/14", "open": 60.41, "high": 61.45, "low": 60.15, "close": 61.35, "volume": 38293993 }, { "date": "05/27/14", "open": 61.62, "high": 63.51, "low": 61.57, "close": 63.48, "volume": 55681663 }, { "date": "05/28/14", "open": 63.39, "high": 64.14, "low": 62.62, "close": 63.51, "volume": 47795088 }, { "date": "05/29/14", "open": 63.84, "high": 64.3, "low": 63.51, "close": 63.83, "volume": 42699670 }, { "date": "05/30/14", "open": 63.95, "high": 64.17, "low": 62.56, "close": 63.3, "volume": 45283577 }, { "date": "06/02/14", "open": 63.23, "high": 63.59, "low": 62.05, "close": 63.08, "volume": 35995537 }, { "date": "06/03/14", "open": 62.62, "high": 63.42, "low": 62.32, "close": 62.87, "volume": 32216707 }, { "date": "06/04/14", "open": 62.45, "high": 63.59, "low": 62.07, "close": 63.34, "volume": 36513991 }, { "date": "06/05/14", "open": 63.66, "high": 64.36, "low": 62.82, "close": 63.19, "volume": 47352368 }, { "date": "06/06/14", "open": 63.37, "high": 63.48, "low": 62.15, "close": 62.5, "volume": 42442096 }, { "date": "06/09/14", "open": 62.4, "high": 63.34, "low": 61.79, "close": 62.88, "volume": 37617413 }, { "date": "06/10/14", "open": 63.53, "high": 65.82, "low": 63.5, "close": 65.77, "volume": 69338140 }, { "date": "06/11/14", "open": 65.32, "high": 65.8, "low": 64.9, "close": 65.78, "volume": 44241926 }, { "date": "06/12/14", "open": 65.85, "high": 66.47, "low": 64.06, "close": 64.29, "volume": 55729828 }, { "date": "06/13/14", "open": 64.7, "high": 64.97, "low": 63.83, "close": 64.5, "volume": 29418910 }, { "date": "06/16/14", "open": 64.16, "high": 64.88, "low": 63.75, "close": 64.19, "volume": 31045811 }, { "date": "06/17/14", "open": 64.1, "high": 64.88, "low": 63.93, "close": 64.4, "volume": 27714816 }, { "date": "06/18/14", "open": 64.49, "high": 65.75, "low": 64.05, "close": 65.6, "volume": 35570154 }, { "date": "06/19/14", "open": 65.46, "high": 65.58, "low": 64.21, "close": 64.34, "volume": 34245182 }, { "date": "06/20/14", "open": 64.46, "high": 64.81, "low": 63.35, "close": 64.5, "volume": 46466073 }, { "date": "06/23/14", "open": 64.32, "high": 65.66, "low": 64.22, "close": 65.37, "volume": 34560121 }, { "date": "06/24/14", "open": 65.36, "high": 67.17, "low": 65.27, "close": 65.72, "volume": 57334867 }, { "date": "06/25/14", "open": 65.58, "high": 67.48, "low": 65.57, "close": 67.44, "volume": 44308249 }, { "date": "06/26/14", "open": 68, "high": 68, "low": 66.9, "close": 67.13, "volume": 47713944 }, { "date": "06/27/14", "open": 67.31, "high": 67.7, "low": 66.84, "close": 67.6, "volume": 46460627 }, { "date": "06/30/14", "open": 67.46, "high": 67.92, "low": 67.13, "close": 67.29, "volume": 27201749 }, { "date": "07/01/14", "open": 67.58, "high": 68.44, "low": 67.39, "close": 68.06, "volume": 33243166 }, { "date": "07/02/14", "open": 68.04, "high": 68.3, "low": 65.79, "close": 66.45, "volume": 41895220 }, { "date": "07/03/14", "open": 66.86, "high": 67, "low": 65.76, "close": 66.29, "volume": 25203215 }, { "date": "07/07/14", "open": 66.3, "high": 66.57, "low": 65.12, "close": 65.29, "volume": 28745099 }, { "date": "07/08/14", "open": 65.06, "high": 65.56, "low": 62.21, "close": 62.76, "volume": 68926036 }, { "date": "07/09/14", "open": 63.41, "high": 65.12, "low": 63.15, "close": 64.97, "volume": 51431582 }, { "date": "07/10/14", "open": 63.31, "high": 65.34, "low": 63.05, "close": 64.87, "volume": 44421915 }, { "date": "07/11/14", "open": 65.28, "high": 66.59, "low": 64.79, "close": 66.34, "volume": 39212022 }, { "date": "07/14/14", "open": 67.13, "high": 68.17, "low": 66.9, "close": 67.9, "volume": 38536924 }, { "date": "07/15/14", "open": 67.96, "high": 68.09, "low": 66.26, "close": 67.16, "volume": 44292944 }, { "date": "07/16/14", "open": 67.54, "high": 67.94, "low": 67.07, "close": 67.66, "volume": 29593589 }, { "date": "07/17/14", "open": 67.03, "high": 67.85, "low": 66.04, "close": 66.41, "volume": 38188432 }, { "date": "07/18/14", "open": 66.8, "high": 68.46, "low": 66.16, "close": 68.42, "volume": 42455649 }, { "date": "07/21/14", "open": 68.81, "high": 69.96, "low": 68.5, "close": 69.4, "volume": 49539121 }, { "date": "07/22/14", "open": 69.76, "high": 69.77, "low": 68.61, "close": 69.27, "volume": 40397693 }, { "date": "07/23/14", "open": 69.74, "high": 71.33, "low": 69.61, "close": 71.29, "volume": 78434716 }, { "date": "07/24/14", "open": 75.96, "high": 76.74, "low": 74.51, "close": 74.98, "volume": 124167936 }, { "date": "07/25/14", "open": 74.99, "high": 75.67, "low": 74.66, "close": 75.19, "volume": 45917435 }, { "date": "07/28/14", "open": 75.17, "high": 75.5, "low": 73.85, "close": 74.92, "volume": 41725249 }, { "date": "07/29/14", "open": 74.72, "high": 74.92, "low": 73.42, "close": 73.71, "volume": 41324470 }, { "date": "07/30/14", "open": 74.21, "high": 75.19, "low": 74.13, "close": 74.68, "volume": 36853018 }, { "date": "07/31/14", "open": 74, "high": 74.16, "low": 72.44, "close": 72.65, "volume": 43991772 }, { "date": "08/01/14", "open": 72.22, "high": 73.22, "low": 71.55, "close": 72.36, "volume": 43535314 }, { "date": "08/04/14", "open": 72.36, "high": 73.88, "low": 72.36, "close": 73.51, "volume": 30776819 }, { "date": "08/05/14", "open": 73.51, "high": 73.59, "low": 72.18, "close": 72.69, "volume": 34986147 }, { "date": "08/06/14", "open": 72.02, "high": 73.72, "low": 71.79, "close": 72.47, "volume": 30985533 }, { "date": "08/07/14", "open": 73, "high": 74, "low": 72.7, "close": 73.17, "volume": 38140550 }, { "date": "08/08/14", "open": 73.4, "high": 73.43, "low": 72.56, "close": 73.06, "volume": 27202325 }, { "date": "08/11/14", "open": 73.46, "high": 73.91, "low": 73.06, "close": 73.44, "volume": 24591177 }, { "date": "08/12/14", "open": 73.09, "high": 73.33, "low": 72.22, "close": 72.83, "volume": 27418983 }, { "date": "08/13/14", "open": 73.12, "high": 74.25, "low": 73.05, "close": 73.77, "volume": 29265662 }, { "date": "08/14/14", "open": 73.97, "high": 74.38, "low": 73.69, "close": 74.3, "volume": 22207019 }, { "date": "08/15/14", "open": 74.32, "high": 74.65, "low": 73, "close": 73.63, "volume": 38909161 }, { "date": "08/18/14", "open": 74, "high": 74.72, "low": 73.96, "close": 74.59, "volume": 23973658 }, { "date": "08/19/14", "open": 74.81, "high": 75.58, "low": 74.77, "close": 75.29, "volume": 26678640 }, { "date": "08/20/14", "open": 74.97, "high": 75.18, "low": 74.62, "close": 74.81, "volume": 22916678 }, { "date": "08/21/14", "open": 74.92, "high": 75.19, "low": 74.41, "close": 74.57, "volume": 20101979 }, { "date": "08/22/14", "open": 74.34, "high": 74.73, "low": 73.57, "close": 74.57, "volume": 20897393 }, { "date": "08/25/14", "open": 74.94, "high": 75.28, "low": 74.79, "close": 75.02, "volume": 19734103 }, { "date": "08/26/14", "open": 75, "high": 75.99, "low": 74.73, "close": 75.96, "volume": 23992668 }, { "date": "08/27/14", "open": 75.27, "high": 75.49, "low": 74.46, "close": 74.63, "volume": 36323060 }, { "date": "08/28/14", "open": 74, "high": 74.43, "low": 73.73, "close": 73.86, "volume": 21946738 }, { "date": "08/29/14", "open": 74.3, "high": 74.82, "low": 74.01, "close": 74.82, "volume": 26241162 }, { "date": "09/02/14", "open": 75.01, "high": 76.7, "low": 74.82, "close": 76.68, "volume": 34979438 }, { "date": "09/03/14", "open": 77.14, "high": 77.48, "low": 75.6, "close": 75.83, "volume": 32389102 }, { "date": "09/04/14", "open": 75.89, "high": 76.93, "low": 75.53, "close": 75.95, "volume": 26676444 }, { "date": "09/05/14", "open": 76.1, "high": 77.38, "low": 75.6, "close": 77.26, "volume": 29475854 }, { "date": "09/08/14", "open": 77.26, "high": 78.17, "low": 77.01, "close": 77.89, "volume": 28183156 }, { "date": "09/09/14", "open": 77.59, "high": 78.17, "low": 76.2, "close": 76.67, "volume": 28881803 }, { "date": "09/10/14", "open": 76.52, "high": 77.95, "low": 76.51, "close": 77.43, "volume": 29908606 }, { "date": "09/11/14", "open": 77.13, "high": 78.36, "low": 77.05, "close": 77.92, "volume": 32247724 }, { "date": "09/12/14", "open": 78.02, "high": 78.3, "low": 77.1, "close": 77.48, "volume": 26744356 }, { "date": "09/15/14", "open": 77.15, "high": 77.25, "low": 73.43, "close": 74.58, "volume": 49679130 }, { "date": "09/16/14", "open": 73.52, "high": 76.23, "low": 73.07, "close": 76.08, "volume": 37742482 }, { "date": "09/17/14", "open": 75.96, "high": 77.25, "low": 75.57, "close": 76.43, "volume": 28693348 }, { "date": "09/18/14", "open": 76.77, "high": 77.33, "low": 76.52, "close": 77, "volume": 23030936 }, { "date": "09/19/14", "open": 77.4, "high": 78.3, "low": 76.44, "close": 77.91, "volume": 76671330 }, { "date": "09/22/14", "open": 77, "high": 77.53, "low": 75.95, "close": 76.8, "volume": 31961015 }, { "date": "09/23/14", "open": 76.33, "high": 78.63, "low": 76.04, "close": 78.29, "volume": 36814111 }, { "date": "09/24/14", "open": 78.1, "high": 78.62, "low": 77.51, "close": 78.54, "volume": 30679642 }, { "date": "09/25/14", "open": 78.6, "high": 78.94, "low": 77.13, "close": 77.22, "volume": 37532580 }, { "date": "09/26/14", "open": 77.59, "high": 78.84, "low": 77.33, "close": 78.79, "volume": 28872012 }, { "date": "09/29/14", "open": 78.12, "high": 79.2, "low": 77.91, "close": 79, "volume": 34030635 }, { "date": "09/30/14", "open": 79.35, "high": 79.71, "low": 78.6, "close": 79.04, "volume": 35899444 }, { "date": "10/01/14", "open": 78.78, "high": 78.82, "low": 75.9, "close": 76.55, "volume": 55090157 }, { "date": "10/02/14", "open": 76.57, "high": 77.48, "low": 75.64, "close": 77.08, "volume": 36487612 }, { "date": "10/03/14", "open": 77.76, "high": 78.06, "low": 77.26, "close": 77.44, "volume": 23340173 }, { "date": "10/06/14", "open": 77.19, "high": 77.89, "low": 76.85, "close": 77.56, "volume": 25729191 }, { "date": "10/07/14", "open": 77.05, "high": 77.95, "low": 76.24, "close": 76.29, "volume": 25317488 }, { "date": "10/08/14", "open": 76.18, "high": 77.71, "low": 75.1, "close": 77.52, "volume": 32975514 }, { "date": "10/09/14", "open": 77.28, "high": 77.76, "low": 75.85, "close": 75.91, "volume": 32487174 }, { "date": "10/10/14", "open": 75.59, "high": 76.5, "low": 72.76, "close": 72.91, "volume": 52146162 }, { "date": "10/13/14", "open": 73.23, "high": 74.78, "low": 72.52, "close": 72.99, "volume": 43937638 }, { "date": "10/14/14", "open": 74, "high": 74.18, "low": 72.05, "close": 73.59, "volume": 50299288 }, { "date": "10/15/14", "open": 71.69, "high": 73.8, "low": 70.32, "close": 73.21, "volume": 61528317 }, { "date": "10/16/14", "open": 70.79, "high": 73.35, "low": 70.58, "close": 72.63, "volume": 53529459 }, { "date": "10/17/14", "open": 74.23, "high": 76, "low": 73.75, "close": 75.95, "volume": 76341638 }, { "date": "10/20/14", "open": 75.6, "high": 77.09, "low": 75.38, "close": 76.95, "volume": 34701260 }, { "date": "10/21/14", "open": 77.56, "high": 78.74, "low": 77.15, "close": 78.69, "volume": 32252403 }, { "date": "10/22/14", "open": 78.82, "high": 79.85, "low": 78.01, "close": 78.37, "volume": 41862393 }, { "date": "10/23/14", "open": 79.38, "high": 80.63, "low": 79.01, "close": 80.04, "volume": 35055800 }, { "date": "10/24/14", "open": 80.2, "high": 80.82, "low": 79.32, "close": 80.67, "volume": 32247520 }, { "date": "10/27/14", "open": 80.74, "high": 80.8, "low": 79.76, "close": 80.28, "volume": 30168921 }, { "date": "10/28/14", "open": 80.18, "high": 81.16, "low": 79.57, "close": 80.77, "volume": 74211768 }, { "date": "10/29/14", "open": 75.45, "high": 76.88, "low": 74.78, "close": 75.86, "volume": 106119520 }, { "date": "10/30/14", "open": 75.05, "high": 75.35, "low": 72.9, "close": 74.11, "volume": 83269554 }, { "date": "10/31/14", "open": 74.93, "high": 75.7, "low": 74.45, "close": 74.99, "volume": 44544325 }, { "date": "11/03/14", "open": 75.47, "high": 75.52, "low": 73.7, "close": 73.88, "volume": 40727330 }, { "date": "11/04/14", "open": 74.23, "high": 75.77, "low": 73.65, "close": 75.76, "volume": 39326471 }, { "date": "11/05/14", "open": 76.51, "high": 76.8, "low": 74.42, "close": 74.83, "volume": 35912588 }, { "date": "11/06/14", "open": 74.89, "high": 75.6, "low": 74.31, "close": 75.26, "volume": 21383194 }, { "date": "11/07/14", "open": 75.39, "high": 75.86, "low": 75.02, "close": 75.6, "volume": 20774381 }, { "date": "11/10/14", "open": 75.36, "high": 75.48, "low": 74.61, "close": 75, "volume": 21575126 }, { "date": "11/11/14", "open": 74.95, "high": 74.98, "low": 74.03, "close": 74.61, "volume": 18735123 }, { "date": "11/12/14", "open": 74.28, "high": 75.14, "low": 73.54, "close": 74.72, "volume": 26536609 }, { "date": "11/13/14", "open": 74.74, "high": 75.24, "low": 73.64, "close": 74.25, "volume": 26448451 }, { "date": "11/14/14", "open": 74.27, "high": 74.93, "low": 74.04, "close": 74.88, "volume": 19476878 }, { "date": "11/17/14", "open": 74.88, "high": 75.66, "low": 73.88, "close": 74.24, "volume": 28701191 }, { "date": "11/18/14", "open": 74.45, "high": 74.8, "low": 73.9, "close": 74.34, "volume": 20696643 }, { "date": "11/19/14", "open": 74.01, "high": 74.54, "low": 73.11, "close": 73.33, "volume": 25441163 }, { "date": "11/20/14", "open": 72.8, "high": 73.99, "low": 72.51, "close": 73.6, "volume": 19154862 }, { "date": "11/21/14", "open": 74.5, "high": 74.5, "low": 73.5, "close": 73.75, "volume": 23060382 }, { "date": "11/24/14", "open": 73.54, "high": 74.35, "low": 73.35, "close": 74.01, "volume": 22103831 }, { "date": "11/25/14", "open": 74.21, "high": 75.74, "low": 74.13, "close": 75.63, "volume": 32250205 }, { "date": "11/26/14", "open": 75.53, "high": 77.78, "low": 75.51, "close": 77.62, "volume": 32721585 }, { "date": "11/28/14", "open": 77.67, "high": 78.27, "low": 77.23, "close": 77.7, "volume": 15992035 }, { "date": "12/01/14", "open": 77.26, "high": 77.31, "low": 74.8, "close": 75.1, "volume": 31789866 }, { "date": "12/02/14", "open": 75.33, "high": 75.91, "low": 75.04, "close": 75.46, "volume": 16773884 }, { "date": "12/03/14", "open": 75.38, "high": 75.73, "low": 74.4, "close": 74.88, "volume": 16689857 }, { "date": "12/04/14", "open": 74.83, "high": 75.55, "low": 74.66, "close": 75.24, "volume": 14390520 }, { "date": "12/05/14", "open": 75.8, "high": 76.76, "low": 75.36, "close": 76.36, "volume": 24306446 }, { "date": "12/08/14", "open": 76.18, "high": 77.25, "low": 75.4, "close": 76.52, "volume": 25733853 }, { "date": "12/09/14", "open": 75.2, "high": 76.93, "low": 74.78, "close": 76.84, "volume": 25358584 }, { "date": "12/10/14", "open": 76.65, "high": 77.55, "low": 76.07, "close": 76.18, "volume": 32210532 }, { "date": "12/11/14", "open": 76.52, "high": 78.52, "low": 76.48, "close": 77.73, "volume": 33492661 }, { "date": "12/12/14", "open": 77.16, "high": 78.88, "low": 77.02, "close": 77.83, "volume": 28091617 }, { "date": "12/15/14", "open": 78.46, "high": 78.58, "low": 76.56, "close": 76.99, "volume": 29396532 }, { "date": "12/16/14", "open": 76.19, "high": 77.39, "low": 74.59, "close": 74.69, "volume": 31554593 }, { "date": "12/17/14", "open": 75.01, "high": 76.41, "low": 74.9, "close": 76.11, "volume": 29203904 }, { "date": "12/18/14", "open": 76.89, "high": 78.4, "low": 76.51, "close": 78.4, "volume": 34222081 }, { "date": "12/19/14", "open": 78.75, "high": 80, "low": 78.33, "close": 79.88, "volume": 43334992 }, { "date": "12/22/14", "open": 80.08, "high": 81.89, "low": 80, "close": 81.45, "volume": 31395770 }, { "date": "12/23/14", "open": 82.02, "high": 82.17, "low": 80.4, "close": 80.61, "volume": 19865820 }, { "date": "12/24/14", "open": 81.03, "high": 81.43, "low": 80.75, "close": 80.77, "volume": 7685481 }, { "date": "12/26/14", "open": 81.02, "high": 81.28, "low": 80.51, "close": 80.78, "volume": 10647388 }, { "date": "12/29/14", "open": 80.49, "high": 80.96, "low": 79.71, "close": 80.02, "volume": 14134666 }, { "date": "12/30/14", "open": 79.85, "high": 80.59, "low": 79.1, "close": 79.22, "volume": 14370763 }, { "date": "12/31/14", "open": 79.54, "high": 79.8, "low": 77.86, "close": 78.02, "volume": 20040439 }, { "date": "01/02/15", "open": 78.58, "high": 78.93, "low": 77.7, "close": 78.45, "volume": 18177475 }, { "date": "01/05/15", "open": 77.98, "high": 79.25, "low": 76.86, "close": 77.19, "volume": 26452191 }, { "date": "01/06/15", "open": 77.23, "high": 77.59, "low": 75.36, "close": 76.15, "volume": 27399288 }, { "date": "01/07/15", "open": 76.76, "high": 77.36, "low": 75.82, "close": 76.15, "volume": 22045333 }, { "date": "01/08/15", "open": 76.74, "high": 78.23, "low": 76.08, "close": 78.18, "volume": 23960953 }, { "date": "01/09/15", "open": 78.2, "high": 78.62, "low": 77.2, "close": 77.74, "volume": 21157007 }, { "date": "01/12/15", "open": 77.84, "high": 78, "low": 76.21, "close": 76.72, "volume": 19190194 }, { "date": "01/13/15", "open": 77.23, "high": 78.08, "low": 75.85, "close": 76.45, "volume": 25179561 }, { "date": "01/14/15", "open": 76.42, "high": 77.2, "low": 76.03, "close": 76.28, "volume": 25918564 }, { "date": "01/15/15", "open": 76.4, "high": 76.57, "low": 73.54, "close": 74.05, "volume": 34133974 }, { "date": "01/16/15", "open": 74.04, "high": 75.32, "low": 73.84, "close": 75.18, "volume": 21791529 }, { "date": "01/20/15", "open": 75.72, "high": 76.31, "low": 74.82, "close": 76.24, "volume": 22821614 }, { "date": "01/21/15", "open": 76.16, "high": 77.3, "low": 75.85, "close": 76.74, "volume": 25096737 }, { "date": "01/22/15", "open": 77.17, "high": 77.75, "low": 76.68, "close": 77.65, "volume": 19519458 }, { "date": "01/23/15", "open": 77.65, "high": 78.19, "low": 77.04, "close": 77.83, "volume": 16746503 }, { "date": "01/26/15", "open": 77.98, "high": 78.47, "low": 77.29, "close": 77.5, "volume": 19260820 }, { "date": "01/27/15", "open": 76.71, "high": 76.88, "low": 75.63, "close": 75.78, "volume": 20109977 }, { "date": "01/28/15", "open": 76.9, "high": 77.64, "low": 76, "close": 76.24, "volume": 53306422 }, { "date": "01/29/15", "open": 76.85, "high": 78.02, "low": 74.21, "close": 78, "volume": 61293468 }, { "date": "01/30/15", "open": 78, "high": 78.16, "low": 75.75, "close": 75.91, "volume": 42649491 }, { "date": "02/02/15", "open": 76.11, "high": 76.14, "low": 73.75, "close": 74.99, "volume": 41955258 }, { "date": "02/03/15", "open": 75.19, "high": 75.58, "low": 73.86, "close": 75.4, "volume": 26957714 }, { "date": "02/04/15", "open": 75.09, "high": 76.35, "low": 75.01, "close": 75.63, "volume": 20277368 }, { "date": "02/05/15", "open": 75.71, "high": 75.98, "low": 75.21, "close": 75.62, "volume": 15062573 }, { "date": "02/06/15", "open": 75.68, "high": 75.7, "low": 74.25, "close": 74.47, "volume": 21210994 }, { "date": "02/09/15", "open": 74.05, "high": 74.83, "low": 73.45, "close": 74.44, "volume": 16194322 }, { "date": "02/10/15", "open": 74.85, "high": 75.34, "low": 74.5, "close": 75.19, "volume": 15811344 }, { "date": "02/11/15", "open": 75.09, "high": 76.75, "low": 75.03, "close": 76.51, "volume": 20877427 }, { "date": "02/12/15", "open": 76.86, "high": 76.87, "low": 75.89, "close": 76.23, "volume": 17234976 }, { "date": "02/13/15", "open": 76.46, "high": 76.48, "low": 75.5, "close": 75.74, "volume": 18621860 }, { "date": "02/17/15", "open": 75.3, "high": 76.91, "low": 75.08, "close": 75.6, "volume": 25254400 }, { "date": "02/18/15", "open": 75.94, "high": 76.9, "low": 75.45, "close": 76.71, "volume": 22426421 }, { "date": "02/19/15", "open": 76.99, "high": 79.84, "low": 76.95, "close": 79.42, "volume": 45851177 }, { "date": "02/20/15", "open": 79.55, "high": 80.34, "low": 79.2, "close": 79.9, "volume": 36931698 }, { "date": "02/23/15", "open": 79.96, "high": 80.19, "low": 78.38, "close": 78.84, "volume": 24139056 }, { "date": "02/24/15", "open": 78.5, "high": 79.48, "low": 78.1, "close": 78.45, "volume": 18897133 }, { "date": "02/25/15", "open": 78.5, "high": 80.2, "low": 78.5, "close": 79.56, "volume": 25593800 }, { "date": "02/26/15", "open": 79.88, "high": 81.37, "low": 79.72, "close": 80.41, "volume": 31111891 }, { "date": "02/27/15", "open": 80.68, "high": 81.23, "low": 78.62, "close": 78.97, "volume": 30739197 }, { "date": "03/02/15", "open": 79, "high": 79.86, "low": 78.52, "close": 79.75, "volume": 21662537 }, { "date": "03/03/15", "open": 79.61, "high": 79.7, "low": 78.52, "close": 79.6, "volume": 18634973 }, { "date": "03/04/15", "open": 79.3, "high": 81.15, "low": 78.85, "close": 80.9, "volume": 28126686 }, { "date": "03/05/15", "open": 81.23, "high": 81.99, "low": 81.05, "close": 81.21, "volume": 27825733 }, { "date": "03/06/15", "open": 80.9, "high": 81.33, "low": 79.83, "close": 80, "volume": 24488581 }, { "date": "03/09/15", "open": 79.68, "high": 79.91, "low": 78.63, "close": 79.44, "volume": 18925097 }, { "date": "03/10/15", "open": 78.5, "high": 79.26, "low": 77.55, "close": 77.55, "volume": 23067057 }, { "date": "03/11/15", "open": 77.8, "high": 78.43, "low": 77.26, "close": 77.57, "volume": 20215704 }, { "date": "03/12/15", "open": 78.1, "high": 79.05, "low": 77.91, "close": 78.93, "volume": 16093319 }, { "date": "03/13/15", "open": 78.6, "high": 79.38, "low": 77.68, "close": 78.05, "volume": 18557296 }, { "date": "03/16/15", "open": 77.96, "high": 78.12, "low": 77.36, "close": 78.07, "volume": 19305406 }, { "date": "03/17/15", "open": 78.36, "high": 79.78, "low": 78.34, "close": 79.36, "volume": 22169969 }, { "date": "03/18/15", "open": 79.25, "high": 81.24, "low": 79.17, "close": 80.91, "volume": 36912446 }, { "date": "03/19/15", "open": 81.12, "high": 83, "low": 81, "close": 82.75, "volume": 42099523 }, { "date": "03/20/15", "open": 83.39, "high": 84.6, "low": 83.07, "close": 83.8, "volume": 44466323 }, { "date": "03/23/15", "open": 83.92, "high": 84.96, "low": 83.3, "close": 84.43, "volume": 27357333 }, { "date": "03/24/15", "open": 84.71, "high": 86.07, "low": 84.52, "close": 85.31, "volume": 32576522 }, { "date": "03/25/15", "open": 85.5, "high": 85.52, "low": 82.92, "close": 82.92, "volume": 37436147 }, { "date": "03/26/15", "open": 82.72, "high": 83.77, "low": 82.14, "close": 83.01, "volume": 32794800 }, { "date": "03/27/15", "open": 83.38, "high": 83.95, "low": 82.88, "close": 83.3, "volume": 18372582 }, { "date": "03/30/15", "open": 83.81, "high": 84.34, "low": 82.41, "close": 83.2, "volume": 24527686 }, { "date": "03/31/15", "open": 82.9, "high": 83.5, "low": 82.21, "close": 82.22, "volume": 19734277 }, { "date": "04/01/15", "open": 82.5, "high": 82.72, "low": 80.87, "close": 81.66, "volume": 22058167 }, { "date": "04/02/15", "open": 82.25, "high": 82.56, "low": 81.44, "close": 81.56, "volume": 19664053 }, { "date": "04/06/15", "open": 80.8, "high": 82.81, "low": 80.8, "close": 82.44, "volume": 19062934 }, { "date": "04/07/15", "open": 82.65, "high": 83.42, "low": 82.22, "close": 82.32, "volume": 17467042 }, { "date": "04/08/15", "open": 82.63, "high": 83.1, "low": 81.84, "close": 82.28, "volume": 18966732 }, { "date": "04/09/15", "open": 82.5, "high": 82.8, "low": 81.71, "close": 82.17, "volume": 15927281 }, { "date": "04/10/15", "open": 82.21, "high": 82.61, "low": 81.91, "close": 82.04, "volume": 12529738 } ]; }
(function (global) { System.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true, react: true }, meta: { '*.css': { loader: 'css' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { 'jszip': 'npm:jszip/dist/jszip.js', '@mescius/wijmo': 'npm:@mescius/wijmo/index.js', '@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js', '@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles', '@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures', '@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js', '@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js', '@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js', '@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js', '@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js', '@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js', '@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js', '@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js', '@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js', '@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js', '@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js', '@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js', '@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js', '@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js', '@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js', '@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js', '@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js', '@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js', '@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js', '@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js', '@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js', '@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js', '@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js', '@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js', '@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js', '@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js', '@mescius/wijmo.grid.immutable': 'npm:@mescius/wijmo.grid.immutable/index.js', '@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js', '@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js', '@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js', '@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js', '@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js', '@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js', '@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js', '@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js', '@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js', '@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js', '@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js', '@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js', '@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js', '@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js', '@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js', '@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js', "@mescius/wijmo.react.chart.analytics": "npm:@mescius/wijmo.react.chart.analytics/index.js", "@mescius/wijmo.react.chart.animation": "npm:@mescius/wijmo.react.chart.animation/index.js", "@mescius/wijmo.react.chart.annotation": "npm:@mescius/wijmo.react.chart.annotation/index.js", "@mescius/wijmo.react.chart.finance.analytics": "npm:@mescius/wijmo.react.chart.finance.analytics/index.js", "@mescius/wijmo.react.chart.finance": "npm:@mescius/wijmo.react.chart.finance/index.js", "@mescius/wijmo.react.chart.hierarchical": "npm:@mescius/wijmo.react.chart.hierarchical/index.js", "@mescius/wijmo.react.chart.interaction": "npm:@mescius/wijmo.react.chart.interaction/index.js", "@mescius/wijmo.react.chart.radar": "npm:@mescius/wijmo.react.chart.radar/index.js", "@mescius/wijmo.react.chart": "npm:@mescius/wijmo.react.chart/index.js", "@mescius/wijmo.react.core": "npm:@mescius/wijmo.react.core/index.js", '@mescius/wijmo.react.chart.map': 'npm:@mescius/wijmo.react.chart.map/index.js', "@mescius/wijmo.react.gauge": "npm:@mescius/wijmo.react.gauge/index.js", "@mescius/wijmo.react.grid.detail": "npm:@mescius/wijmo.react.grid.detail/index.js", "@mescius/wijmo.react.grid.filter": "npm:@mescius/wijmo.react.grid.filter/index.js", "@mescius/wijmo.react.grid.grouppanel": "npm:@mescius/wijmo.react.grid.grouppanel/index.js", '@mescius/wijmo.react.grid.search': 'npm:@mescius/wijmo.react.grid.search/index.js', "@mescius/wijmo.react.grid.multirow": "npm:@mescius/wijmo.react.grid.multirow/index.js", "@mescius/wijmo.react.grid.sheet": "npm:@mescius/wijmo.react.grid.sheet/index.js", '@mescius/wijmo.react.grid.transposed': 'npm:@mescius/wijmo.react.grid.transposed/index.js', '@mescius/wijmo.react.grid.transposedmultirow': 'npm:@mescius/wijmo.react.grid.transposedmultirow/index.js', '@mescius/wijmo.react.grid.immutable': 'npm:@mescius/wijmo.react.grid.immutable/index.js', "@mescius/wijmo.react.grid": "npm:@mescius/wijmo.react.grid/index.js", "@mescius/wijmo.react.input": "npm:@mescius/wijmo.react.input/index.js", "@mescius/wijmo.react.olap": "npm:@mescius/wijmo.react.olap/index.js", "@mescius/wijmo.react.viewer": "npm:@mescius/wijmo.react.viewer/index.js", "@mescius/wijmo.react.nav": "npm:@mescius/wijmo.react.nav/index.js", "@mescius/wijmo.react.base": "npm:@mescius/wijmo.react.base/index.js", '@mescius/wijmo.react.barcode.common': 'npm:@mescius/wijmo.react.barcode.common/index.js', '@mescius/wijmo.react.barcode.composite': 'npm:@mescius/wijmo.react.barcode.composite/index.js', '@mescius/wijmo.react.barcode.specialized': 'npm:@mescius/wijmo.react.barcode.specialized/index.js', 'jszip': 'npm:jszip/dist/jszip.js', 'react': 'npm:react/umd/react.production.min.js', 'react-dom': 'npm:react-dom/umd/react-dom.production.min.js', 'react-dom/client': 'npm:react-dom/umd/react-dom.production.min.js', 'redux': 'npm:redux/dist/redux.min.js', 'react-redux': 'npm:react-redux/dist/react-redux.min.js', 'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css', 'css': 'npm:systemjs-plugin-css/css.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js', "react-use-event-hook": "npm:react-use-event-hook/dist/esm/useEvent.js", }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'jsx' }, "node_modules": { defaultExtension: 'js' }, } }); })(this);